package models

type SchedualPatient struct {
	ID                      int64                   `gorm:"column:id" json:"id" form:"id"`
	UserOrgId               int64                   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	UserId                  int64                   `gorm:"column:user_id" json:"user_id" form:"user_id"`
	PatientType             int64                   `gorm:"column:patient_type" json:"patient_type" form:"patient_type"`
	Avatar                  string                  `gorm:"column:avatar" json:"avatar" form:"avatar"`
	DialysisNo              string                  `gorm:"column:dialysis_no" json:"dialysis_no" form:"dialysis_no"`
	AdmissionNumber         string                  `gorm:"column:admission_number" json:"admission_number" form:"admission_number"`
	Source                  int64                   `gorm:"column:source" json:"source" form:"source"`
	Lapseto                 int64                   `gorm:"column:lapseto" json:"lapseto" form:"lapseto"`
	PartitionId             int64                   `gorm:"column:partition_id" json:"partition_id" form:"partition_id"`
	BedId                   int64                   `gorm:"column:bed_id" json:"bed_id" form:"bed_id"`
	Name                    string                  `gorm:"column:name" json:"name" form:"name"`
	Alias                   string                  `gorm:"column:alias" json:"alias" form:"alias"`
	Gender                  int64                   `gorm:"column:gender" json:"gender" form:"gender"`
	Nation                  string                  `gorm:"column:nation" json:"nation" form:"nation"`
	NativePlace             string                  `gorm:"column:native_place" json:"native_place" form:"native_place"`
	MaritalStatus           int64                   `gorm:"column:marital_status" json:"marital_status" form:"marital_status"`
	IdCardNo                string                  `gorm:"column:id_card_no" json:"id_card_no" form:"id_card_no"`
	Birthday                int64                   `gorm:"column:birthday" json:"birthday" form:"birthday"`
	ReimbursementWayId      int64                   `gorm:"column:reimbursement_way_id" json:"reimbursement_way_id" form:"reimbursement_way_id"`
	HealthCareType          int64                   `gorm:"column:health_care_type" json:"health_care_type" form:"health_care_type"`
	HealthCareNo            string                  `gorm:"column:health_care_no" json:"health_care_no" form:"health_care_no"`
	HealthCareDueDate       int64                   `gorm:"column:health_care_due_date" json:"health_care_due_date" form:"health_care_due_date"`
	Height                  int64                   `gorm:"column:height" json:"height" form:"height"`
	BloodType               int64                   `gorm:"column:blood_type" json:"blood_type" form:"blood_type"`
	Rh                      int64                   `gorm:"column:rh" json:"rh" form:"rh"`
	HealthCareDueAlertDate  int64                   `gorm:"column:health_care_due_alert_date" json:"health_care_due_alert_date" form:"health_care_due_alert_date"`
	EducationLevel          int64                   `gorm:"column:education_level" json:"education_level" form:"education_level"`
	Profession              int64                   `gorm:"column:profession" json:"profession" form:"profession"`
	Phone                   string                  `gorm:"column:phone" json:"phone" form:"phone"`
	HomeTelephone           string                  `gorm:"column:home_telephone" json:"home_telephone" form:"home_telephone"`
	RelativePhone           string                  `gorm:"column:relative_phone" json:"relative_phone" form:"relative_phone"`
	RelativeRelations       string                  `gorm:"column:relative_relations" json:"relative_relations" form:"relative_relations"`
	HomeAddress             string                  `gorm:"column:home_address" json:"home_address" form:"home_address"`
	WorkUnit                string                  `gorm:"column:work_unit" json:"work_unit" form:"work_unit"`
	UnitAddress             string                  `gorm:"column:unit_address" json:"unit_address" form:"unit_address"`
	Children                int64                   `gorm:"column:children" json:"children" form:"children"`
	ReceivingDate           int64                   `gorm:"column:receiving_date" json:"receiving_date" form:"receiving_date"`
	IsHospitalFirstDialysis int64                   `gorm:"column:is_hospital_first_dialysis" json:"is_hospital_first_dialysis" form:"is_hospital_first_dialysis"`
	FirstDialysisDate       int64                   `gorm:"column:first_dialysis_date" json:"first_dialysis_date" form:"first_dialysis_date"`
	FirstDialysisHospital   string                  `gorm:"column:first_dialysis_hospital" json:"first_dialysis_hospital" form:"first_dialysis_hospital"`
	InductionPeriod         int64                   `gorm:"column:induction_period" json:"induction_period" form:"induction_period"`
	InitialDialysis         int64                   `gorm:"column:initial_dialysis" json:"initial_dialysis" form:"initial_dialysis"`
	TotalDialysis           int64                   `gorm:"column:total_dialysis" json:"total_dialysis" form:"total_dialysis"`
	AttendingDoctorId       int64                   `gorm:"column:attending_doctor_id" json:"attending_doctor_id" form:"attending_doctor_id"`
	HeadNurseId             int64                   `gorm:"column:head_nurse_id" json:"head_nurse_id" form:"head_nurse_id"`
	Evaluate                string                  `gorm:"column:evaluate" json:"evaluate" form:"evaluate"`
	Diagnose                string                  `gorm:"column:diagnose" json:"diagnose" form:"diagnose"`
	Remark                  string                  `gorm:"column:remark" json:"remark" form:"remark"`
	RegistrarsId            int64                   `gorm:"column:registrars_id" json:"registrars_id" form:"registrars_id"`
	Registrars              string                  `gorm:"column:registrars" json:"registrars" form:"registrars"`
	QrCode                  string                  `gorm:"column:qr_code" json:"qr_code" form:"qr_code"`
	BindingState            int64                   `gorm:"column:binding_state" json:"binding_state" form:"binding_state"`
	PatientComplains        string                  `gorm:"column:patient_complains" json:"patient_complains"` // 主诉
	PresentHistory          string                  `gorm:"column:present_history" json:"present_history"`     // 现病史
	PastHistory             string                  `gorm:"column:past_history" json:"past_history"`           // 既往史
	Temperature             float64                 `gorm:"column:temperature" json:"temperature"`             // 体格检查-体温
	Pulse                   int64                   `gorm:"column:pulse" json:"pulse"`                         // 体格检查-脉搏
	Respiratory             int64                   `gorm:"column:respiratory" json:"respiratory"`             // 体格检查-呼吸频率
	SBP                     int64                   `gorm:"column:sbp" json:"sbp"`                             // 体格检查-收缩压
	DBP                     int64                   `gorm:"column:dbp" json:"dbp"`                             // 体格检查-舒张压
	Age                     int64                   `gorm:"column:age" json:"age"`
	Status                  int64                   `gorm:"column:status" json:"status" form:"status"`
	CreatedTime             int64                   `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime             int64                   `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	PredialysisEvaluation   PredialysisEvaluation   `json:"PredialysisEvaluation" gorm:"ForeignKey:PatientId"`
	AssessmentAfterDislysis AssessmentAfterDislysis `gorm:"ForeignKey:PatientId"`
	MonitoringRecord        []MonitoringRecord      `gorm:"ForeignKey:PatientId"`
	IsOpenRemind            int64                   `gorm:"column:is_open_remind" json:"is_open_remind"`
	DialysisAge             int64                   `gorm:"column:dialysis_age" json:"dialysis_age" form:"dialysis_age"`
	ExpenseKind             int64                   `gorm:"column:expense_kind" json:"expense_kind" form:"expense_kind"`
	TellPhone               string                  `gorm:"column:tell_phone" json:"tell_phone" form:"tell_phone"`
	FirstTreatmentDate      int64                   `gorm:"column:first_treatment_date" json:"first_treatment_date" form:"first_treatment_date"`
	ContactName             string                  `gorm:"column:contact_name" json:"contact_name" form:"contact_name"`
	UserSysBeforeCount      int64                   `gorm:"column:user_sys_before_count" json:"user_sys_before_count" form:"user_sys_before_count"`
	SchRemark               string                  `gorm:"column:sch_remark" json:"sch_remark" form:"sch_remark"`
}

func (SchedualPatient) TableName() string {
	return "xt_patients"
}

type SchedualPatient2 struct {
	ID                      int64                `gorm:"column:id" json:"id" form:"id"`
	UserOrgId               int64                `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	UserId                  int64                `gorm:"column:user_id" json:"user_id" form:"user_id"`
	PatientType             int64                `gorm:"column:patient_type" json:"patient_type" form:"patient_type"`
	Avatar                  string               `gorm:"column:avatar" json:"avatar" form:"avatar"`
	DialysisNo              string               `gorm:"column:dialysis_no" json:"dialysis_no" form:"dialysis_no"`
	AdmissionNumber         string               `gorm:"column:admission_number" json:"admission_number" form:"admission_number"`
	Source                  int64                `gorm:"column:source" json:"source" form:"source"`
	Lapseto                 int64                `gorm:"column:lapseto" json:"lapseto" form:"lapseto"`
	PartitionId             int64                `gorm:"column:partition_id" json:"partition_id" form:"partition_id"`
	BedId                   int64                `gorm:"column:bed_id" json:"bed_id" form:"bed_id"`
	Name                    string               `gorm:"column:name" json:"name" form:"name"`
	Alias                   string               `gorm:"column:alias" json:"alias" form:"alias"`
	Gender                  int64                `gorm:"column:gender" json:"gender" form:"gender"`
	Nation                  string               `gorm:"column:nation" json:"nation" form:"nation"`
	NativePlace             string               `gorm:"column:native_place" json:"native_place" form:"native_place"`
	MaritalStatus           int64                `gorm:"column:marital_status" json:"marital_status" form:"marital_status"`
	IdCardNo                string               `gorm:"column:id_card_no" json:"id_card_no" form:"id_card_no"`
	Birthday                int64                `gorm:"column:birthday" json:"birthday" form:"birthday"`
	ReimbursementWayId      int64                `gorm:"column:reimbursement_way_id" json:"reimbursement_way_id" form:"reimbursement_way_id"`
	HealthCareType          int64                `gorm:"column:health_care_type" json:"health_care_type" form:"health_care_type"`
	HealthCareNo            string               `gorm:"column:health_care_no" json:"health_care_no" form:"health_care_no"`
	HealthCareDueDate       int64                `gorm:"column:health_care_due_date" json:"health_care_due_date" form:"health_care_due_date"`
	Height                  int64                `gorm:"column:height" json:"height" form:"height"`
	BloodType               int64                `gorm:"column:blood_type" json:"blood_type" form:"blood_type"`
	Rh                      int64                `gorm:"column:rh" json:"rh" form:"rh"`
	HealthCareDueAlertDate  int64                `gorm:"column:health_care_due_alert_date" json:"health_care_due_alert_date" form:"health_care_due_alert_date"`
	EducationLevel          int64                `gorm:"column:education_level" json:"education_level" form:"education_level"`
	Profession              int64                `gorm:"column:profession" json:"profession" form:"profession"`
	Phone                   string               `gorm:"column:phone" json:"phone" form:"phone"`
	HomeTelephone           string               `gorm:"column:home_telephone" json:"home_telephone" form:"home_telephone"`
	RelativePhone           string               `gorm:"column:relative_phone" json:"relative_phone" form:"relative_phone"`
	RelativeRelations       string               `gorm:"column:relative_relations" json:"relative_relations" form:"relative_relations"`
	HomeAddress             string               `gorm:"column:home_address" json:"home_address" form:"home_address"`
	WorkUnit                string               `gorm:"column:work_unit" json:"work_unit" form:"work_unit"`
	UnitAddress             string               `gorm:"column:unit_address" json:"unit_address" form:"unit_address"`
	Children                int64                `gorm:"column:children" json:"children" form:"children"`
	ReceivingDate           int64                `gorm:"column:receiving_date" json:"receiving_date" form:"receiving_date"`
	IsHospitalFirstDialysis int64                `gorm:"column:is_hospital_first_dialysis" json:"is_hospital_first_dialysis" form:"is_hospital_first_dialysis"`
	FirstDialysisDate       int64                `gorm:"column:first_dialysis_date" json:"first_dialysis_date" form:"first_dialysis_date"`
	FirstDialysisHospital   string               `gorm:"column:first_dialysis_hospital" json:"first_dialysis_hospital" form:"first_dialysis_hospital"`
	InductionPeriod         int64                `gorm:"column:induction_period" json:"induction_period" form:"induction_period"`
	InitialDialysis         int64                `gorm:"column:initial_dialysis" json:"initial_dialysis" form:"initial_dialysis"`
	TotalDialysis           int64                `gorm:"column:total_dialysis" json:"total_dialysis" form:"total_dialysis"`
	AttendingDoctorId       int64                `gorm:"column:attending_doctor_id" json:"attending_doctor_id" form:"attending_doctor_id"`
	HeadNurseId             int64                `gorm:"column:head_nurse_id" json:"head_nurse_id" form:"head_nurse_id"`
	Evaluate                string               `gorm:"column:evaluate" json:"evaluate" form:"evaluate"`
	Diagnose                string               `gorm:"column:diagnose" json:"diagnose" form:"diagnose"`
	Remark                  string               `gorm:"column:remark" json:"remark" form:"remark"`
	RegistrarsId            int64                `gorm:"column:registrars_id" json:"registrars_id" form:"registrars_id"`
	Registrars              string               `gorm:"column:registrars" json:"registrars" form:"registrars"`
	QrCode                  string               `gorm:"column:qr_code" json:"qr_code" form:"qr_code"`
	BindingState            int64                `gorm:"column:binding_state" json:"binding_state" form:"binding_state"`
	PatientComplains        string               `gorm:"column:patient_complains" json:"patient_complains"` // 主诉
	PresentHistory          string               `gorm:"column:present_history" json:"present_history"`     // 现病史
	PastHistory             string               `gorm:"column:past_history" json:"past_history"`           // 既往史
	Temperature             float64              `gorm:"column:temperature" json:"temperature"`             // 体格检查-体温
	Pulse                   int64                `gorm:"column:pulse" json:"pulse"`                         // 体格检查-脉搏
	Respiratory             int64                `gorm:"column:respiratory" json:"respiratory"`             // 体格检查-呼吸频率
	SBP                     int64                `gorm:"column:sbp" json:"sbp"`                             // 体格检查-收缩压
	DBP                     int64                `gorm:"column:dbp" json:"dbp"`                             // 体格检查-舒张压
	Status                  int64                `gorm:"column:status" json:"status" form:"status"`
	CreatedTime             int64                `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime             int64                `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	DialysisSchedule        DialysisSchedule     `gorm:"ForeignKey:PatientId"`
	InfectiousDiseases      []InfectiousDiseases `gorm:"ForeignKey:PatientId"`
	Age                     int64                `gorm:"column:age" json:"age"`
	IsOpenRemind            int64                `gorm:"column:is_open_remind" json:"is_open_remind"`
	DialysisAge             int64                `gorm:"column:dialysis_age" json:"dialysis_age" form:"dialysis_age"`
	ExpenseKind             int64                `gorm:"column:expense_kind" json:"expense_kind" form:"expense_kind"`
	TellPhone               string               `gorm:"column:tell_phone" json:"tell_phone" form:"tell_phone"`
	FirstTreatmentDate      int64                `gorm:"column:first_treatment_date" json:"first_treatment_date" form:"first_treatment_date"`
	ContactName             string               `gorm:"column:contact_name" json:"contact_name" form:"contact_name"`
	UserSysBeforeCount      int64                `gorm:"column:user_sys_before_count" json:"user_sys_before_count" form:"user_sys_before_count"`
	SchRemark               string               `gorm:"column:sch_remark" json:"sch_remark" form:"sch_remark"`
}

func (SchedualPatient2) TableName() string {
	return "xt_patients"
}

type DialysisSchedule struct {
	ID           int64 `gorm:"column:id" json:"id" form:"id"`
	UserOrgId    int64 `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	PartitionId  int64 `gorm:"column:partition_id" json:"partition_id" form:"partition_id"`
	BedId        int64 `gorm:"column:bed_id" json:"bed_id" form:"bed_id"`
	PatientId    int64 `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	ScheduleDate int64 `gorm:"column:schedule_date" json:"schedule_date" form:"schedule_date"`
	ScheduleType int64 `gorm:"column:schedule_type" json:"schedule_type" form:"schedule_type"`
	ScheduleWeek int64 `gorm:"column:schedule_week" json:"schedule_week" form:"schedule_week"`
	ModeId       int64 `gorm:"column:mode_id" json:"mode_id" form:"mode_id"`
	Status       int64 `gorm:"column:status" json:"status" form:"status"`
	CreatedTime  int64 `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime  int64 `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`

	MonitorPatients MonitorPatients `gorm:"ForeignKey:PatientId" json:"patient"`
	DeviceNumber    DeviceNumber    `gorm:"ForeignKey:BedId" json:"device_number"`
	DeviceZone      DeviceZone      `gorm:"ForeignKey:PartitionId" json:"device_zone"`
	TreatmentMode   TreatmentMode   `gorm:"ForeignKey:ModeId" json:"treatment_mode"`

	DialysisOrder            MonitorDialysisOrder    `gorm:"ForeignKey:DialysisDate,PatientId;AssociationForeignKey:ScheduleDate,PatientId" json:"dialysis_order"`
	Prescription             DialysisPrescription    `gorm:"ForeignKey:RecordDate,PatientId;AssociationForeignKey:ScheduleDate,PatientId" json:"prescription"`
	AssessmentBeforeDislysis PredialysisEvaluation   `gorm:"ForeignKey:AssessmentDate,PatientId;AssociationForeignKey:ScheduleDate,PatientId" json:"assessment_before_dislysis"`
	AssessmentAfterDislysis  AssessmentAfterDislysis `gorm:"ForeignKey:AssessmentDate,PatientId;AssociationForeignKey:ScheduleDate,PatientId" json:"assessment_after_dislysis"`
	MonitoringRecord         []MonitoringRecord      `gorm:"ForeignKey:MonitoringDate,PatientId;AssociationForeignKey:ScheduleDate,PatientId" json:"monitoring_record"`

	//Patient         string          `gorm:"-" json:"patient" form:"patient"`
	//SchedualPatient SchedualPatient `gorm:"ForeignKey:PatientId"`
	//DeviceNumber    DeviceNumber    `gorm:"ForeignKey:BedId"`
	//DeviceZone      DeviceZone      `gorm:"ForeignKey:PartitionId"`
	//TreatmentMode   TreatmentMode   `gorm:"ForeignKey:ModeId"`
}

func (DialysisSchedule) TableName() string {
	return "xt_schedule"
}

type PredialysisEvaluation struct {
	ID                          int64   `gorm:"column:id" json:"id"`
	UserOrgId                   int64   `gorm:"column:user_org_id" json:"user_org_id"`
	PatientId                   int64   `gorm:"column:patient_id" json:"patient_id"`
	AssessmentDate              int64   `gorm:"column:assessment_date" json:"assessment_date"`
	DialysisOrderId             int64   `gorm:"column:dialysis_order_id" json:"dialysis_order_id"`
	Temperature                 float64 `gorm:"column:temperature" json:"temperature"`
	PulseFrequency              float64 `gorm:"column:pulse_frequency" json:"pulse_frequency"`
	BreathingRate               float64 `gorm:"column:breathing_rate" json:"breathing_rate"`
	SystolicBloodPressure       float64 `gorm:"column:systolic_blood_pressure" json:"systolic_blood_pressure"`
	DiastolicBloodPressure      float64 `gorm:"column:diastolic_blood_pressure" json:"diastolic_blood_pressure"`
	BloodPressureType           int64   `gorm:"column:blood_pressure_type" json:"blood_pressure_type"`
	DryWeight                   float64 `gorm:"column:dry_weight" json:"dry_weight"`
	WeightAfterLastTransparency float64 `gorm:"column:weight_after_last_transparency" json:"weight_after_last_transparency"`
	WeighingWay                 string  `gorm:"column:weighing_way" json:"weighing_way"`
	WeighingBefore              float64 `gorm:"column:weighing_before" json:"weighing_before"`
	AdditionalWeight            float64 `gorm:"column:additional_weight" json:"additional_weight"`
	WeightBefore                float64 `gorm:"column:weight_before" json:"weight_before"`
	WeightGain                  float64 `gorm:"column:weight_gain" json:"weight_gain"`
	PreloadedDewatering         float64 `gorm:"column:preloaded_dewatering" json:"preloaded_dewatering"`
	UltrafiltrationAmount       float64 `gorm:"column:ultrafiltration_amount" json:"ultrafiltration_amount"`
	DialysisInterphase          string  `gorm:"column:dialysis_interphase" json:"dialysis_interphase"`
	LastPostDialysis            string  `gorm:"column:last_post_dialysis" json:"last_post_dialysis"`
	SymptomBeforeDialysis       string  `gorm:"column:symptom_before_dialysis" json:"symptom_before_dialysis"`
	InternalFistula             string  `gorm:"column:internal_fistula" json:"internal_fistula"`
	InternalFistulaSkin         string  `gorm:"column:internal_fistula_skin" json:"internal_fistula_skin"`
	Catheter                    string  `gorm:"column:catheter" json:"catheter"`
	CatheterBend                int     `gorm:"column:catheter_bend" json:"catheter_bend"`
	Complication                string  `gorm:"column:complication" json:"complication"`
	Evaluator                   int64   `gorm:"column:evaluator" json:"evaluator"`
	Creater                     int64   `gorm:"column:creater" json:"creater"`
	Remark                      string  `gorm:"column:remark" json:"remark"`
	Status                      int64   `gorm:"column:status" json:"status"`
	CreatedTime                 int64   `gorm:"column:created_time" json:"created_time"`
	UpdatedTime                 int64   `gorm:"column:updated_time" json:"updated_time"`
	Modifier                    int64   `gorm:"column:modifier" json:"modifier"`
	BloodAccessPartId           string  `gorm:"column:blood_access_part_id" json:"blood_access_part_id"`
	BloodAccessPartOperaId      int64   `gorm:"column:blood_access_part_opera_id" json:"blood_access_part_opera_id"`
	IsHemorrhage                int64   `gorm:"column:is_hemorrhage" json:"is_hemorrhage"`
	Hemorrhage                  string  `gorm:"column:hemorrhage" json:"hemorrhage"`
	HemorrhageOther             string  `gorm:"column:hemorrhage_other" json:"hemorrhage_other"`
	PunctureMethod              string  `gorm:"column:puncture_method" json:"puncture_method"`
	BloodAccessInternalFistula  string  `gorm:"column:blood_access_internal_fistula" json:"blood_access_internal_fistula"`
	InternalFistulaOther        string  `gorm:"column:internal_fistula_other" json:"internal_fistula_other"`

	BloodAccessNoise               int64   `gorm:"column:blood_access_noise" json:"blood_access_noise"`
	PunctureWay                    string  `gorm:"column:puncture_way" json:"puncture_way"`
	VenousCatheterization          int64   `gorm:"column:venous_catheterization" json:"venous_catheterization"`
	VenousCatheterizationPart      int64   `gorm:"column:venous_catheterization_part" json:"venous_catheterization_part"`
	VenousCatheterizationPartOther string  `gorm:"column:venous_catheterization_part_other" json:"venous_catheterization_part_other"`
	DuctusArantii                  string  `gorm:"column:ductus_arantii" json:"ductus_arantii"`
	EmergencyTreatment             int64   `gorm:"column:emergency_treatment" json:"emergency_treatment"`
	EmergencyTreatmentOther        string  `gorm:"column:emergency_treatment_other" json:"emergency_treatment_other"`
	DialysisCount                  int64   `gorm:"column:dialysis_count" json:"dialysis_count"`
	AssessmentDoctor               int64   `gorm:"column:assessment_doctor" json:"assessment_doctor"`
	AssessmentTime                 int64   `gorm:"column:assessment_time" json:"assessment_time"`
	MachineType                    string  `gorm:"column:machine_type" json:"machine_type"`
	IsInfect                       int64   `gorm:"column:is_infect" json:"is_infect"`
	Exposed                        float64 `gorm:"column:exposed" json:"exposed"`
	Skin                           string  `gorm:"column:skin" json:"skin"`
	SkinOther                      string  `gorm:"column:skin_other" json:"skin_other"`
	InfectOther                    string  `gorm:"column:infect_other" json:"infect_other"`
	DuctusArantiiOther             string  `gorm:"column:ductus_arantii_other" json:"ductus_arantii_other"`
	PunctureNeedle                 string  `gorm:"column:puncture_needle" json:"puncture_needle"`
	LastPostDialysisOther          string  `gorm:"column:last_post_dialysis_other" json:"last_post_dialysis_other"`
	SymptomBeforeDialysisOther     string  `gorm:"column:symptom_before_dialysis_other" json:"symptom_before_dialysis_other"`
	DialysisInterphaseOther        string  `gorm:"column:dialysis_interphase_other" json:"dialysis_interphase_other"`
	HumorExcessiveSymptom          int64   `gorm:"column:humor_excessive_symptom" json:"humor_excessive_symptom"`
	Phinholing                     string  `gorm:"column:pinholing" json:"pinholing" form:"pinholing"`
	CatheterSuture                 string  `gorm:"column:catheter_suture" json:"catheter_suture" form:"catheter_suture"`
	CatheterSutureOther            string  `gorm:"column:catheter_suture_other" json:"catheter_suture_other" form:"catheter_suture_other"`
	UrineVolume                    float64 `gorm:"column:urine_volume" json:"urine_volume" form:"urine_volume"`
	Edema                          string  `gorm:"column:edema" json:"edema" form:"edema"`
	SpecialTreatment               string  `gorm:"column:special_treatment" json:"special_treatment" form:"special_treatment"`
	CatheterMaintenance            string  `gorm:"column:catheter_maintenance" json:"catheter_maintenance" form:"catheter_maintenance"`
}

func (PredialysisEvaluation) TableName() string {
	return "xt_assessment_before_dislysis"
}

type PredialysisEvaluationList struct {
	ID                     int64   `gorm:"column:id" json:"id"`
	UserOrgId              int64   `gorm:"column:user_org_id" json:"user_org_id"`
	PatientId              int64   `gorm:"column:patient_id" json:"patient_id"`
	AssessmentDate         int64   `gorm:"column:assessment_date" json:"assessment_date"`
	WeightBefore           float64 `gorm:"column:weight_before" json:"weight_before"`
	CreatedTime            int64   `gorm:"column:created_time" json:"created_time"`
	SystolicBloodPressure  float64 `gorm:"column:systolic_blood_pressure" json:"systolic_blood_pressure"`
	DiastolicBloodPressure float64 `gorm:"column:diastolic_blood_pressure" json:"diastolic_blood_pressure"`
	DryWeight              float64 `gorm:"column:dry_weight" json:"dry_weight"`
}

func (PredialysisEvaluationList) TableName() string {
	return "xt_assessment_before_dislysis"
}

//更改的地方
type DoctorAdvices struct {
	ID                    int64           `gorm:"column:id" json:"id" form:"id"`
	GroupNo               int64           `gorm:"column:groupno" json:"groupno" form:"groupno"`
	UserOrgId             int64           `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	PatientId             int64           `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	AdviceType            int64           `gorm:"column:advice_type" json:"advice_type" form:"advice_type"`
	AdviceDate            int64           `gorm:"column:advice_date" json:"advice_date" form:"advice_date"`
	StartTime             int64           `gorm:"column:start_time" json:"start_time" form:"start_time"`
	AdviceName            string          `gorm:"column:advice_name" json:"advice_name" form:"advice_name"`
	AdviceDesc            string          `gorm:"column:advice_desc" json:"advice_desc" form:"advice_desc"`
	ReminderDate          int64           `gorm:"column:reminder_date" json:"reminder_date" form:"reminder_date"`
	SingleDose            float64         `gorm:"column:single_dose" json:"single_dose" form:"single_dose"`
	SingleDoseUnit        string          `gorm:"column:single_dose_unit" json:"single_dose_unit" form:"single_dose_unit"`
	DrugSpec              float64         `gorm:"column:drug_spec" json:"drug_spec" form:"drug_spec"`
	DrugSpecUnit          string          `gorm:"column:drug_spec_unit" json:"drug_spec_unit" form:"drug_spec_unit"`
	PrescribingNumber     float64         `gorm:"column:prescribing_number" json:"prescribing_number" form:"prescribing_number"`
	PrescribingNumberUnit string          `gorm:"column:prescribing_number_unit" json:"prescribing_number_unit" form:"prescribing_number_unit"`
	DeliveryWay           string          `gorm:"column:delivery_way" json:"delivery_way" form:"delivery_way"`
	ExecutionFrequency    string          `gorm:"column:execution_frequency" json:"execution_frequency" form:"execution_frequency"`
	AdviceDoctor          int64           `gorm:"column:advice_doctor" json:"advice_doctor" form:"advice_doctor"`
	Status                int64           `gorm:"column:status" json:"status" form:"status"`
	CreatedTime           int64           `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime           int64           `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	AdviceAffirm          string          `gorm:"column:advice_affirm" json:"advice_affirm" form:"advice_affirm"`
	Remark                string          `gorm:"column:remark" json:"remark" form:"remark"`
	StopTime              int64           `gorm:"column:stop_time" json:"stop_time" form:"stop_time"`
	StopReason            string          `gorm:"column:stop_reason" json:"stop_reason" form:"stop_reason"`
	StopDoctor            int64           `gorm:"column:stop_doctor" json:"stop_doctor" form:"stop_doctor"`
	StopState             int64           `gorm:"column:stop_state" json:"stop_state" form:"stop_state"`
	ParentId              int64           `gorm:"column:parent_id" json:"parent_id" form:"parent_id"`
	ExecutionTime         int64           `gorm:"column:execution_time" json:"execution_time" form:"execution_time"`
	ExecutionStaff        int64           `gorm:"column:execution_staff" json:"execution_staff" form:"execution_staff"`
	ExecutionState        int64           `gorm:"column:execution_state" json:"execution_state" form:"execution_state"`
	Checker               int64           `gorm:"column:checker" json:"checker" form:"checker"`
	RecordDate            int64           `gorm:"column:record_date" json:"record_date"`
	DialysisOrderId       int64           `gorm:"column:dialysis_order_id" json:"dialysis_order_id"`
	CheckTime             int64           `gorm:"column:check_time" json:"check_time" form:"check_time"`
	CheckState            int64           `gorm:"column:check_state" json:"check_state" form:"check_state"`
	AdviceId              int64           `gorm:"-"`
	RemindType            int64           `gorm:"column:remind_type" json:"remind_type"`
	FrequencyType         int64           `gorm:"column:frequency_type" json:"frequency_type"`
	DayCount              int64           `gorm:"column:day_count" json:"day_count"`
	WeekDay               string          `gorm:"column:week_day" json:"week_day"`
	ChildDoctorAdvice     []*DoctorAdvice `gorm:"ForeignKey:ParentId;AssociationForeignKey:ID" json:"child"`
	TemplateId            string          `gorm:"column:template_id" json:"template_id"`
	UserName              string          `gorm:"column:user_name" json:"user_name" form:"user_name"`
	Name                  string          `gorm:"column:name" json:"name" form:"name"`
}

type DoctorAdvice struct {
	ID                    int64           `gorm:"column:id" json:"id" form:"id"`
	GroupNo               int64           `gorm:"column:groupno" json:"groupno" form:"groupno"`
	UserOrgId             int64           `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	PatientId             int64           `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	AdviceType            int64           `gorm:"column:advice_type" json:"advice_type" form:"advice_type"`
	AdviceDate            int64           `gorm:"column:advice_date" json:"advice_date" form:"advice_date"`
	StartTime             int64           `gorm:"column:start_time" json:"start_time" form:"start_time"`
	AdviceName            string          `gorm:"column:advice_name" json:"advice_name" form:"advice_name"`
	AdviceDesc            string          `gorm:"column:advice_desc" json:"advice_desc" form:"advice_desc"`
	ReminderDate          int64           `gorm:"column:reminder_date" json:"reminder_date" form:"reminder_date"`
	SingleDose            float64         `gorm:"column:single_dose" json:"single_dose" form:"single_dose"`
	SingleDoseUnit        string          `gorm:"column:single_dose_unit" json:"single_dose_unit" form:"single_dose_unit"`
	DrugSpec              float64         `gorm:"column:drug_spec" json:"drug_spec" form:"drug_spec"`
	DrugSpecUnit          string          `gorm:"column:drug_spec_unit" json:"drug_spec_unit" form:"drug_spec_unit"`
	PrescribingNumber     float64         `gorm:"column:prescribing_number" json:"prescribing_number" form:"prescribing_number"`
	PrescribingNumberUnit string          `gorm:"column:prescribing_number_unit" json:"prescribing_number_unit" form:"prescribing_number_unit"`
	DeliveryWay           string          `gorm:"column:delivery_way" json:"delivery_way" form:"delivery_way"`
	ExecutionFrequency    string          `gorm:"column:execution_frequency" json:"execution_frequency" form:"execution_frequency"`
	AdviceDoctor          int64           `gorm:"column:advice_doctor" json:"advice_doctor" form:"advice_doctor"`
	Status                int64           `gorm:"column:status" json:"status" form:"status"`
	CreatedTime           int64           `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime           int64           `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	AdviceAffirm          string          `gorm:"column:advice_affirm" json:"advice_affirm" form:"advice_affirm"`
	Remark                string          `gorm:"column:remark" json:"remark" form:"remark"`
	StopTime              int64           `gorm:"column:stop_time" json:"stop_time" form:"stop_time"`
	StopReason            string          `gorm:"column:stop_reason" json:"stop_reason" form:"stop_reason"`
	StopDoctor            int64           `gorm:"column:stop_doctor" json:"stop_doctor" form:"stop_doctor"`
	StopState             int64           `gorm:"column:stop_state" json:"stop_state" form:"stop_state"`
	ParentId              int64           `gorm:"column:parent_id" json:"parent_id" form:"parent_id"`
	ExecutionTime         int64           `gorm:"column:execution_time" json:"execution_time" form:"execution_time"`
	ExecutionStaff        int64           `gorm:"column:execution_staff" json:"execution_staff" form:"execution_staff"`
	ExecutionState        int64           `gorm:"column:execution_state" json:"execution_state" form:"execution_state"`
	Checker               int64           `gorm:"column:checker" json:"checker" form:"checker"`
	RecordDate            int64           `gorm:"column:record_date" json:"record_date"`
	DialysisOrderId       int64           `gorm:"column:dialysis_order_id" json:"dialysis_order_id"`
	CheckTime             int64           `gorm:"column:check_time" json:"check_time" form:"check_time"`
	CheckState            int64           `gorm:"column:check_state" json:"check_state" form:"check_state"`
	AdviceId              int64           `gorm:"-"`
	RemindType            int64           `gorm:"column:remind_type" json:"remind_type"`
	FrequencyType         int64           `gorm:"column:frequency_type" json:"frequency_type"`
	DayCount              int64           `gorm:"column:day_count" json:"day_count"`
	WeekDay               string          `gorm:"column:week_day" json:"week_day"`
	ChildDoctorAdvice     []*DoctorAdvice `gorm:"ForeignKey:ParentId;AssociationForeignKey:ID" json:"child"`
	TemplateId            string          `gorm:"column:template_id" json:"template_id"`
	Modifier              int64           `gorm:"column:modifier" json:"modifier" form:"modifier"`
	IsCheck               int64           `gorm:"-" json:"is_check" form:"is_check"`
	Way                   int64           `gorm:"column:way" json:"way" form:"way"`
	DrugId                int64           `gorm:"column:drug_id" json:"drug_id" form:"drug_id"`
	DrugNameId            int64           `gorm:"column:drug_name_id" json:"drug_name_id" form:"drug_name_id"`
}

func (DoctorAdvice) TableName() string {
	return "xt_doctor_advice"
}

type XtDoctorAdvice struct {
	ID                    int64   `gorm:"column:id" json:"id" form:"id"`
	UserOrgId             int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	PatientId             int64   `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	AdviceType            int64   `gorm:"column:advice_type" json:"advice_type" form:"advice_type"`
	AdviceDate            int64   `gorm:"column:advice_date" json:"advice_date" form:"advice_date"`
	StartTime             int64   `gorm:"column:start_time" json:"start_time" form:"start_time"`
	AdviceName            string  `gorm:"column:advice_name" json:"advice_name" form:"advice_name"`
	AdviceDesc            string  `gorm:"column:advice_desc" json:"advice_desc" form:"advice_desc"`
	ReminderDate          int64   `gorm:"column:reminder_date" json:"reminder_date" form:"reminder_date"`
	SingleDose            float64 `gorm:"column:single_dose" json:"single_dose" form:"single_dose"`
	SingleDoseUnit        string  `gorm:"column:single_dose_unit" json:"single_dose_unit" form:"single_dose_unit"`
	PrescribingNumber     float64 `gorm:"column:prescribing_number" json:"prescribing_number" form:"prescribing_number"`
	PrescribingNumberUnit string  `gorm:"column:prescribing_number_unit" json:"prescribing_number_unit" form:"prescribing_number_unit"`
	DeliveryWay           string  `gorm:"column:delivery_way" json:"delivery_way" form:"delivery_way"`
	ExecutionFrequency    string  `gorm:"column:execution_frequency" json:"execution_frequency" form:"execution_frequency"`
	AdviceDoctor          int64   `gorm:"column:advice_doctor" json:"advice_doctor" form:"advice_doctor"`
	Status                int64   `gorm:"column:status" json:"status" form:"status"`
	CreatedTime           int64   `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime           int64   `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	AdviceAffirm          string  `gorm:"column:advice_affirm" json:"advice_affirm" form:"advice_affirm"`
	Remark                string  `gorm:"column:remark" json:"remark" form:"remark"`
	StopTime              int64   `gorm:"column:stop_time" json:"stop_time" form:"stop_time"`
	StopReason            string  `gorm:"column:stop_reason" json:"stop_reason" form:"stop_reason"`
	StopDoctor            int64   `gorm:"column:stop_doctor" json:"stop_doctor" form:"stop_doctor"`
	StopState             int64   `gorm:"column:stop_state" json:"stop_state" form:"stop_state"`
	ParentId              int64   `gorm:"column:parent_id" json:"parent_id" form:"parent_id"`
	ExecutionTime         int64   `gorm:"column:execution_time" json:"execution_time" form:"execution_time"`
	ExecutionStaff        int64   `gorm:"column:execution_staff" json:"execution_staff" form:"execution_staff"`
	ExecutionState        int64   `gorm:"column:execution_state" json:"execution_state" form:"execution_state"`
	Checker               int64   `gorm:"column:checker" json:"checker" form:"checker"`
	RecordDate            int64   `gorm:"column:record_date" json:"record_date" form:"record_date"`
	DialysisOrderId       int64   `gorm:"column:dialysis_order_id" json:"dialysis_order_id" form:"dialysis_order_id"`
	CheckTime             int64   `gorm:"column:check_time" json:"check_time" form:"check_time"`
	CheckState            int64   `gorm:"column:check_state" json:"check_state" form:"check_state"`
	DrugSpec              float64 `gorm:"column:drug_spec" json:"drug_spec" form:"drug_spec"`
	DrugSpecUnit          string  `gorm:"column:drug_spec_unit" json:"drug_spec_unit" form:"drug_spec_unit"`
	Groupno               int64   `gorm:"column:groupno" json:"groupno" form:"groupno"`
	RemindType            int64   `gorm:"column:remind_type" json:"remind_type" form:"remind_type"`
	FrequencyType         int64   `gorm:"column:frequency_type" json:"frequency_type" form:"frequency_type"`
	DayCount              int64   `gorm:"column:day_count" json:"day_count" form:"day_count"`
	WeekDay               string  `gorm:"column:week_day" json:"week_day" form:"week_day"`
	TemplateId            string  `gorm:"column:template_id" json:"template_id" form:"template_id"`
	UserName              string  `gorm:"column:user_name" json:"user_name" form:"user_name"`
	CheckerName           string  `gorm:"column:user_name" json:"name" form:"name"`
	Modifier              int64   `gorm:"column:modifier" json:"modifier" form:"modifier"`
}

func (XtDoctorAdvice) TableName() string {
	return "xt_doctor_advice"
}

type GroupAdvice struct {
	DoctorAdvice
	Children []*GroupAdvice
}

func (GroupAdvice) TableName() string {
	return "xt_doctor_advice"
}

type DoubleCheck struct {
	ID                         int64  `gorm:"column:id" json:"id"`
	UserOrgId                  int64  `gorm:"column:user_org_id" json:"user_org_id"`
	PatientId                  int64  `gorm:"column:patient_id" json:"patient_id"`
	DialysisOrderId            int64  `gorm:"column:dialysis_order_id" json:"dialysis_order_id"`
	CheckDate                  int64  `gorm:"column:check_date" json:"check_date"`
	DialysisItemCheck          int64  `gorm:"column:dialysis_item_check" json:"dialysis_item_check"`
	DialysisItemDesc           string `gorm:"column:dialysis_item_desc" json:"dialysis_item_desc"`
	DialysisParameterCheck     int64  `gorm:"column:dialysis_parameter_check" json:"dialysis_parameter_check"`
	DialysisParameterDesc      string `gorm:"column:dialysis_parameter_desc" json:"dialysis_parameter_desc"`
	VascularAccessVerification int64  `gorm:"column:vascular_access_verification" json:"vascular_access_verification"`
	VascularAccessDesc         string `gorm:"column:vascular_access_desc" json:"vascular_access_desc"`
	PipelineConnectionCheck    int64  `gorm:"column:pipeline_connection_check" json:"pipeline_connection_check"`
	PipelineConnectionDesc     string `gorm:"column:pipeline_connection_desc" json:"pipeline_connection_desc"`
	Collator                   int64  `gorm:"column:collator" json:"collator"`
	Status                     int64  `gorm:"column:status" json:"status"`
	CreatedTime                int64  `gorm:"column:created_time" json:"created_time"`
	UpdatedTime                int64  `gorm:"column:updated_time" json:"updated_time"`
	Creater                    int64  `gorm:"column:creater" json:"creater"`
	Modifier                   int64  `gorm:"column:modifier" json:"modifier"`
	CheckTime                  int64  `gorm:"column:check_time" json:"check_time"`
	FirstCheckTime             int64  `gorm:"column:first_check_time" json:"first_check_time"`
}

func (DoubleCheck) TableName() string {
	return "xt_double_check"
}

type AssessmentAfterDislysis struct {
	ID                     int64   `gorm:"column:id" json:"id"`
	UserOrgId              int64   `gorm:"column:user_org_id" json:"user_org_id"`
	PatientId              int64   `gorm:"column:patient_id" json:"patient_id"`
	AssessmentDate         int64   `gorm:"column:assessment_date" json:"assessment_date"`
	DialysisOrderId        int64   `gorm:"column:dialysis_order_id" json:"dialysis_order_id"`
	Temperature            float64 `gorm:"column:temperature" json:"temperature"`
	PulseFrequency         float64 `gorm:"column:pulse_frequency" json:"pulse_frequency"`
	BreathingRate          float64 `gorm:"column:breathing_rate" json:"breathing_rate"`
	SystolicBloodPressure  float64 `gorm:"column:systolic_blood_pressure" json:"systolic_blood_pressure"`
	DiastolicBloodPressure float64 `gorm:"column:diastolic_blood_pressure" json:"diastolic_blood_pressure"`
	BloodPressureType      int64   `gorm:"column:blood_pressure_type" json:"blood_pressure_type"`
	ActualUltrafiltration  float64 `gorm:"column:actual_ultrafiltration" json:"actual_ultrafiltration"`
	ActualDisplacement     float64 `gorm:"column:actual_displacement" json:"actual_displacement"`
	ActualTreatmentHour    int64   `gorm:"column:actual_treatment_hour" json:"actual_treatment_hour"`
	ActualTreatmentMinute  int64   `gorm:"column:actual_treatment_minute" json:"actual_treatment_minute"`
	WeighingWay            string  `gorm:"column:weighing_way" json:"weighing_way"`
	WeightAfter            float64 `gorm:"column:weight_after" json:"weight_after"`
	AdditionalWeight       float64 `gorm:"column:additional_weight" json:"additional_weight"`
	WeightLoss             float64 `gorm:"column:weight_loss" json:"weight_loss"`
	Cruor                  string  `gorm:"column:cruor" json:"cruor"`
	SymptomAfterDialysis   string  `gorm:"column:symptom_after_dialysis" json:"symptom_after_dialysis"`
	InternalFistula        string  `gorm:"column:internal_fistula" json:"internal_fistula"`
	// InternalFistulaSkin             string  `gorm:"column:internal_fistula_skin" json:"internal_fistula_skin"`
	Catheter string `gorm:"column:catheter" json:"catheter"`
	// CatheterBend                    int     `gorm:"column:catheter_bend" json:"catheter_bend"`
	Complication                    string  `gorm:"column:complication" json:"complication"`
	Evaluator                       int64   `gorm:"column:evaluator" json:"evaluator"`
	Remark                          string  `gorm:"column:remark" json:"remark"`
	DialysisIntakes                 int64   `gorm:"column:dialysis_intakes" json:"dialysis_intakes"`
	DialysisIntakesFeed             int64   `gorm:"column:dialysis_intakes_feed" json:"dialysis_intakes_feed"`
	DialysisIntakesTransfusion      int64   `gorm:"column:dialysis_intakes_transfusion" json:"dialysis_intakes_transfusion"`
	DialysisIntakesBloodTransfusion int64   `gorm:"column:dialysis_intakes_blood_transfusion" json:"dialysis_intakes_blood_transfusion"`
	DialysisIntakesWashpipe         int64   `gorm:"column:dialysis_intakes_washpipe" json:"dialysis_intakes_washpipe"`
	Status                          int64   `gorm:"column:status" json:"status"`
	CreatedTime                     int64   `gorm:"column:created_time" json:"created_time"`
	UpdatedTime                     int64   `gorm:"column:updated_time" json:"updated_time"`
	Creater                         int64   `gorm:"column:creater" json:"creater"`
	Modifier                        int64   `gorm:"column:modifier" json:"modifier"`
	BloodAccessPartId               int64   `gorm:"column:blood_access_part_id" json:"blood_access_part_id"`
	BloodAccessPartOperaId          int64   `gorm:"column:blood_access_part_opera_id" json:"blood_access_part_opera_id"`
	PuncturePointOozingBlood        int64   `gorm:"column:puncture_point_oozing_blood" json:"puncture_point_oozing_blood"`
	PuncturePointHaematoma          int64   `gorm:"column:puncture_point_haematoma" json:"puncture_point_haematoma"`
	InternalFistulaTremorAc         int64   `gorm:"column:internal_fistula_tremor_ac" json:"internal_fistula_tremor_ac"`
	PatientGose                     int64   `gorm:"column:patient_gose" json:"patient_gose"`
	InpatientDepartment             string  `gorm:"column:inpatient_department" json:"inpatient_department"`
	ObservationContent              string  `gorm:"column:observation_content" json:"observation_content"`
	ObservationContentOther         string  `gorm:"column:observation_content_other" json:"observation_content_other"`
	DryWeight                       float64 `gorm:"column:dry_weight" json:"dry_weight"`
	DialysisProcess                 int64   `gorm:"column:dialysis_process" json:"dialysis_process"`
	InAdvanceMinute                 float64 `gorm:"column:in_advance_minute" json:"in_advance_minute"`
	InAdvanceReason                 string  `gorm:"column:in_advance_reason" json:"in_advance_reason"`
	HemostasisMinute                int64   `gorm:"column:hemostasis_minute" json:"hemostasis_minute"`
	HemostasisOpera                 int64   `gorm:"column:hemostasis_opera" json:"hemostasis_opera"`
	TremorNoise                     int64   `gorm:"column:tremor_noise" json:"tremor_noise"`
	DisequilibriumSyndrome          int64   `gorm:"column:disequilibrium_syndrome" json:"disequilibrium_syndrome"`
	DisequilibriumSyndromeOption    string  `gorm:"column:disequilibrium_syndrome_option" json:"disequilibrium_syndrome_option"`
	ArterialTube                    int64   `gorm:"column:arterial_tube" json:"arterial_tube"`
	IntravenousTube                 int64   `gorm:"column:intravenous_tube" json:"intravenous_tube"`
	Dialyzer                        int64   `gorm:"column:dialyzer" json:"dialyzer"`
	InAdvanceReasonOther            string  `gorm:"column:in_advance_reason_other" json:"in_advance_reason_other"`
	AssessmentTime                  int64   `gorm:"column:assessment_time" json:"assessment_time"`
	AssessmentDoctor                int64   `gorm:"column:assessment_doctor" json:"assessment_doctor"`
	IsEat                           int64   `gorm:"column:is_eat" json:"is_eat"`
	DialysisIntakesUnit             int64   `gorm:"column:dialysis_intakes_unit" json:"dialysis_intakes_unit"`
	CvcA                            float64 `gorm:"column:cvc_a" json:"cvc_a" form:"cvc_a"`
	CvcV                            float64 `gorm:"column:cvc_v" json:"cvc_v" form:"cvc_v"`
	ReturnBlood                     int64   `gorm:"column:return_blood" json:"return_blood" form:"return_blood"`
	RehydrationVolume               int64   `gorm:"column:rehydration_volume" json:"rehydration_volume" form:"rehydration_volume"`
	DialysisDuring                  int64   `gorm:"column:dialysis_during" json:"dialysis_during" form:"dialysis_during"`
	StrokeVolume                    int64   `gorm:"column:stroke_volume" json:"stroke_volume" form:"stroke_volume"`
	Channel                         int64   `gorm:"column:channel" json:"channel" form:"channel"`
	BloodFlow                       int64   `gorm:"column:blood_flow" json:"blood_flow" form:"blood_flow"`
	SealingFluidDispose             string  `gorm:"column:sealing_fluid_dispose" json:"sealing_fluid_dispose" form:"sealing_fluid_dispose"`
	SealingFluidSpecial             string  `gorm:"column:sealing_fluid_special" json:"sealing_fluid_special" form:"sealing_fluid_special"`
	DosageOfAnticoagulants          float64 `gorm:"column:dosage_of_anticoagulants" json:"dosage_of_anticoagulants" form:"dosage_of_anticoagulants"`
	SupineSystolicBloodPressure     string  `gorm:"column:supine_systolic_blood_pressure" json:"supine_systolic_blood_pressure" form:"supine_systolic_blood_pressure"`
	SettingPressure                 string  `gorm:"column:setting_pressure" json:"setting_pressure" form:"setting_pressure"`
	SupineDiastolicBloodPressure    string  `gorm:"column:supine_diastolic_blood_pressure" json:"supine_diastolic_blood_pressure" form:"supine_diastolic_blood_pressure"`
	DiastolicPressure               string  `gorm:"column:diastolic_pressure" json:"diastolic_pressure" form:"diastolic_pressure"`
	OtherComplication               string  `gorm:"column:other_complication" json:"other_complication" form:"other_complication"`
}

func (AssessmentAfterDislysis) TableName() string {
	return "xt_assessment_after_dislysis"
}

type TreatmentSummary struct {
	ID                int64  `gorm:"column:id" json:"id"`
	UserOrgId         int64  `gorm:"column:user_org_id" json:"user_org_id"`
	PatientId         int64  `gorm:"column:patient_id" json:"patient_id"`
	AssessmentDate    int64  `gorm:"column:assessment_date" json:"assessment_date"`
	DialysisOrderId   int64  `gorm:"column:dialysis_order_id" json:"dialysis_order_id"`
	Mission           string `gorm:"column:mission" json:"mission"`
	DialysisSummary   string `gorm:"column:dialysis_summary" json:"dialysis_summary"`
	Change            int64  `gorm:"column:change" json:"change"`
	SjNurse           int64  `gorm:"column:sj_nurse" json:"sj_nurse"`
	ZlNurse           int64  `gorm:"column:zl_nurse" json:"zl_nurse"`
	HdNurse           int64  `gorm:"column:hd_nurse" json:"hd_nurse"`
	XjNurse           int64  `gorm:"column:xj_nurse" json:"xj_nurse"`
	ZlDoctor          int64  `gorm:"column:zl_doctor" json:"zl_doctor"`
	ChannelImage      string `gorm:"column:channel_image" json:"channel_image"`
	Puncture          string `gorm:"column:puncture" json:"puncture"`
	PunctureNeedle    string `gorm:"column:puncture_needle" json:"puncture_needle"`
	PunctureDirection string `gorm:"column:puncture_direction" json:"puncture_direction"`
	Status            int64  `gorm:"column:status" json:"status"`
	CreatedTime       int64  `gorm:"column:created_time" json:"created_time"`
	UpdatedTime       int64  `gorm:"column:updated_time" json:"updated_time"`
	Creater           int64  `gorm:"column:creater" json:"creater"`
	Modifier          int64  `gorm:"column:modifier" json:"modifier"`
	NursingRecord     string `gorm:"column:nursing_record" json:"nursing_record" form:"nursing_record"`
	SpecialRecord     string `gorm:"column:special_record" json:"special_record" form:"special_record"`
}

func (TreatmentSummary) TableName() string {
	return "xt_treatment_summary"
}

type DryWeightAdjust struct {
	ID            int64   `gorm:"column:id" json:"id" form:"id"`
	UserOrgId     int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	PatientId     int64   `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Weight        float64 `gorm:"column:weight" json:"weight" form:"weight"`
	AdjustedValue float64 `gorm:"column:adjusted_value" json:"adjusted_value" form:"adjusted_value"`
	Doctor        int64   `gorm:"column:doctor" json:"doctor" form:"doctor"`
	RegistrarsId  int64   `gorm:"column:registrars_id" json:"registrars_id" form:"registrars_id"`
	Remark        string  `gorm:"column:remark" json:"remark" form:"remark"`
	Status        int64   `gorm:"column:status" json:"status" form:"status"`
	CreatedTime   int64   `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime   int64   `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
}

func (DryWeightAdjust) TableName() string {
	return "xt_dry_weight_adjust"
}

type MonitoringRecord struct {
	ID                        int64   `gorm:"column:id" json:"id"`
	UserOrgId                 int64   `gorm:"column:user_org_id" json:"user_org_id"`
	PatientId                 int64   `gorm:"column:patient_id" json:"patient_id"`
	DialysisOrderId           int64   `gorm:"column:dialysis_order_id" json:"dialysis_order_id"`
	MonitoringDate            int64   `gorm:"column:monitoring_date" json:"monitoring_date"`
	OperateTime               int64   `gorm:"column:operate_time" json:"operate_time"`
	MonitoringTime            string  `gorm:"column:monitoring_time" json:"monitoring_time"`
	PulseFrequency            float64 `gorm:"column:pulse_frequency" json:"pulse_frequency"`
	BreathingRate             float64 `gorm:"column:breathing_rate" json:"breathing_rate"`
	SystolicBloodPressure     float64 `gorm:"column:systolic_blood_pressure" json:"systolic_blood_pressure"`
	DiastolicBloodPressure    float64 `gorm:"column:diastolic_blood_pressure" json:"diastolic_blood_pressure"`
	BloodPressureType         int64   `gorm:"column:blood_pressure_type" json:"blood_pressure_type"`
	Pic                       string  `gorm:"column:pic" json:"pic"`
	BloodFlowVolume           float64 `gorm:"column:blood_flow_volume" json:"blood_flow_volume"`
	VenousPressure            float64 `gorm:"column:venous_pressure" json:"venous_pressure"`
	VenousPressureType        int64   `gorm:"column:venous_pressure_type" json:"venous_pressure_type"`
	ArterialPressure          float64 `gorm:"column:arterial_pressure" json:"arterial_pressure"`
	ArterialPressureType      int64   `gorm:"column:arterial_pressure_type" json:"arterial_pressure_type"`
	TransmembranePressure     float64 `gorm:"column:transmembrane_pressure" json:"transmembrane_pressure"`
	TransmembranePressureType int64   `gorm:"column:transmembrane_pressure_type" json:"transmembrane_pressure_type"`
	UltrafiltrationRate       float64 `gorm:"column:ultrafiltration_rate" json:"ultrafiltration_rate"`
	UltrafiltrationVolume     float64 `gorm:"column:ultrafiltration_volume" json:"ultrafiltration_volume"`
	SodiumConcentration       float64 `gorm:"column:sodium_concentration" json:"sodium_concentration"`
	DialysateTemperature      float64 `gorm:"column:dialysate_temperature" json:"dialysate_temperature"`
	Temperature               float64 `gorm:"column:temperature" json:"temperature"`
	ReplacementRate           float64 `gorm:"column:replacement_rate" json:"replacement_rate"`
	DisplacementQuantity      float64 `gorm:"column:displacement_quantity" json:"displacement_quantity"`
	Ktv                       float64 `gorm:"column:ktv" json:"ktv"`
	Symptom                   string  `gorm:"column:symptom" json:"symptom"`
	Dispose                   string  `gorm:"column:dispose" json:"dispose"`
	Result                    string  `gorm:"column:result" json:"result"`
	MonitoringNurse           int64   `gorm:"column:monitoring_nurse" json:"monitoring_nurse"`
	Status                    int64   `gorm:"column:status" json:"status"`
	CreatedTime               int64   `gorm:"column:created_time" json:"created_time"`
	UpdatedTime               int64   `gorm:"column:updated_time" json:"updated_time"`
	Conductivity              float64 `gorm:"column:conductivity" json:"conductivity"`
	DisplacementFlowQuantity  float64 `gorm:"column:displacement_flow_quantity" json:"displacement_flow_quantity"`
	BloodOxygenSaturation     string  `gorm:"column:blood_oxygen_saturation" json:"blood_oxygen_saturation" form:"blood_oxygen_saturation"`
	Creator                   int64   `gorm:"column:creator" json:"creator" form:"creator"`
	Modify                    int64   `gorm:"column:modify" json:"modify" form:"modify"`
	Heparin                   float64 `gorm:"column:heparin" json:"heparin" form:"heparin"`
	DialysateFlow             float64 `gorm:"column:dialysate_flow" json:"dialysate_flow" form:"dialysate_flow"`
	Urr                       string  `gorm:"column:urr" json:"urr"`
	BloodSugar                float64 `gorm:"column:blood_sugar" json:"blood_sugar" form:"blood_sugar"`
}

func (MonitoringRecord) TableName() string {
	return "xt_monitoring_record"
}

type DialysisOrders struct {
	ID             int64        `gorm:"column:id" json:"id"`
	DialysisDate   int64        `gorm:"column:dialysis_date" json:"dialysis_date"`
	UserOrgId      int64        `gorm:"column:user_org_id" json:"user_org_id"`
	PatientId      int64        `gorm:"column:patient_id" json:"patient_id"`
	PrescriptionId int64        `gorm:"column:prescription_id" json:"prescription_id"`
	Stage          int64        `gorm:"column:stage" json:"stage"`
	Remark         string       `gorm:"column:remark" json:"remark"`
	BedID          int64        `gorm:"column:bed_id" json:"bed_id"`
	StartNurse     int64        `gorm:"column:start_nurse" json:"start_nurse"`
	FinishNurse    int64        `gorm:"column:finish_nurse" json:"finish_nurse"`
	Status         int64        `gorm:"column:status" json:"status"`
	CreatedTime    int64        `gorm:"column:created_time" json:"created_time"`
	UpdatedTime    int64        `gorm:"column:updated_time" json:"updated_time"`
	DeviceNumber   DeviceNumber `gorm:"ForeignKey:BedID"`
	StartTime      int64        `gorm:"column:start_time" json:"start_time"`
	EndTime        int64        `gorm:"column:end_time" json:"end_time"`
	PunctureNurse  int64        `gorm:"column:puncture_nurse" json:"puncture_nurse"`
	Creator        int64        `gorm:"column:creator" json:"creator"`
	Modifier       int64        `gorm:"column:modifier" json:"modifier"`
	FinishCreator  int64        `gorm:"column:finish_creator" json:"finish_creator"`
	FinishModifier int64        `gorm:"column:finish_modifier" json:"finish_modifier"`
	SchedualType   int64        `gorm:"column:schedual_type" json:"schedual_type"`
	Name           int64        `gorm:"column:name" json:"name"`
	Number         string       `gorm:"column:number" json:"number"`
}

type DialysisOrder struct {
	ID             int64         `gorm:"column:id" json:"id"`
	DialysisDate   int64         `gorm:"column:dialysis_date" json:"dialysis_date"`
	UserOrgId      int64         `gorm:"column:user_org_id" json:"user_org_id"`
	PatientId      int64         `gorm:"column:patient_id" json:"patient_id"`
	PrescriptionId int64         `gorm:"column:prescription_id" json:"prescription_id"`
	Stage          int64         `gorm:"column:stage" json:"stage"`
	Remark         string        `gorm:"column:remark" json:"remark"`
	BedID          int64         `gorm:"column:bed_id" json:"bed_id"`
	StartNurse     int64         `gorm:"column:start_nurse" json:"start_nurse"`
	FinishNurse    int64         `gorm:"column:finish_nurse" json:"finish_nurse"`
	Status         int64         `gorm:"column:status" json:"status"`
	CreatedTime    int64         `gorm:"column:created_time" json:"created_time"`
	UpdatedTime    int64         `gorm:"column:updated_time" json:"updated_time"`
	DeviceNumber   DeviceNumber  `gorm:"ForeignKey:BedID"`
	StartTime      int64         `gorm:"column:start_time" json:"start_time"`
	EndTime        int64         `gorm:"column:end_time" json:"end_time"`
	PunctureNurse  int64         `gorm:"column:puncture_nurse" json:"puncture_nurse"`
	Creator        int64         `gorm:"column:creator" json:"creator"`
	Modifier       int64         `gorm:"column:modifier" json:"modifier"`
	FinishCreator  int64         `gorm:"column:finish_creator" json:"finish_creator"`
	FinishModifier int64         `gorm:"column:finish_modifier" json:"finish_modifier"`
	SchedualType   int64         `gorm:"column:schedual_type" json:"schedual_type"`
	UserAdminRole  UserAdminRole `json:"role" gorm:"foreignkey:AdminUserId;AssociationForeignKey:StartNurse;"`
	WashpipeNurse  int64         `gorm:"column:washpipe_nurse" json:"washpipe_nurse" form:"washpipe_nurse"`
}

func (DialysisOrder) TableName() string {
	return "xt_dialysis_order"
}

type XtDialysisOrder struct {
	ID             int64  `gorm:"column:id" json:"id" form:"id"`
	DialysisDate   int64  `gorm:"column:dialysis_date" json:"dialysis_date" form:"dialysis_date"`
	UserOrgId      int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	PatientId      int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	PrescriptionId int64  `gorm:"column:prescription_id" json:"prescription_id" form:"prescription_id"`
	Stage          int64  `gorm:"column:stage" json:"stage" form:"stage"`
	Remark         string `gorm:"column:remark" json:"remark" form:"remark"`
	BedId          int64  `gorm:"column:bed_id" json:"bed_id" form:"bed_id"`
	StartNurse     int64  `gorm:"column:start_nurse" json:"start_nurse" form:"start_nurse"`
	FinishNurse    int64  `gorm:"column:finish_nurse" json:"finish_nurse" form:"finish_nurse"`
	Status         int64  `gorm:"column:status" json:"status" form:"status"`
	CreatedTime    int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime    int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	StartTime      int64  `gorm:"column:start_time" json:"start_time" form:"start_time"`
	EndTime        int64  `gorm:"column:end_time" json:"end_time" form:"end_time"`
	PunctureNurse  int64  `gorm:"column:puncture_nurse" json:"puncture_nurse" form:"puncture_nurse"`
	Creator        int64  `gorm:"column:creator" json:"creator" form:"creator"`
	Modifier       int64  `gorm:"column:modifier" json:"modifier" form:"modifier"`
	FinishCreator  int64  `gorm:"column:finish_creator" json:"finish_creator" form:"finish_creator"`
	FinishModifier int64  `gorm:"column:finish_modifier" json:"finish_modifier" form:"finish_modifier"`
	SchedualType   int64  `gorm:"column:schedual_type" json:"schedual_type" form:"schedual_type"`
	Number         int64  `gorm:"column:number" json:"number" form:"number"`
	UserName       int64  `gorm:"column:user_name" json:"user_name" form:"user_name"`
	WashpipeNurse  int64  `gorm:"column:washpipe_nurse" json:"washpipe_nurse" form:"washpipe_nurse"`
}

type XtDialysisOrders struct {
	ID             int64  `gorm:"column:id" json:"id" form:"id"`
	DialysisDate   int64  `gorm:"column:dialysis_date" json:"dialysis_date" form:"dialysis_date"`
	UserOrgId      int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	PatientId      int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	PrescriptionId int64  `gorm:"column:prescription_id" json:"prescription_id" form:"prescription_id"`
	Stage          int64  `gorm:"column:stage" json:"stage" form:"stage"`
	Remark         string `gorm:"column:remark" json:"remark" form:"remark"`
	BedId          int64  `gorm:"column:bed_id" json:"bed_id" form:"bed_id"`
	StartNurse     int64  `gorm:"column:start_nurse" json:"start_nurse" form:"start_nurse"`
	FinishNurse    int64  `gorm:"column:finish_nurse" json:"finish_nurse" form:"finish_nurse"`
	Status         int64  `gorm:"column:status" json:"status" form:"status"`
	CreatedTime    int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime    int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	StartTime      int64  `gorm:"column:start_time" json:"start_time" form:"start_time"`
	EndTime        int64  `gorm:"column:end_time" json:"end_time" form:"end_time"`
	PunctureNurse  int64  `gorm:"column:puncture_nurse" json:"puncture_nurse" form:"puncture_nurse"`
	Creator        int64  `gorm:"column:creator" json:"creator" form:"creator"`
	Modifier       int64  `gorm:"column:modifier" json:"modifier" form:"modifier"`
	FinishCreator  int64  `gorm:"column:finish_creator" json:"finish_creator" form:"finish_creator"`
	FinishModifier int64  `gorm:"column:finish_modifier" json:"finish_modifier" form:"finish_modifier"`
	SchedualType   int64  `gorm:"column:schedual_type" json:"schedual_type" form:"schedual_type"`
	Number         int64  `gorm:"column:number" json:"number" form:"number"`
	UserName       int64  `gorm:"column:user_name" json:"user_name" form:"user_name"`
	WashpipeNurse  int64  `gorm:"column:washpipe_nurse" json:"washpipe_nurse" form:"washpipe_nurse"`
}

func (XtDialysisOrder) TableName() string {
	return "xt_dialysis_order"
}

type TreatmentMode struct {
	ID                  int64  `gorm:"column:id" json:"id" form:"id"`
	Name                string `gorm:"column:name" json:"name" form:"name"`
	DialysisDuration    int64  `gorm:"column:dialysis_duration" json:"dialysis_duration" form:"dialysis_duration"`
	ReplacementWay      int64  `gorm:"column:replacement_way" json:"replacement_way" form:"replacement_way"`
	HemodialysisMachine int64  `gorm:"column:hemodialysis_machine" json:"hemodialysis_machine" form:"hemodialysis_machine"`
	BloodFilter         int64  `gorm:"column:blood_filter" json:"blood_filter" form:"blood_filter"`
	PerfusionApparatus  int64  `gorm:"column:perfusion_apparatus" json:"perfusion_apparatus" form:"perfusion_apparatus"`
	BloodFlowVolume     int64  `gorm:"column:blood_flow_volume" json:"blood_flow_volume" form:"blood_flow_volume"`
	DialysateFlow       int64  `gorm:"column:dialysate_flow" json:"dialysate_flow" form:"dialysate_flow"`
	Kalium              int64  `gorm:"column:kalium" json:"kalium" form:"kalium"`
	Sodium              int64  `gorm:"column:sodium" json:"sodium" form:"sodium"`
	Calcium             int64  `gorm:"column:calcium" json:"calcium" form:"calcium"`
	Bicarbonate         int64  `gorm:"column:bicarbonate" json:"bicarbonate" form:"bicarbonate"`
	Remark              string `gorm:"column:remark" json:"remark" form:"remark"`
	Status              int64  `gorm:"column:status" json:"status" form:"status"`
	CreatedTime         int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime         int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
}

func (TreatmentMode) TableName() string {
	return "xt_treatment_mode"
}

type ReceiveTreatmentAsses struct {
	ID                           int64  `gorm:"column:id" json:"id"`
	Way                          int64  `gorm:"column:way" json:"way"`
	Consciousness                int64  `gorm:"column:consciousness" json:"consciousness"`
	Appetite                     int64  `gorm:"column:appetite" json:"appetite"`
	Condition                    int64  `gorm:"column:condition" json:"condition"`
	Creater                      int64  `gorm:"column:creater" json:"creater"`
	Posture                      int64  `gorm:"column:posture" json:"posture"`
	CreatedTime                  int64  `gorm:"column:created_time" json:"created_time"`
	UpdateTime                   int64  `gorm:"column:update_time" json:"update_time"`
	RecordId                     int64  `gorm:"column:record_id" json:"record_id"`
	RecordDate                   int64  `gorm:"column:record_date" json:"record_date"`
	Modifier                     int64  `gorm:"column:modifier" json:"modifier"`
	Status                       int64  `gorm:"column:status" json:"status"`
	UserOrgId                    int64  `gorm:"column:user_org_id" json:"user_org_id"`
	PatientId                    int64  `gorm:"column:patient_id" json:"patient_id"`
	SickCondition                int64  `gorm:"column:sick_condition" json:"sick_condition"`
	DangerLevel                  int64  `gorm:"column:danger_level" json:"danger_level"`
	Intake                       int64  `gorm:"column:intake" json:"intake"`
	Nutrition                    int64  `gorm:"column:nutrition" json:"nutrition"`
	PsychologicalAssessment      int64  `gorm:"column:psychological_assessment" json:"psychological_assessment"`
	PsychologicalAssessmentOther string `gorm:"column:psychological_assessment_other" json:"psychological_assessment_other"`
	Score                        string `gorm:"column:score" json:"score"`
	SickConditionOther           string `gorm:"column:sick_condition_other" json:"sick_condition_other"`
	Precaution                   string `gorm:"column:precaution" json:"precaution"`
	PrecautionOther              string `gorm:"column:precaution_other" json:"precaution_other"`
	PsychologicalOther           string `gorm:"column:psychological_other" json:"psychological_other"`
	IsPrecaution                 int64  `gorm:"column:is_precaution" json:"is_precaution"`
	AdmissionNumber              string `gorm:"column:admission_number" json:"admission_number" form:"admission_number"`
}

func (ReceiveTreatmentAsses) TableName() string {
	return "xt_receive_treatment_asses"
}

type GobalTemplate struct {
	ID         int64 `gorm:"column:id" json:"id"`
	OrgId      int64 `gorm:"column:org_id" json:"org_id"`
	TemplateId int64 `gorm:"column:template_id" json:"template_id"`
	Status     int64 `gorm:"column:status" json:"status"`
	Ctime      int64 `gorm:"column:ctime" json:"ctime"`
	Mtime      int64 `gorm:"column:mtime" json:"mtime"`
}

func (GobalTemplate) TableName() string {
	return "xt_gobal_template"
}

type SgjUserAdminRole struct {
	ID                                      int64  `gorm:"column:id" json:"id" form:"id"`
	AdminUserId                             int64  `gorm:"column:admin_user_id" json:"admin_user_id" form:"admin_user_id"`
	OrgId                                   int64  `gorm:"column:org_id" json:"org_id" form:"org_id"`
	AppId                                   int64  `gorm:"column:app_id" json:"app_id" form:"app_id"`
	RoleId                                  int64  `gorm:"column:role_id" json:"role_id" form:"role_id"`
	UserName                                string `gorm:"column:user_name" json:"user_name" form:"user_name"`
	Avatar                                  string `gorm:"column:avatar" json:"avatar" form:"avatar"`
	UserType                                int64  `gorm:"column:user_type" json:"user_type" form:"user_type"`
	UserTitle                               int64  `gorm:"column:user_title" json:"user_title" form:"user_title"`
	Intro                                   string `gorm:"column:intro" json:"intro" form:"intro"`
	Status                                  int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime                                   int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime                                   int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Message                                 string `gorm:"column:message" json:"message" form:"message"`
	Sex                                     int64  `gorm:"column:sex" json:"sex" form:"sex"`
	Birthday                                int64  `gorm:"column:birthday" json:"birthday" form:"birthday"`
	UserTitleName                           string `gorm:"column:user_title_name" json:"user_title_name" form:"user_title_name"`
	RoleIds                                 string `gorm:"column:role_ids" json:"role_ids" form:"role_ids"`
	OrgName                                 string `gorm:"column:org_name" json:"org_name" form:"org_name"`
	OrgLogo                                 string `gorm:"column:org_logo" json:"org_logo" form:"org_logo"`
	Creator                                 int64  `gorm:"column:creator" json:"creator" form:"creator"`
	Age                                     int64  `gorm:"column:age" json:"age" form:"age"`
	Nation                                  string `gorm:"column:nation" json:"nation" form:"nation"`
	CardType                                int64  `gorm:"column:card_type" json:"card_type" form:"card_type"`
	IdCard                                  string `gorm:"column:id_card" json:"id_card" form:"id_card"`
	Education                               int64  `gorm:"column:education" json:"education" form:"education"`
	StudyMajorName                          string `gorm:"column:study_major_name" json:"study_major_name" form:"study_major_name"`
	WorkMajorName                           string `gorm:"column:work_major_name" json:"work_major_name" form:"work_major_name"`
	RoleType                                int64  `gorm:"column:role_type" json:"role_type" form:"role_type"`
	MedicalCode                             string `gorm:"column:medical_code" json:"medical_code" form:"medical_code"`
	DoctorCode                              string `gorm:"column:doctor_code" json:"doctor_code" form:"doctor_code"`
	Licensing                               int64  `gorm:"column:licensing" json:"licensing" form:"licensing"`
	JobNumber                               string `gorm:"column:job_number" json:"job_number" form:"job_number"`
	PrescriptionQualificationIdentification int64  `gorm:"column:prescription_qualification_identification" json:"prescription_qualification_identification" form:"prescription_qualification_identification"`
	IdentificationOutpatients               int64  `gorm:"column:identification_outpatients" json:"identification_outpatients" form:"identification_outpatients"`
	StartTime                               int64  `gorm:"column:start_time" json:"start_time" form:"start_time"`
	MedicalRangeCode                        int64  `gorm:"column:medical_range_code" json:"medical_range_code" form:"medical_range_code"`
	MedicalLevel                            int64  `gorm:"column:medical_level" json:"medical_level" form:"medical_level"`
	MedicalTypeJob                          int64  `gorm:"column:medical_type_job" json:"medical_type_job" form:"medical_type_job"`
	PharmacistRegistrationNumber            string `gorm:"column:pharmacist_registration_number" json:"pharmacist_registration_number" form:"pharmacist_registration_number"`
	DoctorRangeCode                         int64  `gorm:"column:doctor_range_code" json:"doctor_range_code" form:"doctor_range_code"`
	DoctorLevel                             int64  `gorm:"column:doctor_level" json:"doctor_level" form:"doctor_level"`
	DoctorTypeJob                           int64  `gorm:"column:doctor_type_job" json:"doctor_type_job" form:"doctor_type_job"`
	DoctorNumber                            string `gorm:"column:doctor_number" json:"doctor_number" form:"doctor_number"`
	OutpatientIllnessCategory               string `gorm:"column:outpatient_illness_category" json:"outpatient_illness_category" form:"outpatient_illness_category"`
	IsActive                                int64  `gorm:"column:is_active" json:"is_active" form:"is_active"`
	ActiveStatus                            int64  `gorm:"column:active_status" json:"active_status" form:"active_status"`
	DepartmentId                            int64  `gorm:"column:department_id" json:"department_id" form:"department_id"`
	Mobile                                  string
	Name                                    string
	Department                              string `gorm:"column:department" json:"department" form:"department"`
}

//func (SgjUserAdminRole) TableName() string {
//	return "sgj_user_admin_role"
//}

type SgjUserAdmin struct {
	ID           int64  `gorm:"column:id" json:"id" form:"id"`
	Mobile       string `gorm:"column:mobile" json:"mobile" form:"mobile"`
	Password     string `gorm:"column:password" json:"password" form:"password"`
	IsSuperAdmin int64  `gorm:"column:is_super_admin" json:"is_super_admin" form:"is_super_admin"`
	Status       int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime        int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime        int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Source       int64  `gorm:"column:source" json:"source" form:"source"`
	Ttype        int64  `gorm:"column:ttype" json:"ttype" form:"ttype"`
	Ttid         int64  `gorm:"column:ttid" json:"ttid" form:"ttid"`
	Tuid         int64  `gorm:"column:tuid" json:"tuid" form:"tuid"`
	Name         string `gorm:"column:name" json:"name" form:"name"`
}

func (SgjUserAdmin) TableName() string {
	return "sgj_user_admin"
}

type UserAdminRoles struct {
	ID            int64  `gorm:"column:id" json:"id" form:"id"`
	AdminUserId   int64  `gorm:"column:admin_user_id" json:"admin_user_id" form:"admin_user_id"`
	OrgId         int64  `gorm:"column:org_id" json:"org_id" form:"org_id"`
	AppId         int64  `gorm:"column:app_id" json:"app_id" form:"app_id"`
	RoleId        int64  `gorm:"column:role_id" json:"role_id" form:"role_id"`
	UserName      string `gorm:"column:user_name" json:"user_name" form:"user_name"`
	Avatar        string `gorm:"column:avatar" json:"avatar" form:"avatar"`
	UserType      int64  `gorm:"column:user_type" json:"user_type" form:"user_type"`
	UserTitle     int64  `gorm:"column:user_title" json:"user_title" form:"user_title"`
	Intro         string `gorm:"column:intro" json:"intro" form:"intro"`
	Status        int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime         int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime         int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	UserTitleName string `gorm:"column:user_title_name" json:"user_title_name" form:"user_title_name"`
	RoleIds       string `gorm:"column:role_ids" json:"role_ids" form:"role_ids"`
	Message       string `gorm:"column:message" json:"message" form:"message"`
	Sex           int64  `gorm:"column:sex" json:"sex" form:"sex"`
	Birthday      int64  `gorm:"column:birthday" json:"birthday" form:"birthday"`
	Creator       int64  `gorm:"column:creator" json:"creator" form:"creator"`
	Url           string `gorm:"column:url" json:"url" form:"url"`
	Hash          string `gorm:"column:hash" json:"hash" form:"hash"`
}

type DialysisBeforePrepare struct {
	ID         int64 `gorm:"column:id" json:"id" form:"id"`
	UserOrgId  int64 `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	PatientId  int64 `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	RecordDate int64 `gorm:"column:record_date" json:"record_date" form:"record_date"`
	GoodId     int64 `gorm:"column:good_id" json:"good_id" form:"good_id"`
	GoodTypeId int64 `gorm:"column:good_type_id" json:"good_type_id" form:"good_type_id"`
	Count      int64 `gorm:"column:count" json:"count" form:"count"`
	Ctime      int64 `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime      int64 `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Creater    int64 `gorm:"column:creater" json:"creater" form:"creater"`
	Modifier   int64 `gorm:"column:modifier" json:"modifier" form:"modifier"`
	Status     int64 `gorm:"column:status" json:"status" form:"status"`
}

func (DialysisBeforePrepare) TableName() string {
	return "dialysis_before_prepare"
}

type QueueCallConfig struct {
	ID         int64 `gorm:"column:id" json:"id" form:"id"`
	OrgId      int64 `gorm:"column:org_id" json:"org_id" form:"org_id"`
	Qhsj       int64 `gorm:"column:qhsj" json:"qhsj" form:"qhsj"`
	Jzdcbbcs   int64 `gorm:"column:jzdcbbcs" json:"jzdcbbcs" form:"jzdcbbcs"`
	Jzbbsy     int64 `gorm:"column:jzbbsy" json:"jzbbsy" form:"jzbbsy"`
	Jzjhyc     int64 `gorm:"column:jzjhyc" json:"jzjhyc" form:"jzjhyc"`
	Sjdcbbcs   int64 `gorm:"column:sjdcbbcs" json:"sjdcbbcs" form:"sjdcbbcs"`
	Sjbbsy     int64 `gorm:"column:sjbbsy" json:"sjbbsy" form:"sjbbsy"`
	Sjjhyc     int64 `gorm:"column:sjjhyc" json:"sjjhyc" form:"sjjhyc"`
	Txxqyxs    int64 `gorm:"column:txxqyxs" json:"txxqyxs" form:"txxqyxs"`
	Txglsyxs   int64 `gorm:"column:txglsyxs" json:"txglsyxs" form:"txglsyxs"`
	CreateTime int64 `gorm:"column:create_time" json:"create_time" form:"create_time"`
	UpdateTime int64 `gorm:"column:update_time" json:"update_time" form:"update_time"`
}

func (QueueCallConfig) TableName() string {
	return "xt_queue_call_config"
}
