package models

import (
	"encoding/xml"
	"fmt"
	"time"
)

type XtHisProject struct {
	ID                        int64   `gorm:"column:id" json:"id" form:"id"`
	ProjectName               string  `gorm:"column:project_name" json:"project_name" form:"project_name"`
	Pinyin                    string  `gorm:"column:pinyin" json:"pinyin" form:"pinyin"`
	Wubi                      string  `gorm:"column:wubi" json:"wubi" form:"wubi"`
	Price                     float64 `gorm:"column:price" json:"price" form:"price"`
	Unit                      string  `gorm:"column:unit" json:"unit" form:"unit"`
	CostClassify              int64   `gorm:"column:cost_classify" json:"cost_classify" form:"cost_classify"`
	ExecutiveSection          int64   `gorm:"column:executive_section" json:"executive_section" form:"executive_section"`
	MedicalCoverage           int64   `gorm:"column:medical_coverage" json:"medical_coverage" form:"medical_coverage"`
	StatisticalClassification int64   `gorm:"column:statistical_classification" json:"statistical_classification" form:"statistical_classification"`
	DiseaseDirectory          int64   `gorm:"column:disease_directory" json:"disease_directory" form:"disease_directory"`
	IsRecord                  int64   `gorm:"column:is_record" json:"is_record" form:"is_record"`
	MedicalCode               string  `gorm:"column:medical_code" json:"medical_code" form:"medical_code"`
	TubeColor                 int64   `gorm:"column:tube_color" json:"tube_color" form:"tube_color"`
	MedicalStatus             int64   `gorm:"column:medical_status" json:"medical_status" form:"medical_status"`
	Remark                    string  `gorm:"column:remark" json:"remark" form:"remark"`
	Sign                      int64   `gorm:"column:sign" json:"sign" form:"sign"`
	DefaultNumber             string  `gorm:"column:default_number" json:"default_number" form:"default_number"`
	IsDefault                 int64   `gorm:"column:is_default" json:"is_default" form:"is_default"`
	IsCharge                  int64   `gorm:"column:is_charge" json:"is_charge" form:"is_charge"`
	IsEstimate                int64   `gorm:"column:is_estimate" json:"is_estimate" form:"is_estimate"`
	IsWorkload                int64   `gorm:"column:is_workload" json:"is_workload" form:"is_workload"`
	Sort                      string  `gorm:"column:sort" json:"sort" form:"sort"`
	DoctorAdvice              int64   `gorm:"column:doctor_advice" json:"doctor_advice" form:"doctor_advice"`
	UserOrgId                 int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status                    int64   `gorm:"column:status" json:"status" form:"status"`
	CreatedTime               int64   `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime               int64   `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	SingleDose                string  `gorm:"column:single_dose" json:"single_dose" form:"single_dose"`
	ExecutionFrequency        string  `gorm:"column:execution_frequency" json:"execution_frequency" form:"execution_frequency"`
	DeliveryWay               string  `gorm:"column:delivery_way" json:"delivery_way" form:"delivery_way"`
	NumberDays                string  `gorm:"column:number_days" json:"number_days" form:"number_days"`
	Total                     string  `gorm:"column:total" json:"total" form:"total"`
	Vaf14             string    `gorm:"column:vaf14" json:"vaf14" form:"vaf14"`

}

func (XtHisProject) TableName() string {
	return "xt_his_project"
}

type XtHisProjectTeam struct {
	ID          int64   `gorm:"column:id" json:"id" form:"id"`
	ProjectTeam string  `gorm:"column:project_team" json:"project_team" form:"project_team"`
	Price       float64 `gorm:"column:price" json:"price" form:"price"`
	Pinyin      string  `gorm:"column:pinyin" json:"pinyin" form:"pinyin"`
	Wubi        string  `gorm:"column:wubi" json:"wubi" form:"wubi"`
	TubeColor   int64   `gorm:"column:tube_color" json:"tube_color" form:"tube_color"`
	TeamType    int64   `gorm:"column:team_type" json:"team_type" form:"team_type"`
	Remark      string  `gorm:"column:remark" json:"remark" form:"remark"`
	UserOrgId   int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status      int64   `gorm:"column:status" json:"status" form:"status"`
	CreatedTime int64   `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime int64   `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	ProjectId   string  `gorm:"column:project_id" json:"project_id" form:"project_id"`
}

func (XtHisProjectTeam) TableName() string {
	return "xt_his_project_team"
}

type XtHisDepartment struct {
	ID          int64  `gorm:"column:id" json:"id" form:"id"`
	Name        string `gorm:"column:name" json:"name" form:"name"`
	Number      string `gorm:"column:number" json:"number" form:"number"`
	UserOrgId   int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status      int64  `gorm:"column:status" json:"status" form:"status"`
	CreatedTime int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
}

func (XtHisDepartment) TableName() string {
	return "xt_his_department"
}

type HisPatient struct {
	ID                     int64   `gorm:"column:id" json:"id" form:"id"`
	BalanceAccountsType    int64   `gorm:"column:balance_accounts_type" json:"balance_accounts_type" form:"balance_accounts_type"`
	MedicalInsuranceNumber string  `gorm:"column:medical_insurance_number" json:"medical_insurance_number" form:"medical_insurance_number"`
	Name                   string  `gorm:"column:name" json:"name" form:"name"`
	Gender                 int64   `gorm:"column:gender" json:"gender" form:"gender"`
	IdType                 int64   `gorm:"column:id_type" json:"id_type" form:"id_type"`
	MedicalTreatmentType   int64   `gorm:"column:medical_treatment_type" json:"medical_treatment_type" form:"medical_treatment_type"`
	Birthday               int64   `gorm:"column:birthday" json:"birthday" form:"birthday"`
	RecordDate             int64   `gorm:"column:record_date" json:"record_date" form:"record_date"`
	Age                    int64   `gorm:"column:age" json:"age" form:"age"`
	PhoneNumber            string  `gorm:"column:phone_number" json:"phone_number" form:"phone_number"`
	IdCardNo               string  `gorm:"column:id_card_no" json:"id_card_no" form:"id_card_no"`
	RegisterType           int64   `gorm:"column:register_type" json:"register_type" form:"register_type"`
	AdminUserId            int64   `gorm:"column:admin_user_id" json:"admin_user_id" form:"admin_user_id"`
	Departments            int64   `gorm:"column:departments" json:"departments" form:"departments"`
	IsNeedCostOfProduction int64   `gorm:"column:is_need_cost_of_production" json:"is_need_cost_of_production" form:"is_need_cost_of_production"`
	RegisterCost           float64 `gorm:"column:register_cost" json:"register_cost" form:"register_cost"`
	TreatmentCost          float64 `gorm:"column:treatment_cost" json:"treatment_cost" form:"treatment_cost"`
	CostOfProduction       float64 `gorm:"column:cost_of_production" json:"cost_of_production" form:"cost_of_production"`
	Total                  float64 `gorm:"column:total" json:"total" form:"total"`
	UserOrgId              int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status                 int64   `gorm:"column:status" json:"status" form:"status"`
	Ctime                  int64   `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime                  int64   `gorm:"column:mtime" json:"mtime" form:"mtime"`
	PatientId              int64   `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Number                 string  `gorm:"column:number" json:"number" form:"number"`
	Doctor                 int64   `gorm:"column:doctor" json:"doctor" form:"doctor"`
	IsReturn               int64   `gorm:"column:is_return" json:"is_return" form:"is_return"`
	PsnNo                  string  `gorm:"column:psn_no" json:"psn_no" form:"psn_no"`
	PsnCertType            string  `gorm:"column:psn_cert_type" json:"psn_cert_type" form:"psn_cert_type"`
	Certno                 string  `gorm:"column:certno" json:"certno" form:"certno"`
	PsnName                string  `gorm:"column:psn_name" json:"psn_name" form:"psn_name"`
	Gend                   string  `gorm:"column:gend" json:"gend" form:"gend"`
	Naty                   string  `gorm:"column:naty" json:"naty" form:"naty"`
	Brdy                   string  `gorm:"column:brdy" json:"brdy" form:"brdy"`
	Iinfo                  string  `gorm:"column:iinfo" json:"iinfo" form:"iinfo"`
	Idetinfo               string  `gorm:"column:idetinfo" json:"idetinfo" form:"idetinfo"`
	IptOtpNo               string  `gorm:"column:ipt_otp_no" json:"ipt_otp_no" form:"ipt_otp_no"`
	Phone                  string  `gorm:"column:phone" json:"phone" form:"phone"`
	SocialType             int64   `gorm:"column:social_type" json:"social_type" form:"social_type"`
	IdCardType             int64   `gorm:"column:id_card_type" json:"id_card_type" form:"id_card_type"`
	PType                  string  `gorm:"column:p_type" json:"p_type" form:"p_type"`
	Diagnosis              string  `gorm:"column:diagnosis" json:"diagnosis" form:"diagnosis"`
	SickType               int64   `gorm:"column:sick_type" json:"sick_type" form:"sick_type"`
	YiliaoNumber           string  `gorm:"column:yiliao_number" json:"yiliao_number" form:"yiliao_number"`
	MzNumber               string  `gorm:"column:mz_number" json:"mz_number" form:"mz_number"`
	PatientInfo            string  `gorm:"column:patient_info" json:"patient_info" form:"patient_info"`
	InsuplcAdmdvs          string  `gorm:"column:insuplc_admdvs" json:"insuplc_admdvs" form:"insuplc_admdvs"`
	Insutype               string  `gorm:"column:insutype" json:"insutype" form:"insutype"`
	MdtrtGrpType           string  `gorm:"column:mdtrt_grp_type" json:"mdtrt_grp_type" form:"mdtrt_grp_type"`
}

func (HisPatient) TableName() string {
	return "his_patient"
}

type HisPrescriptionVm struct {
	ID           int64  `gorm:"column:id" json:"id" form:"id"`
	UserOrgId    int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	RecordDate   int64  `gorm:"column:record_date" json:"record_date" form:"record_date"`
	PatientId    int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	HisPatientId int64  `gorm:"column:his_patient_id" json:"his_patient_id" form:"his_patient_id"`
	Status       int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime        int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime        int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Number       string `gorm:"column:number" json:"number" form:"number"`
	Type         int64  `gorm:"column:type" json:"type" form:"type"`
	Doctor       int64  `gorm:"column:doctor" json:"doctor" form:"doctor"`
	Creator      int64  `gorm:"column:creator" json:"creator" form:"creator"`
	Modifier     int64  `gorm:"column:modifier" json:"modifier" form:"modifier"`
	Name         string
}

type HisCaseHistoryTemplate struct {
	ID                      int64  `gorm:"column:id" json:"id" form:"id"`
	HistoryOfPresentIllness string `gorm:"column:history_of_present_illness" json:"history_of_present_illness" form:"history_of_present_illness"`
	PastHistory             string `gorm:"column:past_history" json:"past_history" form:"past_history"`
	ChiefConplaint          string `gorm:"column:chief_conplaint" json:"chief_conplaint" form:"chief_conplaint"`
	PersonalHistory         string `gorm:"column:personal_history" json:"personal_history" form:"personal_history"`
	FamilyHistory           string `gorm:"column:family_history" json:"family_history" form:"family_history"`
	Diagnostic              string `gorm:"column:diagnostic" json:"diagnostic" form:"diagnostic"`
	UserOrgId               int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status                  int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime                   int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime                   int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	RecordDate              int64  `gorm:"column:record_date" json:"record_date" form:"record_date"`
	TemplateName            string `gorm:"column:template_name" json:"template_name" form:"template_name"`
	TemplateRemark          string `gorm:"column:template_remark" json:"template_remark" form:"template_remark"`
	Creator                 int64  `gorm:"column:creator" json:"creator" form:"creator"`
	Modifier                int64  `gorm:"column:modifier" json:"modifier" form:"modifier"`
	UserName                string `gorm:"column:user_name" json:"user_name" form:"user_name"`
	DoctorAdvice            string `gorm:"column:doctor_advice" json:"doctor_advice" form:"doctor_advice"`
	Remark                  string `gorm:"column:remark" json:"remark" form:"remark"`
}

func (HisCaseHistoryTemplate) TableName() string {
	return "his_case_history_template"
}

type HisDoctorAdviceInfo struct {
	ID                    int64   `gorm:"column:id" json:"id" form:"id"`
	UserOrgId             int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	PatientId             int64   `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	HisPatientId          int64   `gorm:"column:his_patient_id" json:"his_patient_id" form:"his_patient_id"`
	AdviceType            int64   `gorm:"column:advice_type" json:"advice_type" form:"advice_type"`
	AdviceDate            int64   `gorm:"column:advice_date" json:"advice_date" form:"advice_date"`
	StartTime             int64   `gorm:"column:start_time" json:"start_time" form:"start_time"`
	AdviceName            string  `gorm:"column:advice_name" json:"advice_name" form:"advice_name"`
	AdviceDesc            string  `gorm:"column:advice_desc" json:"advice_desc" form:"advice_desc"`
	ReminderDate          int64   `gorm:"column:reminder_date" json:"reminder_date" form:"reminder_date"`
	SingleDose            float64 `gorm:"column:single_dose" json:"single_dose" form:"single_dose"`
	SingleDoseUnit        string  `gorm:"column:single_dose_unit" json:"single_dose_unit" form:"single_dose_unit"`
	PrescribingNumber     float64 `gorm:"column:prescribing_number" json:"prescribing_number" form:"prescribing_number"`
	PrescribingNumberUnit string  `gorm:"column:prescribing_number_unit" json:"prescribing_number_unit" form:"prescribing_number_unit"`
	DeliveryWay           string  `gorm:"column:delivery_way" json:"delivery_way" form:"delivery_way"`
	ExecutionFrequency    string  `gorm:"column:execution_frequency" json:"execution_frequency" form:"execution_frequency"`
	AdviceDoctor          int64   `gorm:"column:advice_doctor" json:"advice_doctor" form:"advice_doctor"`
	Status                int64   `gorm:"column:status" json:"status" form:"status"`
	CreatedTime           int64   `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime           int64   `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	AdviceAffirm          string  `gorm:"column:advice_affirm" json:"advice_affirm" form:"advice_affirm"`
	Remark                string  `gorm:"column:remark" json:"remark" form:"remark"`
	StopTime              int64   `gorm:"column:stop_time" json:"stop_time" form:"stop_time"`
	StopReason            string  `gorm:"column:stop_reason" json:"stop_reason" form:"stop_reason"`
	StopDoctor            int64   `gorm:"column:stop_doctor" json:"stop_doctor" form:"stop_doctor"`
	StopState             int64   `gorm:"column:stop_state" json:"stop_state" form:"stop_state"`
	ParentId              int64   `gorm:"column:parent_id" json:"parent_id" form:"parent_id"`
	ExecutionTime         int64   `gorm:"column:execution_time" json:"execution_time" form:"execution_time"`
	ExecutionStaff        int64   `gorm:"column:execution_staff" json:"execution_staff" form:"execution_staff"`
	ExecutionState        int64   `gorm:"column:execution_state" json:"execution_state" form:"execution_state"`
	Checker               int64   `gorm:"column:checker" json:"checker" form:"checker"`
	RecordDate            int64   `gorm:"column:record_date" json:"record_date" form:"record_date"`
	DialysisOrderId       int64   `gorm:"column:dialysis_order_id" json:"dialysis_order_id" form:"dialysis_order_id"`
	CheckTime             int64   `gorm:"column:check_time" json:"check_time" form:"check_time"`
	CheckState            int64   `gorm:"column:check_state" json:"check_state" form:"check_state"`
	DrugSpec              float64 `gorm:"column:drug_spec" json:"drug_spec" form:"drug_spec"`
	DrugSpecUnit          string  `gorm:"column:drug_spec_unit" json:"drug_spec_unit" form:"drug_spec_unit"`
	Groupno               int64   `gorm:"column:groupno" json:"groupno" form:"groupno"`
	RemindType            int64   `gorm:"column:remind_type" json:"remind_type" form:"remind_type"`
	FrequencyType         int64   `gorm:"column:frequency_type" json:"frequency_type" form:"frequency_type"`
	DayCount              int64   `gorm:"column:day_count" json:"day_count" form:"day_count"`
	WeekDay               string  `gorm:"column:week_day" json:"week_day" form:"week_day"`
	TemplateId            string  `gorm:"column:template_id" json:"template_id" form:"template_id"`
	Modifier              int64   `gorm:"column:modifier" json:"modifier" form:"modifier"`
	DrugId                int64   `gorm:"column:drug_id" json:"drug_id" form:"drug_id"`
	Price                 float64 `gorm:"column:price" json:"price" form:"price"`
	PrescriptionId        int64   `gorm:"column:prescription_id" json:"prescription_id" form:"prescription_id"`
	MedListCodg           string  `gorm:"column:med_list_codg" json:"med_list_codg" form:"med_list_codg"`
	FeedetlSn             string  `gorm:"column:feedetl_sn" json:"feedetl_sn" form:"feedetl_sn"`
	Day                   int64   `gorm:"column:day" json:"day" form:"day"`
	HospApprFlag          int64   `gorm:"column:hosp_appr_flag" json:"hosp_appr_flag" form:"hosp_appr_flag"`
	DrugWayCount               string  `gorm:"column:drug_way_count" json:"drug_way_count" form:"drug_way_count"`

	NewGroupno               string   `gorm:"column:-" json:"new_groupno" form:"new_groupno"`
	Newfn               string   `gorm:"column:-" json:"newfn" form:"newfn"`


	BaseDrugLib BaseDrugLib `gorm:"ForeignKey:DrugId;AssociationForeignKey:ID" json:"drug"`
}

func (HisDoctorAdviceInfo) TableName() string {
	return "his_doctor_advice_info"
}

type HisGroupAdvice struct {
	HisDoctorAdviceInfo
	Children []*HisGroupAdvice
}

type HisPatientCaseHistory struct {
	ID                      int64   `gorm:"column:id" json:"id" form:"id"`
	PatientId               int64   `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	HisPatientId            int64   `gorm:"column:his_patient_id" json:"his_patient_id" form:"his_patient_id"`
	Temperature             float64 `gorm:"column:temperature" json:"temperature" form:"temperature"`
	BloodSugar              float64 `gorm:"column:blood_sugar" json:"blood_sugar" form:"blood_sugar"`
	Pulse                   float64 `gorm:"column:pulse" json:"pulse" form:"pulse"`
	Sbp                     float64 `gorm:"column:sbp" json:"sbp" form:"sbp"`
	Dbp                     float64 `gorm:"column:dbp" json:"dbp" form:"dbp"`
	Height                  float64 `gorm:"column:height" json:"height" form:"height"`
	BloodFat                float64 `gorm:"column:blood_fat" json:"blood_fat" form:"blood_fat"`
	SickType                int64   `gorm:"column:sick_type" json:"sick_type" form:"sick_type"`
	Symptom                 string  `gorm:"column:symptom" json:"symptom" form:"symptom"`
	SickDate                int64   `gorm:"column:sick_date" json:"sick_date" form:"sick_date"`
	IsInfect                int64   `gorm:"column:is_infect" json:"is_infect" form:"is_infect"`
	HistoryOfPresentIllness string  `gorm:"column:history_of_present_illness" json:"history_of_present_illness" form:"history_of_present_illness"`
	PastHistory             string  `gorm:"column:past_history" json:"past_history" form:"past_history"`
	Doctor                  int64   `gorm:"column:doctor" json:"doctor" form:"doctor"`
	ChiefConplaint          string  `gorm:"column:chief_conplaint" json:"chief_conplaint" form:"chief_conplaint"`
	PersonalHistory         string  `gorm:"column:personal_history" json:"personal_history" form:"personal_history"`
	FamilyHistory           string  `gorm:"column:family_history" json:"family_history" form:"family_history"`
	Diagnostic              string  `gorm:"column:diagnostic" json:"diagnostic" form:"diagnostic"`
	UserOrgId               int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status                  int64   `gorm:"column:status" json:"status" form:"status"`
	Ctime                   int64   `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime                   int64   `gorm:"column:mtime" json:"mtime" form:"mtime"`
	RecordDate              int64   `gorm:"column:record_date" json:"record_date" form:"record_date"`
	DeliveryWay             int64   `gorm:"column:delivery_way" json:"delivery_way" form:"delivery_way"`
	Breathing               float64 `gorm:"column:breathing" json:"breathing" form:"breathing"`
	DoctorAdvice            string  `gorm:"column:doctor_advice" json:"doctor_advice" form:"doctor_advice"`
	Remark                  string  `gorm:"column:remark" json:"remark" form:"remark"`
	Sick                    int64   `gorm:"column:sick" json:"sick" form:"sick"`
	Diagnose                int64   `gorm:"column:diagnose" json:"diagnose" form:"diagnose"`
}

func (HisPatientCaseHistory) TableName() string {
	return "his_patient_case_history"
}

type HisPrescriptionInfo struct {
	ID                 int64           `gorm:"column:id" json:"id" form:"id"`
	UserOrgId          int64           `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	RecordDate         int64           `gorm:"column:record_date" json:"record_date" form:"record_date"`
	PatientId          int64           `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	HisPatientId       int64           `gorm:"column:his_patient_id" json:"his_patient_id" form:"his_patient_id"`
	Status             int64           `gorm:"column:status" json:"status" form:"status"`
	Ctime              int64           `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime              int64           `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Creator            int64           `gorm:"column:creator" json:"creator" form:"creator"`
	Modifier           int64           `gorm:"column:modifier" json:"modifier" form:"modifier"`
	Diagnosis          string          `gorm:"column:diagnosis" json:"diagnosis" form:"diagnosis"`
	RegisterType       int64           `gorm:"column:register_type" json:"register_type" form:"register_type"`
	Doctor             string          `gorm:"column:doctor" json:"doctor" form:"doctor"`
	Departments        int64           `gorm:"column:departments" json:"departments" form:"departments"`
	SickHistory        string          `gorm:"column:sick_history" json:"sick_history" form:"sick_history"`
	PrescriptionNumber string          `gorm:"column:prescription_number" json:"prescription_number" form:"prescription_number"`
	PrescriptionStatus int64           `gorm:"column:prescription_status" json:"prescription_status" form:"prescription_status"`
	BatchNumber        string          `gorm:"column:batch_number" json:"batch_number" form:"batch_number"`
	DoctorId           int64           `gorm:"column:doctor_id" json:"doctor_id" form:"doctor_id"`
	XtHisDepartment    XtHisDepartment `gorm:"ForeignKey:ID;AssociationForeignKey:Departments" json:"department"`
	SickType           int64           `gorm:"column:sick_type" json:"sick_type" form:"sick_type"`



}

func (HisPrescriptionInfo) TableName() string {
	return "his_prescription_info"
}

type HisPrescription struct {
	ID                     int64                     `gorm:"column:id" json:"id" form:"id"`
	UserOrgId              int64                     `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	RecordDate             int64                     `gorm:"column:record_date" json:"record_date" form:"record_date"`
	PatientId              int64                     `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	HisPatientId           int64                     `gorm:"column:his_patient_id" json:"his_patient_id" form:"his_patient_id"`
	Status                 int64                     `gorm:"column:status" json:"status" form:"status"`
	Ctime                  int64                     `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime                  int64                     `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Number                 string                    `gorm:"column:number" json:"number" form:"number"`
	Type                   int64                     `gorm:"column:type" json:"type" form:"type"`
	Doctor                 string                    `gorm:"column:doctor" json:"doctor" form:"doctor"`
	Creator                int64                     `gorm:"column:creator" json:"creator" form:"creator"`
	Modifier               int64                     `gorm:"column:modifier" json:"modifier" form:"modifier"`
	OrderStatus            int64                     `gorm:"column:order_status" json:"order_status" form:"order_status"`
	PreTime                int64                     `gorm:"column:pre_time" json:"pre_time" form:"pre_time"`
	BatchNumber            string                    `gorm:"column:batch_number" json:"batch_number" form:"batch_number"`
	PrescriptionNumber     string                    `gorm:"column:prescription_number" json:"prescription_number" form:"prescription_number"`
	Patients               Patients                  `gorm:"ForeignKey:PatientId;AssociationForeignKey:ID" json:"patient"`
	HisPatient             VMHisPatient              `gorm:"ForeignKey:PatientId;AssociationForeignKey:patient_id" json:"hisPatient"`
	HisDoctorAdviceInfo    []HisDoctorAdviceInfo    `gorm:"ForeignKey:PrescriptionId;AssociationForeignKey:ID" json:"advices"`
	HisPrescriptionProject []HisPrescriptionProject `gorm:"ForeignKey:PrescriptionId;AssociationForeignKey:ID" json:"project"`
	HisAdditionalCharge    []HisAdditionalCharge    `gorm:"ForeignKey:PrescriptionId;AssociationForeignKey:ID" json:"addition"`
	VMHisPrescriptionInfo  HisPrescriptionInfo       `gorm:"ForeignKey:PatientId,RecordDate;AssociationForeignKey:PatientId,RecordDate" json:"info"`
	MedType                string                    `gorm:"column:med_type" json:"med_type" form:"med_type"`
	Cbm01                string                    `gorm:"column:cbm01" json:"cbm01" form:"cbm01"`
	Cbm07                string                    `gorm:"column:cbm07" json:"cbm07" form:"cbm07"`



}

func (HisPrescription) TableName() string {
	return "his_prescription"
}

type HisProject struct {
	ID                        int64   `gorm:"column:id" json:"id" form:"id"`
	ProjectName               string  `gorm:"column:project_name" json:"project_name" form:"project_name"`
	Pinyin                    string  `gorm:"column:pinyin" json:"pinyin" form:"pinyin"`
	Wubi                      string  `gorm:"column:wubi" json:"wubi" form:"wubi"`
	Price                     float64 `gorm:"column:price" json:"price" form:"price"`
	Unit                      string  `gorm:"column:unit" json:"unit" form:"unit"`
	CostClassify              int64   `gorm:"column:cost_classify" json:"cost_classify" form:"cost_classify"`
	ExecutiveSection          int64   `gorm:"column:executive_section" json:"executive_section" form:"executive_section"`
	MedicalCoverage           int64   `gorm:"column:medical_coverage" json:"medical_coverage" form:"medical_coverage"`
	StatisticalClassification int64   `gorm:"column:statistical_classification" json:"statistical_classification" form:"statistical_classification"`
	DiseaseDirectory          int64   `gorm:"column:disease_directory" json:"disease_directory" form:"disease_directory"`
	IsRecord                  int64   `gorm:"column:is_record" json:"is_record" form:"is_record"`
	MedicalCode               string  `gorm:"column:medical_code" json:"medical_code" form:"medical_code"`
	TubeColor                 int64   `gorm:"column:tube_color" json:"tube_color" form:"tube_color"`
	MedicalStatus             int64   `gorm:"column:medical_status" json:"medical_status" form:"medical_status"`
	Remark                    string  `gorm:"column:remark" json:"remark" form:"remark"`
	Sign                      int64   `gorm:"column:sign" json:"sign" form:"sign"`
	DefaultNumber             string  `gorm:"column:default_number" json:"default_number" form:"default_number"`
	IsDefault                 int64   `gorm:"column:is_default" json:"is_default" form:"is_default"`
	IsCharge                  int64   `gorm:"column:is_charge" json:"is_charge" form:"is_charge"`
	IsEstimate                int64   `gorm:"column:is_estimate" json:"is_estimate" form:"is_estimate"`
	IsWorkload                int64   `gorm:"column:is_workload" json:"is_workload" form:"is_workload"`
	Sort                      string  `gorm:"column:sort" json:"sort" form:"sort"`
	DoctorAdvice              int64   `gorm:"column:doctor_advice" json:"doctor_advice" form:"doctor_advice"`
	UserOrgId                 int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status                    int64   `gorm:"column:status" json:"status" form:"status"`
	CreatedTime               int64   `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime               int64   `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	ZuobiaoId             string    `gorm:"column:zuobiao_id" json:"zuobiao_id" form:"zuobiao_id"`
	Bck01b	 string    `gorm:"column:bck01b" json:"bck01b" form:"bck01b"`
	Bby01             string    `gorm:"column:bby01" json:"bby01" form:"bby01"`
	Vaf14             string    `gorm:"column:vaf14" json:"vaf14" form:"vaf14"`


}

func (HisProject) TableName() string {
	return "xt_his_project"
}

type HisProjectTeam struct {
	ID          int64   `gorm:"column:id" json:"id" form:"id"`
	ProjectTeam string  `gorm:"column:project_team" json:"project_team" form:"project_team"`
	Price       float64 `gorm:"column:price" json:"price" form:"price"`
	Pinyin      string  `gorm:"column:pinyin" json:"pinyin" form:"pinyin"`
	Wubi        string  `gorm:"column:wubi" json:"wubi" form:"wubi"`
	TubeColor   int64   `gorm:"column:tube_color" json:"tube_color" form:"tube_color"`
	TeamType    int64   `gorm:"column:team_type" json:"team_type" form:"team_type"`
	Remark      string  `gorm:"column:remark" json:"remark" form:"remark"`
	UserOrgId   int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status      int64   `gorm:"column:status" json:"status" form:"status"`
	CreatedTime int64   `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime int64   `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	ProjectId   string  `gorm:"column:project_id" json:"project_id" form:"project_id"`
}

func (HisProjectTeam) TableName() string {
	return "xt_his_project_team"
}

type HisAdditionalCharge struct {
	ID                 int64              `gorm:"column:id" json:"id" form:"id"`
	PatientId          int64              `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Price              float64            `gorm:"column:price" json:"price" form:"price"`
	AdminUserId        int64              `gorm:"column:admin_user_id" json:"admin_user_id" form:"admin_user_id"`
	UserOrgId          int64              `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	RecordDate         int64              `gorm:"column:record_date" json:"record_date" form:"record_date"`
	CreatedTime        int64              `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime        int64              `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	Status             int64              `gorm:"column:status" json:"status" form:"status"`
	ItemName           string             `gorm:"column:item_name" json:"item_name" form:"item_name"`
	HisPatientId       int64              `gorm:"column:his_patient_id" json:"his_patient_id" form:"his_patient_id"`
	ItemId             int64              `gorm:"column:item_id" json:"item_id" form:"item_id"`
	Creator            int64              `gorm:"column:creator" json:"creator" form:"creator"`
	Modifier           int64              `gorm:"column:modifier" json:"modifier" form:"modifier"`
	BatchNumber        string             `gorm:"column:batch_number" json:"batch_number" form:"batch_number"`
	OrderStatus        int64              `gorm:"column:order_status" json:"order_status" form:"order_status"`
	PrescriptionNumber string             `gorm:"column:prescription_number" json:"prescription_number" form:"prescription_number"`
	XtHisAddtionConfig XtHisAddtionConfig `gorm:"ForeignKey:ID;AssociationForeignKey:ItemId" json:"config"`
	FeedetlSn          string             `gorm:"column:feedetl_sn" json:"feedetl_sn" form:"feedetl_sn"`
	PrescriptionId     int64              `gorm:"column:prescription_id" json:"prescription_id" form:"prescription_id"`
	Count              int64              `gorm:"column:count" json:"count" form:"count"`
}

func (HisAdditionalCharge) TableName() string {
	return "his_additional_charge"
}

type HisDoctorAdviceParentTemplate struct {
	ID                      int64                      `gorm:"column:id" json:"id" form:"id"`
	OrgId                   int64                      `gorm:"column:org_id" json:"org_id" form:"org_id"`
	Name                    string                     `gorm:"column:name" json:"name" form:"name"`
	Status                  int64                      `gorm:"column:status" json:"status" form:"status"`
	CreatedTime             int64                      `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime             int64                      `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	AdviceType              int64                      `gorm:"column:advice_type" json:"advice_type" form:"advice_type"`
	HisDoctorAdviceTemplate []*HisDoctorAdviceTemplate `gorm:"ForeignKey:TemplateId;AssociationForeignKey:ID" json:"advices"`
}

func (HisDoctorAdviceParentTemplate) TableName() string {
	return "his_doctor_advice_parent_template"
}

type VMDrug struct {
	ID                     int64   `gorm:"column:id" json:"id" form:"id"`
	MaxUnit                string  `gorm:"column:max_unit" json:"max_unit" form:"max_unit"`
	MinUnit                string  `gorm:"column:min_unit" json:"min_unit" form:"min_unit"`
	RetailPrice            float64 `gorm:"column:retail_price" json:"retail_price" form:"retail_price"`
	Status                 int64   `gorm:"column:status" json:"status" form:"status"`
	OrgId                  int64   `gorm:"column:org_id" json:"org_id" form:"org_id"`
	DrugCode               string  `gorm:"column:drug_code" json:"drug_code" form:"drug_code"`
	MedicalInsuranceNumber string  `gorm:"column:medical_insurance_number" json:"medical_insurance_number"`
	HospApprFlag           int64   `gorm:"column:hosp_appr_flag" json:"hosp_appr_flag" form:"hosp_appr_flag"`
	LmtUsedFlag            int64   `gorm:"column:lmt_used_flag" json:"lmt_used_flag" form:"lmt_used_flag"`
	IsUser                 int64   `gorm:"column:is_user" json:"is_user" form:"is_user"`
}

func (VMDrug) TableName() string {
	return "xt_base_drug"
}

type HisDoctorAdviceTemplate struct {
	ID                    int64   `gorm:"column:id" json:"id" form:"id"`
	OrgId                 int64   `gorm:"column:org_id" json:"org_id" form:"org_id"`
	AdviceName            string  `gorm:"column:advice_name" json:"advice_name" form:"advice_name"`
	AdviceDesc            string  `gorm:"column:advice_desc" json:"advice_desc" form:"advice_desc"`
	SingleDose            float64 `gorm:"column:single_dose" json:"single_dose" form:"single_dose"`
	SingleDoseUnit        string  `gorm:"column:single_dose_unit" json:"single_dose_unit" form:"single_dose_unit"`
	PrescribingNumber     float64 `gorm:"column:prescribing_number" json:"prescribing_number" form:"prescribing_number"`
	PrescribingNumberUnit string  `gorm:"column:prescribing_number_unit" json:"prescribing_number_unit" form:"prescribing_number_unit"`
	DeliveryWay           string  `gorm:"column:delivery_way" json:"delivery_way" form:"delivery_way"`
	ExecutionFrequency    string  `gorm:"column:execution_frequency" json:"execution_frequency" form:"execution_frequency"`
	AdviceDoctor          int64   `gorm:"column:advice_doctor" json:"advice_doctor" form:"advice_doctor"`
	Status                int64   `gorm:"column:status" json:"status" form:"status"`
	CreatedTime           int64   `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime           int64   `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	TemplateId            int64   `gorm:"column:template_id" json:"template_id" form:"template_id"`
	DrugSpec              string  `gorm:"column:drug_spec" json:"drug_spec" form:"drug_spec"`
	DrugSpecUnit          string  `gorm:"column:drug_spec_unit" json:"drug_spec_unit" form:"drug_spec_unit"`
	ParentId              int64   `gorm:"column:parent_id" json:"parent_id" form:"parent_id"`
	AdviceType            int64   `gorm:"column:advice_type" json:"advice_type" form:"advice_type"`
	DayCount              int64   `gorm:"column:day_count" json:"day_count" form:"day_count"`
	WeekDays              string  `gorm:"column:week_days" json:"week_days" form:"week_days"`
	FrequencyType         int64   `gorm:"column:frequency_type" json:"frequency_type" form:"frequency_type"`
	DrugId                int64   `gorm:"column:drug_id" json:"drug_id" form:"drug_id"`
	Way                   int64   `gorm:"column:way" json:"way" form:"way"`
	DrugNameId            int64   `gorm:"column:drug_name_id" json:"drug_name_id" form:"drug_name_id"`
	VMDrug                VMDrug  `gorm:"ForeignKey:TemplateId;AssociationForeignKey:ID" json:"advices"`
}

func (HisDoctorAdviceTemplate) TableName() string {
	return "his_doctor_advice_template"
}

type HisPrescriptionProject struct {
	ID                 int64            `gorm:"column:id" json:"id" form:"id"`
	ProjectId          int64            `gorm:"column:project_id" json:"project_id" form:"project_id"`
	Price              float64          `gorm:"column:price" json:"price" form:"price"`
	UserOrgId          int64            `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status             int64            `gorm:"column:status" json:"status" form:"status"`
	Ctime              int64            `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime              int64            `gorm:"column:mtime" json:"mtime" form:"mtime"`
	PatientId          int64            `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	HisPatientId       int64            `gorm:"column:his_patient_id" json:"his_patient_id" form:"his_patient_id"`
	RecordDate         int64            `gorm:"column:record_date" json:"record_date" form:"record_date"`
	PrescriptionId     int64            `gorm:"column:prescription_id" json:"prescription_id" form:"prescription_id"`
	Count              string           `gorm:"column:count" json:"count" form:"count"`
	FeedetlSn          string           `gorm:"column:feedetl_sn" json:"feedetl_sn" form:"feedetl_sn"`
	MedListCodg        string           `gorm:"column:med_list_codg" json:"med_list_codg" form:"med_list_codg"`
	SingleDose         string           `gorm:"column:single_dose" json:"single_dose" form:"single_dose"`
	DeliveryWay        string           `gorm:"column:delivery_way" json:"delivery_way" form:"delivery_way"`
	ExecutionFrequency string           `gorm:"column:execution_frequency" json:"execution_frequency" form:"execution_frequency"`
	Day                string           `gorm:"column:day" json:"day" form:"day"`
	StartTime                int64           `gorm:"column:start_time" json:"start_time" form:"start_time"`


	HisProject         HisProject       `gorm:"ForeignKey:ProjectId;AssociationForeignKey:ID" json:"project"`
	GoodInfo           GoodInfo         `gorm:"ForeignKey:ProjectId;AssociationForeignKey:ID" json:"good_info"`
	Type               int64            `gorm:"column:type" json:"type" form:"type"`
	Remark             string           `gorm:"column:remark" json:"remark" form:"remark"`
	Unit               string           `gorm:"column:unit" json:"unit" form:"unit"`
	TeamId             int64            `gorm:"column:team_id" json:"team_id" form:"team_id"`
	XtHisProjectTeam   XtHisProjectTeam `gorm:"ForeignKey:TeamId;AssociationForeignKey:ID" json:"team"`
	IsCheckTeam        int64            `gorm:"-" json:"is_check_team" form:"is_check_team"`
	ExecutionTime      int64            `gborm:"column:execution_time" json:"execution_time" form:"execution_time"`
}

func (HisPrescriptionProject) TableName() string {
	return "his_prescription_project"
}

type SchedulesVm struct {
	ID           int64  `gorm:"column:id" json:"id" form:"id"`
	UserOrgId    int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	PartitionId  int64  `gorm:"column:partition_id" json:"partition_id" form:"partition_id"`
	BedId        int64  `gorm:"column:bed_id" json:"bed_id" form:"bed_id"`
	PatientId    int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	ScheduleDate int64  `gorm:"column:schedule_date" json:"schedule_date" form:"schedule_date"`
	ScheduleType int64  `gorm:"column:schedule_type" json:"schedule_type" form:"schedule_type"`
	ScheduleWeek int64  `gorm:"column:schedule_week" json:"schedule_week" form:"schedule_week"`
	ModeId       int64  `gorm:"column:mode_id" json:"mode_id" form:"mode_id"`
	Status       int64  `gorm:"column:status" json:"status" form:"status"`
	CreatedTime  int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime  int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	Name         string `gorm:"column:name" json:"name" form:"name"`
	IdCardNo     string `gorm:"column:id_card_no" json:"id_card_no" form:"id_card_no"`
}

type HisProjectListVm struct {
	ID           int64   `gorm:"column:id" json:"id" form:"id"`
	Number       int64   `gorm:"column:number" json:"number" form:"number"`
	UserOrgId    int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	ProjectId    int64   `gorm:"column:project_id" json:"project_id" form:"project_id"`
	Status       int64   `gorm:"column:status" json:"status" form:"status"`
	Price        float64 `gorm:"column:price" json:"price" form:"price"`
	Unit         string  `gorm:"column:unit" json:"unit" form:"unit"`
	ProjectName  string  `gorm:"column:project_name" json:"project_name" form:"project_name"`
	CostClassify int64   `gorm:"column:cost_classify" json:"cost_classify" form:"cost_classify"`
}

type XtHisProjectList struct {
	ID          int64 `gorm:"column:id" json:"id" form:"id"`
	Number      int64 `gorm:"column:number" json:"number" form:"number"`
	UserOrgId   int64 `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	ProjectId   int64 `gorm:"column:project_id" json:"project_id" form:"project_id"`
	Status      int64 `gorm:"column:status" json:"status" form:"status"`
	CreatedTime int64 `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime int64 `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
}

func (XtHisProjectList) TableName() string {
	return "xt_his_project_list"
}

type XtHisPatient struct {
	ID                     int64   `gorm:"column:id" json:"id" form:"id"`
	BalanceAccountsType    int64   `gorm:"column:balance_accounts_type" json:"balance_accounts_type" form:"balance_accounts_type"`
	MedicalInsuranceNumber string  `gorm:"column:medical_insurance_number" json:"medical_insurance_number" form:"medical_insurance_number"`
	Name                   string  `gorm:"column:name" json:"name" form:"name"`
	Gender                 int64   `gorm:"column:gender" json:"gender" form:"gender"`
	IdType                 int64   `gorm:"column:id_type" json:"id_type" form:"id_type"`
	MedicalTreatmentType   int64   `gorm:"column:medical_treatment_type" json:"medical_treatment_type" form:"medical_treatment_type"`
	Birthday               int64   `gorm:"column:birthday" json:"birthday" form:"birthday"`
	RecordDate             int64   `gorm:"column:record_date" json:"record_date" form:"record_date"`
	Age                    int64   `gorm:"column:age" json:"age" form:"age"`
	PhoneNumber            string  `gorm:"column:phone_number" json:"phone_number" form:"phone_number"`
	IdCardNo               string  `gorm:"column:id_card_no" json:"id_card_no" form:"id_card_no"`
	RegisterType           int64   `gorm:"column:register_type" json:"register_type" form:"register_type"`
	AdminUserId            int64   `gorm:"column:admin_user_id" json:"admin_user_id" form:"admin_user_id"`
	Departments            int64   `gorm:"column:departments" json:"departments" form:"departments"`
	IsNeedCostOfProduction int64   `gorm:"column:is_need_cost_of_production" json:"is_need_cost_of_production" form:"is_need_cost_of_production"`
	RegisterCost           float64 `gorm:"column:register_cost" json:"register_cost" form:"register_cost"`
	TreatmentCost          float64 `gorm:"column:treatment_cost" json:"treatment_cost" form:"treatment_cost"`
	CostOfProduction       float64 `gorm:"column:cost_of_production" json:"cost_of_production" form:"cost_of_production"`
	Total                  float64 `gorm:"column:total" json:"total" form:"total"`
	UserOrgId              int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status                 int64   `gorm:"column:status" json:"status" form:"status"`
	Ctime                  int64   `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime                  int64   `gorm:"column:mtime" json:"mtime" form:"mtime"`
	PatientId              int64   `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Number                 string  `gorm:"column:number" json:"number" form:"number"`
	Doctor                 int64   `gorm:"column:doctor" json:"doctor" form:"doctor"`
	IsReturn               int64   `gorm:"column:is_return" json:"is_return" form:"is_return"`
	Phone                  string  `gorm:"column:phone" json:"phone" form:"phone"`
	SocialType             int64   `gorm:"column:social_type" json:"social_type" form:"social_type"`
	YiliaoNumber           string  `gorm:"column:yiliao_number" json:"yiliao_number" form:"yiliao_number"`
	MzNumber               string  `gorm:"column:mz_number" json:"mz_number" form:"mz_number"`
	PatientInfo            string  `gorm:"column:patient_info" json:"patient_info" form:"patient_info"`
	Diagnosis              string  `gorm:"column:diagnosis" json:"diagnosis" form:"diagnosis"`
	Insutype               string  `gorm:"column:insutype" json:"insutype" form:"insutype"`
	MdtrtGrpType           string  `gorm:"column:mdtrt_grp_type" json:"mdtrt_grp_type" form:"mdtrt_grp_type"`
}

func (XtHisPatient) TableName() string {
	return "his_patient"
}

type HisOrder struct {
	ID                      int64     `gorm:"column:id" json:"id" form:"id"`
	UserOrgId               int64     `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	HisPatientId            int64     `gorm:"column:his_patient_id" json:"his_patient_id" form:"his_patient_id"`
	SettleAccountsDate      int64     `gorm:"column:settle_accounts_date" json:"settle_accounts_date" form:"settle_accounts_date"`
	Ctime                   int64     `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime                   int64     `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status                  int64     `gorm:"column:status" json:"status" form:"status"`
	Number                  string    `gorm:"column:number" json:"number" form:"number"`
	PatientId               int64     `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Infcode                 int64     `gorm:"column:infcode" json:"infcode" form:"infcode"`
	WarnMsg                 string    `gorm:"column:warn_msg" json:"warn_msg" form:"warn_msg"`
	Cainfo                  string    `gorm:"column:cainfo" json:"cainfo" form:"cainfo"`
	ErrMsg                  string    `gorm:"column:err_msg" json:"err_msg" form:"err_msg"`
	RespondTime             string    `gorm:"column:respond_time" json:"respond_time" form:"respond_time"`
	InfRefmsgid             string    `gorm:"column:inf_refmsgid" json:"inf_refmsgid" form:"inf_refmsgid"`
	OrderStatus             int64     `gorm:"column:order_status" json:"order_status" form:"order_status"`
	MdtrtId                 string    `gorm:"column:mdtrt_id" json:"mdtrt_id" form:"mdtrt_id"`
	SetlId                  string    `gorm:"column:setl_id" json:"setl_id" form:"setl_id"`
	PsnNo                   string    `gorm:"column:psn_no" json:"psn_no" form:"psn_no"`
	PsnName                 string    `gorm:"column:psn_name" json:"psn_name" form:"psn_name"`
	PsnCertType             string    `gorm:"column:psn_cert_type" json:"psn_cert_type" form:"psn_cert_type"`
	Certno                  string    `gorm:"column:certno" json:"certno" form:"certno"`
	Gend                    string    `gorm:"column:gend" json:"gend" form:"gend"`
	Naty                    string    `gorm:"column:naty" json:"naty" form:"naty"`
	Brdy                    time.Time `gorm:"column:brdy" json:"brdy" form:"brdy"`
	Age                     float64   `gorm:"column:age" json:"age" form:"age"`
	Insutype                string    `gorm:"column:insutype" json:"insutype" form:"insutype"`
	PsnType                 string    `gorm:"column:psn_type" json:"psn_type" form:"psn_type"`
	CvlservFlag             string    `gorm:"column:cvlserv_flag" json:"cvlserv_flag" form:"cvlserv_flag"`
	SetlTime                string    `gorm:"column:setl_time" json:"setl_time" form:"setl_time"`
	MdtrtCertType           string    `gorm:"column:mdtrt_cert_type" json:"mdtrt_cert_type" form:"mdtrt_cert_type"`
	MedType                 string    `gorm:"column:med_type" json:"med_type" form:"med_type"`
	MedfeeSumamt            float64   `gorm:"column:medfee_sumamt" json:"medfee_sumamt" form:"medfee_sumamt"`
	FulamtOwnpayAmt         float64   `gorm:"column:fulamt_ownpay_amt" json:"fulamt_ownpay_amt" form:"fulamt_ownpay_amt"`
	OverlmtSelfPay          float64   `gorm:"column:overlmt_self_pay" json:"overlmt_self_pay" form:"overlmt_self_pay"`
	PreselfpayAmt           float64   `gorm:"column:preselfpay_amt" json:"preselfpay_amt" form:"preselfpay_amt"`
	InscpScpAmt             float64   `gorm:"column:inscp_scp_amt" json:"inscp_scp_amt" form:"inscp_scp_amt"`
	ActPayDedc              float64   `gorm:"column:act_pay_dedc" json:"act_pay_dedc" form:"act_pay_dedc"`
	HifpPay                 float64   `gorm:"column:hifp_pay" json:"hifp_pay" form:"hifp_pay"`
	CvlservPay              float64   `gorm:"column:cvlserv_pay" json:"cvlserv_pay" form:"cvlserv_pay"`
	PoolPropSelfpay         float64   `gorm:"column:pool_prop_selfpay" json:"pool_prop_selfpay" form:"pool_prop_selfpay"`
	HifesPay                float64   `gorm:"column:hifes_pay" json:"hifes_pay" form:"hifes_pay"`
	HifmiPay                float64   `gorm:"column:hifmi_pay" json:"hifmi_pay" form:"hifmi_pay"`
	HifobPay                float64   `gorm:"column:hifob_pay" json:"hifob_pay" form:"hifob_pay"`
	MafPay                  float64   `gorm:"column:maf_pay" json:"maf_pay" form:"maf_pay"`
	OthPay                  float64   `gorm:"column:oth_pay" json:"oth_pay" form:"oth_pay"`
	FundPaySumamt           float64   `gorm:"column:fund_pay_sumamt" json:"fund_pay_sumamt" form:"fund_pay_sumamt"`
	PsnPartAmt              float64   `gorm:"column:psn_part_amt" json:"psn_part_amt" form:"psn_part_amt"`
	AcctPay                 float64   `gorm:"column:acct_pay" json:"acct_pay" form:"acct_pay"`
	PsnCashPay              float64   `gorm:"column:psn_cash_pay" json:"psn_cash_pay" form:"psn_cash_pay"`
	HospPartAmt             float64   `gorm:"column:hosp_part_amt" json:"hosp_part_amt" form:"hosp_part_amt"`
	Balc                    float64   `gorm:"column:balc" json:"balc" form:"balc"`
	AcctMulaidPay           float64   `gorm:"column:acct_mulaid_pay" json:"acct_mulaid_pay" form:"acct_mulaid_pay"`
	MedinsSetlId            string    `gorm:"column:medins_setl_id" json:"medins_setl_id" form:"medins_setl_id"`
	ClrOptins               string    `gorm:"column:clr_optins" json:"clr_optins" form:"clr_optins"`
	ClrWay                  string    `gorm:"column:clr_way" json:"clr_way" form:"clr_way"`
	ClrType                 string    `gorm:"column:clr_type" json:"clr_type" form:"clr_type"`
	SetlDetail              string    `gorm:"column:setl_detail" json:"setl_detail" form:"setl_detail"`
	IsMedicineInsurance     int64     `gorm:"column:is_medicine_insurance" json:"is_medicine_insurance" form:"is_medicine_insurance"`
	PayWay                  int64     `gorm:"column:pay_way" json:"pay_way" form:"pay_way"`
	PayPrice                float64   `gorm:"column:pay_price" json:"pay_price" form:"pay_price"`
	PayCardNo               string    `gorm:"column:pay_card_no" json:"pay_card_no" form:"pay_card_no"`
	DiscountPrice           float64   `gorm:"column:discount_price" json:"discount_price" form:"discount_price"`
	PreferentialPrice       float64   `gorm:"column:preferential_price" json:"preferential_price" form:"preferential_price"`
	RealityPrice            float64   `gorm:"column:reality_price" json:"reality_price" form:"reality_price"`
	FoundPrice              float64   `gorm:"column:found_price" json:"found_price" form:"found_price"`
	MedicalInsurancePrice   float64   `gorm:"column:medical_insurance_price" json:"medical_insurance_price" form:"medical_insurance_price"`
	PrivatePrice            float64   `gorm:"column:private_price" json:"private_price" form:"private_price"`
	Creator                 int64     `gorm:"column:creator" json:"creator" form:"creator"`
	Modify                  int64     `gorm:"column:modify" json:"modify" form:"modify"`
	AccountPrice            float64   `gorm:"column:account_price" json:"account_price" form:"account_price"`
	PayWays                 string    `gorm:"column:pay_ways" json:"pay_way" form:"pay_ways"`
	SzChargeInfo            string    `gorm:"column:sz_charge_info" json:"sz_charge_info" form:"sz_charge_info"`
	SzProjectInfo           string    `gorm:"column:sz_project_info" json:"sz_project_info" form:"sz_project_info"`
	SzMedicineInsuranceInfo string    `gorm:"column:sz_medicine_insurance_info" json:"sz_medicine_insurance_info" form:"sz_medicine_insurance_info"`
	YiliaoNumber            string    `gorm:"column:yiliao_number" json:"yiliao_number" form:"yiliao_number"`
	OthDesc                 string    `gorm:"column:oth_desc" json:"oth_desc" form:"oth_desc"`

	FaPiaoCode   string `gorm:"column:fa_piao_code" json:"fa_piao_code" form:"fa_piao_code"`
	FaPiaoNumber string `gorm:"column:fa_piao_number" json:"fa_piao_number" form:"fa_piao_number"`

	MzNumber      string `gorm:"column:mz_number" json:"mz_number" form:"mz_number"`
	OrgSetlNumber string `gorm:"column:org_setl_number" json:"org_setl_number" form:"org_setl_number"`

	SettleType      int64 `gorm:"column:settle_type" json:"settle_type" form:"settle_type"`
	SettleStartTime int64 `gorm:"column:settle_start_time" json:"settle_start_time" form:"settle_start_time"`
	SettleEndTime   int64 `gorm:"column:settle_end_time" json:"settle_end_time" form:"settle_end_time"`

	RefundLog string `gorm:"column:refund_log" json:"refund_log" form:"refund_log"`
	DetailLog string `gorm:"column:detail_log" json:"detail_log" form:"detail_log"`

	RequestLog       string `gorm:"column:request_log" json:"request_log" form:"request_log"`
	RefundRequestLog string `gorm:"column:refund_request_log" json:"refund_request_log" form:"refund_request_log"`

	HisOrderInfo        []*HisOrderInfo     `gorm:"ForeignKey:OrderId;AssociationForeignKey:ID" json:"order_info"`
	Patients            Patients            `gorm:"ForeignKey:PatientId;AssociationForeignKey:ID" json:"patient"`
	HisPatient          HisPatient          `gorm:"ForeignKey:MdtrtId;AssociationForeignKey:Number" json:"his_patient"`
	HisPrescriptionInfo HisPrescriptionInfo `gorm:"ForeignKey:PatientId,SettleAccountsDate;AssociationForeignKey:PatientId,RecordDate" json:"p_info"`

	PType   int64   `gorm:"column:p_type" json:"p_type" form:"p_type"`
	IsPre   int64   `gorm:"column:is_pre" json:"is_pre" form:"is_pre"`
	Decimal float64 `gorm:"column:decimal" json:"decimal" form:"decimal"`

	Diagnosis string `gorm:"column:diagnosis" json:"diagnosis" form:"diagnosis"`

	AcctUsedFlag string `gorm:"column:acct_used_flag" json:"acct_used_flag" form:"acct_used_flag"`
	CashPay      string `gorm:"cash_pay" json:"cash_pay" form:"cash_pay"`
	BandCardPay  string `gorm:"band_card_pay" json:"band_card_pay" form:"band_card_pay"`
	WechatPay    string `gorm:"wechat_pay" json:"wechat_pay" form:"wechat_pay"`
	AliPay       string `gorm:"ali_pay" json:"ali_pay" form:"ali_pay"`
	JifenPay     string `gorm:"jifen_pay" json:"jifen_pay" form:"jifen_pay"`

	IsUploadDiagnose  int64 `gorm:"column:is_upload_diagnose" json:"is_upload_diagnose" form:"is_upload_diagnose"`
	IsUploadOrderInfo int64 `gorm:"column:is_upload_order_info" json:"is_upload_order_info" form:"is_upload_order_info"`
	IsUploadSuccess   int64 `gorm:"column:is_upload_success" json:"is_upload_success" form:"is_upload_success"`
}

func (HisOrder) TableName() string {
	return "his_order"
}

type HisOrderInfo struct {
	ID                     int64                  `gorm:"column:id" json:"id" form:"id"`
	OrderNumber            string                 `gorm:"column:order_number" json:"order_number" form:"order_number"`
	UploadDate             int64                  `gorm:"column:upload_date" json:"upload_date" form:"upload_date"`
	AdviceId               int64                  `gorm:"column:advice_id" json:"advice_id" form:"advice_id"`
	DetItemFeeSumamt       float64                `gorm:"column:det_item_fee_sumamt" json:"det_item_fee_sumamt" form:"det_item_fee_sumamt"`
	Cnt                    float64                `gorm:"column:cnt" json:"cnt" form:"cnt"`
	Pric                   float64                `gorm:"column:pric" json:"pric" form:"pric"`
	PatientId              int64                  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	PricUplmtAmt           float64                `gorm:"column:pric_uplmt_amt" json:"pric_uplmt_amt" form:"pric_uplmt_amt"`
	SelfpayProp            float64                `gorm:"column:selfpay_prop" json:"selfpay_prop" form:"selfpay_prop"`
	FulamtOwnpayAmt        float64                `gorm:"column:fulamt_ownpay_amt" json:"fulamt_ownpay_amt" form:"fulamt_ownpay_amt"`
	OverlmtAmt             float64                `gorm:"column:overlmt_amt" json:"overlmt_amt" form:"overlmt_amt"`
	PreselfpayAmt          float64                `gorm:"column:preselfpay_amt" json:"preselfpay_amt" form:"preselfpay_amt"`
	BasMednFlag            string                 `gorm:"column:bas_medn_flag" json:"bas_medn_flag" form:"bas_medn_flag"`
	MedChrgitmType         string                 `gorm:"column:med_chrgitm_type" json:"med_chrgitm_type" form:"med_chrgitm_type"`
	HiNegoDrugFlag         string                 `gorm:"column:hi_nego_drug_flag" json:"hi_nego_drug_flag" form:"hi_nego_drug_flag"`
	Status                 int64                  `gorm:"column:status" json:"status" form:"status"`
	Memo                   string                 `gorm:"column:memo" json:"memo" form:"memo"`
	FeedetlSn              string                 `gorm:"column:feedetl_sn" json:"feedetl_sn" form:"feedetl_sn"`
	Mtime                  int64                  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	InscpScpAmt            float64                `gorm:"column:inscp_scp_amt" json:"inscp_scp_amt" form:"inscp_scp_amt"`
	DrtReimFlag            string                 `gorm:"column:drt_reim_flag" json:"drt_reim_flag" form:"drt_reim_flag"`
	Ctime                  int64                  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	ListSpItemFlag         string                 `gorm:"column:list_sp_item_flag" json:"list_sp_item_flag" form:"list_sp_item_flag"`
	ChldMedcFlag           string                 `gorm:"column:chld_medc_flag" json:"chld_medc_flag" form:"chld_medc_flag"`
	LmtUsedFlag            string                 `gorm:"column:lmt_used_flag" json:"lmt_used_flag" form:"lmt_used_flag"`
	ChrgitmLv              string                 `gorm:"column:chrgitm_lv" json:"chrgitm_lv" form:"chrgitm_lv"`
	UserOrgId              int64                  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	HisPatientId           int64                  `gorm:"column:his_patient_id" json:"his_patient_id" form:"his_patient_id"`
	OrderId                int64                  `gorm:"column:order_id" json:"order_id" form:"order_id"`
	ProjectId              int64                  `gorm:"column:project_id" json:"project_id" form:"project_id"`
	Type                   int64                  `gorm:"column:type" json:"type" form:"type"`
	ItemId                 int64                  `gorm:"column:item_id" json:"item_id" form:"item_id"`
	OverPricPsnPay         float64                `gorm:"column:over_pric_psn_pay" json:"over_pric_psn_pay" form:"over_pric_psn_pay"`
	AllowReimburse         float64                `gorm:"column:allow_reimburse" json:"allow_reimburse" form:"allow_reimburse"`
	HisDoctorAdviceInfo    HisDoctorAdviceInfo    `gorm:"ForeignKey:AdviceId;AssociationForeignKey:ID" json:"advice"`
	HisPrescriptionProject HisPrescriptionProject `gorm:"ForeignKey:ID;AssociationForeignKey:ProjectId" json:"project"`
	SettleType             int64                  `gorm:"column:settle_type" json:"settle_type" form:"settle_type"`
}

func (HisOrderInfo) TableName() string {
	return "his_order_info"
}

type VMHisPatient struct {
	ID                     int64   `gorm:"column:id" json:"id" form:"id"`
	BalanceAccountsType    int64   `gorm:"column:balance_accounts_type" json:"balance_accounts_type" form:"balance_accounts_type"`
	MedicalInsuranceNumber string  `gorm:"column:medical_insurance_number" json:"medical_insurance_number" form:"medical_insurance_number"`
	Name                   string  `gorm:"column:name" json:"name" form:"name"`
	Gender                 int64   `gorm:"column:gender" json:"gender" form:"gender"`
	IdType                 int64   `gorm:"column:id_type" json:"id_type" form:"id_type"`
	MedicalTreatmentType   int64   `gorm:"column:medical_treatment_type" json:"medical_treatment_type" form:"medical_treatment_type"`
	Birthday               int64   `gorm:"column:birthday" json:"birthday" form:"birthday"`
	RecordDate             int64   `gorm:"column:record_date" json:"record_date" form:"record_date"`
	Age                    float64 `gorm:"column:age" json:"age" form:"age"`
	PhoneNumber            string  `gorm:"column:phone_number" json:"phone_number" form:"phone_number"`
	IdCardNo               string  `gorm:"column:id_card_no" json:"id_card_no" form:"id_card_no"`
	RegisterType           int64   `gorm:"column:register_type" json:"register_type" form:"register_type"`
	AdminUserId            int64   `gorm:"column:admin_user_id" json:"admin_user_id" form:"admin_user_id"`
	Departments            int64   `gorm:"column:departments" json:"departments" form:"departments"`
	IsNeedCostOfProduction int64   `gorm:"column:is_need_cost_of_production" json:"is_need_cost_of_production" form:"is_need_cost_of_production"`
	RegisterCost           float64 `gorm:"column:register_cost" json:"register_cost" form:"register_cost"`
	TreatmentCost          float64 `gorm:"column:treatment_cost" json:"treatment_cost" form:"treatment_cost"`
	CostOfProduction       float64 `gorm:"column:cost_of_production" json:"cost_of_production" form:"cost_of_production"`
	Total                  float64 `gorm:"column:total" json:"total" form:"total"`
	UserOrgId              int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status                 int64   `gorm:"column:status" json:"status" form:"status"`
	Ctime                  int64   `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime                  int64   `gorm:"column:mtime" json:"mtime" form:"mtime"`
	PatientId              int64   `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Number                 string  `gorm:"column:number" json:"number" form:"number"`
	Doctor                 int64   `gorm:"column:doctor" json:"doctor" form:"doctor"`
	IsReturn               int64   `gorm:"column:is_return" json:"is_return" form:"is_return"`
	PsnNo                  string  `gorm:"column:psn_no" json:"psn_no" form:"psn_no"`
	PsnCertType            string  `gorm:"column:psn_cert_type" json:"psn_cert_type" form:"psn_cert_type"`
	Certno                 string  `gorm:"column:certno" json:"certno" form:"certno"`
	PsnName                string  `gorm:"column:psn_name" json:"psn_name" form:"psn_name"`
	Gend                   string  `gorm:"column:gend" json:"gend" form:"gend"`
	Naty                   string  `gorm:"column:naty" json:"naty" form:"naty"`
	Brdy                   string  `gorm:"column:brdy" json:"brdy" form:"brdy"`
	Iinfo                  string  `gorm:"column:iinfo" json:"iinfo" form:"iinfo"`
	Idetinfo               string  `gorm:"column:idetinfo" json:"idetinfo" form:"idetinfo"`
	IptOtpNo               string  `gorm:"column:ipt_otp_no" json:"ipt_otp_no" form:"ipt_otp_no"`
	Phone                  string  `gorm:"column:phone" json:"phone" form:"phone"`
	SocialType             int64   `gorm:"column:social_type" json:"social_type" form:"social_type"`
	IdCardType             int64   `gorm:"column:id_card_type" json:"id_card_type" form:"id_card_type"`
	YiliaoNumber           string  `gorm:"column:yiliao_number" json:"yiliao_number" form:"yiliao_number"`
	MzNumber               string  `gorm:"column:mz_number" json:"mz_number" form:"mz_number"`
	PatientInfo            string  `gorm:"column:patient_info" json:"patient_info" form:"patient_info"`
	Diagnosis              string  `gorm:"column:diagnosis" json:"diagnosis" form:"diagnosis"`
	SickType               int64   `gorm:"column:sick_type" json:"sick_type" form:"sick_type"`
	PType                  int64   `gorm:"column:p_type" json:"p_type" form:"p_type"`
	InsuplcAdmdvs          string  `gorm:"column:insuplc_admdvs" json:"insuplc_admdvs" form:"insuplc_admdvs"`
	Insutype               string  `gorm:"column:insutype" json:"insutype" form:"insutype"`
	MdtrtGrpType           string  `gorm:"column:mdtrt_grp_type" json:"mdtrt_grp_type" form:"mdtrt_grp_type"`
}

func (VMHisPatient) TableName() string {
	return "his_patient"
}

type MedicalInsuranceConfig struct {
	ID        int64 `gorm:"column:id" json:"id" form:"id"`
	UserOrgId int64 `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Ctime     int64 `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime     int64 `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status    int64 `gorm:"column:status" json:"status" form:"status"`
	IsOpen    int64 `gorm:"column:is_open" json:"is_open" form:"is_open"`
}

func (MedicalInsuranceConfig) TableName() string {
	return "medical_insurance_config"
}

type HisOrderError struct {
	ID         int64  `gorm:"column:id" json:"id" form:"id"`
	UserOrgId  int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Ctime      int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime      int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Number     string `gorm:"column:number" json:"number" form:"number"`
	ErrMsg     string `gorm:"column:err_msg" json:"err_msg" form:"err_msg"`
	Status     int64  `gorm:"column:status" json:"status" form:"status"`
	PatientId  int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	RecordTime int64  `gorm:"column:record_time" json:"record_time" form:"record_time"`
	Stage      int64  `gorm:"column:stage" json:"stage" form:"stage"`
}

func (HisOrderError) TableName() string {
	return "his_order_error"
}

type MedicalInsuranceOrgConfig struct {
	ID             int64  `gorm:"column:id" json:"id" form:"id"`
	Code           string `gorm:"column:code" json:"code" form:"code"`
	OrgName        string `gorm:"column:org_name" json:"org_name" form:"org_name"`
	Vpn            string `gorm:"column:vpn" json:"vpn" form:"vpn"`
	EleCardId      string `gorm:"column:ele_card_id" json:"ele_card_id" form:"ele_card_id"`
	EleCardKey     string `gorm:"column:ele_card_key" json:"ele_card_key" form:"ele_card_key"`
	ChannelNumber  string `gorm:"column:channel_number" json:"channel_number" form:"channel_number"`
	Ctime          int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime          int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status         int64  `gorm:"column:status" json:"status" form:"status"`
	UserOrgId      int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	MdtrtareaAdmvs string `gorm:"column:mdtrtarea_admvs" json:"mdtrtarea_admvs" form:"mdtrtarea_admvs"`
	InsuplcAdmdvs  string `gorm:"column:insuplc_admdvs" json:"insuplc_admdvs" form:"insuplc_admdvs"`
	SecretKey      string `gorm:"column:secret_key" json:"secret_key" form:"secret_key"`
Url            string `gorm:"column:url" json:"url" form:"url"`
	AccessKey      string `gorm:"column:access_key" json:"access_key" form:"access_key"`
	Cainfo         string `gorm:"column:cainfo" json:"cainfo" form:"cainfo"`
	AppSecret      string `gorm:"column:app_secret" json:"app_secret" form:"app_secret"`
	SignKey        string `gorm:"column:sign_key" json:"sign_key" form:"sign_key"`
	EncKey         string `gorm:"column:enc_key" json:"enc_key" form:"enc_key"`
}

func (MedicalInsuranceOrgConfig) TableName() string {
	return "medical_insurance_org_config"
}

type XtHisConfig struct {
	ID        int64 `gorm:"column:id" json:"id" form:"id"`
	UserOrgId int64 `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Ctime     int64 `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime     int64 `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status    int64 `gorm:"column:status" json:"status" form:"status"`
	IsOpen    int64 `gorm:"column:is_open" json:"is_open" form:"is_open"`
}

func (XtHisConfig) TableName() string {
	return "xt_his_config"
}

type XtHisTemplate struct {
	ID         int64 `gorm:"column:id" json:"id" form:"id"`
	UserOrgId  int64 `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	TemplateId int64 `gorm:"column:template_id" json:"template_id" form:"template_id"`
	Status     int64 `gorm:"column:status" json:"status" form:"status"`
	Ctime      int64 `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime      int64 `gorm:"column:mtime" json:"mtime" form:"mtime"`
}

func (XtHisTemplate) TableName() string {
	return "xt_his_template"
}

type XtHisAdviceTemplate struct {
	ID         int64 `gorm:"column:id" json:"id" form:"id"`
	TemplateId int64 `gorm:"column:template_id" json:"template_id" form:"template_id"`
	UserOrgId  int64 `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status     int64 `gorm:"column:status" json:"status" form:"status"`
	Ctime      int64 `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime      int64 `gorm:"column:mtime" json:"mtime" form:"mtime"`
}

func (XtHisAdviceTemplate) TableName() string {
	return "xt_his_advice_template"
}

type XtHisChargeTemplate struct {
	ID         int64 `gorm:"column:id" json:"id" form:"id"`
	TemplateId int64 `gorm:"column:template_id" json:"template_id" form:"template_id"`
	UserOrgId  int64 `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Ctime      int64 `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime      int64 `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status     int64 `gorm:"column:status" json:"status" form:"status"`
}

func (XtHisChargeTemplate) TableName() string {
	return "xt_his_charge_template"
}

type XtHisTreatmentTemplate struct {
	ID         int64 `gorm:"column:id" json:"id" form:"id"`
	TemplateId int64 `gorm:"column:template_id" json:"template_id" form:"template_id"`
	UserOrgId  int64 `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status     int64 `gorm:"column:status" json:"status" form:"status"`
	Ctime      int64 `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime      int64 `gorm:"column:mtime" json:"mtime" form:"mtime"`
}

func (XtHisTreatmentTemplate) TableName() string {
	return "xt_his_treatment_template"
}

type XtHisAdditionalCharge struct {
	ID                 int64   `gorm:"column:id" json:"id" form:"id"`
	PatientId          int64   `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Price              float64 `gorm:"column:price" json:"price" form:"price"`
	AdminUserId        int64   `gorm:"column:admin_user_id" json:"admin_user_id" form:"admin_user_id"`
	UserOrgId          int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	RecordDate         int64   `gorm:"column:record_date" json:"record_date" form:"record_date"`
	CreatedTime        int64   `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime        int64   `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	Status             int64   `gorm:"column:status" json:"status" form:"status"`
	ItemName           string  `gorm:"column:item_name" json:"item_name" form:"item_name"`
	HisPatientId       int64   `gorm:"column:his_patient_id" json:"his_patient_id" form:"his_patient_id"`
	ItemId             int64   `gorm:"column:item_id" json:"item_id" form:"item_id"`
	Creator            int64   `gorm:"column:creator" json:"creator" form:"creator"`
	Modifier           int64   `gorm:"column:modifier" json:"modifier" form:"modifier"`
	BatchNumber        string  `gorm:"column:batch_number" json:"batch_number" form:"batch_number"`
	OrderStatus        int64   `gorm:"column:order_status" json:"order_status" form:"order_status"`
	PrescriptionNumber string  `gorm:"column:prescription_number" json:"prescription_number" form:"prescription_number"`
	FeedetlSn          string  `gorm:"column:feedetl_sn" json:"feedetl_sn" form:"feedetl_sn"`
	PrescriptionId     int64   `gorm:"column:prescription_id" json:"prescription_id" form:"prescription_id"`
	Count              int64   `gorm:"column:count" json:"count" form:"count"`
}

func (XtHisAdditionalCharge) TableName() string {
	return "his_additional_charge"
}

type XtHisMedicalTemplate struct {
	ID         int64  `gorm:"column:id" json:"id" form:"id"`
	Title      string `gorm:"column:title" json:"title" form:"title"`
	Content    string `gorm:"column:content" json:"content" form:"content"`
	Remark     string `gorm:"column:remark" json:"remark" form:"remark"`
	TemplateId int64  `gorm:"column:template_id" json:"template_id" form:"template_id"`
	UserOrgId  int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Ctime      int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime      int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status     int64  `gorm:"column:status" json:"status" form:"status"`
}

func (XtHisMedicalTemplate) TableName() string {
	return "xt_his_medical_template"
}

type HisXtDiagnoseConfig struct {
	ID                 int64  `gorm:"column:id" json:"id" form:"id"`
	ClassName          string `gorm:"column:class_name" json:"class_name" form:"class_name"`
	Pinyin             string `gorm:"column:pinyin" json:"pinyin" form:"pinyin"`
	Wubi               string `gorm:"column:wubi" json:"wubi" form:"wubi"`
	ContentCode        string `gorm:"column:content_code" json:"content_code" form:"content_code"`
	CountryCode        string `gorm:"column:country_code" json:"country_code" form:"country_code"`
	CountryContentName string `gorm:"column:country_content_name" json:"country_content_name" form:"country_content_name"`
	Remark             string `gorm:"column:remark" json:"remark" form:"remark"`
	UserOrgId          int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status             int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime              int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime              int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
}

func (HisXtDiagnoseConfig) TableName() string {
	return "his_xt_diagnose_config"
}

type BaseParams struct {
	SecretKey      string
	FixmedinsCode  string
	InsuplcAdmdvs  string
	MdtrtareaAdmvs string
	OrgName        string
	Doctor         string
	RequestUrl     string
	AccessKey      string
	Cainfo         string
	AppID          string
	AppSecret      string
	SignKey        string
	EncKey         string
}

type BusinessParams struct {
	Insutype         string
	ClrType          string
	SetlOptins       string
	MdtrtareaAdmvs   string
	StmtBegndate     string
	StmtEnddate      string
	MedfeeSumamt     float64
	FundPaySumamt    float64
	AcctPay          float64
	FixmedinsSetlCnt int64
	FileQuryNo       string
	CashPayamt       float64
	PsnNo            string
	MdtrtId          string
	SetlId           string
	StasType         string

}

type BusinessParamsTwo struct {
	Insutype         string
	ClrType          string
	SetlOptins       string
	MdtrtareaAdmvs   string
	StmtBegndate     string
	StmtEnddate      string
	MedfeeSumamt     string
	FundPaySumamt    string
	AcctPay          string
	FixmedinsSetlCnt int64
	FileQuryNo       string
	CashPayamt       float64
	PsnNo            string
	MdtrtId          string
	SetlId           string
}


type BusinessParams5262 struct {
	RefdSetlFlag         string
	QBegntime         	 string
	QEndtime      		 string
	MedType   			 string
	PageNum     		 string
	PageSize      		 string
	Certno     			 string
	Psnno    			 string

}


type Custom struct {
	DetItemFeeSumamt string
	Cut              string
	FeedetlSn        string
	Price            string
	MedListCodg      string
}

type MedicalInsuranceCostCompare struct {
	ID        int64   `gorm:"column:id" json:"id" form:"id"`
	StartTime int64   `gorm:"column:start_time" json:"start_time" form:"start_time"`
	EndTime   int64   `gorm:"column:end_time" json:"end_time" form:"end_time"`
	Insutype  string  `gorm:"column:insutype" json:"insutype" form:"insutype"`
	CheckType int64   `gorm:"column:check_type" json:"check_type" form:"check_type"`
	Num       int64   `gorm:"column:num" json:"num" form:"num"`
	Mtime     int64   `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status    int64   `gorm:"column:status" json:"status" form:"status"`
	UserOrgId int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	CostTotal float64 `gorm:"column:cost_total" json:"cost_total" form:"cost_total"`
	FuncTotal float64 `gorm:"column:func_total" json:"func_total" form:"func_total"`
	PsnPay    float64 `gorm:"column:psn_pay" json:"psn_pay" form:"psn_pay"`
	Creator   int64   `gorm:"column:creator" json:"creator" form:"creator"`
	Ctime     int64   `gorm:"column:ctime" json:"ctime" form:"ctime"`
	ClrType   string  `gorm:"column:clr_type" json:"clr_type" form:"clr_type"`
}

func (MedicalInsuranceCostCompare) TableName() string {
	return "medical_insurance_cost_compare"
}

type XtDrugDataConfig struct {
	ID             int64     `gorm:"column:id" json:"id" form:"id"`
	ParentId       int64     `gorm:"column:parent_id" json:"parent_id" form:"parent_id"`
	Module         string    `gorm:"column:module" json:"module" form:"module"`
	OrgId          int64     `gorm:"column:org_id" json:"org_id" form:"org_id"`
	Name           string    `gorm:"column:name" json:"name" form:"name"`
	FieldName      string    `gorm:"column:field_name" json:"field_name" form:"field_name"`
	Value          int64     `gorm:"column:value" json:"value" form:"value"`
	CreateTime     time.Time `gorm:"column:create_time" json:"create_time" form:"create_time"`
	UpdateTime     time.Time `gorm:"column:update_time" json:"update_time" form:"update_time"`
	CreateUserId   int64     `gorm:"column:create_user_id" json:"create_user_id" form:"create_user_id"`
	Status         int64     `gorm:"column:status" json:"status" form:"status"`
	Remark         string    `gorm:"column:remark" json:"remark" form:"remark"`
	DeleteIdSystem int64     `gorm:"column:delete_id_system" json:"delete_id_system" form:"delete_id_system"`
	Title          string    `gorm:"column:title" json:"title" form:"title"`
	Content        string    `gorm:"column:content" json:"content" form:"content"`
	Orders         int64     `gorm:"column:orders" json:"orders" form:"orders"`
	Code           string    `gorm:"column:code" json:"code" form:"code"`
}

func (XtDrugDataConfig) TableName() string {
	return "xt_drug_data_config"
}

type XtRole struct {
	Id           int64  `gorm:"PRIMARY_KEY;AUTO_INCREMENT" json:"id"`
	RoleName     string `gorm:"column:role_name" json:"name"`
	RoleIntro    string `gorm:"column:role_introduction" json:"intro"`
	Creator      int64  `json:"-"`
	OrgId        int64  `gorm:"column:org_id" json:"-"`
	AppId        int64  `gorm:"column:app_id" json:"-"`
	IsSuperAdmin bool   `gorm:"column:is_super_admin" json:"is_super_admin"`
	Status       int8   `json:"status"`                // 状态 0.无效 1.有效 2.禁用
	CreateTime   int64  `gorm:"column:ctime" json:"-"` // 创建时间
	ModifyTime   int64  `gorm:"column:mtime" json:"-"` // 修改时间
	StaffNumber  int64  `gorm:"-" json:"staff_number"`
	Number       int64  `gorm:"number" json:"number"`
	IsSystem     int64  `gorm:"column:is_system" json:"is_system" form:"is_system"`
}

func (XtRole) TableName() string {
	return "sgj_user_role"
}

type MyHisProject struct {
	ID                          int64   `gorm:"column:id" json:"id" form:"id"`
	ProjectName                 string  `gorm:"column:project_name" json:"project_name" form:"project_name"`
	Pinyin                      string  `gorm:"column:pinyin" json:"pinyin" form:"pinyin"`
	Wubi                        string  `gorm:"column:wubi" json:"wubi" form:"wubi"`
	Price                       float64 `gorm:"column:price" json:"price" form:"price"`
	Unit                        string  `gorm:"column:unit" json:"unit" form:"unit"`
	CostClassify                int64   `gorm:"column:cost_classify" json:"cost_classify" form:"cost_classify"`
	ExecutiveSection            int64   `gorm:"column:executive_section" json:"executive_section" form:"executive_section"`
	MedicalCoverage             int64   `gorm:"column:medical_coverage" json:"medical_coverage" form:"medical_coverage"`
	StatisticalClassification   int64   `gorm:"column:statistical_classification" json:"statistical_classification" form:"statistical_classification"`
	DiseaseDirectory            int64   `gorm:"column:disease_directory" json:"disease_directory" form:"disease_directory"`
	IsRecord                    int64   `gorm:"column:is_record" json:"is_record" form:"is_record"`
	MedicalCode                 string  `gorm:"column:medical_code" json:"medical_code" form:"medical_code"`
	TubeColor                   int64   `gorm:"column:tube_color" json:"tube_color" form:"tube_color"`
	MedicalStatus               int64   `gorm:"column:medical_status" json:"medical_status" form:"medical_status"`
	Remark                      string  `gorm:"column:remark" json:"remark" form:"remark"`
	Sign                        int64   `gorm:"column:sign" json:"sign" form:"sign"`
	DefaultNumber               string  `gorm:"column:default_number" json:"default_number" form:"default_number"`
	IsDefault                   int64   `gorm:"column:is_default" json:"is_default" form:"is_default"`
	IsCharge                    int64   `gorm:"column:is_charge" json:"is_charge" form:"is_charge"`
	IsEstimate                  int64   `gorm:"column:is_estimate" json:"is_estimate" form:"is_estimate"`
	IsWorkload                  int64   `gorm:"column:is_workload" json:"is_workload" form:"is_workload"`
	Sort                        string  `gorm:"column:sort" json:"sort" form:"sort"`
	DoctorAdvice                int64   `gorm:"column:doctor_advice" json:"doctor_advice" form:"doctor_advice"`
	UserOrgId                   int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status                      int64   `gorm:"column:status" json:"status" form:"status"`
	CreatedTime                 int64   `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime                 int64   `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	SingleDose                  string  `gorm:"column:single_dose" json:"single_dose" form:"single_dose"`
	ExecutionFrequency          string  `gorm:"column:execution_frequency" json:"execution_frequency" form:"execution_frequency"`
	DeliveryWay                 string  `gorm:"column:delivery_way" json:"delivery_way" form:"delivery_way"`
	NumberDays                  string  `gorm:"column:number_days" json:"number_days" form:"number_days"`
	Total                       string  `gorm:"column:total" json:"total" form:"total"`
	Category                    int64   `gorm:"column:category" json:"category" form:"category"`
	IsMark                      int64   `gorm:"column:is_mark" json:"is_mark" form:"is_mark"`
	SpecailProject              int64   `gorm:"column:specail_project" json:"specail_project" form:"specail_project"`
	SocialSecurityDirectoryCode string  `gorm:"column:social_security_directory_code" json:"social_security_directory_code" form:"social_security_directory_code"`
	RecordDate                  int64   `gorm:"column:record_date" json:"record_date" form:"record_date"`
	Vaf14             string    `gorm:"column:vaf14" json:"vaf14" form:"vaf14"`

}

func (MyHisProject) TableName() string {
	return "xt_his_project"
}

type MyGoodInformation struct {
	ID                     int64   `gorm:"column:id" json:"id" form:"id"`
	GoodCode               string  `gorm:"column:good_code" json:"good_code" form:"good_code"`
	SpecificationName      string  `gorm:"column:specification_name" json:"specification_name" form:"specification_name"`
	GoodTypeId             int64   `gorm:"column:good_type_id" json:"good_type_id" form:"good_type_id"`
	GoodUnit               int64   `gorm:"column:good_unit" json:"good_unit" form:"good_unit"`
	BuyPrice               float64 `gorm:"column:buy_price" json:"buy_price" form:"buy_price"`
	SellPrice              float64 `gorm:"column:sell_price" json:"sell_price" form:"sell_price"`
	Remark                 string  `gorm:"column:remark" json:"remark" form:"remark"`
	Ctime                  int64   `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime                  int64   `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Manufacturer           int64   `gorm:"column:manufacturer" json:"manufacturer" form:"manufacturer"`
	Dealer                 int64   `gorm:"column:dealer" json:"dealer" form:"dealer"`
	ExpiryDateWarnDayCount int64   `gorm:"column:expiry_date_warn_day_count" json:"expiry_date_warn_day_count" form:"expiry_date_warn_day_count"`
	StockWarnCount         int64   `gorm:"column:stock_warn_count" json:"stock_warn_count" form:"stock_warn_count"`
	IsReuse                int64   `gorm:"column:is_reuse" json:"is_reuse" form:"is_reuse"`
	Status                 int64   `gorm:"column:status" json:"status" form:"status"`
	FilmArea               string  `gorm:"column:film_area" json:"film_area" form:"film_area"`
	IsUse                  int64   `gorm:"column:is_use" json:"is_use" form:"is_use"`
	FilmMaterialQuality    string  `gorm:"column:film_material_quality" json:"film_material_quality" form:"film_material_quality"`
	OrgId                  int64   `gorm:"column:org_id" json:"org_id" form:"org_id"`
	Modifier               int64   `gorm:"column:modifier" json:"modifier" form:"modifier"`
	Creater                int64   `gorm:"column:creater" json:"creater" form:"creater"`
	GoodName               string  `gorm:"column:good_name" json:"good_name" form:"good_name"`
	Pinyin                 string  `gorm:"column:pinyin" json:"pinyin" form:"pinyin"`
	Wubi                   string  `gorm:"column:wubi" json:"wubi" form:"wubi"`
	GoodKind               int64   `gorm:"column:good_kind" json:"good_kind" form:"good_kind"`
	MedicalInsuranceLevel  int64   `gorm:"column:medical_insurance_level" json:"medical_insurance_level" form:"medical_insurance_level"`
	RetailPrice            float64 `gorm:"column:retail_price" json:"retail_price" form:"retail_price"`
	MedicalInsuranceNumber string  `gorm:"column:medical_insurance_number" json:"medical_insurance_number" form:"medical_insurance_number"`
	ProvincesCode          string  `gorm:"column:provinces_code" json:"provinces_code" form:"provinces_code"`

	IsSpecialDiseases           int64  `gorm:"column:is_special_diseases" json:"is_special_diseases" form:"is_special_diseases"`
	IsRecord                    int64  `gorm:"column:is_record" json:"is_record" form:"is_record"`
	StatisticsCategory          int64  `gorm:"column:statistics_category" json:"statistics_category" form:"statistics_category"`
	GoodStatus                  string `gorm:"column:good_status" json:"good_status" form:"good_status"`
	DefaultCount                int64  `gorm:"column:default_count" json:"default_count" form:"default_count"`
	Sign                        int64  `gorm:"column:sign" json:"sign" form:"sign"`
	IsDefault                   int64  `gorm:"column:is_default" json:"is_default" form:"is_default"`
	IsChargeUse                 int64  `gorm:"column:is_charge_use" json:"is_charge_use" form:"is_charge_use"`
	IsChargePredict             int64  `gorm:"column:is_charge_predict" json:"is_charge_predict" form:"is_charge_predict"`
	IsStatisticsWork            int64  `gorm:"column:is_statistics_work" json:"is_statistics_work" form:"is_statistics_work"`
	Sort                        int64  `gorm:"column:sort" json:"sort" form:"sort"`
	IsDoctorUse                 int64  `gorm:"column:is_doctor_use" json:"is_doctor_use" form:"is_doctor_use"`
	Agent                       string `gorm:"column:agent" json:"agent" form:"agent"`
	GoodNumber                  string `gorm:"column:good_number" json:"good_number" form:"good_number"`
	CommdityCode                string `gorm:"column:commdity_code" json:"commdity_code" form:"commdity_code"`
	SocialSecurityDirectoryCode string `gorm:"column:social_security_directory_code" json:"social_security_directory_code" form:"social_security_directory_code"`
	ProductionType              string `gorm:"column:production_type" json:"production_type" form:"production_type"`
	SpecialMedical              string `gorm:"column:special_medical" json:"special_medical" form:"special_medical"`
	IsMark                      int64  `gorm:"column:is_mark" json:"is_mark" form:"is_mark"`
	IsUser                      int64  `gorm:"column:is_user" json:"is_user" form:"is_user"`
}

func (MyGoodInformation) TableName() string {
	return "xt_good_information"
}

type MySgjUserAdminRole struct {
	ID            int64  `gorm:"column:id" json:"id" form:"id"`
	AdminUserId   int64  `gorm:"column:admin_user_id" json:"admin_user_id" form:"admin_user_id"`
	OrgId         int64  `gorm:"column:org_id" json:"org_id" form:"org_id"`
	AppId         int64  `gorm:"column:app_id" json:"app_id" form:"app_id"`
	RoleId        int64  `gorm:"column:role_id" json:"role_id" form:"role_id"`
	UserName      string `gorm:"column:user_name" json:"user_name" form:"user_name"`
	Avatar        string `gorm:"column:avatar" json:"avatar" form:"avatar"`
	UserType      int64  `gorm:"column:user_type" json:"user_type" form:"user_type"`
	UserTitle     int64  `gorm:"column:user_title" json:"user_title" form:"user_title"`
	Intro         string `gorm:"column:intro" json:"intro" form:"intro"`
	Status        int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime         int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime         int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	UserTitleName string `gorm:"column:user_title_name" json:"user_title_name" form:"user_title_name"`
	RoleIds       string `gorm:"column:role_ids" json:"role_ids" form:"role_ids"`
	Message       string `gorm:"column:message" json:"message" form:"message"`
	Sex           int64  `gorm:"column:sex" json:"sex" form:"sex"`
	Birthday      int64  `gorm:"column:birthday" json:"birthday" form:"birthday"`
	Sort          int64  `gorm:"column:sort" json:"sort" form:"sort"`
	IsSort        int64  `gorm:"column:is_sort" json:"is_sort" form:"is_sort"`
	Department    string `gorm:"column:department" json:"department" form:"department"`
	DepartmentId  int64  `gorm:"column:department_id" json:"department_id" form:"department_id"`

	Age                                     int64  `gorm:"column:age" json:"age" form:"age"`
	Nation                                  string `gorm:"column:nation" json:"nation" form:"nation"`
	CardType                                int64  `gorm:"column:card_type" json:"card_type" form:"card_type"`
	IdCard                                  string `gorm:"column:id_card" json:"id_card" form:"id_card"`
	Education                               int64  `gorm:"column:education" json:"education" form:"education"`
	StudyMajorName                          string `gorm:"column:study_major_name" json:"study_major_name" form:"study_major_name"`
	WorkMajorName                           string `gorm:"column:work_major_name" json:"work_major_name" form:"work_major_name"`
	RoleType                                int64  `gorm:"column:role_type" json:"role_type" form:"role_type"`
	MedicalCode                             string `gorm:"column:medical_code" json:"medical_code" form:"medical_code"`
	DoctorCode                              string `gorm:"column:doctor_code" json:"doctor_code" form:"doctor_code"`
	Licensing                               int64  `gorm:"column:licensing" json:"licensing" form:"licensing"`
	JobNumber                               string `gorm:"column:job_number" json:"job_number" form:"job_number"`
	PrescriptionQualificationIdentification int64  `gorm:"column:prescription_qualification_identification" json:"prescription_qualification_identification" form:"prescription_qualification_identification"`
	IdentificationOutpatients               int64  `gorm:"column:identification_outpatients" json:"identification_outpatients" form:"identification_outpatients"`
	StartTime                               int64  `gorm:"column:start_time" json:"start_time" form:"start_time"`
	MedicalRangeCode                        int64  `gorm:"column:medical_range_code" json:"medical_range_code" form:"medical_range_code"`
	MedicalLevel                            int64  `gorm:"column:medical_level" json:"medical_level" form:"medical_level"`
	MedicalTypeJob                          int64  `gorm:"column:medical_type_job" json:"medical_type_job" form:"medical_type_job"`
	PharmacistRegistrationNumber            string `gorm:"column:pharmacist_registration_number" json:"pharmacist_registration_number" form:"pharmacist_registration_number"`
	DoctorRangeCode                         int64  `gorm:"column:doctor_range_code" json:"doctor_range_code" form:"doctor_range_code"`
	DoctorLevel                             int64  `gorm:"column:doctor_level" json:"doctor_level" form:"doctor_level"`
	DoctorTypeJob                           int64  `gorm:"column:doctor_type_job" json:"doctor_type_job" form:"doctor_type_job"`
	DoctorNumber                            string `gorm:"column:doctor_number" json:"doctor_number" form:"doctor_number"`
	OutpatientIllnessCategory               string `gorm:"column:outpatient_illness_category" json:"outpatient_illness_category" form:"outpatient_illness_category"`
	IsActive                                int64  `gorm:"column:is_active" json:"is_active" form:"is_active"`
	ActiveStatus                            int64  `gorm:"column:active_status" json:"active_status" form:"active_status"`
	IsMark                                  int64  `gorm:"column:is_mark" json:"is_mark" form:"is_mark"`
}

func (MySgjUserAdminRole) TableName() string {
	return "sgj_user_admin_role"
}

type HisFundSettleListResult struct {
	ID        int64  `gorm:"column:id" json:"id" form:"id"`
	Number    string `gorm:"column:number" json:"number" form:"number"`
	Status    int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime     int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime     int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	UserOrgId int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	IsUpload  int64  `gorm:"column:is_upload" json:"is_upload" form:"is_upload"`
	OrderId   int64  `gorm:"column:order_id" json:"order_id" form:"order_id"`
}

func (HisFundSettleListResult) TableName() string {
	return "his_fund_settle_list_result"
}

type NewCustom struct {
	DetItemFeeSumamt string
	Cut              string
	FeedetlSn        string
	Price            string
	MedListCodg      string
	LmtUsedFlag      int64
	HospApprFlag     int64
	FeeOcurTime      string
	DoctorId         int64
}

type HisPsn struct {
	ID            int64   `gorm:"column:id" json:"id" form:"id"`
	PsnNo         string  `gorm:"column:psn_no" json:"psn_no" form:"psn_no"`
	Age           float64 `gorm:"column:age" json:"age" form:"age"`
	PatientId     int64   `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Certno        string  `gorm:"column:certno" json:"certno" form:"certno"`
	Brdy          string  `gorm:"column:brdy" json:"brdy" form:"brdy"`
	Gend          string  `gorm:"column:gend" json:"gend" form:"gend"`
	Naty          string  `gorm:"column:naty" json:"naty" form:"naty"`
	PsnCertType   string  `gorm:"column:psn_cert_type" json:"psn_cert_type" form:"psn_cert_type"`
	PsnName       string  `gorm:"column:psn_name" json:"psn_name" form:"psn_name"`
	Idetinfo      string  `gorm:"column:idetinfo" json:"idetinfo" form:"idetinfo"`
	Insuinfo      string  `gorm:"column:insuinfo" json:"insuinfo" form:"insuinfo"`
	UserOrgId     int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	CardInfo      string  `gorm:"column:card_info" json:"card_info" form:"card_info"`
	VerifyNumber  string  `gorm:"column:verify_number" json:"verify_number" form:"verify_number"`
	Stage         string  `gorm:"column:stage" json:"stage" form:"stage"`
	RecordDate    int64   `gorm:"column:record_date" json:"record_date" form:"record_date"`
	InsuplcAdmdvs string  `gorm:"column:insuplc_admdvs" json:"insuplc_admdvs" form:"insuplc_admdvs"`
	IdCardType    int64   `gorm:"column:id_card_type" json:"id_card_type" form:"id_card_type"`
	AuthInfo    string   `gorm:"column:auth_info" json:"auth_info" form:"auth_info"`



}

func (HisPsn) TableName() string {
	return "his_psn"
}

type HisPrescriptionTen struct {
	ID                     int64                        `gorm:"column:id" json:"id" form:"id"`
	UserOrgId              int64                        `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	RecordDate             int64                        `gorm:"column:record_date" json:"record_date" form:"record_date"`
	PatientId              int64                        `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	HisPatientId           int64                        `gorm:"column:his_patient_id" json:"his_patient_id" form:"his_patient_id"`
	Status                 int64                        `gorm:"column:status" json:"status" form:"status"`
	Ctime                  int64                        `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime                  int64                        `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Number                 string                       `gorm:"column:number" json:"number" form:"number"`
	Type                   int64                        `gorm:"column:type" json:"type" form:"type"`
	Doctor                 string                       `gorm:"column:doctor" json:"doctor" form:"doctor"`
	Creator                int64                        `gorm:"column:creator" json:"creator" form:"creator"`
	Modifier               int64                        `gorm:"column:modifier" json:"modifier" form:"modifier"`
	OrderStatus            int64                        `gorm:"column:order_status" json:"order_status" form:"order_status"`
	PreTime                int64                        `gorm:"column:pre_time" json:"pre_time" form:"pre_time"`
	BatchNumber            string                       `gorm:"column:batch_number" json:"batch_number" form:"batch_number"`
	PrescriptionNumber     string                       `gorm:"column:prescription_number" json:"prescription_number" form:"prescription_number"`
	Patients               Patients                     `gorm:"ForeignKey:PatientId;AssociationForeignKey:ID" json:"patient"`
	HisPatient             VMHisPatient                 `gorm:"ForeignKey:PatientId;AssociationForeignKey:patient_id" json:"hisPatient"`
	HisDoctorAdviceInfo    []*HisDoctorAdviceInfoTen    `gorm:"ForeignKey:PrescriptionId;AssociationForeignKey:ID" json:"advices"`
	HisPrescriptionProject []*HisPrescriptionProjectTen `gorm:"ForeignKey:PrescriptionId;AssociationForeignKey:ID" json:"project"`
}

func (HisPrescriptionTen) TableName() string {
	return "his_prescription"
}

type HisDoctorAdviceInfoTen struct {
	ID                    int64        `gorm:"column:id" json:"id" form:"id"`
	UserOrgId             int64        `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	PatientId             int64        `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	HisPatientId          int64        `gorm:"column:his_patient_id" json:"his_patient_id" form:"his_patient_id"`
	AdviceType            int64        `gorm:"column:advice_type" json:"advice_type" form:"advice_type"`
	AdviceDate            int64        `gorm:"column:advice_date" json:"advice_date" form:"advice_date"`
	StartTime             int64        `gorm:"column:start_time" json:"start_time" form:"start_time"`
	AdviceName            string       `gorm:"column:advice_name" json:"advice_name" form:"advice_name"`
	AdviceDesc            string       `gorm:"column:advice_desc" json:"advice_desc" form:"advice_desc"`
	ReminderDate          int64        `gorm:"column:reminder_date" json:"reminder_date" form:"reminder_date"`
	SingleDose            float64      `gorm:"column:single_dose" json:"single_dose" form:"single_dose"`
	SingleDoseUnit        string       `gorm:"column:single_dose_unit" json:"single_dose_unit" form:"single_dose_unit"`
	PrescribingNumber     float64      `gorm:"column:prescribing_number" json:"prescribing_number" form:"prescribing_number"`
	PrescribingNumberUnit string       `gorm:"column:prescribing_number_unit" json:"prescribing_number_unit" form:"prescribing_number_unit"`
	DeliveryWay           string       `gorm:"column:delivery_way" json:"delivery_way" form:"delivery_way"`
	ExecutionFrequency    string       `gorm:"column:execution_frequency" json:"execution_frequency" form:"execution_frequency"`
	AdviceDoctor          int64        `gorm:"column:advice_doctor" json:"advice_doctor" form:"advice_doctor"`
	Status                int64        `gorm:"column:status" json:"status" form:"status"`
	CreatedTime           int64        `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime           int64        `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	AdviceAffirm          string       `gorm:"column:advice_affirm" json:"advice_affirm" form:"advice_affirm"`
	Remark                string       `gorm:"column:remark" json:"remark" form:"remark"`
	StopTime              int64        `gorm:"column:stop_time" json:"stop_time" form:"stop_time"`
	StopReason            string       `gorm:"column:stop_reason" json:"stop_reason" form:"stop_reason"`
	StopDoctor            int64        `gorm:"column:stop_doctor" json:"stop_doctor" form:"stop_doctor"`
	StopState             int64        `gorm:"column:stop_state" json:"stop_state" form:"stop_state"`
	ParentId              int64        `gorm:"column:parent_id" json:"parent_id" form:"parent_id"`
	ExecutionTime         int64        `gorm:"column:execution_time" json:"execution_time" form:"execution_time"`
	ExecutionStaff        int64        `gorm:"column:execution_staff" json:"execution_staff" form:"execution_staff"`
	ExecutionState        int64        `gorm:"column:execution_state" json:"execution_state" form:"execution_state"`
	Checker               int64        `gorm:"column:checker" json:"checker" form:"checker"`
	RecordDate            int64        `gorm:"column:record_date" json:"record_date" form:"record_date"`
	DialysisOrderId       int64        `gorm:"column:dialysis_order_id" json:"dialysis_order_id" form:"dialysis_order_id"`
	CheckTime             int64        `gorm:"column:check_time" json:"check_time" form:"check_time"`
	CheckState            int64        `gorm:"column:check_state" json:"check_state" form:"check_state"`
	DrugSpec              float64      `gorm:"column:drug_spec" json:"drug_spec" form:"drug_spec"`
	DrugSpecUnit          string       `gorm:"column:drug_spec_unit" json:"drug_spec_unit" form:"drug_spec_unit"`
	Groupno               int64        `gorm:"column:groupno" json:"groupno" form:"groupno"`
	RemindType            int64        `gorm:"column:remind_type" json:"remind_type" form:"remind_type"`
	FrequencyType         int64        `gorm:"column:frequency_type" json:"frequency_type" form:"frequency_type"`
	DayCount              int64        `gorm:"column:day_count" json:"day_count" form:"day_count"`
	WeekDay               string       `gorm:"column:week_day" json:"week_day" form:"week_day"`
	TemplateId            string       `gorm:"column:template_id" json:"template_id" form:"template_id"`
	Modifier              int64        `gorm:"column:modifier" json:"modifier" form:"modifier"`
	DrugId                int64        `gorm:"column:drug_id" json:"drug_id" form:"drug_id"`
	Price                 float64      `gorm:"column:price" json:"price" form:"price"`
	PrescriptionId        int64        `gorm:"column:prescription_id" json:"prescription_id" form:"prescription_id"`
	MedListCodg           string       `gorm:"column:med_list_codg" json:"med_list_codg" form:"med_list_codg"`
	FeedetlSn             string       `gorm:"column:feedetl_sn" json:"feedetl_sn" form:"feedetl_sn"`
	Day                   int64        `gorm:"column:day" json:"day" form:"day"`
	HospApprFlag          int64        `gorm:"column:hosp_appr_flag" json:"hosp_appr_flag" form:"hosp_appr_flag"`
	BaseDrugLib           BaseDrugLib  `gorm:"ForeignKey:DrugId;AssociationForeignKey:ID" json:"drug"`
	HisOrderInfo          HisOrderInfo `gorm:"ForeignKey:ID;AssociationForeignKey:AdviceId" json:"order_info"`
	DrugWayCount               string  `gorm:"column:drug_way_count" json:"drug_way_count" form:"drug_way_count"`

}

func (HisDoctorAdviceInfoTen) TableName() string {
	return "his_doctor_advice_info"
}

type HisPrescriptionProjectTen struct {
	ID                 int64            `gorm:"column:id" json:"id" form:"id"`
	ProjectId          int64            `gorm:"column:project_id" json:"project_id" form:"project_id"`
	Price              float64          `gorm:"column:price" json:"price" form:"price"`
	UserOrgId          int64            `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status             int64            `gorm:"column:status" json:"status" form:"status"`
	Ctime              int64            `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime              int64            `gorm:"column:mtime" json:"mtime" form:"mtime"`
	PatientId          int64            `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	HisPatientId       int64            `gorm:"column:his_patient_id" json:"his_patient_id" form:"his_patient_id"`
	RecordDate         int64            `gorm:"column:record_date" json:"record_date" form:"record_date"`
	PrescriptionId     int64            `gorm:"column:prescription_id" json:"prescription_id" form:"prescription_id"`
	Count              string           `gorm:"column:count" json:"count" form:"count"`
	FeedetlSn          string           `gorm:"column:feedetl_sn" json:"feedetl_sn" form:"feedetl_sn"`
	MedListCodg        string           `gorm:"column:med_list_codg" json:"med_list_codg" form:"med_list_codg"`
	SingleDose         string           `gorm:"column:single_dose" json:"single_dose" form:"single_dose"`
	DeliveryWay        string           `gorm:"column:delivery_way" json:"delivery_way" form:"delivery_way"`
	ExecutionFrequency string           `gorm:"column:execution_frequency" json:"execution_frequency" form:"execution_frequency"`
	Day                string           `gorm:"column:day" json:"day" form:"day"`
	HisProject         HisProject       `gorm:"ForeignKey:ProjectId;AssociationForeignKey:ID" json:"project"`
	GoodInfo           GoodInfo         `gorm:"ForeignKey:ProjectId;AssociationForeignKey:ID" json:"good_info"`
	Type               int64            `gorm:"column:type" json:"type" form:"type"`
	Remark             string           `gorm:"column:remark" json:"remark" form:"remark"`
	Unit               string           `gorm:"column:unit" json:"unit" form:"unit"`
	TeamId             int64            `gorm:"column:team_id" json:"team_id" form:"team_id"`
	XtHisProjectTeam   XtHisProjectTeam `gorm:"ForeignKey:TeamId;AssociationForeignKey:ID" json:"team"`
	IsCheckTeam        int64            `gorm:"-" json:"is_check_team" form:"is_check_team"`
	HisOrderInfo       HisOrderInfo     `gorm:"ForeignKey:ID;AssociationForeignKey:ProjectId" json:"order_info"`
}

func (HisPrescriptionProjectTen) TableName() string {
	return "his_prescription_project"
}

type HisSignIn struct {
	ID            int64  `gorm:"column:id" json:"id" form:"id"`
	UserOrgId     int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	SignNo        string `gorm:"column:sign_no" json:"sign_no" form:"sign_no"`
	Ctime         int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime         int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status        int64  `gorm:"column:status" json:"status" form:"status"`
	SignTime      string `gorm:"column:sign_time" json:"sign_time" form:"sign_time"`
	InputLog      string `gorm:"column:input_log" json:"input_log" form:"input_log"`
	OutputLog     string `gorm:"column:output_log" json:"output_log" form:"output_log"`
	FixmedinsCode string `gorm:"column:fixmedins_code" json:"fixmedins_code" form:"fixmedins_code"`
}

func (HisSignIn) TableName() string {
	return "his_sign_in"
}

type HisChargeSettleOrder struct {
	ID                  int64   `gorm:"column:id" json:"id" form:"id"`
	UserOrgId           int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	HisPatientId        int64   `gorm:"column:his_patient_id" json:"his_patient_id" form:"his_patient_id"`
	SettleAccountsDate  int64   `gorm:"column:settle_accounts_date" json:"settle_accounts_date" form:"settle_accounts_date"`
	Status              int64   `gorm:"column:status" json:"status" form:"status"`
	PatientId           int64   `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Infcode             int64   `gorm:"column:infcode" json:"infcode" form:"infcode"`
	WarnMsg             string  `gorm:"column:warn_msg" json:"warn_msg" form:"warn_msg"`
	Cainfo              string  `gorm:"column:cainfo" json:"cainfo" form:"cainfo"`
	ErrMsg              string  `gorm:"column:err_msg" json:"err_msg" form:"err_msg"`
	RespondTime         string  `gorm:"column:respond_time" json:"respond_time" form:"respond_time"`
	InfRefmsgid         string  `gorm:"column:inf_refmsgid" json:"inf_refmsgid" form:"inf_refmsgid"`
	OrderStatus         int64   `gorm:"column:order_status" json:"order_status" form:"order_status"`
	MdtrtId             string  `gorm:"column:mdtrt_id" json:"mdtrt_id" form:"mdtrt_id"`
	SetlId              string  `gorm:"column:setl_id" json:"setl_id" form:"setl_id"`
	Insutype            string  `gorm:"column:insutype" json:"insutype" form:"insutype"`
	PsnType             string  `gorm:"column:psn_type" json:"psn_type" form:"psn_type"`
	CvlservFlag         string  `gorm:"column:cvlserv_flag" json:"cvlserv_flag" form:"cvlserv_flag"`
	SetlTime            string  `gorm:"column:setl_time" json:"setl_time" form:"setl_time"`
	MdtrtCertType       string  `gorm:"column:mdtrt_cert_type" json:"mdtrt_cert_type" form:"mdtrt_cert_type"`
	MedType             string  `gorm:"column:med_type" json:"med_type" form:"med_type"`
	MedfeeSumamt        float64 `gorm:"column:medfee_sumamt" json:"medfee_sumamt" form:"medfee_sumamt"`
	FulamtOwnpayAmt     float64 `gorm:"column:fulamt_ownpay_amt" json:"fulamt_ownpay_amt" form:"fulamt_ownpay_amt"`
	OverlmtSelfPay      float64 `gorm:"column:overlmt_self_pay" json:"overlmt_self_pay" form:"overlmt_self_pay"`
	PreselfpayAmt       float64 `gorm:"column:preselfpay_amt" json:"preselfpay_amt" form:"preselfpay_amt"`
	InscpScpAmt         float64 `gorm:"column:inscp_scp_amt" json:"inscp_scp_amt" form:"inscp_scp_amt"`
	ActPayDedc          float64 `gorm:"column:act_pay_dedc" json:"act_pay_dedc" form:"act_pay_dedc"`
	HifpPay             float64 `gorm:"column:hifp_pay" json:"hifp_pay" form:"hifp_pay"`
	CvlservPay          float64 `gorm:"column:cvlserv_pay" json:"cvlserv_pay" form:"cvlserv_pay"`
	PoolPropSelfpay     float64 `gorm:"column:pool_prop_selfpay" json:"pool_prop_selfpay" form:"pool_prop_selfpay"`
	HifesPay            float64 `gorm:"column:hifes_pay" json:"hifes_pay" form:"hifes_pay"`
	HifmiPay            float64 `gorm:"column:hifmi_pay" json:"hifmi_pay" form:"hifmi_pay"`
	HifobPay            float64 `gorm:"column:hifob_pay" json:"hifob_pay" form:"hifob_pay"`
	MafPay              float64 `gorm:"column:maf_pay" json:"maf_pay" form:"maf_pay"`
	OthPay              float64 `gorm:"column:oth_pay" json:"oth_pay" form:"oth_pay"`
	FundPaySumamt       float64 `gorm:"column:fund_pay_sumamt" json:"fund_pay_sumamt" form:"fund_pay_sumamt"`
	PsnPartAmt          float64 `gorm:"column:psn_part_amt" json:"psn_part_amt" form:"psn_part_amt"`
	AcctPay             float64 `gorm:"column:acct_pay" json:"acct_pay" form:"acct_pay"`
	PsnCashPay          float64 `gorm:"column:psn_cash_pay" json:"psn_cash_pay" form:"psn_cash_pay"`
	HospPartAmt         float64 `gorm:"column:hosp_part_amt" json:"hosp_part_amt" form:"hosp_part_amt"`
	Balc                float64 `gorm:"column:balc" json:"balc" form:"balc"`
	AcctMulaidPay       float64 `gorm:"column:acct_mulaid_pay" json:"acct_mulaid_pay" form:"acct_mulaid_pay"`
	MedinsSetlId        string  `gorm:"column:medins_setl_id" json:"medins_setl_id" form:"medins_setl_id"`
	ClrOptins           string  `gorm:"column:clr_optins" json:"clr_optins" form:"clr_optins"`
	ClrWay              string  `gorm:"column:clr_way" json:"clr_way" form:"clr_way"`
	ClrType             string  `gorm:"column:clr_type" json:"clr_type" form:"clr_type"`
	SetlDetail          string  `gorm:"column:setl_detail" json:"setl_detail" form:"setl_detail"`
	IsMedicineInsurance int64   `gorm:"column:is_medicine_insurance" json:"is_medicine_insurance" form:"is_medicine_insurance"`
	PType               int64   `gorm:"column:p_type" json:"p_type" form:"p_type"`
	SettleType          int64   `gorm:"column:settle_type" json:"settle_type" form:"settle_type"`
	SettleStartTime     int64   `gorm:"column:settle_start_time" json:"settle_start_time" form:"settle_start_time"`
	SettleEndTime       int64   `gorm:"column:settle_end_time" json:"settle_end_time" form:"settle_end_time"`
	IsPre               int64   `gorm:"column:is_pre" json:"is_pre" form:"is_pre"`
	PayWays             string  `gorm:"column:pay_ways" json:"pay_way" form:"pay_ways"`
	OthDesc             string  `gorm:"column:oth_desc" json:"oth_desc" form:"oth_desc"`

	IsUploadDiagnose  int64 `gorm:"column:is_upload_diagnose" json:"is_upload_diagnose" form:"is_upload_diagnose"`
	IsUploadOrderInfo int64 `gorm:"column:is_upload_order_info" json:"is_upload_order_info" form:"is_upload_order_info"`
	IsUploadSuccess   int64 `gorm:"column:is_upload_success" json:"is_upload_success" form:"is_upload_success"`
}

func (HisChargeSettleOrder) TableName() string {
	return "his_order"
}

type HisPrintPatient struct {
	ID                     int64   `gorm:"column:id" json:"id" form:"id"`
	BalanceAccountsType    int64   `gorm:"column:balance_accounts_type" json:"balance_accounts_type" form:"balance_accounts_type"`
	MedicalInsuranceNumber string  `gorm:"column:medical_insurance_number" json:"medical_insurance_number" form:"medical_insurance_number"`
	Name                   string  `gorm:"column:name" json:"name" form:"name"`
	Gender                 int64   `gorm:"column:gender" json:"gender" form:"gender"`
	IdType                 int64   `gorm:"column:id_type" json:"id_type" form:"id_type"`
	RecordDate             int64   `gorm:"column:record_date" json:"record_date" form:"record_date"`
	PhoneNumber            string  `gorm:"column:phone_number" json:"phone_number" form:"phone_number"`
	IdCardNo               string  `gorm:"column:id_card_no" json:"id_card_no" form:"id_card_no"`
	RegisterType           int64   `gorm:"column:register_type" json:"register_type" form:"register_type"`
	AdminUserId            int64   `gorm:"column:admin_user_id" json:"admin_user_id" form:"admin_user_id"`
	Departments            int64   `gorm:"column:departments" json:"departments" form:"departments"`
	Total                  float64 `gorm:"column:total" json:"total" form:"total"`
	UserOrgId              int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status                 int64   `gorm:"column:status" json:"status" form:"status"`
	PatientId              int64   `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Number                 string  `gorm:"column:number" json:"number" form:"number"`
	Doctor                 int64   `gorm:"column:doctor" json:"doctor" form:"doctor"`
	IsReturn               int64   `gorm:"column:is_return" json:"is_return" form:"is_return"`
	PsnNo                  string  `gorm:"column:psn_no" json:"psn_no" form:"psn_no"`
	PsnCertType            string  `gorm:"column:psn_cert_type" json:"psn_cert_type" form:"psn_cert_type"`
	Certno                 string  `gorm:"column:certno" json:"certno" form:"certno"`
	PsnName                string  `gorm:"column:psn_name" json:"psn_name" form:"psn_name"`
	Gend                   string  `gorm:"column:gend" json:"gend" form:"gend"`
	Naty                   string  `gorm:"column:naty" json:"naty" form:"naty"`
	Brdy                   string  `gorm:"column:brdy" json:"brdy" form:"brdy"`
	Iinfo                  string  `gorm:"column:iinfo" json:"iinfo" form:"iinfo"`
	Idetinfo               string  `gorm:"column:idetinfo" json:"idetinfo" form:"idetinfo"`
	IptOtpNo               string  `gorm:"column:ipt_otp_no" json:"ipt_otp_no" form:"ipt_otp_no"`
	Phone                  string  `gorm:"column:phone" json:"phone" form:"phone"`
	SocialType             int64   `gorm:"column:social_type" json:"social_type" form:"social_type"`
	IdCardType             int64   `gorm:"column:id_card_type" json:"id_card_type" form:"id_card_type"`
	PType                  int64   `gorm:"column:p_type" json:"p_type" form:"p_type"`
	Diagnosis              string  `gorm:"column:diagnosis" json:"diagnosis" form:"diagnosis"`
	SickType               int64   `gorm:"column:sick_type" json:"sick_type" form:"sick_type"`
	PatientInfo            string  `gorm:"column:patient_info" json:"patient_info" form:"patient_info"`
}

func (HisPrintPatient) TableName() string {
	return "his_patient"
}

type HisHospitalCheckRecordTwo struct {
	ID                   int64  `gorm:"column:id" json:"id" form:"id"`
	Name                 string `gorm:"column:name" json:"name" form:"name"`
	MedicalTreatmentType int64  `gorm:"column:medical_treatment_type" json:"medical_treatment_type" form:"medical_treatment_type"`
	RecordDate           int64  `gorm:"column:record_date" json:"record_date" form:"record_date"`
	IdCardNo             string `gorm:"column:id_card_no" json:"id_card_no" form:"id_card_no"`
	AdminUserId          int64  `gorm:"column:admin_user_id" json:"admin_user_id" form:"admin_user_id"`
	Departments          int64  `gorm:"column:departments" json:"departments" form:"departments"`
	UserOrgId            int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status               int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime                int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime                int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	PatientId            int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Number               string `gorm:"column:number" json:"number" form:"number"`
	Doctor               int64  `gorm:"column:doctor" json:"doctor" form:"doctor"`
	PsnNo                string `gorm:"column:psn_no" json:"psn_no" form:"psn_no"`
	PsnCertType          string `gorm:"column:psn_cert_type" json:"psn_cert_type" form:"psn_cert_type"`
	Certno               string `gorm:"column:certno" json:"certno" form:"certno"`
	PsnName              string `gorm:"column:psn_name" json:"psn_name" form:"psn_name"`
	Gend                 string `gorm:"column:gend" json:"gend" form:"gend"`
	Naty                 string `gorm:"column:naty" json:"naty" form:"naty"`
	MedType              int64  `gorm:"column:med_type" json:"med_type" form:"med_type"`
	Brdy                 string `gorm:"column:brdy" json:"brdy" form:"brdy"`
	Iinfo                string `gorm:"column:iinfo" json:"iinfo" form:"iinfo"`
	Idetinfo             string `gorm:"column:idetinfo" json:"idetinfo" form:"idetinfo"`
	IptOtpNo             string `gorm:"column:ipt_otp_no" json:"ipt_otp_no" form:"ipt_otp_no"`
	AdmBed               int64  `gorm:"column:adm_bed" json:"adm_bed" form:"adm_bed"`
	IdCardType           int64  `gorm:"column:id_card_type" json:"id_card_type" form:"id_card_type"`
	Diagnosis            string `gorm:"column:diagnosis" json:"diagnosis" form:"diagnosis"`
	InsutypeType         string `gorm:"column:insutype_type" json:"insutype_type" form:"insutype_type"`
	SickType             int64  `gorm:"column:sick_type" json:"sick_type" form:"sick_type"`
	MdtrtCertType        string `gorm:"column:mdtrt_cert_type" json:"mdtrt_cert_type" form:"mdtrt_cert_type"`
	InHosptialTime       string `gorm:"column:in_hosptial_time" json:"in_hosptial_time" form:"in_hosptial_time"`
	OutHosptialTime      string `gorm:"column:out_hosptial_time" json:"out_hosptial_time" form:"out_hosptial_time"`
	InHospitalStatus     int64  `gorm:"column:in_hospital_status" json:"in_hospital_status" form:"in_hospital_status"`
	Certificates         int64  `gorm:"column:certificates" json:"certificates" form:"certificates"`
	OutHospitalStatus    int64  `gorm:"column:out_hospital_status" json:"out_hospital_status" form:"out_hospital_status"`
	OutWay               int64  `gorm:"column:out_way" json:"out_way" form:"out_way"`
	Phone                string `gorm:"column:phone" json:"phone" form:"phone"`
	BalanceAccountsType  int64  `gorm:"column:balance_accounts_type" json:"balance_accounts_type" form:"balance_accounts_type"`
	PsnType              int64  `gorm:"column:psn_type" json:"psn_type" form:"psn_type"`
	InsuplcAdmdvs        string `gorm:"column:insuplc_admdvs" json:"insuplc_admdvs" form:"insuplc_admdvs"`
}

func (HisHospitalCheckRecordTwo) TableName() string {
	return "his_hospital_check_record"
}

type NewCustomTwo struct {
	DetItemFeeSumamt string
	Cut              string
	FeedetlSn        string
	Price            string
	MedListCodg      string
	Type             int64
	AdviceId         int64
	ProjectId        int64
	ItemId           string
	StartTime        string
	Content string
	Bby01             string

}

type ChargeList struct {
	Bby01 			string
	Vaj25              string
	Bbx01              string
	Vaf21              string
	Vaf22              string
	Vaf42              string


}


type ChargeListtwo struct {
	Bby01 			int64  `json:"bby01"`
	Vaj25              float64 `json:"vaj25"`

}
type UploadInfo struct {
	Bce02a   string `json:"bce02a"`
	Acf01   int64 `json:"acf01"`
	Bce01   string `json:"bce01"`
	Bck01   string `json:"bck01"`
	ChargeListtwo []*ChargeListtwo `json:"chargeList"`
	Bce01a   string `json:"bce01a"`

	Bck01c   string `json:"bck01c"`
	Bck01a   string `json:"bck01a"`

	Diag     []*Diag
	Fasong   string `json:"fasong"`
	PresInfo []*PresInfo
	Vaa01    int64 `json:"bby01"`
	Vaa07    int64 `json:"vaa07"`
	Vaa05    string `json:"vaa05"`


}

type Diag struct {
	Bak02 string `json:"bak02"`
	Vao06 string `json:"vao06"`
}

type PresDetail struct {
	Item  []*Item
	Vaf59 string `json:"vaf59"`
}

type PresInfo struct {
	Cbm06      string `json:"cbm06"`
	Cbm07      string `json:"cbm07"`
	Cbmid      string `json:"cbmid"`
	PresDetail []*PresDetail
}

type Item struct {
	Bbx01  string `json:"bbx01"`
	Bby01  string `json:"bby01"`
	Bck01b string `json:"bck01b"`
	Bck01d string `json:"bck01d"`
	Bda01  string `json:"bda01"`
	Bdi01  string `json:"bdi01"`
	Rownr  string `json:"rownr"`
	Vaf11  string `json:"vaf11"`
	Vaf14  string `json:"vaf14"`
	Vaf15  string `json:"vaf15"`
	Vaf17  string `json:"vaf17"`
	Vaf18  string `json:"vaf18"`
	Vaf19  string `json:"vaf19"`
	Vaf20  string `json:"vaf20"`
	Vaf21  string `json:"vaf21"`
	Vaf22  string `json:"vaf22"`
	Vaf32  string `json:"vaf32"`
	Vaf35  string `json:"vaf35"`
	Vaf36  string `json:"vaf36"`
	Vaf58  string `json:"vaf58"`
	Vaf61  string `json:"vaf61"`
}
type NewHisOrder111 struct {
	ID                      int64     `gorm:"column:id" json:"id" form:"id"`
	UserOrgId               int64     `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	HisPatientId            int64     `gorm:"column:his_patient_id" json:"his_patient_id" form:"his_patient_id"`
	SettleAccountsDate      int64     `gorm:"column:settle_accounts_date" json:"settle_accounts_date" form:"settle_accounts_date"`
	Ctime                   int64     `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime                   int64     `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status                  int64     `gorm:"column:status" json:"status" form:"status"`
	Number                  string    `gorm:"column:number" json:"number" form:"number"`
	PatientId               int64     `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Infcode                 int64     `gorm:"column:infcode" json:"infcode" form:"infcode"`
	WarnMsg                 string    `gorm:"column:warn_msg" json:"warn_msg" form:"warn_msg"`
	Cainfo                  string    `gorm:"column:cainfo" json:"cainfo" form:"cainfo"`
	ErrMsg                  string    `gorm:"column:err_msg" json:"err_msg" form:"err_msg"`
	RespondTime             string    `gorm:"column:respond_time" json:"respond_time" form:"respond_time"`
	InfRefmsgid             string    `gorm:"column:inf_refmsgid" json:"inf_refmsgid" form:"inf_refmsgid"`
	OrderStatus             int64     `gorm:"column:order_status" json:"order_status" form:"order_status"`
	MdtrtId                 string    `gorm:"column:mdtrt_id" json:"mdtrt_id" form:"mdtrt_id"`
	SetlId                  string    `gorm:"column:setl_id" json:"setl_id" form:"setl_id"`
	PsnNo                   string    `gorm:"column:psn_no" json:"psn_no" form:"psn_no"`
	PsnName                 string    `gorm:"column:psn_name" json:"psn_name" form:"psn_name"`
	PsnCertType             string    `gorm:"column:psn_cert_type" json:"psn_cert_type" form:"psn_cert_type"`
	Certno                  string    `gorm:"column:certno" json:"certno" form:"certno"`
	Gend                    string    `gorm:"column:gend" json:"gend" form:"gend"`
	Naty                    string    `gorm:"column:naty" json:"naty" form:"naty"`
	Brdy                    time.Time `gorm:"column:brdy" json:"brdy" form:"brdy"`
	Age                     float64   `gorm:"column:age" json:"age" form:"age"`
	Insutype                string    `gorm:"column:insutype" json:"insutype" form:"insutype"`
	PsnType                 string    `gorm:"column:psn_type" json:"psn_type" form:"psn_type"`
	CvlservFlag             string    `gorm:"column:cvlserv_flag" json:"cvlserv_flag" form:"cvlserv_flag"`
	SetlTime                string    `gorm:"column:setl_time" json:"setl_time" form:"setl_time"`
	MdtrtCertType           string    `gorm:"column:mdtrt_cert_type" json:"mdtrt_cert_type" form:"mdtrt_cert_type"`
	MedType                 string    `gorm:"column:med_type" json:"med_type" form:"med_type"`
	MedfeeSumamt            float64   `gorm:"column:medfee_sumamt" json:"medfee_sumamt" form:"medfee_sumamt"`
	FulamtOwnpayAmt         float64   `gorm:"column:fulamt_ownpay_amt" json:"fulamt_ownpay_amt" form:"fulamt_ownpay_amt"`
	OverlmtSelfPay          float64   `gorm:"column:overlmt_self_pay" json:"overlmt_self_pay" form:"overlmt_self_pay"`
	PreselfpayAmt           float64   `gorm:"column:preselfpay_amt" json:"preselfpay_amt" form:"preselfpay_amt"`
	InscpScpAmt             float64   `gorm:"column:inscp_scp_amt" json:"inscp_scp_amt" form:"inscp_scp_amt"`
	ActPayDedc              float64   `gorm:"column:act_pay_dedc" json:"act_pay_dedc" form:"act_pay_dedc"`
	HifpPay                 float64   `gorm:"column:hifp_pay" json:"hifp_pay" form:"hifp_pay"`
	CvlservPay              float64   `gorm:"column:cvlserv_pay" json:"cvlserv_pay" form:"cvlserv_pay"`
	PoolPropSelfpay         float64   `gorm:"column:pool_prop_selfpay" json:"pool_prop_selfpay" form:"pool_prop_selfpay"`
	HifesPay                float64   `gorm:"column:hifes_pay" json:"hifes_pay" form:"hifes_pay"`
	HifmiPay                float64   `gorm:"column:hifmi_pay" json:"hifmi_pay" form:"hifmi_pay"`
	HifobPay                float64   `gorm:"column:hifob_pay" json:"hifob_pay" form:"hifob_pay"`
	MafPay                  float64   `gorm:"column:maf_pay" json:"maf_pay" form:"maf_pay"`
	OthPay                  float64   `gorm:"column:oth_pay" json:"oth_pay" form:"oth_pay"`
	FundPaySumamt           float64   `gorm:"column:fund_pay_sumamt" json:"fund_pay_sumamt" form:"fund_pay_sumamt"`
	PsnPartAmt              float64   `gorm:"column:psn_part_amt" json:"psn_part_amt" form:"psn_part_amt"`
	AcctPay                 float64   `gorm:"column:acct_pay" json:"acct_pay" form:"acct_pay"`
	PsnCashPay              float64   `gorm:"column:psn_cash_pay" json:"psn_cash_pay" form:"psn_cash_pay"`
	HospPartAmt             float64   `gorm:"column:hosp_part_amt" json:"hosp_part_amt" form:"hosp_part_amt"`
	Balc                    float64   `gorm:"column:balc" json:"balc" form:"balc"`
	AcctMulaidPay           float64   `gorm:"column:acct_mulaid_pay" json:"acct_mulaid_pay" form:"acct_mulaid_pay"`
	MedinsSetlId            string    `gorm:"column:medins_setl_id" json:"medins_setl_id" form:"medins_setl_id"`
	ClrOptins               string    `gorm:"column:clr_optins" json:"clr_optins" form:"clr_optins"`
	ClrWay                  string    `gorm:"column:clr_way" json:"clr_way" form:"clr_way"`
	ClrType                 string    `gorm:"column:clr_type" json:"clr_type" form:"clr_type"`
	SetlDetail              string    `gorm:"column:setl_detail" json:"setl_detail" form:"setl_detail"`
	IsMedicineInsurance     int64     `gorm:"column:is_medicine_insurance" json:"is_medicine_insurance" form:"is_medicine_insurance"`
	PayWay                  int64     `gorm:"column:pay_way" json:"pay_way" form:"pay_way"`
	PayPrice                float64   `gorm:"column:pay_price" json:"pay_price" form:"pay_price"`
	PayCardNo               string    `gorm:"column:pay_card_no" json:"pay_card_no" form:"pay_card_no"`
	DiscountPrice           float64   `gorm:"column:discount_price" json:"discount_price" form:"discount_price"`
	PreferentialPrice       float64   `gorm:"column:preferential_price" json:"preferential_price" form:"preferential_price"`
	RealityPrice            float64   `gorm:"column:reality_price" json:"reality_price" form:"reality_price"`
	FoundPrice              float64   `gorm:"column:found_price" json:"found_price" form:"found_price"`
	MedicalInsurancePrice   float64   `gorm:"column:medical_insurance_price" json:"medical_insurance_price" form:"medical_insurance_price"`
	PrivatePrice            float64   `gorm:"column:private_price" json:"private_price" form:"private_price"`
	Creator                 int64     `gorm:"column:creator" json:"creator" form:"creator"`
	Modify                  int64     `gorm:"column:modify" json:"modify" form:"modify"`
	AccountPrice            float64   `gorm:"column:account_price" json:"account_price" form:"account_price"`
	PayWays                 string    `gorm:"column:pay_ways" json:"pay_way" form:"pay_ways"`
	SzChargeInfo            string    `gorm:"column:sz_charge_info" json:"sz_charge_info" form:"sz_charge_info"`
	SzProjectInfo           string    `gorm:"column:sz_project_info" json:"sz_project_info" form:"sz_project_info"`
	SzMedicineInsuranceInfo string    `gorm:"column:sz_medicine_insurance_info" json:"sz_medicine_insurance_info" form:"sz_medicine_insurance_info"`
	YiliaoNumber            string    `gorm:"column:yiliao_number" json:"yiliao_number" form:"yiliao_number"`
	OthDesc                 string    `gorm:"column:oth_desc" json:"oth_desc" form:"oth_desc"`

	FaPiaoCode   string `gorm:"column:fa_piao_code" json:"fa_piao_code" form:"fa_piao_code"`
	FaPiaoNumber string `gorm:"column:fa_piao_number" json:"fa_piao_number" form:"fa_piao_number"`

	MzNumber      string `gorm:"column:mz_number" json:"mz_number" form:"mz_number"`
	OrgSetlNumber string `gorm:"column:org_setl_number" json:"org_setl_number" form:"org_setl_number"`

	SettleType      int64 `gorm:"column:settle_type" json:"settle_type" form:"settle_type"`
	SettleStartTime int64 `gorm:"column:settle_start_time" json:"settle_start_time" form:"settle_start_time"`
	SettleEndTime   int64 `gorm:"column:settle_end_time" json:"settle_end_time" form:"settle_end_time"`

	RefundLog string `gorm:"column:refund_log" json:"refund_log" form:"refund_log"`
	DetailLog string `gorm:"column:detail_log" json:"detail_log" form:"detail_log"`

	RequestLog       string `gorm:"column:request_log" json:"request_log" form:"request_log"`
	RefundRequestLog string `gorm:"column:refund_request_log" json:"refund_request_log" form:"refund_request_log"`

	PType   int64   `gorm:"column:p_type" json:"p_type" form:"p_type"`
	IsPre   int64   `gorm:"column:is_pre" json:"is_pre" form:"is_pre"`
	Decimal float64 `gorm:"column:decimal" json:"decimal" form:"decimal"`

	Diagnosis string `gorm:"column:diagnosis" json:"diagnosis" form:"diagnosis"`

	AcctUsedFlag string `gorm:"column:acct_used_flag" json:"acct_used_flag" form:"acct_used_flag"`
	CashPay      string `gorm:"cash_pay" json:"cash_pay" form:"cash_pay"`
	BandCardPay  string `gorm:"band_card_pay" json:"band_card_pay" form:"band_card_pay"`
	WechatPay    string `gorm:"wechat_pay" json:"wechat_pay" form:"wechat_pay"`
	AliPay       string `gorm:"ali_pay" json:"ali_pay" form:"ali_pay"`
	JifenPay     string `gorm:"jifen_pay" json:"jifen_pay" form:"jifen_pay"`

	IsUploadDiagnose  int64 `gorm:"column:is_upload_diagnose" json:"is_upload_diagnose" form:"is_upload_diagnose"`
	IsUploadOrderInfo int64 `gorm:"column:is_upload_order_info" json:"is_upload_order_info" form:"is_upload_order_info"`
	IsUploadSuccess   int64 `gorm:"column:is_upload_success" json:"is_upload_success" form:"is_upload_success"`
}

func (NewHisOrder111) TableName() string {
	return "his_order"
}


type Root2 struct {
	XMLName    xml.Name   `xml:"Root"`
	TradeInfo  TradeInfo  `xml:"tradeinfo"`

	VAF1       VAF10       `xml:"VAF1"`

}


type Root struct {
	XMLName    xml.Name   `xml:"Root"`
	TradeInfo  TradeInfo  `xml:"tradeinfo"`
	CBM1       CBM1       `xml:"CBM1"`
	VAF1       VAF1       `xml:"VAF1"`
	VAO1       VAO1       `xml:"VAO1"`
	VBQ1       VBQ1       `xml:"VBQ1"`
}

type TradeInfo struct {
	Type      int    `xml:"type"`
	PatSource int    `xml:"pat_source"`
	Detpid    string `xml:"detpid"`
	Empid     string `xml:"empid"`
	Empno     string `xml:"empno"`
	Empname   string `xml:"empname"`
}

type CBM1 struct {
	Ie []IEone `xml:"Ie"`
}

type VAF1 struct {
	Ie []IEtwo `xml:"Ie"`
}

type VAO1 struct {
	Ie []IEthree `xml:"Ie"`
}

type VBQ1 struct {
	Ie []IEfour `xml:"Ie"`
}

type VAF10 struct {
	Ie []IEfive `xml:"Ie"`
}

type IEone struct {
	CBMID  string `xml:"CBMID,attr"`
	VAA01  string `xml:"VAA01,attr"`
	VAA07  string `xml:"VAA07,attr"`
	ACF01  string `xml:"ACF01,attr"`
	CBM06  string `xml:"CBM06,attr"`
	CBM07  string `xml:"CBM07,attr"`
	BCK01A string `xml:"BCK01A,attr"`
	BCK01B string `xml:"BCK01B,attr"`
	BCK01C string `xml:"BCK01C,attr"`
	CBM19  string `xml:"CBM19,attr"`

}
type IEtwo struct {
	CBMID  string `xml:"CBMID,attr"`
	VAF04  string `xml:"VAF04,attr"`
	VAA01  string `xml:"VAA01,attr"`
	VAF06  string `xml:"VAF06,attr"`
	BCK01A string `xml:"BCK01A,attr"`
	ROWNR  string `xml:"ROWNR,attr"`
	VAF10  string `xml:"VAF10,attr"`
	VAF11  string `xml:"VAF11,attr"`
	BDA01  string `xml:"BDA01,attr"`
	BBX01  string `xml:"BBX01,attr"`
	VAF14  string `xml:"VAF14,attr"`
	VAF15  string `xml:"VAF15,attr"`
	BBY01  string `xml:"BBY01,attr"`
	VAF17  string `xml:"VAF17,attr"`
	VAF18  string `xml:"VAF18,attr"`
	VAF19  string `xml:"VAF19,attr"`
	VAF20  string `xml:"VAF20,attr"`
	VAF21  string `xml:"VAF21,attr"`
	VAF22  string `xml:"VAF22,attr"`
	Crypt  string `xml:"Crypt,attr"`
	VAF23  string `xml:"VAF23,attr"`
	BCK01B string `xml:"BCK01B,attr"`
	VAF26  string `xml:"VAF26,attr"`
	VAF27  string `xml:"VAF27,attr"`
	VAF28  string `xml:"VAF28,attr"`
	VAF29  string `xml:"VAF29,attr"`
	VAF30  string `xml:"VAF30,attr"`
	VAF31  string `xml:"VAF31,attr"`
	VAF32  string `xml:"VAF32,attr"`
	VAF33  string `xml:"VAF33,attr"`
	VAF34  string `xml:"VAF34,attr"`
	VAF35  string `xml:"VAF35,attr"`
	VAF36  string `xml:"VAF36,attr"`
	VAF37  string `xml:"VAF37,attr"`
	BCE02A  string `xml:"BCE02A,attr"`
	BCE03A  string `xml:"BCE03A,attr"`
	BCE03B  string `xml:"BCE03B,attr"`
	VAF53  string `xml:"VAF53,attr"`
	VAF55  string `xml:"VAF55,attr"`
	BCK01D  string `xml:"BCK01D,attr"`
	VAF58  string `xml:"VAF58,attr"`
	VAF59  string `xml:"VAF59,attr"`
	VAF60  string `xml:"VAF60,attr"`
	VAF61  string `xml:"VAF61,attr"`
	VAF62  string `xml:"VAF62,attr"`
	LSign  string `xml:"lSign,attr"`
	BDA01A  string `xml:"BDA01A,attr"`
	LRoute  string `xml:"lRoute,attr"`
	BCE01A  string `xml:"BCE01A,attr"`
	BCE01B  string `xml:"BCE01B,attr"`
	VAF01B  string `xml:"VAF01B,attr"`
	VCO01  string `xml:"VCO01,attr"`
	BCE01H  string `xml:"BCE01H,attr"`
	BCE03H  string `xml:"BCE03H,attr"`
	BIW02  string `xml:"BIW02,attr"`
	RCurrent  string `xml:"rCurrent,attr"`
	FCheck  string `xml:"FCheck,attr"`
	UnameA  string `xml:"UnameA,attr"`
	VEH02  string `xml:"VEH02,attr"`
	BCK01C  string `xml:"BCK01C,attr"`
	VAF07  string `xml:"VAF07,attr"`






}
type IEthree struct {
	CBMID  string `xml:"CBMID,attr"`
	VAA01  string `xml:"VAA01,attr"`
	VAA07  string `xml:"VAA07,attr"`
	ACF01  string `xml:"ACF01,attr"`

	VAO06  string `xml:"VAO06,attr"`
	VAO07  string `xml:"VAO07,attr"`
	VAO10  string `xml:"VAO10,attr"`
	VAO11  string `xml:"VAO11,attr"`
	BAK01A  string `xml:"BAK01A,attr"`
	CAM01  string `xml:"CAM01,attr"`
	VAO15  string `xml:"VAO15,attr"`
	VAO18  string `xml:"VAO18,attr"`
	VAO22  string `xml:"VAO22,attr"`
	IAA01  string `xml:"IAA01,attr"`
	IAD03  string `xml:"IAD03,attr"`
	BAK01B  string `xml:"BAK01B,attr"`
	VAO26  string `xml:"VAO26,attr"`
	IAD04  string `xml:"IAD04,attr"`
	IAD01  string `xml:"IAD01,attr"`
	VAO25  string `xml:"VAO25,attr"`
	VAO35  string `xml:"VAO35,attr"`


}
type IEfour struct {
	VBQ01  string `xml:"VBQ01,attr"`
	VAA01  string `xml:"VAA01,attr"`
	VAA07  string `xml:"VAA07,attr"`
	ACF01  string `xml:"ACF01,attr"`
	VAP01  string `xml:"VAP01,attr"`
	VBQ07  string `xml:"VBQ07,attr"`
	BCK01A string `xml:"BCK01A,attr"`
	BCK01B string `xml:"BCK01B,attr"`
	BCE03A  string `xml:"BCE03A,attr"`
	BCE01A  string `xml:"BCE01A,attr"`
	VBQ27  string `xml:"VBQ27,attr"`
	VBQ28  string `xml:"VBQ28,attr"`
	VBQ29  string `xml:"VBQ29,attr"`
	VBQ30  string `xml:"VBQ30,attr"`


}
type IEfive struct {
	VAF01  string `xml:"VAF01,attr"`

}


func main() {
	data := `YOUR_XML_CONTENT_HERE`

	var root Root
	err := xml.Unmarshal([]byte(data), &root)
	if err != nil {
		fmt.Println("错误:", err)
		return
	}

	fmt.Printf("%+v\n", root)
}







