package models

type DrugPatients struct {
	ID          int64  `gorm:"column:id" json:"id" form:"id"`
	UserOrgId   int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Name        string `gorm:"column:name" json:"name" form:"name"`
	DialysisNo  string `gorm:"column:dialysis_no" json:"dialysis_no" form:"dialysis_no"`
	Status      int64  `gorm:"column:status" json:"status" form:"status"`
	CreatedTime int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
}

func (DrugPatients) TableName() string {
	return "xt_patients"
}

type XtBaseDrug struct {
	ID                     int64   `gorm:"column:id" json:"id" form:"id"`
	DrugName               string  `gorm:"column:drug_name" json:"drug_name" form:"drug_name"`
	Pinyin                 string  `gorm:"column:pinyin" json:"pinyin" form:"pinyin"`
	Wubi                   string  `gorm:"column:wubi" json:"wubi" form:"wubi"`
	DrugAlias              string  `gorm:"column:drug_alias" json:"drug_alias" form:"drug_alias"`
	DrugAliasPinyin        string  `gorm:"column:drug_alias_pinyin" json:"drug_alias_pinyin" form:"drug_alias_pinyin"`
	DrugAliasWubi          string  `gorm:"column:drug_alias_wubi" json:"drug_alias_wubi" form:"drug_alias_wubi"`
	DrugCategory           int64   `gorm:"column:drug_category" json:"drug_category" form:"drug_category"`
	DrugSpec               string  `gorm:"column:drug_spec" json:"drug_spec" form:"drug_spec"`
	DrugType               int64   `gorm:"column:drug_type" json:"drug_type" form:"drug_type"`
	DrugStockLimit         string  `gorm:"column:drug_stock_limit" json:"drug_stock_limit" form:"drug_stock_limit"`
	DrugOriginPlace        string  `gorm:"column:drug_origin_place" json:"drug_origin_place" form:"drug_origin_place"`
	DrugDosageForm         int64   `gorm:"column:drug_dosage_form" json:"drug_dosage_form" form:"drug_dosage_form"`
	MedicalInsuranceLevel  int64   `gorm:"column:medical_insurance_level" json:"medical_insurance_level" form:"medical_insurance_level"`
	MaxUnit                string  `gorm:"column:max_unit" json:"max_unit" form:"max_unit"`
	MinUnit                string  `gorm:"column:min_unit" json:"min_unit" form:"min_unit"`
	UnitMatrixing          string  `gorm:"column:unit_matrixing" json:"unit_matrixing" form:"unit_matrixing"`
	RetailPrice            float64 `gorm:"column:retail_price" json:"retail_price" form:"retail_price"`
	LastPrice              float64 `gorm:"column:last_price" json:"last_price" form:"last_price"`
	DrugControl            int64   `gorm:"column:drug_control" json:"drug_control" form:"drug_control"`
	Number                 string  `gorm:"column:number" json:"number" form:"number"`
	DrugClassify           string  `gorm:"column:drug_classify" json:"drug_classify" form:"drug_classify"`
	DrugDose               float64 `gorm:"column:drug_dose" json:"drug_dose" form:"drug_dose"`
	DrugDoseUnit           int64   `gorm:"column:drug_dose_unit" json:"drug_dose_unit" form:"drug_dose_unit"`
	MedicalInsuranceNumber string  `gorm:"column:medical_insurance_number" json:"medical_insurance_number" form:"medical_insurance_number"`
	//ProvincesCode          string  `gorm:"column:medical_insurance_number" json:"medical_insurance_number" form:"medical_insurance_number"`
	ProvincesCode string `gorm:"column:provinces_code" json:"provinces_code" form:"provinces_code"`

	Manufacturer         int64   `gorm:"column:manufacturer" json:"manufacturer" form:"manufacturer"`
	PharmacologyCategory int64   `gorm:"column:pharmacology_category" json:"pharmacology_category" form:"pharmacology_category"`
	StatisticsCategory   int64   `gorm:"column:statistics_category" json:"statistics_category" form:"statistics_category"`
	Code                 string  `gorm:"column:code" json:"code" form:"code"`
	IsSpecialDiseases    int64   `gorm:"column:is_special_diseases" json:"is_special_diseases" form:"is_special_diseases"`
	IsRecord             int64   `gorm:"column:is_record" json:"is_record" form:"is_record"`
	Agent                string  `gorm:"column:agent" json:"agent" form:"agent"`
	DrugStatus           string  `gorm:"column:drug_status" json:"drug_status" form:"drug_status"`
	LimitRemark          string  `gorm:"column:limit_remark" json:"limit_remark" form:"limit_remark"`
	DeliveryWay          string  `gorm:"column:delivery_way" json:"delivery_way" form:"delivery_way"`
	ExecutionFrequency   string  `gorm:"column:execution_frequency" json:"execution_frequency" form:"execution_frequency"`
	SingleDose           float64 `gorm:"column:single_dose" json:"single_dose" form:"single_dose"`
	PrescribingNumber    float64 `gorm:"column:prescribing_number" json:"prescribing_number" form:"prescribing_number"`
	Label                int64   `gorm:"column:label" json:"label" form:"label"`
	Sort                 int64   `gorm:"column:sort" json:"sort" form:"sort"`
	IsUseDoctorAdvice    int64   `gorm:"column:is_use_doctor_advice" json:"is_use_doctor_advice" form:"is_use_doctor_advice"`
	IsDefault            int64   `gorm:"column:is_default" json:"is_default" form:"is_default"`
	IsChargePredict      int64   `gorm:"column:is_charge_predict" json:"is_charge_predict" form:"is_charge_predict"`
	IsStatisticsWork     int64   `gorm:"column:is_statistics_work" json:"is_statistics_work" form:"is_statistics_work"`
	IsChargeUse          int64   `gorm:"column:is_charge_use" json:"is_charge_use" form:"is_charge_use"`
	Status               int64   `gorm:"column:status" json:"status" form:"status"`
	Ctime                int64   `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime                int64   `gorm:"column:mtime" json:"mtime" form:"mtime"`
	OrgId                int64   `gorm:"column:org_id" json:"org_id" form:"org_id"`
	IsMark               int64   `gorm:"column:is_mark" json:"is_mark" form:"is_mark"`
	HospApprFlag         int64   `gorm:"column:hosp_appr_flag" json:"hosp_appr_flag" form:"hosp_appr_flag"`
	LmtUsedFlag          int64   `gorm:"column:lmt_used_flag" json:"lmt_used_flag" form:"lmt_used_flag"`
	IsUser               int64   `gorm:"column:is_user" json:"is_user" form:"is_user"`
}

func (XtBaseDrug) TableName() string {
	return "xt_base_drug"
}

type DrugName struct {
	ID          int64         `gorm:"column:id" json:"id" form:"id"`
	DrugName    string        `gorm:"column:drug_name" json:"drug_name" form:"drug_name"`
	UserOrgId   int64         `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status      int64         `gorm:"column:status" json:"status" form:"status"`
	CreatedTime int64         `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime int64         `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	DrugId      int64         `gorm:"column:drug_id" json:"drug_id" form:"drug_id"`
	XtStandName []XtStandName `gorm:"ForeignKey:DrugId;AssociationForeignKey:ID" json:"XtStandName"`
}

func (DrugName) TableName() string {
	return "xt_drug_name"
}

type XtDrugName struct {
	ID          int64  `gorm:"column:id" json:"id" form:"id"`
	DrugName    string `gorm:"column:drug_name" json:"drug_name" form:"drug_name"`
	UserOrgId   int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status      int64  `gorm:"column:status" json:"status" form:"status"`
	CreatedTime int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	DrugId      int64  `gorm:"column:drug_id" json:"drug_id" form:"drug_id"`
}

func (XtDrugName) TableName() string {
	return "xt_drug_name"
}

type XtStandName struct {
	ID             int64   `gorm:"column:id" json:"id" form:"id"`
	DrugSpec       string  `gorm:"column:drug_spec" json:"drug_spec" form:"drug_spec"`
	MinUnit        string  `gorm:"column:min_unit" json:"min_unit" form:"min_unit"`
	Price          float64 `gorm:"column:price" json:"price" form:"price"`
	DrugStockLimit string  `gorm:"column:drug_stock_limit" json:"drug_stock_limit" form:"drug_stock_limit"`
	DrugNameId     int64   `gorm:"column:drug_name_id" json:"drug_name_id" form:"drug_name_id"`
	UserOrgId      int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status         int64   `gorm:"column:status" json:"status" form:"status"`
	CreatedTime    int64   `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime    int64   `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	DrugName       string  `gorm:"column:drug_name" json:"drug_name" form:"drug_name"`
	DrugId         int64   `gorm:"column:drug_id" json:"drug_id" form:"drug_id"`
}

func (XtStandName) TableName() string {
	return "xt_stand_name"
}

type XtSelfMedicals struct {
	DrugName    string `gorm:"column:drug_name" json:"drug_name" form:"drug_name"`
	ID          int64  `gorm:"column:id" json:"id" form:"id"`
	DrugSpec    string `gorm:"column:drug_spec" json:"drug_spec" form:"drug_spec"`
	PatientId   int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	DrugNameId  int64  `gorm:"column:drug_name_id" json:"drug_name_id" form:"drug_name_id"`
	Status      int64  `gorm:"column:status" json:"status" form:"status"`
	MinUnit     string `gorm:"column:min_unit" json:"min_unit" form:"min_unit"`
	StoreNumber int64  `gorm:"column:store_number" json:"store_number" form:"store_number"`
	AdminUserId int64  `gorm:"column:admin_user_id" json:"admin_user_id" form:"admin_user_id"`
	StorckTime  int64  `gorm:"column:storck_time" json:"storck_time" form:"storck_time"`
	MedicId     int64  `gorm:"column:medic_id" json:"medic_id" form:"medic_id"`
	Remarks     string `gorm:"column:remarks" json:"remarks" form:"remarks"`
	UserOrgId   int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Total       int64
}

type XtSelfMedical struct {
	DrugName           string  `gorm:"column:drug_name" json:"drug_name" form:"drug_name"`
	ID                 int64   `gorm:"column:id" json:"id" form:"id"`
	DrugSpec           string  `gorm:"column:drug_spec" json:"drug_spec" form:"drug_spec"`
	PatientId          int64   `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	DrugNameId         int64   `gorm:"column:drug_name_id" json:"drug_name_id" form:"drug_name_id"`
	Status             int64   `gorm:"column:status" json:"status" form:"status"`
	UserOrgId          int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	CreatedTime        int64   `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime        int64   `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	MinUnit            string  `gorm:"column:min_unit" json:"min_unit" form:"min_unit"`
	ExecutionFrequency string  `gorm:"column:execution_frequency" json:"execution_frequency" form:"execution_frequency"`
	PrescribingNumber  float64 `gorm:"column:prescribing_number" json:"prescribing_number" form:"prescribing_number"`
	DeliveryWay        string  `gorm:"column:delivery_way" json:"delivery_way" form:"delivery_way"`
	SingleDose         float64 `gorm:"column:single_dose" json:"single_dose" form:"single_dose"`
	DrugId             int64   `gorm:"column:drug_id" json:"drug_id" form:"drug_id"`
}

func (XtSelfMedical) TableName() string {
	return "xt_self_medical"
}

type XtSelfStock struct {
	ID            int64  `gorm:"column:id" json:"id" form:"id"`
	DrugName      string `gorm:"column:drug_name" json:"drug_name" form:"drug_name"`
	DrugNameId    int64  `gorm:"column:drug_name_id" json:"drug_name_id" form:"drug_name_id"`
	DrugSpec      string `gorm:"column:drug_spec" json:"drug_spec" form:"drug_spec"`
	Remarks       string `gorm:"column:remarks" json:"remarks" form:"remarks"`
	StoreNumber   int64  `gorm:"column:store_number" json:"store_number" form:"store_number"`
	AdminUserId   int64  `gorm:"column:admin_user_id" json:"admin_user_id" form:"admin_user_id"`
	StorckTime    int64  `gorm:"column:storck_time" json:"storck_time" form:"storck_time"`
	UserOrgId     int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	CreatedTime   int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime   int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	Status        int64  `gorm:"column:status" json:"status" form:"status"`
	StockInNumber string `gorm:"column:stock_in_number" json:"stock_in_number" form:"stock_in_number"`
	PatientId     int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	MinUnit       string `gorm:"column:min_unit" json:"min_unit" form:"min_unit"`
	StorageMode   int64  `gorm:"column:storage_mode" json:"storage_mode" form:"storage_mode"`
	MedicId       int64  `gorm:"column:medic_id" json:"medic_id" form:"medic_id"`
}

func (XtSelfStock) TableName() string {
	return "xt_self_stock"
}

type SelfOutStock struct {
	DrugName       string `gorm:"column:drug_name" json:"drug_name" form:"drug_name"`
	ID             int64  `gorm:"column:id" json:"id" form:"id"`
	DrugSpec       string `gorm:"column:drug_spec" json:"drug_spec" form:"drug_spec"`
	PatientId      int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	DrugNameId     int64  `gorm:"column:drug_name_id" json:"drug_name_id" form:"drug_name_id"`
	Status         int64  `gorm:"column:status" json:"status" form:"status"`
	Remarks        string `gorm:"column:remarks" json:"remarks" form:"remarks"`
	OutstoreNumber int64  `gorm:"column:outstore_number" json:"outstore_number" form:"outstore_number"`
	AdminUserId    int64  `gorm:"column:admin_user_id" json:"admin_user_id" form:"admin_user_id"`
	StorckTime     int64  `gorm:"column:storck_time" json:"storck_time" form:"storck_time"`
	MedicId        int64  `gorm:"column:medic_id" json:"medic_id" form:"medic_id"`
	Count          int64
}

type XtSelfOutStock struct {
	ID             int64  `gorm:"column:id" json:"id" form:"id"`
	DrugName       string `gorm:"column:drug_name" json:"drug_name" form:"drug_name"`
	DrugNameId     int64  `gorm:"column:drug_name_id" json:"drug_name_id" form:"drug_name_id"`
	DrugSpec       string `gorm:"column:drug_spec" json:"drug_spec" form:"drug_spec"`
	Remarks        string `gorm:"column:remarks" json:"remarks" form:"remarks"`
	OutstoreNumber int64  `gorm:"column:outstore_number" json:"outstore_number" form:"outstore_number"`
	AdminUserId    int64  `gorm:"column:admin_user_id" json:"admin_user_id" form:"admin_user_id"`
	StorckTime     int64  `gorm:"column:storck_time" json:"storck_time" form:"storck_time"`
	UserOrgId      int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	CreatedTime    int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime    int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	Status         int64  `gorm:"column:status" json:"status" form:"status"`
	PatientId      int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	StockOutNumber string `gorm:"column:stock_out_number" json:"stock_out_number" form:"stock_out_number"`
	ExitMode       int64  `gorm:"column:exit_mode" json:"exit_mode" form:"exit_mode"`
	MedicId        int64  `gorm:"column:medic_id" json:"medic_id" form:"medic_id"`
}

func (XtSelfOutStock) TableName() string {
	return "xt_self_out_stock"
}

type XtDrugSet struct {
	ID          int64 `gorm:"column:id" json:"id" form:"id"`
	DrugStart   int64 `gorm:"column:drug_start" json:"drug_start" form:"drug_start"`
	UserOrgId   int64 `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status      int64 `gorm:"column:status" json:"status" form:"status"`
	CreatedTime int64 `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime int64 `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
}

func (XtDrugSet) TableName() string {
	return "xt_drug_set"
}

type SelfStocks struct {
	ID            int64  `gorm:"column:id" json:"id" form:"id"`
	DrugName      string `gorm:"column:drug_name" json:"drug_name" form:"drug_name"`
	DrugNameId    int64  `gorm:"column:drug_name_id" json:"drug_name_id" form:"drug_name_id"`
	DrugSpec      string `gorm:"column:drug_spec" json:"drug_spec" form:"drug_spec"`
	Remarks       string `gorm:"column:remarks" json:"remarks" form:"remarks"`
	StoreNumber   int64  `gorm:"column:store_number" json:"store_number" form:"store_number"`
	AdminUserId   int64  `gorm:"column:admin_user_id" json:"admin_user_id" form:"admin_user_id"`
	StorckTime    int64  `gorm:"column:storck_time" json:"storck_time" form:"storck_time"`
	UserOrgId     int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	CreatedTime   int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime   int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	Status        int64  `gorm:"column:status" json:"status" form:"status"`
	StockInNumber string `gorm:"column:stock_in_number" json:"stock_in_number" form:"stock_in_number"`
	PatientId     int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	MinUnit       string `gorm:"column:min_unit" json:"min_unit" form:"min_unit"`
	MedicId       int64  `gorm:"column:medic_id" json:"medic_id" form:"medic_id"`
	Name          string `gorm:"column:name" json:"name" form:"name"`
	DialysisNO    string `gorm:"column:dialysis_no" json:"dialysis_no" form:"dialysis_no"`
	Total         int64
}

type XtSelfOutStocks struct {
	ID             int64  `gorm:"column:id" json:"id" form:"id"`
	DrugName       string `gorm:"column:drug_name" json:"drug_name" form:"drug_name"`
	DrugNameId     int64  `gorm:"column:drug_name_id" json:"drug_name_id" form:"drug_name_id"`
	DrugSpec       string `gorm:"column:drug_spec" json:"drug_spec" form:"drug_spec"`
	Remarks        string `gorm:"column:remarks" json:"remarks" form:"remarks"`
	OutstoreNumber int64  `gorm:"column:outstore_number" json:"outstore_number" form:"outstore_number"`
	AdminUserId    int64  `gorm:"column:admin_user_id" json:"admin_user_id" form:"admin_user_id"`
	StorckTime     int64  `gorm:"column:storck_time" json:"storck_time" form:"storck_time"`
	UserOrgId      int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	CreatedTime    int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime    int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	Status         int64  `gorm:"column:status" json:"status" form:"status"`
	PatientId      int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	StockOutNumber string `gorm:"column:stock_out_number" json:"stock_out_number" form:"stock_out_number"`
	MedicId        int64  `gorm:"column:medic_id" json:"medic_id" form:"medic_id"`
	Name           string `gorm:"column:name" json:"name" form:"name"`
	DialysisNO     string `gorm:"column:dialysis_no" json:"dialysis_no" form:"dialysis_no"`
	Count          int64
}

type XtDrugWarehouse struct {
	ID               int64  `gorm:"column:id" json:"id" form:"id"`
	WarehousingOrder string `gorm:"column:warehousing_order" json:"warehousing_order" form:"warehousing_order"`
	OperationTime    int64  `gorm:"column:operation_time" json:"operation_time" form:"operation_time"`
	OrgId            int64  `gorm:"column:org_id" json:"org_id" form:"org_id"`
	Creater          int64  `gorm:"column:creater" json:"creater" form:"creater"`
	Ctime            int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Modifier         int64  `gorm:"column:modifier" json:"modifier" form:"modifier"`
	Mtime            int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status           int64  `gorm:"column:status" json:"status" form:"status"`
	WarehousingTime  int64  `gorm:"column:warehousing_time" json:"warehousing_time" form:"warehousing_time"`
	Dealer           int64  `gorm:"column:dealer" json:"dealer" form:"dealer"`
	Manufacturer     int64  `gorm:"column:manufacturer" json:"manufacturer" form:"manufacturer"`
	Type             int64  `gorm:"column:type" json:"type" form:"type"`
}

func (XtDrugWarehouse) TableName() string {
	return "xt_drug_warehouse"
}

type XtDrugWarehouseOut struct {
	ID                      int64  `gorm:"column:id" json:"id" form:"id"`
	WarehouseOutOrderNumber string `gorm:"column:warehouse_out_order_number" json:"warehouse_out_order_number" form:"warehouse_out_order_number"`
	OperationTime           int64  `gorm:"column:operation_time" json:"operation_time" form:"operation_time"`
	Creater                 int64  `gorm:"column:creater" json:"creater" form:"creater"`
	OrgId                   int64  `gorm:"column:org_id" json:"org_id" form:"org_id"`
	Modifier                int64  `gorm:"column:modifier" json:"modifier" form:"modifier"`
	Remark                  string `gorm:"column:remark" json:"remark" form:"remark"`
	Ctime                   int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime                   int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status                  int64  `gorm:"column:status" json:"status" form:"status"`
	WarehouseOutTime        int64  `gorm:"column:warehouse_out_time" json:"warehouse_out_time" form:"warehouse_out_time"`
	Dealer                  int64  `gorm:"column:dealer" json:"dealer" form:"dealer"`
	Manufacturer            int64  `gorm:"column:manufacturer" json:"manufacturer" form:"manufacturer"`
	Type                    int64  `gorm:"column:type" json:"type" form:"type"`
	IsSys                   int64  `gorm:"column:is_sys" json:"is_sys" form:"is_sys"`
}

func (XtDrugWarehouseOut) TableName() string {
	return "xt_drug_warehouse_out"
}

type XtDrugWarehouseOutInfo struct {
	ID                      int64   `gorm:"column:id" json:"id" form:"id"`
	WarehouseOutId          int64   `gorm:"column:warehouse_out_id" json:"warehouse_out_id" form:"warehouse_out_id"`
	DrugId                  int64   `gorm:"column:drug_id" json:"drug_id" form:"drug_id"`
	WarehousingOutTarget    int64   `gorm:"column:warehousing_out_target" json:"warehousing_out_target" form:"warehousing_out_target"`
	Count                   int64   `gorm:"column:count" json:"count" form:"count"`
	Price                   float64 `gorm:"column:price" json:"price" form:"price"`
	TotalPrice              float64 `gorm:"column:total_price" json:"total_price" form:"total_price"`
	ProductDate             int64   `gorm:"column:product_date" json:"product_date" form:"product_date"`
	ExpiryDate              int64   `gorm:"column:expiry_date" json:"expiry_date" form:"expiry_date"`
	Mtime                   int64   `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Ctime                   int64   `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Status                  int64   `gorm:"column:status" json:"status" form:"status"`
	OrgId                   int64   `gorm:"column:org_id" json:"org_id" form:"org_id"`
	Remark                  string  `gorm:"column:remark" json:"remark" form:"remark"`
	IsCancel                int64   `gorm:"column:is_cancel" json:"is_cancel" form:"is_cancel"`
	WarehouseOutOrderNumber string  `gorm:"column:warehouse_out_order_number" json:"warehouse_out_order_number" form:"warehouse_out_order_number"`
	Type                    int64   `gorm:"column:type" json:"type" form:"type"`
	Dealer                  int64   `gorm:"column:dealer" json:"dealer" form:"dealer"`
	Manufacturer            int64   `gorm:"column:manufacturer" json:"manufacturer" form:"manufacturer"`
	IsSys                   int64   `gorm:"column:is_sys" json:"is_sys" form:"is_sys"`
	SysRecordTime           int64   `gorm:"column:sys_record_time" json:"sys_record_time" form:"sys_record_time"`
	RetailPrice             float64 `gorm:"column:retail_price" json:"retail_price" form:"retail_price"`
	RetailTotalPrice        float64 `gorm:"column:retail_total_price" json:"retail_total_price" form:"retail_total_price"`
}

func (XtDrugWarehouseOutInfo) TableName() string {
	return "xt_drug_warehouse_out_info"
}

type XtDrugAutomaticReduceDetail struct {
	ID                      int64  `gorm:"column:id" json:"id" form:"id"`
	WarehouseOutId          int64  `gorm:"column:warehouse_out_id" json:"warehouse_out_id" form:"warehouse_out_id"`
	WarehouseOutOrderNumber string `gorm:"column:warehouse_out_order_number" json:"warehouse_out_order_number" form:"warehouse_out_order_number"`
	PatientId               int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Ctime                   int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime                   int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status                  int64  `gorm:"column:status" json:"status" form:"status"`
	RecordTime              int64  `gorm:"column:record_time" json:"record_time" form:"record_time"`
	OrgId                   int64  `gorm:"column:org_id" json:"org_id" form:"org_id"`
	GoodId                  int64  `gorm:"column:good_id" json:"good_id" form:"good_id"`
	GoodTypeId              int64  `gorm:"column:good_type_id" json:"good_type_id" form:"good_type_id"`
	Count                   int64  `gorm:"column:count" json:"count" form:"count"`
}

func (XtDrugAutomaticReduceDetail) TableName() string {
	return "xt_drug_automatic_reduce_detail"
}

type XtDrugWarehouseInfo struct {
	ID               int64   `gorm:"column:id" json:"id" form:"id"`
	WarehousingId    int64   `gorm:"column:warehousing_id" json:"warehousing_id" form:"warehousing_id"`
	DrugId           int64   `gorm:"column:drug_id" json:"drug_id" form:"drug_id"`
	Number           string  `gorm:"column:number" json:"number" form:"number"`
	ProductDate      int64   `gorm:"column:product_date" json:"product_date" form:"product_date"`
	ExpiryDate       int64   `gorm:"column:expiry_date" json:"expiry_date" form:"expiry_date"`
	WarehousingCount int64   `gorm:"column:warehousing_count" json:"warehousing_count" form:"warehousing_count"`
	Price            float64 `gorm:"column:price" json:"price" form:"price"`
	TotalPrice       float64 `gorm:"column:total_price" json:"total_price" form:"total_price"`
	Dealer           int64   `gorm:"column:dealer" json:"dealer" form:"dealer"`
	Manufacturer     int64   `gorm:"column:manufacturer" json:"manufacturer" form:"manufacturer"`
	Remark           string  `gorm:"column:remark" json:"remark" form:"remark"`
	Ctime            int64   `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime            int64   `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status           int64   `gorm:"column:status" json:"status" form:"status"`
	OrgId            int64   `gorm:"column:org_id" json:"org_id" form:"org_id"`
	IsReturn         int64   `gorm:"column:is_return" json:"is_return" form:"is_return"`
	WarehousingOrder string  `gorm:"column:warehousing_order" json:"warehousing_order" form:"warehousing_order"`
	Type             int64   `gorm:"column:type" json:"type" form:"type"`
	RetailPrice      float64 `gorm:"column:retail_price" json:"retail_price" form:"retail_price"`
	RetailTotalPrice float64 `gorm:"column:retail_total_price" json:"retail_total_price" form:"retail_total_price"`
}

func (XtDrugWarehouseInfo) TableName() string {
	return "xt_drug_warehouse_info"
}

type DrugWarehousingInfo struct {
	DrugId int64 `gorm:"column:drug_id" json:"drug_id" form:"drug_id"`
	Count  int64
}

type XtDrugStockConfig struct {
	ID         int64 `gorm:"column:id" json:"id" form:"id"`
	OrgId      int64 `gorm:"column:org_id" json:"org_id" form:"org_id"`
	IsOpen     int64 `gorm:"column:is_open" json:"is_open" form:"is_open"`
	Status     int64 `gorm:"column:status" json:"status" form:"status"`
	CreateTime int64 `gorm:"column:create_time" json:"create_time" form:"create_time"`
	UpdateTime int64 `gorm:"column:update_time" json:"update_time" form:"update_time"`
}

func (XtDrugStockConfig) TableName() string {
	return "xt_drug_stock_config"
}
