package models

type Manufacturer struct {
	ID               int64  `gorm:"column:id" json:"id"`
	ManufacturerName string `gorm:"column:manufacturer_name" json:"manufacturer_name"`
	Contact          string `gorm:"column:contact" json:"contact"`
	ContactPhone     string `gorm:"column:contact_phone" json:"contact_phone"`
	PlatformNumber   string `gorm:"column:platform_number" json:"platform_number"`
	Email            string `gorm:"column:email" json:"email"`
	ContactAddress   string `gorm:"column:contact_address" json:"contact_address"`
	Remark           string `gorm:"column:remark" json:"remark"`
	Creater          int64  `gorm:"column:creater" json:"creater"`
	Modifier         int64  `gorm:"column:modifier" json:"modifier"`
	Ctime            int64  `gorm:"column:ctime" json:"ctime"`
	Mtime            int64  `gorm:"column:mtime" json:"mtime"`
	OrgId            int64  `gorm:"column:org_id" json:"org_id"`
	Status           int64  `gorm:"column:status" json:"status"`
	ManufacturerCode string `gorm:"column:manufacturer_code" json:"manufacturer_code"`
	PinYin           string `gorm:"column:pinyin" json:"pinyin"`
	WuBi             string `gorm:"column:wubi" json:"wubi"`
}

func (Manufacturer) TableName() string {
	return "xt_manufacturer"
}

type Dealers struct {
	ID             int64  `gorm:"column:id" json:"id"`
	DealerName     string `gorm:"column:dealer_name" json:"dealer_name"`
	Contact        string `gorm:"column:contact" json:"contact"`
	ContactPhone   string `gorm:"column:contact_phone" json:"contact_phone"`
	PlatformNumber string `gorm:"column:platform_number" json:"platform_number"`
	Email          string `gorm:"column:email" json:"email"`
	ContactAddress string `gorm:"column:contact_address" json:"contact_address"`
	Remark         string `gorm:"column:remark" json:"remark"`
	Creater        int64  `gorm:"column:creater" json:"creater"`
	Modifier       int64  `gorm:"column:modifier" json:"modifier"`
	Ctime          int64  `gorm:"column:ctime" json:"ctime"`
	Mtime          int64  `gorm:"column:mtime" json:"mtime"`
	OrgId          int64  `gorm:"column:org_id" json:"org_id"`
	Status         int64  `gorm:"column:status" json:"status"`
	DealerCode     string `gorm:"column:dealer_code" json:"dealer_code"`
	PinYin         string `gorm:"column:pinyin" json:"pinyin"`
	WuBi           string `gorm:"column:wubi" json:"wubi"`
}

func (Dealers) TableName() string {
	return "xt_dealer"
}

type Warehousing struct {
	ID                int64        `gorm:"column:id" json:"id"`
	WarehousingOrder  string       `gorm:"column:warehousing_order" json:"warehousing_order"`
	OperationTime     int64        `gorm:"column:operation_time" json:"operation_time"`
	OrgId             int64        `gorm:"column:org_id" json:"org_id"`
	Creater           int64        `gorm:"column:creater" json:"creater"`
	Ctime             int64        `gorm:"column:ctime" json:"ctime"`
	Modifier          int64        `gorm:"column:modifier" json:"modifier"`
	Mtime             int64        `gorm:"column:mtime" json:"mtime"`
	Status            int64        `gorm:"column:status" json:"status"`
	WarehousingTime   int64        `gorm:"column:warehousing_time" json:"warehousing_time"`
	Dealer            int64        `gorm:"column:dealer" json:"dealer"`
	Manufacturer      int64        `gorm:"column:manufacturer" json:"manufacturer"`
	Manufacturers     Manufacturer `gorm:"ForeignKey:ID;AssociationForeignKey:Manufacturer" json:"Manufacturer"`
	Dealers           Dealers      `gorm:"ForeignKey:ID;AssociationForeignKey:Dealer" json:"Dealer"`
	Type              int64        `gorm:"column:type" json:"type"`
	SupplyWarehouseId int64        `gorm:"column:supply_warehouse_id" json:"supply_warehouse_id" form:"supply_warehouse_id"`
	StorehouseId      int64        `gorm:"column:storehouse_id" json:"storehouse_id" form:"storehouse_id"`
	IsSys             int64        `gorm:"column:is_sys" json:"is_sys" form:"is_sys"`
	SecondWarehouseId int64        `gorm:"column:second_warehouse_id" json:"second_warehouse_id" form:"second_warehouse_id"`
	IsCheck           int64        `gorm:"column:is_check" json:"is_check" form:"is_check"`
}

func (Warehousing) TableName() string {
	return "xt_warehouse"
}

type StWarehousingInfo struct {
	ID                    int64   `gorm:"column:id" json:"id"`
	WarehousingId         int64   `gorm:"column:warehousing_id" json:"warehousing_id"`
	GoodId                int64   `gorm:"column:good_id" json:"good_id"`
	GoodTypeId            int64   `gorm:"column:good_type_id" json:"good_type_id"`
	Number                string  `gorm:"column:number" json:"number"`
	ProductDate           int64   `gorm:"column:product_date" json:"product_date"`
	ExpiryDate            int64   `gorm:"column:expiry_date" json:"expiry_date"`
	WarehousingCount      int64   `gorm:"column:warehousing_count" json:"warehousing_count"`
	WarehousingUnit       string  `gorm:"column:warehousing_unit" json:"warehousing_unit"`
	Price                 float64 `gorm:"column:price" json:"price"`
	TotalPrice            float64 `gorm:"column:total_price" json:"total_price"`
	Dealer                int64   `gorm:"column:dealer" json:"dealer"`
	Manufacturer          int64   `gorm:"column:manufacturer" json:"manufacturer"`
	Remark                string  `gorm:"column:remark" json:"remark"`
	Ctime                 int64   `gorm:"column:ctime" json:"ctime"`
	Mtime                 int64   `gorm:"column:mtime" json:"mtime"`
	Status                int64   `gorm:"column:status" json:"status"`
	OrgId                 int64   `gorm:"column:org_id" json:"org_id"`
	IsReturn              int64   `gorm:"column:is_return" json:"is_return"`
	StockCount            int64   `gorm:"column:stock_count" json:"stock_count" form:"stock_count"`
	WarehousingOrder      string  `gorm:"column:warehousing_order" json:"warehousing_order"`
	Type                  int64   `gorm:"column:type" json:"type"`
	GoodName              string  `json:"good_name"`
	PackingUnit           string  `json:"packing_unit"`
	TotalCount            int64   `json:"total_count"`
	SpecificationName     string  `json:"specification_name"`
	LicenseNumber         string  `gorm:"column:license_number" json:"license_number" form:"license_number"`
	StorehouseId          int64   `gorm:"column:storehouse_id" json:"storehouse_id" form:"storehouse_id"`
	SecondWarehouseInfoId int64   `gorm:"column:second_warehouse_info_id" json:"second_warehouse_info_id" form:"second_warehouse_info_id"`
}

func (StWarehousingInfo) TableName() string {
	return "xt_warehouse_info"
}

type WarehousingInfo struct {
	ID                        int64       `gorm:"column:id" json:"id"`
	WarehousingId             int64       `gorm:"column:warehousing_id" json:"warehousing_id"`
	GoodId                    int64       `gorm:"column:good_id" json:"good_id"`
	GoodTypeId                int64       `gorm:"column:good_type_id" json:"good_type_id"`
	Number                    string      `gorm:"column:number" json:"number"`
	ProductDate               int64       `gorm:"column:product_date" json:"product_date"`
	ExpiryDate                int64       `gorm:"column:expiry_date" json:"expiry_date"`
	WarehousingCount          int64       `gorm:"column:warehousing_count" json:"warehousing_count"`
	WarehousingUnit           string      `gorm:"column:warehousing_unit" json:"warehousing_unit"`
	Price                     float64     `gorm:"column:price" json:"price"`
	TotalPrice                float64     `gorm:"column:total_price" json:"total_price"`
	Dealer                    int64       `gorm:"column:dealer" json:"dealer"`
	Manufacturer              int64       `gorm:"column:manufacturer" json:"manufacturer"`
	Remark                    string      `gorm:"column:remark" json:"remark"`
	Ctime                     int64       `gorm:"column:ctime" json:"ctime"`
	Mtime                     int64       `gorm:"column:mtime" json:"mtime"`
	Status                    int64       `gorm:"column:status" json:"status"`
	OrgId                     int64       `gorm:"column:org_id" json:"org_id"`
	IsReturn                  int64       `gorm:"column:is_return" json:"is_return"`
	StockCount                int64       `gorm:"column:stock_count" json:"stock_count" form:"stock_count"`
	Warehousing               Warehousing `ForeignKey:WarehousingId json:"warehouse"`
	WarehousingOrder          string      `gorm:"column:warehousing_order" json:"warehousing_order"`
	GoodInfo                  GoodInfo    `gorm:"ForeignKey:ID;AssociationForeignKey:GoodId" `
	Type                      int64       `gorm:"column:type" json:"type"`
	LicenseNumber             string      `gorm:"column:license_number" json:"license_number" form:"license_number"`
	WarehouseInfoId           int64       `gorm:"column:warehouse_info_id" json:"warehouse_info_id" form:"warehouse_info_id"`
	PackingPrice              float64     `gorm:"column:packing_price" json:"packing_price" form:"packing_price"`
	SupplyWarehouseId         int64       `gorm:"column:supply_warehouse_id" json:"supply_warehouse_id" form:"supply_warehouse_id"`
	SupplyWarehouseDetailInfo int64       `gorm:"column:supply_warehouse_detail_info" json:"supply_warehouse_detail_info" form:"supply_warehouse_detail_info"`
	StorehouseId              int64       `gorm:"column:storehouse_id" json:"storehouse_id" form:"storehouse_id"`
	SecondWarehouseInfoId     int64       `gorm:"column:second_warehouse_info_id" json:"second_warehouse_info_id" form:"second_warehouse_info_id"`
	IsCheck                   int64       `gorm:"column:is_check" json:"is_check" form:"is_check"`
	RegisterNumber            string      `gorm:"column:register_number" json:"register_number" form:"register_number"`
}

func (WarehousingInfo) TableName() string {
	return "xt_warehouse_info"
}

type WarehousingInfoSeven struct {
	StockCount int64 `gorm:"column:stock_count" json:"stock_count" form:"stock_count"`
}

func (WarehousingInfoSeven) TableName() string {
	return "xt_warehouse_info"
}

type VmWarehousingInfo struct {
	ID                int64       `gorm:"column:id" json:"id"`
	WarehousingId     int64       `gorm:"column:warehousing_id" json:"warehousing_id"`
	GoodId            int64       `gorm:"column:good_id" json:"good_id"`
	GoodTypeId        int64       `gorm:"column:good_type_id" json:"good_type_id"`
	Number            string      `gorm:"column:number" json:"number"`
	ProductDate       int64       `gorm:"column:product_date" json:"product_date"`
	ExpiryDate        int64       `gorm:"column:expiry_date" json:"expiry_date"`
	WarehousingCount  int64       `gorm:"column:warehousing_count" json:"warehousing_count"`
	WarehousingUnit   string      `gorm:"column:warehousing_unit" json:"warehousing_unit"`
	Price             float64     `gorm:"column:price" json:"price"`
	BuyPrice          float64     `gorm:"column:buy_price" json:"buy_price" form:"buy_price"`
	TotalPrice        float64     `gorm:"column:total_price" json:"total_price"`
	Dealer            int64       `gorm:"column:dealer" json:"dealer"`
	Manufacturer      int64       `gorm:"column:manufacturer" json:"manufacturer"`
	Remark            string      `gorm:"column:remark" json:"remark"`
	Ctime             int64       `gorm:"column:ctime" json:"ctime"`
	Mtime             int64       `gorm:"column:mtime" json:"mtime"`
	Status            int64       `gorm:"column:status" json:"status"`
	OrgId             int64       `gorm:"column:org_id" json:"org_id"`
	IsReturn          int64       `gorm:"column:is_return" json:"is_return"`
	StockCount        int64       `gorm:"column:stock_count" json:"stock_count" form:"stock_count"`
	Warehousing       Warehousing `ForeignKey:WarehousingId json:"warehouse"`
	WarehousingOrder  string      `gorm:"column:warehousing_order" json:"warehousing_order"`
	GoodInfo          GoodInfo    `gorm:"ForeignKey:ID;AssociationForeignKey:GoodId" `
	Type              int64       `gorm:"column:type" json:"type"`
	GoodName          string      `gorm:"column:good_name" json:"good_name"`
	SpecificationName string      `gorm:"column:specification_name" json:"specification_name" form:"specification_name"`
	MinNumber         int64       `gorm:"column:min_number" json:"min_number" form:"min_number"`
	PackingUnit       string      `gorm:"column:packing_unit" json:"packing_unit" form:"packing_unit"`
	Count             int64       `gorm:json:"count"`
	PackingPrice      float64     `gorm:"column:packing_price" json:"packing_price" form:"packing_price"`
	StorehouseId      int64       `gorm:"column:storehouse_id" json:"storehouse_id" form:"storehouse_id"`
	IsCheck           int64       `gorm:"column:is_check" json:"is_check" form:"is_check"`
	BatchNumberCount  int64       `gorm:"column:batch_number_count" json:"batch_number_count" form:"batch_number_count"`
}

type WarehouseOut struct {
	ID                      int64        `gorm:"column:id" json:"id"`
	WarehouseOutOrderNumber string       `gorm:"column:warehouse_out_order_number" json:"warehouse_out_order_number"`
	OperationTime           int64        `gorm:"column:operation_time" json:"operation_time"`
	Creater                 int64        `gorm:"column:creater" json:"creater"`
	OrgId                   int64        `gorm:"column:org_id" json:"org_id"`
	Modifier                int64        `gorm:"column:modifier" json:"modifier"`
	Remark                  string       `gorm:"column:remark" json:"remark"`
	Ctime                   int64        `gorm:"column:ctime" json:"ctime"`
	Mtime                   int64        `gorm:"column:mtime" json:"mtime"`
	Status                  int64        `gorm:"column:status" json:"status"`
	WarehouseOutTime        int64        `gorm:"column:warehouse_out_time" json:"warehouse_out_time"`
	Dealer                  int64        `gorm:"column:dealer" json:"dealer"`
	Manufacturer            int64        `gorm:"column:manufacturer" json:"manufacturer"`
	Manufacturers           Manufacturer `gorm:"ForeignKey:ID;AssociationForeignKey:Manufacturer" json:"Manufacturer"`
	Dealers                 Dealers      `gorm:"ForeignKey:ID;AssociationForeignKey:Dealer" json:"Dealer"`
	Type                    int64        `gorm:"column:type" json:"type"`
	IsSys                   int64        `gorm:"column:is_sys" json:"is_sys"`
	SupplyCancelOutId       int64        `gorm:"column:supply_cancel_out_id" json:"supply_cancel_out_id" form:"supply_cancel_out_id"`
	SupplyWarehouseId       int64        `gorm:"column:supply_warehouse_id" json:"supply_warehouse_id" form:"supply_warehouse_id"`
	StorehouseId            int64        `gorm:"column:storehouse_id" json:"storehouse_id" form:"storehouse_id"`
	SecondWarehouseId       int64        `gorm:"column:second_warehouse_id" json:"second_warehouse_id" form:"second_warehouse_id"`
	IsCheck                 int64        `gorm:"column:is_check" json:"is_check" form:"is_check"`
}

func (WarehouseOut) TableName() string {
	return "xt_warehouse_out"
}

type WarehouseOutInfo struct {
	ID                      int64           `gorm:"column:id" json:"id"`
	WarehouseOutId          int64           `gorm:"column:warehouse_out_id" json:"warehouse_out_id"`
	WarehouseInfotId        int64           `gorm:"column:warehouse_info_id" json:"warehouse_info_id"`
	GoodId                  int64           `gorm:"column:good_id" json:"good_id"`
	GoodTypeId              int64           `gorm:"column:good_type_id" json:"good_type_id"`
	WarehousingOutTarget    int64           `gorm:"column:warehousing_out_target" json:"warehousing_out_target"`
	Count                   int64           `gorm:"column:count" json:"count"`
	Price                   float64         `gorm:"column:price" json:"price"`
	TotalPrice              float64         `gorm:"column:total_price" json:"total_price"`
	ProductDate             int64           `gorm:"column:product_date" json:"product_date"`
	ExpiryDate              int64           `gorm:"column:expiry_date" json:"expiry_date"`
	Mtime                   int64           `gorm:"column:mtime" json:"mtime"`
	Ctime                   int64           `gorm:"column:ctime" json:"ctime"`
	Status                  int64           `gorm:"column:status" json:"status"`
	OrgId                   int64           `gorm:"column:org_id" json:"org_id"`
	Remark                  string          `gorm:"column:remark" json:"remark"`
	IsCancel                int64           `gorm:"column:is_cancel" json:"is_cancel"`
	WarehouseOut            WarehouseOut    `ForeignKey:WarehouseOutId json:"WarehouseOut"`
	WarehouseOutOrderNumber string          `gorm:"column:warehouse_out_order_number" json:"warehouse_out_order_number"`
	GoodInfo                GoodInfo        `gorm:"ForeignKey:ID;AssociationForeignKey:GoodId" `
	Type                    int64           `gorm:"column:type" json:"type"`
	Dealer                  int64           `gorm:"column:dealer" json:"dealer"`
	Manufacturer            int64           `gorm:"column:manufacturer" json:"manufacturer"`
	IsSys                   int64           `gorm:"column:is_sys" json:"is_sys"`
	SysRecordTime           int64           `gorm:"column:sys_record_time" json:"sys_record_time"`
	PatientId               int64           `gorm:"column:patient_id" json:"patient_id"`
	Number                  string          `gorm:"column:number" json:"number" form:"number"`
	LicenseNumber           string          `gorm:"column:license_number" json:"license_number" form:"license_number"`
	ConsumableType          int64           `gorm:"column:consumable_type" json:"consumable_type" form:"consumable_type"`
	ProjectId               int64           `gorm:"column:project_id" json:"project_id" form:"project_id"`
	SupplyCancelOutId       int64           `gorm:"column:supply_cancel_out_id" json:"supply_cancel_out_id" form:"supply_cancel_out_id"`
	SupplyWarehouseId       int64           `gorm:"column:supply_warehouse_id" json:"supply_warehouse_id" form:"supply_warehouse_id"`
	IsSource                int64           `gorm:"column:is_source" json:"is_source" form:"is_source"`
	StorehouseId            int64           `gorm:"column:storehouse_id" json:"storehouse_id" form:"storehouse_id"`
	SecondWarehouseInfoId   int64           `gorm:"column:second_warehouse_info_id" json:"second_warehouse_info_id" form:"second_warehouse_info_id"`
	AdminUserId             int64           `gorm:"column:admin_user_id" json:"admin_user_id" form:"admin_user_id"`
	BuyPrice                float64         `gorm:"column:buy_price" json:"buy_price" form:"buy_price"`
	StockCount              string          `gorm:"column:stock_count" json:"stock_count" form:"stock_count"`
	IsCheck                 int64           `gorm:"column:is_check" json:"is_check" form:"is_check"`
	RegisterNumber          string          `gorm:"column:register_number" json:"register_number" form:"register_number"`
	WarehousingInfo         WarehousingInfo `gorm:"ForeignKey:ID;AssociationForeignKey:WarehouseInfotId" `
	VmStockFlow             VmStockFlow     `gorm:"ForeignKey:ID;AssociationForeignKey:WarehouseOutDetailId" json:"stock_flow"`
	OverCount               int64           `gorm:"column:over_count" json:"over_count" form:"over_count"`
}

func (WarehouseOutInfo) TableName() string {
	return "xt_warehouse_out_info"
}

type WarehouseOutInfoNight struct {
	ID                      int64   `gorm:"column:id" json:"id"`
	Count                   int64   `gorm:"column:count" json:"count"`
	GoodId                  int64   `gorm:"column:good_id" json:"good_id"`
	SysRecordTime           int64   `gorm:"column:sys_record_time" json:"sys_record_time"`
	PatientId               int64   `gorm:"column:patient_id" json:"patient_id"`
	ProjectId               int64   `gorm:"column:project_id" json:"project_id" form:"project_id"`
	WarehouseInfotId        int64   `gorm:"column:warehouse_info_id" json:"warehouse_info_id"`
	IsSys                   int64   `gorm:"column:is_sys" json:"is_sys"`
	Status                  int64   `gorm:"column:status" json:"status"`
	OrgId                   int64   `gorm:"column:org_id" json:"org_id"`
	WarehouseOutOrderNumber string  `gorm:"column:warehouse_out_order_number" json:"warehouse_out_order_number" form:"warehouse_out_order_number"`
	StorehouseId            int64   `gorm:"column:storehouse_id" json:"storehouse_id" form:"storehouse_id"`
	Price                   float64 `gorm:"column:price" json:"price" form:"price"`
	Dealer                  int64   `gorm:"column:dealer" json:"dealer" form:"dealer"`
	Manufacturer            int64   `gorm:"column:manufacturer" json:"manufacturer" form:"manufacturer"`
	GoodTypeId              int64   `gorm:"column:good_type_id" json:"good_type_id" form:"good_type_id"`
	ProductDate             int64   `gorm:"column:product_date" json:"product_date" form:"product_date"`
	ExpiryDate              int64   `gorm:"column:expiry_date" json:"expiry_date" form:"expiry_date"`
	Number                  string  `gorm:"column:number" json:"number" form:"number"`
	LicenseNumber           string  `gorm:"column:license_number" json:"license_number" form:"license_number"`
}

func (WarehouseOutInfoNight) TableName() string {
	return "xt_warehouse_out_info"
}

type WarehouseOutInfoSeven struct {
	ID            int64 `gorm:"column:id" json:"id"`
	Count         int64 `gorm:"column:count" json:"count"`
	SysRecordTime int64 `gorm:"column:sys_record_time" json:"sys_record_time"`
	PatientId     int64 `gorm:"column:patient_id" json:"patient_id"`
	GoodId        int64 `gorm:"column:good_id" json:"good_id"`
}

func (WarehouseOutInfoSeven) TableName() string {
	return "xt_warehouse_out_info"
}

type SalesReturn struct {
	ID           int64  `gorm:"column:id" json:"id"`
	OrderNumber  string `gorm:"column:order_number" json:"order_number"`
	OperaTime    int64  `gorm:"column:opera_time" json:"opera_time"`
	Total        int64  `gorm:"column:total" json:"total"`
	Creater      int64  `gorm:"column:creater" json:"creater"`
	Ctime        int64  `gorm:"column:ctime" json:"ctime"`
	Mtime        int64  `gorm:"column:mtime" json:"mtime"`
	Status       int64  `gorm:"column:status" json:"status"`
	OrgId        int64  `gorm:"column:org_id" json:"org_id"`
	ReturnTime   int64  `gorm:"column:return_time" json:"return_time"`
	Manufacturer int64  `gorm:"column:manufacturer" json:"manufacturer"`
	Dealer       int64  `gorm:"column:dealer" json:"dealer"`
	Type         int64  `gorm:"column:type" json:"type"`
}

func (SalesReturn) TableName() string {
	return "xt_sales_return"
}

type SalesReturnInfo struct {
	ID            int64       `gorm:"column:id" json:"id"`
	GoodId        int64       `gorm:"column:good_id" json:"good_id"`
	SalesReturnId int64       `gorm:"column:sales_return_id" json:"sales_return_id"`
	GoodTypeId    int64       `gorm:"column:good_type_id" json:"good_type_id"`
	Count         int64       `gorm:"column:count" json:"count"`
	Price         float64     `gorm:"column:price" json:"price"`
	Total         float64     `gorm:"column:total" json:"total"`
	ProductDate   int64       `gorm:"column:product_date" json:"product_date"`
	ExpiryDate    int64       `gorm:"column:expiry_date" json:"expiry_date"`
	Ctime         int64       `gorm:"column:ctime" json:"ctime"`
	Mtime         int64       `gorm:"column:mtime" json:"mtime"`
	Status        int64       `gorm:"column:status" json:"status"`
	OrgId         int64       `gorm:"column:org_id" json:"org_id"`
	OrderNumber   string      `gorm:"column:order_number" json:"order_number"`
	Type          int64       `gorm:"column:type" json:"type"`
	SalesReturn   SalesReturn `ForeignKey:SalesReturnId json:"SalesReturn"`
	Dealer        int64       `gorm:"column:dealer" json:"dealer"`
	Manufacturer  int64       `gorm:"column:manufacturer" json:"manufacturer"`
	GoodInfo      GoodInfo    `gorm:"ForeignKey:ID;AssociationForeignKey:GoodId" `
}

func (SalesReturnInfo) TableName() string {
	return "xt_sales_return_info"
}

type VmCancelStockInfo struct {
	GoodId int64 `gorm:"column:good_id" json:"good_id"`
	Count  int64 `gorm:"column:count" json:"count"`
	OrgId  int64 `gorm:"column:org_id" json:"org_id"`
}

type CancelStock struct {
	ID           int64  `gorm:"column:id" json:"id"`
	OrderNumber  string `gorm:"column:order_number" json:"order_number"`
	OperaTime    int64  `gorm:"column:opera_time" json:"opera_time"`
	Total        int64  `gorm:"column:total" json:"total"`
	Creater      int64  `gorm:"column:creater" json:"creater"`
	Ctime        int64  `gorm:"column:ctime" json:"ctime"`
	Mtime        int64  `gorm:"column:mtime" json:"mtime"`
	Status       int64  `gorm:"column:status" json:"status"`
	OrgId        int64  `gorm:"column:org_id" json:"org_id"`
	ReturnTime   int64  `gorm:"column:return_time" json:"return_time"`
	Dealer       int64  `gorm:"column:dealer" json:"dealer"`
	Manufacturer int64  `gorm:"column:manufacturer" json:"manufacturer"`
	Type         int64  `gorm:"column:type" json:"type"`
	StorehouseId int64  `gorm:"column:storehouse_id" json:"storehouse_id" form:"storehouse_id"`
	IsCheck      int64  `gorm:"column:is_check" json:"is_check" form:"is_check"`
}

func (CancelStock) TableName() string {
	return "xt_cancel_stock"
}

type WarehousingGoodInfo struct {
	ID                int64        `gorm:"column:id" json:"id"`
	GoodCode          string       `gorm:"column:good_code" json:"good_code"`
	SpecificationName string       `gorm:"column:specification_name" json:"specification_name"`
	GoodTypeId        int64        `gorm:"column:good_type_id" json:"good_type_id"`
	GoodUnit          int64        `gorm:"column:good_unit" json:"good_unit"`
	Manufacturer      int64        `gorm:"column:manufacturer" json:"manufacturer"`
	Dealer            int64        `gorm:"column:dealer" json:"dealer"`
	Status            int64        `gorm:"column:status" json:"status"`
	GoodsType         GoodsType    `gorm:"ForeignKey:ID;AssociationForeignKey:GoodTypeId" json:"type"`
	Manufacturers     Manufacturer `gorm:"ForeignKey:Manufacturer;AssociationForeignKey:ID" json:"manufacturers"`
	Dealers           Dealers      `gorm:"ForeignKey:Dealer;AssociationForeignKey:ID" json:"dealers"`
	BuyPrice          float64      `gorm:"column:buy_price" json:"buy_price"`
	Total             float64      `gorm:"column:total" json:"total" form:"total"`
	RegisterNumber    string       `gorm:"column:register_number" json:"register_number" form:"register_number"`
}

func (WarehousingGoodInfo) TableName() string {
	return "xt_good_information"
}

type WarehousingInfoConfig struct {
	ID                  int64               `gorm:"column:id" json:"id"`
	WarehousingId       int64               `gorm:"column:warehousing_id" json:"warehousing_id"`
	GoodId              int64               `gorm:"column:good_id" json:"good_id"`
	WarehousingGoodInfo WarehousingGoodInfo `gorm:"ForeignKey:GoodId;AssociationForeignKey:ID" json:"info"`
}

func (WarehousingInfoConfig) TableName() string {
	return "xt_warehouse_info"
}

type WarehousingOutInfoConfig struct {
	ID                  int64               `gorm:"column:id" json:"id"`
	WarehouseOutId      int64               `gorm:"column:warehouse_out_id" json:"warehouse_out_id"`
	GoodId              int64               `gorm:"column:good_id" json:"good_id"`
	WarehousingGoodInfo WarehousingGoodInfo `gorm:"ForeignKey:GoodId;AssociationForeignKey:ID" json:"info"`
}

func (WarehousingOutInfoConfig) TableName() string {
	return "xt_warehouse_out_info"
}

type AutomaticReduceDetail struct {
	ID                      int64               `gorm:"column:id" json:"id"`
	WarehouseOutId          int64               `gorm:"column:warehouse_out_id" json:"warehouse_out_id"`
	WarehouseOutOrderNumber string              `gorm:"column:warehouse_out_order_number" json:"warehouse_out_order_number"`
	PatientId               int64               `gorm:"column:patient_id" json:"patient_id"`
	Ctime                   int64               `gorm:"column:ctime" json:"ctime"`
	Mtime                   int64               `gorm:"column:mtime" json:"mtime"`
	Status                  int64               `gorm:"column:status" json:"status"`
	RecordTime              int64               `gorm:"column:record_time" json:"record_time"`
	OrgId                   int64               `gorm:"column:org_id" json:"org_id"`
	GoodId                  int64               `gorm:"column:good_id" json:"good_id"`
	GoodTypeId              int64               `gorm:"column:good_type_id" json:"good_type_id"`
	GoodInfo                GoodInfo            `gorm:"ForeignKey:GoodId;AssociationForeignKey:ID" json:"info"`
	GoodsType               GoodsType           `gorm:"ForeignKey:GoodTypeId;AssociationForeignKey:ID" json:"type"`
	Patients                Patients            `gorm:"ForeignKey:PatientId;AssociationForeignKey:ID" json:"user"`
	Count                   int64               `gorm:"column:count" json:"count"`
	Type                    int64               `gorm:"column:type" json:"type"`
	WarehouseOutInfo        []*WarehouseOutInfo `gorm:"ForeignKey:PatientId;AssociationForeignKey:PatientId" json:"warehouseOutInfo"`
	ProjectId               int64               `gorm:"column:project_id" json:"project_id" form:"project_id"`
	StorehouseId            int64               `gorm:"column:storehouse_id" json:"storehouse_id" form:"storehouse_id"`
}

func (AutomaticReduceDetail) TableName() string {
	return "xt_automatic_reduce_detail"
}

type SgjAutomaticReduceDetail struct {
	ID                      int64   `gorm:"column:id" json:"id"`
	WarehouseOutId          int64   `gorm:"column:warehouse_out_id" json:"warehouse_out_id"`
	WarehouseOutOrderNumber string  `gorm:"column:warehouse_out_order_number" json:"warehouse_out_order_number"`
	PatientId               int64   `gorm:"column:patient_id" json:"patient_id"`
	Ctime                   int64   `gorm:"column:ctime" json:"ctime"`
	Mtime                   int64   `gorm:"column:mtime" json:"mtime"`
	Status                  int64   `gorm:"column:status" json:"status"`
	RecordTime              int64   `gorm:"column:record_time" json:"record_time"`
	OrgId                   int64   `gorm:"column:org_id" json:"org_id"`
	GoodId                  int64   `gorm:"column:good_id" json:"good_id"`
	GoodTypeId              int64   `gorm:"column:good_type_id" json:"good_type_id"`
	Count                   int64   `gorm:"column:count" json:"count"`
	Type                    int64   `gorm:"column:type" json:"type"`
	GoodName                string  `gorm:"column:good_name" json:"good_name"`
	SpecificationName       string  `gorm:"column:specification_name" json:"specification_name" form:"specification_name"`
	PackingUnit             string  `gorm:"column:packing_unit" json:"packing_unit" form:"packing_unit"`
	RetailPrice             float64 `gorm:"column:retail_price" json:"retail_price" form:"retail_price"`
	PackingPrice            float64 `gorm:"column:packing_price" json:"packing_price" form:"packing_price"`
}

type VmWarehouseOutInfo struct {
	GoodId int64   `gorm:"column:good_id" json:"good_id"`
	Count  int64   `gorm:"column:count" json:"count"`
	Remark string  `gorm:"column:remark" json:"remark"`
	Price  float64 `gorm:"column:price" json:"price"`
	OrgId  int64   `gorm:"column:org_id" json:"org_id"`
}

type VmWarehouseInfo struct {
	GoodId     int64 `gorm:"column:good_id" json:"good_id"`
	Count      int64 `gorm:"column:count" json:"count"`
	OrgId      int64 `gorm:"column:org_id" json:"org_id"`
	StockCount int64 `gorm:"column:stock_count" json:"stock_count"`
}

type WarehouseOutInfoOne struct {
	ID                          int64   `gorm:"column:id" json:"id"`
	WarehouseOutId              int64   `gorm:"column:warehouse_out_id" json:"warehouse_out_id"`
	WarehouseInfotId            int64   `gorm:"column:warehouse_info_id" json:"warehouse_info_id"`
	GoodId                      int64   `gorm:"column:good_id" json:"good_id"`
	GoodTypeId                  int64   `gorm:"column:good_type_id" json:"good_type_id"`
	WarehousingOutTarget        int64   `gorm:"column:warehousing_out_target" json:"warehousing_out_target"`
	Count                       int64   `gorm:"column:count" json:"count"`
	Price                       float64 `gorm:"column:price" json:"price"`
	TotalPrice                  float64 `gorm:"column:total_price" json:"total_price"`
	ProductDate                 int64   `gorm:"column:product_date" json:"product_date"`
	ExpiryDate                  int64   `gorm:"column:expiry_date" json:"expiry_date"`
	Mtime                       int64   `gorm:"column:mtime" json:"mtime"`
	Ctime                       int64   `gorm:"column:ctime" json:"ctime"`
	Status                      int64   `gorm:"column:status" json:"status"`
	OrgId                       int64   `gorm:"column:org_id" json:"org_id"`
	Remark                      string  `gorm:"column:remark" json:"remark"`
	IsCancel                    int64   `gorm:"column:is_cancel" json:"is_cancel"`
	WarehouseOutOrderNumber     string  `gorm:"column:warehouse_out_order_number" json:"warehouse_out_order_number"`
	Type                        int64   `gorm:"column:type" json:"type"`
	Dealer                      int64   `gorm:"column:dealer" json:"dealer"`
	Manufacturer                int64   `gorm:"column:manufacturer" json:"manufacturer"`
	IsSys                       int64   `gorm:"column:is_sys" json:"is_sys"`
	SysRecordTime               int64   `gorm:"column:sys_record_time" json:"sys_record_time"`
	PatientId                   int64   `gorm:"column:patient_id" json:"patient_id"`
	GoodName                    string  `gorm:"column:good_name" json:"good_name" form:"good_name"`
	SpecificationName           string  `gorm:"column:specification_name" json:"specification_name" form:"specification_name"`
	MinNumber                   int64   `gorm:"column:min_number" json:"min_number" form:"min_number"`
	PackingPrice                float64 `gorm:"column:packing_price" json:"packing_price" form:"packing_price"`
	MinUnit                     string  `gorm:"column:min_unit" json:"min_unit" form:"min_unit"`
	Number                      string  `gorm:"column:number" json:"number" form:"number"`
	PackingUnit                 string  `gorm:"column:packing_unit" json:"packing_unit" form:"packing_unit"`
	LicenseNumber               string  `gorm:"column:license_number" json:"license_number" form:"license_number"`
	SocialSecurityDirectoryCode string  `gorm:"column:social_security_directory_code" json:"social_security_directory_code" form:"social_security_directory_code"`
	SupplyCancelOutId           int64   `gorm:"column:supply_cancel_out_id" json:"supply_cancel_out_id" form:"supply_cancel_out_id"`
	SupplyWarehouseId           int64   `gorm:"column:supply_warehouse_id" json:"supply_warehouse_id" form:"supply_warehouse_id"`
	StorehouseId                int64   `gorm:"column:storehouse_id" json:"storehouse_id" form:"storehouse_id"`
	AdminUserId                 int64   `gorm:"column:admin_user_id" json:"admin_user_id" form:"admin_user_id"`
	BuyPrice                    float64 `gorm:"column:buy_price" json:"buy_price" form:"buy_price"`
	StockCount                  string  `gorm:"column:stock_count" json:"stock_count" form:"stock_count"`
	RegisterNumber              string  `gorm:"column:register_number" json:"register_number" form:"register_number"`
}

type WarehouseOutInfoTwo struct {
	ID                      int64                `gorm:"column:id" json:"id"`
	WarehouseOutId          int64                `gorm:"column:warehouse_out_id" json:"warehouse_out_id"`
	WarehouseInfotId        int64                `gorm:"column:warehouse_info_id" json:"warehouse_info_id"`
	GoodId                  int64                `gorm:"column:good_id" json:"good_id"`
	GoodTypeId              int64                `gorm:"column:good_type_id" json:"good_type_id"`
	WarehousingOutTarget    int64                `gorm:"column:warehousing_out_target" json:"warehousing_out_target"`
	Count                   int64                `gorm:"column:count" json:"count"`
	Price                   float64              `gorm:"column:price" json:"price"`
	TotalPrice              float64              `gorm:"column:total_price" json:"total_price"`
	ProductDate             int64                `gorm:"column:product_date" json:"product_date"`
	ExpiryDate              int64                `gorm:"column:expiry_date" json:"expiry_date"`
	Mtime                   int64                `gorm:"column:mtime" json:"mtime"`
	Ctime                   int64                `gorm:"column:ctime" json:"ctime"`
	Status                  int64                `gorm:"column:status" json:"status"`
	OrgId                   int64                `gorm:"column:org_id" json:"org_id"`
	Remark                  string               `gorm:"column:remark" json:"remark"`
	IsCancel                int64                `gorm:"column:is_cancel" json:"is_cancel"`
	WarehouseOutOrderNumber string               `gorm:"column:warehouse_out_order_number" json:"warehouse_out_order_number"`
	Type                    int64                `gorm:"column:type" json:"type"`
	Dealer                  int64                `gorm:"column:dealer" json:"dealer"`
	Manufacturer            int64                `gorm:"column:manufacturer" json:"manufacturer"`
	IsSys                   int64                `gorm:"column:is_sys" json:"is_sys"`
	SysRecordTime           int64                `gorm:"column:sys_record_time" json:"sys_record_time"`
	PatientId               int64                `gorm:"column:patient_id" json:"patient_id"`
	GoodName                string               `gorm:"column:good_name" json:"good_name" form:"good_name"`
	SpecificationName       string               `gorm:"column:specification_name" json:"specification_name" form:"specification_name"`
	MinNumber               int64                `gorm:"column:min_number" json:"min_number" form:"min_number"`
	PackingPrice            float64              `gorm:"column:packing_price" json:"packing_price" form:"packing_price"`
	MinUnit                 string               `gorm:"column:min_unit" json:"min_unit" form:"min_unit"`
	Number                  string               `gorm:"column:number" json:"number" form:"number"`
	PackingUnit             string               `gorm:"column:packing_unit" json:"packing_unit" form:"packing_unit"`
	StWarehousingInfo       []*StWarehousingInfo `gorm:"ForeignKey:good_id;AssociationForeignKey:GoodId" json:"xt_warehouse_info"`
}

type WarehouseOutInfoSix struct {
	ID                      int64        `gorm:"column:id" json:"id"`
	WarehouseOutId          int64        `gorm:"column:warehouse_out_id" json:"warehouse_out_id"`
	WarehouseInfotId        int64        `gorm:"column:warehouse_info_id" json:"warehouse_info_id"`
	GoodId                  int64        `gorm:"column:good_id" json:"good_id"`
	GoodTypeId              int64        `gorm:"column:good_type_id" json:"good_type_id"`
	WarehousingOutTarget    int64        `gorm:"column:warehousing_out_target" json:"warehousing_out_target"`
	Count                   int64        `gorm:"column:count" json:"count"`
	Price                   float64      `gorm:"column:price" json:"price"`
	TotalPrice              float64      `gorm:"column:total_price" json:"total_price"`
	ProductDate             int64        `gorm:"column:product_date" json:"product_date"`
	ExpiryDate              int64        `gorm:"column:expiry_date" json:"expiry_date"`
	Mtime                   int64        `gorm:"column:mtime" json:"mtime"`
	Ctime                   int64        `gorm:"column:ctime" json:"ctime"`
	Status                  int64        `gorm:"column:status" json:"status"`
	OrgId                   int64        `gorm:"column:org_id" json:"org_id"`
	Remark                  string       `gorm:"column:remark" json:"remark"`
	IsCancel                int64        `gorm:"column:is_cancel" json:"is_cancel"`
	WarehouseOut            WarehouseOut `ForeignKey:WarehouseOutId json:"WarehouseOut"`
	WarehouseOutOrderNumber string       `gorm:"column:warehouse_out_order_number" json:"warehouse_out_order_number"`
	Type                    int64        `gorm:"column:type" json:"type"`
	Dealer                  int64        `gorm:"column:dealer" json:"dealer"`
	Manufacturer            int64        `gorm:"column:manufacturer" json:"manufacturer"`
	IsSys                   int64        `gorm:"column:is_sys" json:"is_sys"`
	SysRecordTime           int64        `gorm:"column:sys_record_time" json:"sys_record_time"`
	PatientId               int64        `gorm:"column:patient_id" json:"patient_id"`
	Number                  string       `gorm:"column:number" json:"number" form:"number"`
	LicenseNumber           string       `gorm:"column:license_number" json:"license_number" form:"license_number"`
	ConsumableType          int64        `gorm:"column:consumable_type" json:"consumable_type" form:"consumable_type"`
	GoodInfo                GoodInfo     `gorm:"ForeignKey:GoodId;AssociationForeignKey:ID" json:"info"`
}

func (WarehouseOutInfoSix) TableName() string {
	return "xt_warehouse_out_info"
}

type VmStockFlow struct {
	ID                        int64           `gorm:"column:id" json:"id" form:"id"`
	WarehousingId             int64           `gorm:"column:warehousing_id" json:"warehousing_id" form:"warehousing_id"`
	GoodId                    int64           `gorm:"column:good_id" json:"good_id" form:"good_id"`
	Number                    string          `gorm:"column:number" json:"number" form:"number"`
	LicenseNumber             string          `gorm:"column:license_number" json:"license_number" form:"license_number"`
	Count                     int64           `gorm:"column:count" json:"count" form:"count"`
	UserOrgId                 int64           `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	PatientId                 int64           `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	SystemTime                int64           `gorm:"column:system_time" json:"system_time" form:"system_time"`
	ConsumableType            int64           `gorm:"column:consumable_type" json:"consumable_type" form:"consumable_type"`
	IsSys                     int64           `gorm:"column:is_sys" json:"is_sys" form:"is_sys"`
	WarehousingOrder          string          `gorm:"column:warehousing_order" json:"warehousing_order" form:"warehousing_order"`
	WarehouseOutId            int64           `gorm:"column:warehouse_out_id" json:"warehouse_out_id" form:"warehouse_out_id"`
	WarehouseOutOrderNumber   string          `gorm:"column:warehouse_out_order_number" json:"warehouse_out_order_number" form:"warehouse_out_order_number"`
	IsEdit                    int64           `gorm:"column:is_edit" json:"is_edit" form:"is_edit"`
	CancelStockId             int64           `gorm:"column:cancel_stock_id" json:"cancel_stock_id" form:"cancel_stock_id"`
	CancelOrderNumber         string          `gorm:"column:cancel_order_number" json:"cancel_order_number" form:"cancel_order_number"`
	Manufacturer              int64           `gorm:"column:manufacturer" json:"manufacturer" form:"manufacturer"`
	Dealer                    int64           `gorm:"column:dealer" json:"dealer" form:"dealer"`
	Creator                   int64           `gorm:"column:creator" json:"creator" form:"creator"`
	UpdateCreator             int64           `gorm:"column:update_creator" json:"update_creator" form:"update_creator"`
	Status                    int64           `gorm:"column:status" json:"status" form:"status"`
	Ctime                     int64           `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime                     int64           `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Price                     float64         `gorm:"column:price" json:"price" form:"price"`
	WarehousingDetailId       int64           `gorm:"column:warehousing_detail_id" json:"warehousing_detail_id" form:"warehousing_detail_id"`
	WarehouseOutDetailId      int64           `gorm:"column:warehouse_out_detail_id" json:"warehouse_out_detail_id" form:"warehouse_out_detail_id"`
	CancelOutDetailId         int64           `gorm:"column:cancel_out_detail_id" json:"cancel_out_detail_id" form:"cancel_out_detail_id"`
	ProductDate               int64           `gorm:"column:product_date" json:"product_date" form:"product_date"`
	ExpireDate                int64           `gorm:"column:expire_date" json:"expire_date" form:"expire_date"`
	ReturnCount               int64           `gorm:"column:return_count" json:"return_count" form:"return_count"`
	ProjectId                 int64           `gorm:"column:project_id" json:"project_id" form:"project_id"`
	SupplyWarehouseId         int64           `gorm:"column:supply_warehouse_id" json:"supply_warehouse_id" form:"supply_warehouse_id"`
	SupplyCancelOutId         int64           `gorm:"column:supply_cancel_out_id" json:"supply_cancel_out_id" form:"supply_cancel_out_id"`
	SupplyWarehouseDetailInfo int64           `gorm:"column:supply_warehouse_detail_info" json:"supply_warehouse_detail_info" form:"supply_warehouse_detail_info"`
	StorehouseId              int64           `gorm:"column:storehouse_id" json:"storehouse_id" form:"storehouse_id"`
	SecondWarehouseInfoId     int64           `gorm:"column:second_warehouse_info_id" json:"second_warehouse_info_id" form:"second_warehouse_info_id"`
	AdminUserId               int64           `gorm:"column:admin_user_id" json:"admin_user_id" form:"admin_user_id"`
	BuyPrice                  float64         `gorm:"column:buy_price" json:"buy_price" form:"buy_price"`
	StockCount                string          `gorm:"column:stock_count" json:"stock_count" form:"stock_count"`
	RegisterNumber            string          `gorm:"column:register_number" json:"register_number" form:"register_number"`
	BatchNumberCount          int64           `gorm:"column:batch_number_count" json:"batch_number_count" form:"batch_number_count"`
	WarehousingInfo           WarehousingInfo `gorm:"ForeignKey:ID;AssociationForeignKey:WarehousingId" json:"xt_warehouse_info"`
	IsRead                    int64           `gorm:"column:is_read" json:"is_read" form:"is_read"`
	IsCheck                   int64           `gorm:"column:is_check" json:"is_check" form:"is_check"`
	OverCount                 int64           `gorm:"column:over_count" json:"over_count" form:"over_count"`
}

func (VmStockFlow) TableName() string {
	return "xt_stock_flow"
}

type CancelStockInfo struct {
	ID              int64              `gorm:"column:id" json:"id"`
	GoodId          int64              `gorm:"column:good_id" json:"good_id"`
	CancelStockId   int64              `gorm:"column:cancel_stock_id" json:"cancel_stock_id"`
	GoodTypeId      int64              `gorm:"column:good_type_id" json:"good_type_id"`
	Count           int64              `gorm:"column:count" json:"count"`
	Price           float64            `gorm:"column:price" json:"price"`
	Total           float64            `gorm:"column:total" json:"total"`
	ProductDate     int64              `gorm:"column:product_date" json:"product_date"`
	ExpiryDate      int64              `gorm:"column:expiry_date" json:"expiry_date"`
	Ctime           int64              `gorm:"column:ctime" json:"ctime"`
	Mtime           int64              `gorm:"column:mtime" json:"mtime"`
	Status          int64              `gorm:"column:status" json:"status"`
	OrgId           int64              `gorm:"column:org_id" json:"org_id"`
	OrderNumber     string             `gorm:"column:order_number" json:"order_number"`
	Type            int64              `gorm:"column:type" json:"type"`
	CancelStock     CancelStock        `ForeignKey:CancelStockId json:"CancelStock"`
	Dealer          string             `gorm:"column:dealer" json:"dealer"`
	Manufacturer    string             `gorm:"column:manufacturer" json:"manufacturer"`
	Number          string             `gorm:"column:number" json:"number" form:"number"`
	RegisterAccount string             `gorm:"column:register_account" json:"register_account" form:"register_account"`
	Remark          string             `gorm:"column:remark" json:"remark" form:"remark"`
	WarehouseInfoId int64              `gorm:"column:warehouse_info_id" json:"warehouse_info_id" form:"warehouse_info_id"`
	GoodInfo        GoodInfo           `gorm:"ForeignKey:ID;AssociationForeignKey:GoodId" `
	WarehousingInfo []*WarehousingInfo `gorm:"ForeignKey:GoodId;AssociationForeignKey:GoodId" json:"xt_warehouse_info"`
	PatientId       int64              `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	RecordDate      int64              `gorm:"column:record_date" json:"record_date" form:"record_date"`
	StorehouseId    int64              `gorm:"column:storehouse_id" json:"storehouse_id" form:"storehouse_id"`
	IsCheck         int64              `gorm:"column:is_check" json:"is_check" form:"is_check"`
}

func (CancelStockInfo) TableName() string {
	return "xt_cancel_stock_info"
}

//type VmBaseDrug struct {
//	ID                     int64   `gorm:"column:id" json:"id" form:"id"`
//	DrugName               string  `gorm:"column:drug_name" json:"drug_name" form:"drug_name"`
//	Pinyin                 string  `gorm:"column:pinyin" json:"pinyin" form:"pinyin"`
//	Wubi                   string  `gorm:"column:wubi" json:"wubi" form:"wubi"`
//	DrugAlias              string  `gorm:"column:drug_alias" json:"drug_alias" form:"drug_alias"`
//	DrugAliasPinyin        string  `gorm:"column:drug_alias_pinyin" json:"drug_alias_pinyin" form:"drug_alias_pinyin"`
//	DrugAliasWubi          string  `gorm:"column:drug_alias_wubi" json:"drug_alias_wubi" form:"drug_alias_wubi"`
//	DrugCategory           int64   `gorm:"column:drug_category" json:"drug_category" form:"drug_category"`
//	DrugSpec               string  `gorm:"column:drug_spec" json:"drug_spec" form:"drug_spec"`
//	DrugType               int64   `gorm:"column:drug_type" json:"drug_type" form:"drug_type"`
//	DrugStockLimit         string  `gorm:"column:drug_stock_limit" json:"drug_stock_limit" form:"drug_stock_limit"`
//	DrugOriginPlace        string  `gorm:"column:drug_origin_place" json:"drug_origin_place" form:"drug_origin_place"`
//	DrugDosageForm         int64   `gorm:"column:drug_dosage_form" json:"drug_dosage_form" form:"drug_dosage_form"`
//	MedicalInsuranceLevel  int64   `gorm:"column:medical_insurance_level" json:"medical_insurance_level" form:"medical_insurance_level"`
//	MaxUnit                string  `gorm:"column:max_unit" json:"max_unit" form:"max_unit"`
//	MinNumber              int64   `gorm:"column:min_number" json:"min_number" form:"min_number"`
//	MinUnit                string  `gorm:"column:min_unit" json:"min_unit" form:"min_unit"`
//	Dose                   string  `gorm:"column:dose" json:"dose" form:"dose"`
//	DoseUnit               string  `gorm:"column:dose_unit" json:"dose_unit" form:"dose_unit"`
//	UnitMatrixing          string  `gorm:"column:unit_matrixing" json:"unit_matrixing" form:"unit_matrixing"`
//	RetailPrice            float64 `gorm:"column:retail_price" json:"retail_price" form:"retail_price"`
//	MinPrice               float64 `gorm:"column:min_price" json:"min_price" form:"min_price"`
//	LastPrice              float64 `gorm:"column:last_price" json:"last_price" form:"last_price"`
//	DrugControl            int64   `gorm:"column:drug_control" json:"drug_control" form:"drug_control"`
//	Number                 string  `gorm:"column:number" json:"number" form:"number"`
//	DrugClassify           string  `gorm:"column:drug_classify" json:"drug_classify" form:"drug_classify"`
//	DrugDose               float64 `gorm:"column:drug_dose" json:"drug_dose" form:"drug_dose"`
//	DrugDoseUnit           int64   `gorm:"column:drug_dose_unit" json:"drug_dose_unit" form:"drug_dose_unit"`
//	MedicalInsuranceNumber string  `gorm:"column:medical_insurance_number" json:"medical_insurance_number" form:"medical_insurance_number"`
//	ProvincesCode          string  `gorm:"column:provinces_code" json:"provinces_code" form:"provinces_code"`
//
//	Manufacturer                     int64                     `gorm:"column:manufacturer" json:"manufacturer" form:"manufacturer"`
//	PharmacologyCategory             int64                     `gorm:"column:pharmacology_category" json:"pharmacology_category" form:"pharmacology_category"`
//	StatisticsCategory               int64                     `gorm:"column:statistics_category" json:"statistics_category" form:"statistics_category"`
//	Code                             string                    `gorm:"column:code" json:"code" form:"code"`
//	IsSpecialDiseases                int64                     `gorm:"column:is_special_diseases" json:"is_special_diseases" form:"is_special_diseases"`
//	IsRecord                         int64                     `gorm:"column:is_record" json:"is_record" form:"is_record"`
//	Agent                            string                    `gorm:"column:agent" json:"agent" form:"agent"`
//	DrugStatus                       string                    `gorm:"column:drug_status" json:"drug_status" form:"drug_status"`
//	LimitRemark                      string                    `gorm:"column:limit_remark" json:"limit_remark" form:"limit_remark"`
//	DeliveryWay                      string                    `gorm:"column:delivery_way" json:"delivery_way" form:"delivery_way"`
//	ExecutionFrequency               string                    `gorm:"column:execution_frequency" json:"execution_frequency" form:"execution_frequency"`
//	SingleDose                       float64                   `gorm:"column:single_dose" json:"single_dose" form:"single_dose"`
//	PrescribingNumber                float64                   `gorm:"column:prescribing_number" json:"prescribing_number" form:"prescribing_number"`
//	Label                            int64                     `gorm:"column:label" json:"label" form:"label"`
//	Sort                             int64                     `gorm:"column:sort" json:"sort" form:"sort"`
//	IsUseDoctorAdvice                int64                     `gorm:"column:is_use_doctor_advice" json:"is_use_doctor_advice" form:"is_use_doctor_advice"`
//	IsDefault                        int64                     `gorm:"column:is_default" json:"is_default" form:"is_default"`
//	IsChargePredict                  int64                     `gorm:"column:is_charge_predict" json:"is_charge_predict" form:"is_charge_predict"`
//	IsStatisticsWork                 int64                     `gorm:"column:is_statistics_work" json:"is_statistics_work" form:"is_statistics_work"`
//	IsChargeUse                      int64                     `gorm:"column:is_charge_use" json:"is_charge_use" form:"is_charge_use"`
//	Status                           int64                     `gorm:"column:status" json:"status" form:"status"`
//	Ctime                            int64                     `gorm:"column:ctime" json:"ctime" form:"ctime"`
//	Mtime                            int64                     `gorm:"column:mtime" json:"mtime" form:"mtime"`
//	OrgId                            int64                     `gorm:"column:org_id" json:"org_id" form:"org_id"`
//	DrugCode                         string                    `gorm:"column:drug_code" json:"drug_code" form:"drug_code"`
//	Dealer                           int64                     `gorm:"column:dealer" json:"dealer" form:"dealer"`
//	PrescriptionMark                 int64                     `gorm:"column:prescription_mark" json:"prescription_mark" form:"prescription_mark"`
//	RecordDate                       int64                     `gorm:"column:record_date" json:"record_date" form:"record_date"`
//	DrugRemark                       string                    `gorm:"column:drug_remark" json:"drug_remark" form:"drug_remark"`
//	SocialSecurityDirectoryCode      string                    `gorm:"column:social_security_directory_code" json:"social_security_directory_code" form:"social_security_directory_code"`
//	DoseCode                         string                    `gorm:"column:dose_code" json:"dose_code" form:"dose_code"`
//	IsMark                           int64                     `gorm:"column:is_mark" json:"is_mark" form:"is_mark"`
//	HospApprFlag                     int64                     `gorm:"column:hosp_appr_flag" json:"hosp_appr_flag" form:"hosp_appr_flag"`
//	LmtUsedFlag                      int64                     `gorm:"column:lmt_used_flag" json:"lmt_used_flag" form:"lmt_used_flag"`
//	DrugDay                          string                    `gorm:"column:drug_day" json:"drug_day" form:"drug_day"`
//	Total                            float64                   `gorm:"column:total" json:"total" form:"total"`
//	PrescribingNumberUnit            string                    `gorm:"column:prescribing_number_unit" json:"prescribing_number_unit" form:"prescribing_number_unit"`
//	DrugWarehouseInfo                []*VsDrugWarehouseInfo    `gorm:"ForeignKey:DrugId;AssociationForeignKey:ID" json:"drug_warehouse_info"`
//	DrugWarehouse                    []*DrugWarehouseInfo      `gorm:"ForeignKey:DrugId;AssociationForeignKey:ID" json:"drug_warehouse"`
//	DrugCancelStockInfo              []*VsDrugCancelStockInfo  `gorm:"ForeignKey:DrugId;AssociationForeignKey:ID" json:"drug_cancel_stock_info"`
//	DrugWarehouseOutInfo             []*VsDrugWarehouseOutInfo `gorm:"ForeignKey:DrugId;AssociationForeignKey:ID" json:"drug_warehouse_out"`
//	TotalCount                       int64                     `gorm:"column:total_count" json:"total_count" form:"total_count"`
//	IsUser                           int64                     `gorm:"column:is_user" json:"is_user" form:"is_user"`
//	BatchRetaiPrice                  float64                   `gorm:"column:batch_retai_price" json:"batch_retai_price" form:"batch_retai_price"`
//	DrugStockLimitCount              int64                     `gorm:"column:drug_stock_limit_count" json:"drug_stock_limit_count" form:"drug_stock_limit_count"`
//	SumCount                         int64                     `gorm:"column:sum_count" json:"sum_count" form:"sum_count"`
//	SumInCount                       int64                     `gorm:"column:sum_in_count" json:"sum_in_count" form:"sum_in_count"`
//	IsPharmacy                       int64                     `gorm:"column:is_pharmacy" json:"is_pharmacy" form:"is_pharmacy"`
//	DrugFlowWarehouseInfo            []*DrugFlow               `gorm:"ForeignKey:DrugId;AssociationForeignKey:ID" json:"drug_flow_info"`
//	DrugActFlowWarehouseInfo         []*DrugFlow               `gorm:"ForeignKey:DrugId;AssociationForeignKey:ID" json:"drug_act_flow_info"`
//	DrugWarehouseInfoStart           []*DrugFlow               //期初入库结余
//	DrugWarehouseOutInfoStart        []*DrugFlow               //期初出库结余
//	DrugWarehouseOutInfoEnd          []*DrugFlow               //期末出库结余
//	DrugWarehouseInfoEnd             []*DrugFlow               //期末入库结余
//	DrugWarehouseInfoStartEnd        []*DrugFlow               //期中增加
//	DrugWarehouseOutInfoStartEnd     []*DrugFlow               //  期中减少
//	WareStartStockInventoryProfit    []*DrugFlow               //期初盘盈
//	WareStartStockInventoryLosses    []*DrugFlow               //期初盘亏
//	WareEndStockInventoryProfit      []*DrugFlow               //期末盘盈
//	WareEndStockInventoryLosses      []*DrugFlow               //期末盘亏
//	WareStartEndStockInventoryProfit []*DrugFlow               //期间盘盈
//	WareStartEndStockInventoryLosses []*DrugFlow               //期间盘亏
//	WareStartStockCancelInfo         []*DrugFlow               //期初结余退库
//	WareEndStockCancelInfo           []*DrugFlow               //期末结余退库
//	WareStartEndStockCancelInfo      []*DrugFlow               //期中减少退库
//
//}
//
//func (VmBaseDrug) TableName() string {
//	return "xt_base_drug"
//}

type VsDrugWarehouseInfo struct {
	ID               int64   `gorm:"column:id" json:"id" form:"id"`
	WarehousingId    int64   `gorm:"column:warehousing_id" json:"warehousing_id" form:"warehousing_id"`
	DrugId           int64   `gorm:"column:drug_id" json:"drug_id" form:"drug_id"`
	Number           string  `gorm:"column:number" json:"number" form:"number"`
	ProductDate      int64   `gorm:"column:product_date" json:"product_date" form:"product_date"`
	ExpiryDate       int64   `gorm:"column:expiry_date" json:"expiry_date" form:"expiry_date"`
	WarehousingCount int64   `gorm:"column:warehousing_count" json:"warehousing_count" form:"warehousing_count"`
	WarehouseingUnit string  `gorm:"column:warehouseing_unit" json:"warehouseing_unit" form:"warehouseing_unit"`
	MaxUnit          string  `gorm:"column:max_unit" json:"max_unit" form:"max_unit"`
	MinUnit          string  `gorm:"column:min_unit" json:"min_unit" form:"min_unit"`
	StockMaxNumber   int64   `gorm:"column:stock_max_number" json:"stock_max_number" form:"stock_max_number"`
	StockMinNumber   int64   `gorm:"column:stock_min_number" json:"stock_min_number" form:"stock_min_number"`
	Price            float64 `gorm:"column:price" json:"price" form:"price"`
	TotalPrice       float64 `gorm:"column:total_price" json:"total_price" form:"total_price"`
	Dealer           int64   `gorm:"column:dealer" json:"dealer" form:"dealer"`
	Manufacturer     int64   `gorm:"column:manufacturer" json:"manufacturer" form:"manufacturer"`
	Remark           string  `gorm:"column:remark" json:"remark" form:"remark"`
	Ctime            int64   `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime            int64   `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status           int64   `gorm:"column:status" json:"status" form:"status"`
	OrgId            int64   `gorm:"column:org_id" json:"org_id" form:"org_id"`
	IsReturn         int64   `gorm:"column:is_return" json:"is_return" form:"is_return"`
	WarehousingOrder string  `gorm:"column:warehousing_order" json:"warehousing_order" form:"warehousing_order"`
	Type             int64   `gorm:"column:type" json:"type" form:"type"`
	RetailPrice      float64 `gorm:"column:retail_price" json:"retail_price" form:"retail_price"`
	RetailTotalPrice float64 `gorm:"column:retail_total_price" json:"retail_total_price" form:"retail_total_price"`
	BatchNumber      string  `gorm:"column:batch_number" json:"batch_number" form:"batch_number"`
	StorehouseId     int64   `gorm:"column:storehouse_id" json:"storehouse_id" form:"storehouse_id"`
}

func (VsDrugWarehouseInfo) TableName() string {
	return "xt_drug_warehouse_info"
}

type VsDrugCancelStockInfo struct {
	ID               int64       `gorm:"column:id" json:"id" form:"id"`
	DrugId           int64       `gorm:"column:drug_id" json:"drug_id" form:"drug_id"`
	CancelStockId    int64       `gorm:"column:cancel_stock_id" json:"cancel_stock_id" form:"cancel_stock_id"`
	Count            int64       `gorm:"column:count" json:"count" form:"count"`
	Price            float64     `gorm:"column:price" json:"price" form:"price"`
	Total            float64     `gorm:"column:total" json:"total" form:"total"`
	ProductDate      int64       `gorm:"column:product_date" json:"product_date" form:"product_date"`
	ExpiryDate       int64       `gorm:"column:expiry_date" json:"expiry_date" form:"expiry_date"`
	Ctime            int64       `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime            int64       `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status           int64       `gorm:"column:status" json:"status" form:"status"`
	OrgId            int64       `gorm:"column:org_id" json:"org_id" form:"org_id"`
	OrderNumber      string      `gorm:"column:order_number" json:"order_number" form:"order_number"`
	Type             int64       `gorm:"column:type" json:"type" form:"type"`
	Dealer           string      `gorm:"column:dealer" json:"dealer" form:"dealer"`
	Manufacturer     string      `gorm:"column:manufacturer" json:"manufacturer" form:"manufacturer"`
	RetailPrice      float64     `gorm:"column:retail_price" json:"retail_price" form:"retail_price"`
	RetailTotalPrice float64     `gorm:"column:retail_total_price" json:"retail_total_price" form:"retail_total_price"`
	Number           string      `gorm:"column:number" json:"number" form:"number"`
	RegisterAccount  string      `gorm:"column:register_account" json:"register_account" form:"register_account"`
	Remark           string      `gorm:"column:remark" json:"remark" form:"remark"`
	BatchNumber      string      `gorm:"column:batch_number" json:"batch_number" form:"batch_number"`
	MaxUnit          string      `gorm:"column:max_unit" json:"max_unit" form:"max_unit"`
	StorehouseId     int64       `gorm:"column:storehouse_id" json:"storehouse_id" form:"storehouse_id"`
	BaseDrugLib      BaseDrugLib `gorm:"ForeignKey:DrugId;AssociationForeignKey:ID" `
}

func (VsDrugCancelStockInfo) TableName() string {
	return "xt_drug_cancel_stock_info"
}

type VsDrugWarehouseOutInfo struct {
	ID                      int64   `gorm:"column:id" json:"id" form:"id"`
	WarehouseOutId          int64   `gorm:"column:warehouse_out_id" json:"warehouse_out_id" form:"warehouse_out_id"`
	DrugId                  int64   `gorm:"column:drug_id" json:"drug_id" form:"drug_id"`
	WarehousingOutTarget    int64   `gorm:"column:warehousing_out_target" json:"warehousing_out_target" form:"warehousing_out_target"`
	Count                   int64   `gorm:"column:count" json:"count" form:"count"`
	Price                   float64 `gorm:"column:price" json:"price" form:"price"`
	TotalPrice              float64 `gorm:"column:total_price" json:"total_price" form:"total_price"`
	ProductDate             int64   `gorm:"column:product_date" json:"product_date" form:"product_date"`
	ExpiryDate              int64   `gorm:"column:expiry_date" json:"expiry_date" form:"expiry_date"`
	Mtime                   int64   `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Ctime                   int64   `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Status                  int64   `gorm:"column:status" json:"status" form:"status"`
	OrgId                   int64   `gorm:"column:org_id" json:"org_id" form:"org_id"`
	Remark                  string  `gorm:"column:remark" json:"remark" form:"remark"`
	IsCancel                int64   `gorm:"column:is_cancel" json:"is_cancel" form:"is_cancel"`
	WarehouseOutOrderNumber string  `gorm:"column:warehouse_out_order_number" json:"warehouse_out_order_number" form:"warehouse_out_order_number"`
	Type                    int64   `gorm:"column:type" json:"type" form:"type"`
	Dealer                  int64   `gorm:"column:dealer" json:"dealer" form:"dealer"`
	Manufacturer            int64   `gorm:"column:manufacturer" json:"manufacturer" form:"manufacturer"`
	IsSys                   int64   `gorm:"column:is_sys" json:"is_sys" form:"is_sys"`
	SysRecordTime           int64   `gorm:"column:sys_record_time" json:"sys_record_time" form:"sys_record_time"`
	RetailPrice             float64 `gorm:"column:retail_price" json:"retail_price" form:"retail_price"`
	RetailTotalPrice        float64 `gorm:"column:retail_total_price" json:"retail_total_price" form:"retail_total_price"`
	CountUnit               string  `gorm:"column:count_unit" json:"count_unit" form:"count_unit"`
	StorehouseId            int64   `gorm:"column:storehouse_id" json:"storehouse_id" form:"storehouse_id"`
}

func (VsDrugWarehouseOutInfo) TableName() string {
	return "xt_drug_warehouse_out_info"
}

type VmStockFlowOne struct {
	ID                      int64   `gorm:"column:id" json:"id" form:"id"`
	WarehousingId           int64   `gorm:"column:warehousing_id" json:"warehousing_id" form:"warehousing_id"`
	GoodId                  int64   `gorm:"column:good_id" json:"good_id" form:"good_id"`
	Number                  string  `gorm:"column:number" json:"number" form:"number"`
	Count                   int64   `gorm:"column:count" json:"count" form:"count"`
	PatientId               int64   `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	SystemTime              int64   `gorm:"column:system_time" json:"system_time" form:"system_time"`
	IsSys                   int64   `gorm:"column:is_sys" json:"is_sys" form:"is_sys"`
	WarehousingOrder        string  `gorm:"column:warehousing_order" json:"warehousing_order" form:"warehousing_order"`
	WarehouseOutId          int64   `gorm:"column:warehouse_out_id" json:"warehouse_out_id" form:"warehouse_out_id"`
	WarehouseOutOrderNumber string  `gorm:"column:warehouse_out_order_number" json:"warehouse_out_order_number" form:"warehouse_out_order_number"`
	Price                   float64 `gorm:"column:price" json:"price" form:"price"`
	ProductDate             int64   `gorm:"column:product_date" json:"product_date" form:"product_date"`
	ExpireDate              int64   `gorm:"column:expire_date" json:"expire_date" form:"expire_date"`
	PackingUnit             string  `gorm:"column:packing_unit" json:"packing_unit" form:"packing_unit"`
	Ctime                   int64   `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Name                    string  `gorm:"column:name" json:"name" form:"name"`
	IsRead                  int64   `gorm:"column:is_read" json:"is_read" form:"is_read"`
	ConsumableType          int64   `gorm:"column:consumable_type" json:"consumable_type" form:"consumable_type"`
}

type BloodWarehouseInfo struct {
	ID                int64   `gorm:"column:id" json:"id" form:"id"`
	WarehousingId     int64   `gorm:"column:warehousing_id" json:"warehousing_id" form:"warehousing_id"`
	GoodId            int64   `gorm:"column:good_id" json:"good_id" form:"good_id"`
	GoodTypeId        int64   `gorm:"column:good_type_id" json:"good_type_id" form:"good_type_id"`
	Number            string  `gorm:"column:number" json:"number" form:"number"`
	ProductDate       int64   `gorm:"column:product_date" json:"product_date" form:"product_date"`
	ExpiryDate        int64   `gorm:"column:expiry_date" json:"expiry_date" form:"expiry_date"`
	WarehousingCount  int64   `gorm:"column:warehousing_count" json:"warehousing_count" form:"warehousing_count"`
	WarehousingUnit   string  `gorm:"column:warehousing_unit" json:"warehousing_unit" form:"warehousing_unit"`
	StockCount        int64   `gorm:"column:stock_count" json:"stock_count" form:"stock_count"`
	Price             float64 `gorm:"column:price" json:"price" form:"price"`
	TotalPrice        float64 `gorm:"column:total_price" json:"total_price" form:"total_price"`
	Dealer            int64   `gorm:"column:dealer" json:"dealer" form:"dealer"`
	Manufacturer      int64   `gorm:"column:manufacturer" json:"manufacturer" form:"manufacturer"`
	Remark            string  `gorm:"column:remark" json:"remark" form:"remark"`
	Ctime             int64   `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime             int64   `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status            int64   `gorm:"column:status" json:"status" form:"status"`
	OrgId             int64   `gorm:"column:org_id" json:"org_id" form:"org_id"`
	IsReturn          int64   `gorm:"column:is_return" json:"is_return" form:"is_return"`
	WarehousingOrder  string  `gorm:"column:warehousing_order" json:"warehousing_order" form:"warehousing_order"`
	Type              int64   `gorm:"column:type" json:"type" form:"type"`
	LicenseNumber     string  `gorm:"column:license_number" json:"license_number" form:"license_number"`
	GoodName          string  `gorm:"column:good_name" json:"good_name" form:"good_name"`
	PackingPrice      float64 `gorm:"column:packing_price" json:"packing_price" form:"packing_price"`
	SpecificationName string  `gorm:"column:specification_name" json:"specification_name" form:"specification_name"`
	PackingUnit       string  `gorm:"column:packing_unit" json:"packing_unit" form:"packing_unit"`
	BuyPrice          float64 `gorm:"column:buy_price" json:"buy_price" form:"buy_price"`
	StorehouseId      int64   `gorm:"column:storehouse_id" json:"storehouse_id" form:"storehouse_id"`
	IsCheck           string  `gorm:"column:is_check" json:"is_check" form:"is_check"`
}

type XtStockAdjustPrice struct {
	ID                int64           `gorm:"column:id" json:"id" form:"id"`
	GoodName          string          `gorm:"column:good_name" json:"good_name" form:"good_name"`
	SpecificationName string          `gorm:"column:specification_name" json:"specification_name" form:"specification_name"`
	WarehousingUnit   string          `gorm:"column:warehousing_unit" json:"warehousing_unit" form:"warehousing_unit"`
	Count             int64           `gorm:"column:count" json:"count" form:"count"`
	BuyPrice          float64         `gorm:"column:buy_price" json:"buy_price" form:"buy_price"`
	PackingPrice      float64         `gorm:"column:packing_price" json:"packing_price" form:"packing_price"`
	NewPrice          float64         `gorm:"column:new_price" json:"new_price" form:"new_price"`
	Manufacturer      string          `gorm:"column:manufacturer" json:"manufacturer" form:"manufacturer"`
	Dealer            string          `gorm:"column:dealer" json:"dealer" form:"dealer"`
	Remark            string          `gorm:"column:remark" json:"remark" form:"remark"`
	GoodId            int64           `gorm:"column:good_id" json:"good_id" form:"good_id"`
	UserOrgId         int64           `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Ctime             int64           `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime             int64           `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status            int64           `gorm:"column:status" json:"status" form:"status"`
	WarehousingOrder  string          `gorm:"column:warehousing_order" json:"warehousing_order" form:"warehousing_order"`
	LicenseNumber     string          `gorm:"column:license_number" json:"license_number" form:"license_number"`
	StartTime         int64           `gorm:"column:start_time" json:"start_time" form:"start_time"`
	Creater           int64           `gorm:"column:creater" json:"creater" form:"creater"`
	Checker           int64           `gorm:"column:checker" json:"checker" form:"checker"`
	CheckerStatus     int64           `gorm:"column:checker_status" json:"checker_status" form:"checker_status"`
	CheckerTime       int64           `gorm:"column:checker_time" json:"checker_time" form:"checker_time"`
	GoodInfo          GoodInfo        `gorm:"ForeignKey:ID;AssociationForeignKey:GoodId" `
	AdminRole         VMUserAdminRole `gorm:"ForeignKey:ID;AssociationForeignKey:Creater" `
}

func (XtStockAdjustPrice) TableName() string {
	return "xt_stock_adjust_price"
}

type VmUserAdminRole struct {
	ID                                      int64  `gorm:"column:id" json:"id" form:"id"`
	AdminUserId                             int64  `gorm:"column:admin_user_id" json:"admin_user_id" form:"admin_user_id"`
	OrgId                                   int64  `gorm:"column:org_id" json:"org_id" form:"org_id"`
	AppId                                   int64  `gorm:"column:app_id" json:"app_id" form:"app_id"`
	RoleId                                  int64  `gorm:"column:role_id" json:"role_id" form:"role_id"`
	UserName                                string `gorm:"column:user_name" json:"user_name" form:"user_name"`
	Avatar                                  string `gorm:"column:avatar" json:"avatar" form:"avatar"`
	UserType                                int64  `gorm:"column:user_type" json:"user_type" form:"user_type"`
	UserTitle                               int64  `gorm:"column:user_title" json:"user_title" form:"user_title"`
	Intro                                   string `gorm:"column:intro" json:"intro" form:"intro"`
	Status                                  int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime                                   int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime                                   int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	UserTitleName                           string `gorm:"column:user_title_name" json:"user_title_name" form:"user_title_name"`
	RoleIds                                 string `gorm:"column:role_ids" json:"role_ids" form:"role_ids"`
	Message                                 string `gorm:"column:message" json:"message" form:"message"`
	Sex                                     int64  `gorm:"column:sex" json:"sex" form:"sex"`
	Birthday                                int64  `gorm:"column:birthday" json:"birthday" form:"birthday"`
	Sort                                    int64  `gorm:"column:sort" json:"sort" form:"sort"`
	IsSort                                  int64  `gorm:"column:is_sort" json:"is_sort" form:"is_sort"`
	Department                              string `gorm:"column:department" json:"department" form:"department"`
	DepartmentId                            int64  `gorm:"column:department_id" json:"department_id" form:"department_id"`
	Age                                     int64  `gorm:"column:age" json:"age" form:"age"`
	Nation                                  string `gorm:"column:nation" json:"nation" form:"nation"`
	CardType                                int64  `gorm:"column:card_type" json:"card_type" form:"card_type"`
	IdCard                                  string `gorm:"column:id_card" json:"id_card" form:"id_card"`
	Education                               int64  `gorm:"column:education" json:"education" form:"education"`
	StudyMajorName                          string `gorm:"column:study_major_name" json:"study_major_name" form:"study_major_name"`
	WorkMajorName                           string `gorm:"column:work_major_name" json:"work_major_name" form:"work_major_name"`
	RoleType                                int64  `gorm:"column:role_type" json:"role_type" form:"role_type"`
	MedicalCode                             string `gorm:"column:medical_code" json:"medical_code" form:"medical_code"`
	DoctorCode                              string `gorm:"column:doctor_code" json:"doctor_code" form:"doctor_code"`
	Licensing                               int64  `gorm:"column:licensing" json:"licensing" form:"licensing"`
	JobNumber                               string `gorm:"column:job_number" json:"job_number" form:"job_number"`
	PrescriptionQualificationIdentification int64  `gorm:"column:prescription_qualification_identification" json:"prescription_qualification_identification" form:"prescription_qualification_identification"`
	IdentificationOutpatients               int64  `gorm:"column:identification_outpatients" json:"identification_outpatients" form:"identification_outpatients"`
	StartTime                               int64  `gorm:"column:start_time" json:"start_time" form:"start_time"`
	MedicalRangeCode                        int64  `gorm:"column:medical_range_code" json:"medical_range_code" form:"medical_range_code"`
	MedicalLevel                            int64  `gorm:"column:medical_level" json:"medical_level" form:"medical_level"`
	MedicalTypeJob                          int64  `gorm:"column:medical_type_job" json:"medical_type_job" form:"medical_type_job"`
	PharmacistRegistrationNumber            string `gorm:"column:pharmacist_registration_number" json:"pharmacist_registration_number" form:"pharmacist_registration_number"`
	DoctorRangeCode                         int64  `gorm:"column:doctor_range_code" json:"doctor_range_code" form:"doctor_range_code"`
	DoctorLevel                             int64  `gorm:"column:doctor_level" json:"doctor_level" form:"doctor_level"`
	DoctorTypeJob                           int64  `gorm:"column:doctor_type_job" json:"doctor_type_job" form:"doctor_type_job"`
	DoctorNumber                            string `gorm:"column:doctor_number" json:"doctor_number" form:"doctor_number"`
	OutpatientIllnessCategory               string `gorm:"column:outpatient_illness_category" json:"outpatient_illness_category" form:"outpatient_illness_category"`
	IsActive                                int64  `gorm:"column:is_active" json:"is_active" form:"is_active"`
	ActiveStatus                            int64  `gorm:"column:active_status" json:"active_status" form:"active_status"`
	IsMark                                  int64  `gorm:"column:is_mark" json:"is_mark" form:"is_mark"`
}

func (VmUserAdminRole) TableName() string {
	return "sgj_users.sgj_user_admin_role"
}

type VmStockAdjustPrice struct {
	ID                int64   `gorm:"column:id" json:"id" form:"id"`
	GoodName          string  `gorm:"column:good_name" json:"good_name" form:"good_name"`
	SpecificationName string  `gorm:"column:specification_name" json:"specification_name" form:"specification_name"`
	WarehousingUnit   string  `gorm:"column:warehousing_unit" json:"warehousing_unit" form:"warehousing_unit"`
	Count             int64   `gorm:"column:count" json:"count" form:"count"`
	BuyPrice          float64 `gorm:"column:buy_price" json:"buy_price" form:"buy_price"`
	PackingPrice      float64 `gorm:"column:packing_price" json:"packing_price" form:"packing_price"`
	NewPrice          float64 `gorm:"column:new_price" json:"new_price" form:"new_price"`
	Manufacturer      string  `gorm:"column:manufacturer" json:"manufacturer" form:"manufacturer"`
	Dealer            string  `gorm:"column:dealer" json:"dealer" form:"dealer"`
	Remark            string  `gorm:"column:remark" json:"remark" form:"remark"`
	GoodId            int64   `gorm:"column:good_id" json:"good_id" form:"good_id"`
	UserOrgId         int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Ctime             int64   `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime             int64   `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status            int64   `gorm:"column:status" json:"status" form:"status"`
	WarehousingOrder  string  `gorm:"column:warehousing_order" json:"warehousing_order" form:"warehousing_order"`
	LicenseNumber     string  `gorm:"column:license_number" json:"license_number" form:"license_number"`
	StartTime         int64   `gorm:"column:start_time" json:"start_time" form:"start_time"`
	Creater           int64   `gorm:"column:creater" json:"creater" form:"creater"`
	Checker           int64   `gorm:"column:checker" json:"checker" form:"checker"`
	CheckerStatus     int64   `gorm:"column:checker_status" json:"checker_status" form:"checker_status"`
	CheckerTime       int64   `gorm:"column:checker_time" json:"checker_time" form:"checker_time"`
	PackingUnit       string  `gorm:"column:packing_unit" json:"packing_unit" form:"packing_unit"`
	UserName          string  `gorm:"column:user_name" json:"user_name" form:"user_name"`
	Number            string  `gorm:"column:number" json:"number" form:"number"`
	Total             int64   `gorm:"column:total" json:"total" form:"total"`
	StorehouseId      int64   `gorm:"column:storehouse_id" json:"storehouse_id" form:"storehouse_id"`
}

type XtStockReportPrice struct {
	ID                int64   `gorm:"column:id" json:"id" form:"id"`
	GoodName          string  `gorm:"column:good_name" json:"good_name" form:"good_name"`
	SpecificationName string  `gorm:"column:specification_name" json:"specification_name" form:"specification_name"`
	WarehousingUnit   string  `gorm:"column:warehousing_unit" json:"warehousing_unit" form:"warehousing_unit"`
	Count             int64   `gorm:"column:count" json:"count" form:"count"`
	BuyPrice          float64 `gorm:"column:buy_price" json:"buy_price" form:"buy_price"`
	PackingPrice      float64 `gorm:"column:packing_price" json:"packing_price" form:"packing_price"`
	NewPrice          float64 `gorm:"column:new_price" json:"new_price" form:"new_price"`
	Manufacturer      string  `gorm:"column:manufacturer" json:"manufacturer" form:"manufacturer"`
	Dealer            string  `gorm:"column:dealer" json:"dealer" form:"dealer"`
	Remark            string  `gorm:"column:remark" json:"remark" form:"remark"`
	GoodId            int64   `gorm:"column:good_id" json:"good_id" form:"good_id"`
	UserOrgId         int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Ctime             int64   `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime             int64   `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status            int64   `gorm:"column:status" json:"status" form:"status"`
	WarehousingOrder  string  `gorm:"column:warehousing_order" json:"warehousing_order" form:"warehousing_order"`
	LicenseNumber     string  `gorm:"column:license_number" json:"license_number" form:"license_number"`
	StartTime         int64   `gorm:"column:start_time" json:"start_time" form:"start_time"`
	Creater           int64   `gorm:"column:creater" json:"creater" form:"creater"`
	Checker           int64   `gorm:"column:checker" json:"checker" form:"checker"`
	CheckerStatus     int64   `gorm:"column:checker_status" json:"checker_status" form:"checker_status"`
	CheckerTime       int64   `gorm:"column:checker_time" json:"checker_time" form:"checker_time"`
	Number            string  `gorm:"column:number" json:"number" form:"number"`
	WarehousingInfoId int64   `gorm:"column:warehousing_info_id" json:"warehousing_info_id" form:"warehousing_info_id"`
	ExpiryDate        int64   `gorm:"column:expiry_date" json:"expiry_date" form:"expiry_date"`
	ProductDate       int64   `gorm:"column:product_date" json:"product_date" form:"product_date"`
	Total             int64   `gorm:"column:total" json:"total" form:"total"`
	GoodOriginPlace   string  `gorm:"column:good_origin_place" json:"good_origin_place" form:"good_origin_place"`
}

func (XtStockReportPrice) TableName() string {
	return "xt_stock_report_price"
}

type XtStockInventory struct {
	ID                int64           `gorm:"column:id" json:"id" form:"id"`
	GoodName          string          `gorm:"column:good_name" json:"good_name" form:"good_name"`
	SpecificationName string          `gorm:"column:specification_name" json:"specification_name" form:"specification_name"`
	WarehousingUnit   string          `gorm:"column:warehousing_unit" json:"warehousing_unit" form:"warehousing_unit"`
	Count             int64           `gorm:"column:count" json:"count" form:"count"`
	BuyPrice          float64         `gorm:"column:buy_price" json:"buy_price" form:"buy_price"`
	PackingPrice      float64         `gorm:"column:packing_price" json:"packing_price" form:"packing_price"`
	NewPrice          float64         `gorm:"column:new_price" json:"new_price" form:"new_price"`
	Manufacturer      string          `gorm:"column:manufacturer" json:"manufacturer" form:"manufacturer"`
	Dealer            string          `gorm:"column:dealer" json:"dealer" form:"dealer"`
	Remark            string          `gorm:"column:remark" json:"remark" form:"remark"`
	GoodId            int64           `gorm:"column:good_id" json:"good_id" form:"good_id"`
	UserOrgId         int64           `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Ctime             int64           `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime             int64           `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status            int64           `gorm:"column:status" json:"status" form:"status"`
	WarehousingOrder  string          `gorm:"column:warehousing_order" json:"warehousing_order" form:"warehousing_order"`
	LicenseNumber     string          `gorm:"column:license_number" json:"license_number" form:"license_number"`
	StartTime         int64           `gorm:"column:start_time" json:"start_time" form:"start_time"`
	Creater           int64           `gorm:"column:creater" json:"creater" form:"creater"`
	Checker           int64           `gorm:"column:checker" json:"checker" form:"checker"`
	CheckerStatus     int64           `gorm:"column:checker_status" json:"checker_status" form:"checker_status"`
	CheckerTime       int64           `gorm:"column:checker_time" json:"checker_time" form:"checker_time"`
	Total             int64           `gorm:"column:total" json:"total" form:"total"`
	Number            string          `gorm:"column:number" json:"number" form:"number"`
	WarehousingInfoId int64           `gorm:"column:warehousing_info_id" json:"warehousing_info_id" form:"warehousing_info_id"`
	ExpireDate        int64           `gorm:"column:expire_date" json:"expire_date" form:"expire_date"`
	ProductDate       int64           `gorm:"column:product_date" json:"product_date" form:"product_date"`
	GoodOriginPlace   string          `gorm:"column:good_origin_place" json:"good_origin_place" form:"good_origin_place"`
	Type              int64           `gorm:"column:type" json:"type" form:"type"`
	InventoryType     int64           `gorm:"column:inventory_type" json:"inventory_type" form:"inventory_type"`
	LastStockCount    int64           `gorm:"column:last_stock_count" json:"last_stock_count" form:"last_stock_count"`
	StockCount        int64           `gorm:"column:stock_count" json:"stock_count" form:"stock_count"`
	StorehouseId      int64           `gorm:"column:storehouse_id" json:"storehouse_id" form:"storehouse_id"`
	GoodInfo          GoodInfo        `gorm:"ForeignKey:ID;AssociationForeignKey:GoodId" `
	WarehousingInfo   WarehousingInfo `gorm:"ForeignKey:ID;AssociationForeignKey:WarehousingInfoId" json:"xt_warehouse_info"`
}

func (XtStockInventory) TableName() string {
	return "xt_stock_inventory"
}

type VmStockInventory struct {
	ID                int64   `gorm:"column:id" json:"id" form:"id"`
	GoodName          string  `gorm:"column:good_name" json:"good_name" form:"good_name"`
	SpecificationName string  `gorm:"column:specification_name" json:"specification_name" form:"specification_name"`
	WarehousingUnit   string  `gorm:"column:warehousing_unit" json:"warehousing_unit" form:"warehousing_unit"`
	Count             int64   `gorm:"column:count" json:"count" form:"count"`
	BuyPrice          float64 `gorm:"column:buy_price" json:"buy_price" form:"buy_price"`
	PackingPrice      float64 `gorm:"column:packing_price" json:"packing_price" form:"packing_price"`
	NewPrice          float64 `gorm:"column:new_price" json:"new_price" form:"new_price"`
	Manufacturer      string  `gorm:"column:manufacturer" json:"manufacturer" form:"manufacturer"`
	Dealer            string  `gorm:"column:dealer" json:"dealer" form:"dealer"`
	Remark            string  `gorm:"column:remark" json:"remark" form:"remark"`
	GoodId            int64   `gorm:"column:good_id" json:"good_id" form:"good_id"`
	UserOrgId         int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Ctime             int64   `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime             int64   `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status            int64   `gorm:"column:status" json:"status" form:"status"`
	WarehousingOrder  string  `gorm:"column:warehousing_order" json:"warehousing_order" form:"warehousing_order"`
	LicenseNumber     string  `gorm:"column:license_number" json:"license_number" form:"license_number"`
	StartTime         int64   `gorm:"column:start_time" json:"start_time" form:"start_time"`
	Creater           int64   `gorm:"column:creater" json:"creater" form:"creater"`
	Checker           int64   `gorm:"column:checker" json:"checker" form:"checker"`
	CheckerStatus     int64   `gorm:"column:checker_status" json:"checker_status" form:"checker_status"`
	CheckerTime       int64   `gorm:"column:checker_time" json:"checker_time" form:"checker_time"`
	PackingUnit       string  `gorm:"column:packing_unit" json:"packing_unit" form:"packing_unit"`
	UserName          string  `gorm:"column:user_name" json:"user_name" form:"user_name"`
	Total             int64   `gorm:"column:total" json:"total" form:"total"`
	Number            string  `gorm:"column:number" json:"number" form:"number"`
	ExpireDate        int64   `gorm:"column:expire_date" json:"expire_date" form:"expire_date"`
	ProductDate       int64   `gorm:"column:product_date" json:"product_date" form:"product_date"`
	Type              int64   `gorm:"column:type" json:"type" form:"type"`
	InventoryType     int64   `gorm:"column:inventory_type" json:"inventory_type" form:"inventory_type"`
	LastStockCount    int64   `gorm:"column:last_stock_count" json:"last_stock_count" form:"last_stock_count"`
	StockCount        int64   `gorm:"column:stock_count" json:"stock_count" form:"stock_count"`
	StorehouseId      int64   `gorm:"column:storehouse_id" json:"storehouse_id" form:"storehouse_id"`
}

type XtStockCorrectRecord struct {
	ID                int64 `gorm:"column:id" json:"id" form:"id"`
	GoodId            int64 `gorm:"column:good_id" json:"good_id" form:"good_id"`
	OrdCount          int64 `gorm:"column:ord_count" json:"ord_count" form:"ord_count"`
	WarehousingInfoId int64 `gorm:"column:warehousing_info_id" json:"warehousing_info_id" form:"warehousing_info_id"`
	NewCount          int64 `gorm:"column:new_count" json:"new_count" form:"new_count"`
	UserOrgId         int64 `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status            int64 `gorm:"column:status" json:"status" form:"status"`
	Creater           int64 `gorm:"column:creater" json:"creater" form:"creater"`
	Ctime             int64 `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime             int64 `gorm:"column:mtime" json:"mtime" form:"mtime"`
}

func (XtStockCorrectRecord) TableName() string {
	return "xt_stock_correct_record"
}

type SgjWarehouseOutInfo struct {
	ID                      int64   `gorm:"column:id" json:"id" form:"id"`
	WarehouseOutId          int64   `gorm:"column:warehouse_out_id" json:"warehouse_out_id" form:"warehouse_out_id"`
	WarehouseInfoId         int64   `gorm:"column:warehouse_info_id" json:"warehouse_info_id" form:"warehouse_info_id"`
	GoodId                  int64   `gorm:"column:good_id" json:"good_id" form:"good_id"`
	GoodTypeId              int64   `gorm:"column:good_type_id" json:"good_type_id" form:"good_type_id"`
	WarehousingOutTarget    int64   `gorm:"column:warehousing_out_target" json:"warehousing_out_target" form:"warehousing_out_target"`
	Count                   int64   `gorm:"column:count" json:"count" form:"count"`
	Price                   float64 `gorm:"column:price" json:"price" form:"price"`
	TotalPrice              float64 `gorm:"column:total_price" json:"total_price" form:"total_price"`
	ProductDate             int64   `gorm:"column:product_date" json:"product_date" form:"product_date"`
	ExpiryDate              int64   `gorm:"column:expiry_date" json:"expiry_date" form:"expiry_date"`
	Mtime                   int64   `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Ctime                   int64   `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Status                  int64   `gorm:"column:status" json:"status" form:"status"`
	OrgId                   int64   `gorm:"column:org_id" json:"org_id" form:"org_id"`
	Remark                  string  `gorm:"column:remark" json:"remark" form:"remark"`
	IsCancel                int64   `gorm:"column:is_cancel" json:"is_cancel" form:"is_cancel"`
	WarehouseOutOrderNumber string  `gorm:"column:warehouse_out_order_number" json:"warehouse_out_order_number" form:"warehouse_out_order_number"`
	Type                    int64   `gorm:"column:type" json:"type" form:"type"`
	Dealer                  int64   `gorm:"column:dealer" json:"dealer" form:"dealer"`
	Manufacturer            int64   `gorm:"column:manufacturer" json:"manufacturer" form:"manufacturer"`
	IsSys                   int64   `gorm:"column:is_sys" json:"is_sys" form:"is_sys"`
	SysRecordTime           int64   `gorm:"column:sys_record_time" json:"sys_record_time" form:"sys_record_time"`
	PatientId               int64   `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Number                  string  `gorm:"column:number" json:"number" form:"number"`
	LicenseNumber           string  `gorm:"column:license_number" json:"license_number" form:"license_number"`
	ConsumableType          int64   `gorm:"column:consumable_type" json:"consumable_type" form:"consumable_type"`
	GoodName                string  `gorm:"column:good_name" json:"good_name"`
	SpecificationName       string  `gorm:"column:specification_name" json:"specification_name" form:"specification_name"`
	PackingUnit             string  `gorm:"column:packing_unit" json:"packing_unit" form:"packing_unit"`
	RetailPrice             float64 `gorm:"column:retail_price" json:"retail_price" form:"retail_price"`
	PackingPrice            float64 `gorm:"column:packing_price" json:"packing_price" form:"packing_price"`
	BuyPrice                float64 `gorm:"column:buy_price" json:"buy_price" form:"buy_price"`
}

type SgjCancelStockInfo struct {
	ID                int64   `gorm:"column:id" json:"id" form:"id"`
	GoodId            int64   `gorm:"column:good_id" json:"good_id" form:"good_id"`
	CancelStockId     int64   `gorm:"column:cancel_stock_id" json:"cancel_stock_id" form:"cancel_stock_id"`
	GoodTypeId        int64   `gorm:"column:good_type_id" json:"good_type_id" form:"good_type_id"`
	Count             int64   `gorm:"column:count" json:"count" form:"count"`
	Price             float64 `gorm:"column:price" json:"price" form:"price"`
	Total             float64 `gorm:"column:total" json:"total" form:"total"`
	ProductDate       int64   `gorm:"column:product_date" json:"product_date" form:"product_date"`
	ExpiryDate        int64   `gorm:"column:expiry_date" json:"expiry_date" form:"expiry_date"`
	Ctime             int64   `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime             int64   `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status            int64   `gorm:"column:status" json:"status" form:"status"`
	OrgId             int64   `gorm:"column:org_id" json:"org_id" form:"org_id"`
	OrderNumber       string  `gorm:"column:order_number" json:"order_number" form:"order_number"`
	Type              int64   `gorm:"column:type" json:"type" form:"type"`
	Dealer            string  `gorm:"column:dealer" json:"dealer" form:"dealer"`
	Manufacturer      string  `gorm:"column:manufacturer" json:"manufacturer" form:"manufacturer"`
	Number            string  `gorm:"column:number" json:"number" form:"number"`
	RegisterAccount   string  `gorm:"column:register_account" json:"register_account" form:"register_account"`
	Remark            string  `gorm:"column:remark" json:"remark" form:"remark"`
	WarehouseInfoId   int64   `gorm:"column:warehouse_info_id" json:"warehouse_info_id" form:"warehouse_info_id"`
	GoodName          string  `gorm:"column:good_name" json:"good_name"`
	SpecificationName string  `gorm:"column:specification_name" json:"specification_name" form:"specification_name"`
	PackingUnit       string  `gorm:"column:packing_unit" json:"packing_unit" form:"packing_unit"`
	RetailPrice       float64 `gorm:"column:retail_price" json:"retail_price" form:"retail_price"`
	PackingPrice      float64 `gorm:"column:packing_price" json:"packing_price" form:"packing_price"`
}

type GoodSotckInfo struct {
	GoodId            int64   `gorm:"column:good_id" json:"good_id" form:"good_id"`
	StockCount        int64   `gorm:"column:stock_count" json:"stock_count" form:"stock_count"`
	GoodName          string  `gorm:"column:good_name" json:"good_name"`
	SpecificationName string  `gorm:"column:specification_name" json:"specification_name" form:"specification_name"`
	Price             float64 `gorm:"column:packing_price" json:"packing_price" form:"packing_price"`
}

func (GoodSotckInfo) TableName() string {
	return "xt_warehouse_info"
}

type PatientWarehouseInfo struct {
	ID                int64  `gorm:"column:id" json:"id" form:"id"`
	GoodId            int64  `gorm:"column:good_id" json:"good_id" form:"good_id"`
	Number            string `gorm:"column:number" json:"number" form:"number"`
	ProductDate       int64  `gorm:"column:product_date" json:"product_date" form:"product_date"`
	ExpiryDate        int64  `gorm:"column:expiry_date" json:"expiry_date" form:"expiry_date"`
	WarehousingUnit   string `gorm:"column:warehousing_unit" json:"warehousing_unit" form:"warehousing_unit"`
	Dealer            int64  `gorm:"column:dealer" json:"dealer" form:"dealer"`
	Manufacturer      int64  `gorm:"column:manufacturer" json:"manufacturer" form:"manufacturer"`
	GoodName          string `gorm:"column:good_name" json:"good_name"`
	SpecificationName string `gorm:"column:specification_name" json:"specification_name" form:"specification_name"`
	PackingUnit       string `gorm:"column:packing_unit" json:"packing_unit" form:"packing_unit"`
	Remark            string `gorm:"column:remark" json:"remark" form:"remark"`
}

func (PatientWarehouseInfo) TableName() string {
	return "xt_warehouse_info"
}

type BloodHisDoctorAdviceInfo struct {
	ID                    int64                       `gorm:"column:id" json:"id" form:"id"`
	UserOrgId             int64                       `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	PatientId             int64                       `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	HisPatientId          int64                       `gorm:"column:his_patient_id" json:"his_patient_id" form:"his_patient_id"`
	AdviceType            int64                       `gorm:"column:advice_type" json:"advice_type" form:"advice_type"`
	AdviceDate            int64                       `gorm:"column:advice_date" json:"advice_date" form:"advice_date"`
	StartTime             int64                       `gorm:"column:start_time" json:"start_time" form:"start_time"`
	AdviceName            string                      `gorm:"column:advice_name" json:"advice_name" form:"advice_name"`
	AdviceDesc            string                      `gorm:"column:advice_desc" json:"advice_desc" form:"advice_desc"`
	ReminderDate          int64                       `gorm:"column:reminder_date" json:"reminder_date" form:"reminder_date"`
	SingleDose            float64                     `gorm:"column:single_dose" json:"single_dose" form:"single_dose"`
	SingleDoseUnit        string                      `gorm:"column:single_dose_unit" json:"single_dose_unit" form:"single_dose_unit"`
	PrescribingNumber     float64                     `gorm:"column:prescribing_number" json:"prescribing_number" form:"prescribing_number"`
	PrescribingNumberUnit string                      `gorm:"column:prescribing_number_unit" json:"prescribing_number_unit" form:"prescribing_number_unit"`
	DeliveryWay           string                      `gorm:"column:delivery_way" json:"delivery_way" form:"delivery_way"`
	ExecutionFrequency    string                      `gorm:"column:execution_frequency" json:"execution_frequency" form:"execution_frequency"`
	AdviceDoctor          int64                       `gorm:"column:advice_doctor" json:"advice_doctor" form:"advice_doctor"`
	Status                int64                       `gorm:"column:status" json:"status" form:"status"`
	CreatedTime           int64                       `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime           int64                       `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	AdviceAffirm          string                      `gorm:"column:advice_affirm" json:"advice_affirm" form:"advice_affirm"`
	Remark                string                      `gorm:"column:remark" json:"remark" form:"remark"`
	StopTime              int64                       `gorm:"column:stop_time" json:"stop_time" form:"stop_time"`
	StopReason            string                      `gorm:"column:stop_reason" json:"stop_reason" form:"stop_reason"`
	StopDoctor            int64                       `gorm:"column:stop_doctor" json:"stop_doctor" form:"stop_doctor"`
	StopState             int64                       `gorm:"column:stop_state" json:"stop_state" form:"stop_state"`
	ParentId              int64                       `gorm:"column:parent_id" json:"parent_id" form:"parent_id"`
	ExecutionTime         int64                       `gorm:"column:execution_time" json:"execution_time" form:"execution_time"`
	ExecutionStaff        int64                       `gorm:"column:execution_staff" json:"execution_staff" form:"execution_staff"`
	ExecutionState        int64                       `gorm:"column:execution_state" json:"execution_state" form:"execution_state"`
	Checker               int64                       `gorm:"column:checker" json:"checker" form:"checker"`
	RecordDate            int64                       `gorm:"column:record_date" json:"record_date" form:"record_date"`
	DialysisOrderId       int64                       `gorm:"column:dialysis_order_id" json:"dialysis_order_id" form:"dialysis_order_id"`
	CheckTime             int64                       `gorm:"column:check_time" json:"check_time" form:"check_time"`
	CheckState            int64                       `gorm:"column:check_state" json:"check_state" form:"check_state"`
	DrugSpec              float64                     `gorm:"column:drug_spec" json:"drug_spec" form:"drug_spec"`
	DrugSpecUnit          string                      `gorm:"column:drug_spec_unit" json:"drug_spec_unit" form:"drug_spec_unit"`
	Groupno               int64                       `gorm:"column:groupno" json:"groupno" form:"groupno"`
	RemindType            int64                       `gorm:"column:remind_type" json:"remind_type" form:"remind_type"`
	FrequencyType         int64                       `gorm:"column:frequency_type" json:"frequency_type" form:"frequency_type"`
	DayCount              int64                       `gorm:"column:day_count" json:"day_count" form:"day_count"`
	WeekDay               string                      `gorm:"column:week_day" json:"week_day" form:"week_day"`
	TemplateId            string                      `gorm:"column:template_id" json:"template_id" form:"template_id"`
	Modifier              int64                       `gorm:"column:modifier" json:"modifier" form:"modifier"`
	DrugId                int64                       `gorm:"column:drug_id" json:"drug_id" form:"drug_id"`
	Price                 float64                     `gorm:"column:price" json:"price" form:"price"`
	PrescriptionId        int64                       `gorm:"column:prescription_id" json:"prescription_id" form:"prescription_id"`
	MedListCodg           string                      `gorm:"column:med_list_codg" json:"med_list_codg" form:"med_list_codg"`
	FeedetlSn             string                      `gorm:"column:feedetl_sn" json:"feedetl_sn" form:"feedetl_sn"`
	Day                   int64                       `gorm:"column:day" json:"day" form:"day"`
	ChildDoctorAdvice     []*BloodHisDoctorAdviceInfo `gorm:"ForeignKey:DrugId;AssociationForeignKey:DrugId" json:"child"`
	Diagnosis             int64                       `gorm:"column:diagnosis" json:"diagnosis" form:"diagnosis"`
	Way                   int64                       `gorm:"column:way" json:"way" form:"way"`
	HospApprFlag          int64                       `gorm:"column:hosp_appr_flag" json:"hosp_appr_flag" form:"hosp_appr_flag"`
	LmtUsedFlag           int64                       `gorm:"column:lmt_used_flag" json:"lmt_used_flag" form:"lmt_used_flag"`
	ExecutionFrequencyId  int64                       `gorm:"column:execution_frequency_id" json:"execution_frequency_id" form:"execution_frequency_id"`
	DrugWayCount               string  `gorm:"column:drug_way_count" json:"drug_way_count" form:"drug_way_count"`

}

func (BloodHisDoctorAdviceInfo) TableName() string {
	return "his_doctor_advice_info"
}

type BloodHisPrescriptionProject struct {
	ID                   int64                          `gorm:"column:id" json:"id" form:"id"`
	ProjectId            int64                          `gorm:"column:project_id" json:"project_id" form:"project_id"`
	Price                float64                        `gorm:"column:price" json:"price" form:"price"`
	UserOrgId            int64                          `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status               int64                          `gorm:"column:status" json:"status" form:"status"`
	Ctime                int64                          `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime                int64                          `gorm:"column:mtime" json:"mtime" form:"mtime"`
	PatientId            int64                          `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	HisPatientId         int64                          `gorm:"column:his_patient_id" json:"his_patient_id" form:"his_patient_id"`
	RecordDate           int64                          `gorm:"column:record_date" json:"record_date" form:"record_date"`
	PrescriptionId       int64                          `gorm:"column:prescription_id" json:"prescription_id" form:"prescription_id"`
	Count                string                         `gorm:"column:count" json:"count" form:"count"`
	FeedetlSn            string                         `gorm:"column:feedetl_sn" json:"feedetl_sn" form:"feedetl_sn"`
	MedListCodg          string                         `gorm:"column:med_list_codg" json:"med_list_codg" form:"med_list_codg"`
	SingleDose           string                         `gorm:"column:single_dose" json:"single_dose" form:"single_dose"`
	DeliveryWay          string                         `gorm:"column:delivery_way" json:"delivery_way" form:"delivery_way"`
	ExecutionFrequency   string                         `gorm:"column:execution_frequency" json:"execution_frequency" form:"execution_frequency"`
	Day                  string                         `gorm:"column:day" json:"day" form:"day"`
	Remark               string                         `gorm:"column:remark" json:"remark" form:"remark"`
	Unit                 string                         `gorm:"column:unit" json:"unit" form:"unit"`
	Type                 int64                          `gorm:"column:type" json:"type" form:"type"`
	Doctor               int64                          `gorm:"column:doctor" json:"doctor" form:"doctor"`
	ExecutionTime        int64                          `gorm:"column:execution_time" json:"execution_time" form:"execution_time"`
	ExecutionStaff       int64                          `gorm:"column:execution_staff" json:"execution_staff" form:"execution_staff"`
	ExecutionState       int64                          `gorm:"column:execution_state" json:"execution_state" form:"execution_state"`
	CheckTime            int64                          `gorm:"column:check_time" json:"check_time" form:"check_time"`
	CheckState           int64                          `gorm:"column:check_state" json:"check_state" form:"check_state"`
	Checker              int64                          `gorm:"column:checker" json:"checker" form:"checker"`
	StartTime            int64                          `gorm:"column:start_time" json:"start_time" form:"start_time"`
	TeamId               int64                          `gorm:"column:team_id" json:"team_id" form:"team_id"`
	FrequencyType        int64                          `gorm:"column:frequency_type" json:"frequency_type" form:"frequency_type"`
	DayCount             int64                          `gorm:"column:day_count" json:"day_count" form:"day_count"`
	WeekDay              string                         `gorm:"column:week_day" json:"week_day" form:"week_day"`
	ChildDoctorAdvice    []*BloodHisPrescriptionProject `gorm:"ForeignKey:ProjectId;AssociationForeignKey:ProjectId" json:"child"`
	ExecutionFrequencyId int64                          `gorm:"column:execution_frequency_id" json:"execution_frequency_id" form:"execution_frequency_id"`
}

func (BloodHisPrescriptionProject) TableName() string {
	return "his_prescription_project"
}

type XtStockSetting struct {
	ID        int64 `gorm:"column:id" json:"id" form:"id"`
	IsType    int64 `gorm:"column:is_type" json:"is_type" form:"is_type"`
	UserOrgId int64 `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status    int64 `gorm:"column:status" json:"status" form:"status"`
	Ctime     int64 `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime     int64 `gorm:"column:mtime" json:"mtime" form:"mtime"`
}

func (XtStockSetting) TableName() string {
	return "xt_stock_setting"
}

type XtAdviceSetting struct {
	ID           int64 `gorm:"column:id" json:"id" form:"id"`
	IsAdviceOpen int64 `gorm:"column:is_advice_open" json:"is_advice_open" form:"is_advice_open"`
	UserOrgId    int64 `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status       int64 `gorm:"column:status" json:"status" form:"status"`
	Ctime        int64 `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime        int64 `gorm:"column:mtime" json:"mtime" form:"mtime"`
}

func (XtAdviceSetting) TableName() string {
	return "xt_advice_setting"
}

type XtPrescriptionConfig struct {
	ID        int64 `gorm:"column:id" json:"id" form:"id"`
	UserOrgId int64 `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	IsOpen    int64 `gorm:"column:is_open" json:"is_open" form:"is_open"`
	Status    int64 `gorm:"column:status" json:"status" form:"status"`
	Ctime     int64 `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime     int64 `gorm:"column:mtime" json:"mtime" form:"mtime"`
}

func (XtPrescriptionConfig) TableName() string {
	return "xt_prescription_config"
}

type DrugOutConfig struct {
	ID        int64 `gorm:"column:id" json:"id" form:"id"`
	UserOrgId int64 `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	IsOpen    int64 `gorm:"column:is_open" json:"is_open" form:"is_open"`
	Status    int64 `gorm:"column:status" json:"status" form:"status"`
	Ctime     int64 `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime     int64 `gorm:"column:mtime" json:"mtime" form:"mtime"`
}

func (DrugOutConfig) TableName() string {
	return "xt_drug_out_config"
}

type VmWarehousingInfoSix struct {
	ID                        int64    `gorm:"column:id" json:"id"`
	WarehousingId             int64    `gorm:"column:warehousing_id" json:"warehousing_id"`
	GoodId                    int64    `gorm:"column:good_id" json:"good_id"`
	GoodTypeId                int64    `gorm:"column:good_type_id" json:"good_type_id"`
	Number                    string   `gorm:"column:number" json:"number"`
	ProductDate               int64    `gorm:"column:product_date" json:"product_date"`
	ExpiryDate                int64    `gorm:"column:expiry_date" json:"expiry_date"`
	WarehousingCount          int64    `gorm:"column:warehousing_count" json:"warehousing_count"`
	WarehousingUnit           string   `gorm:"column:warehousing_unit" json:"warehousing_unit"`
	Price                     float64  `gorm:"column:price" json:"price"`
	TotalPrice                float64  `gorm:"column:total_price" json:"total_price"`
	Dealer                    int64    `gorm:"column:dealer" json:"dealer"`
	Manufacturer              int64    `gorm:"column:manufacturer" json:"manufacturer"`
	Remark                    string   `gorm:"column:remark" json:"remark"`
	Ctime                     int64    `gorm:"column:ctime" json:"ctime"`
	Mtime                     int64    `gorm:"column:mtime" json:"mtime"`
	Status                    int64    `gorm:"column:status" json:"status"`
	OrgId                     int64    `gorm:"column:org_id" json:"org_id"`
	IsReturn                  int64    `gorm:"column:is_return" json:"is_return"`
	StockCount                int64    `gorm:"column:stock_count" json:"stock_count" form:"stock_count"`
	WarehousingOrder          string   `gorm:"column:warehousing_order" json:"warehousing_order"`
	GoodInfo                  GoodInfo `gorm:"ForeignKey:ID;AssociationForeignKey:GoodId" `
	Type                      int64    `gorm:"column:type" json:"type"`
	LicenseNumber             string   `gorm:"column:license_number" json:"license_number" form:"license_number"`
	WarehouseInfoId           int64    `gorm:"column:warehouse_info_id" json:"warehouse_info_id" form:"warehouse_info_id"`
	PackingPrice              float64  `gorm:"column:packing_price" json:"packing_price" form:"packing_price"`
	SupplyWarehouseId         int64    `gorm:"column:supply_warehouse_id" json:"supply_warehouse_id" form:"supply_warehouse_id"`
	SupplyWarehouseDetailInfo int64    `gorm:"column:supply_warehouse_detail_info" json:"supply_warehouse_detail_info" form:"supply_warehouse_detail_info"`
	StorehouseId              int64    `gorm:"column:storehouse_id" json:"storehouse_id" form:"storehouse_id"`
	SecondWarehouseInfoId     int64    `gorm:"column:second_warehouse_info_id" json:"second_warehouse_info_id" form:"second_warehouse_info_id"`
	RegisterNumber            string   `gorm:"column:register_number" json:"register_number" form:"register_number"`
}

func (VmWarehousingInfoSix) TableName() string {
	return "xt_warehouse_info"
}

type WarehousingInfoTen struct {
	ID         int64 `gorm:"column:id" json:"id"`
	GoodId     int64 `gorm:"column:good_id" json:"good_id"`
	Status     int64 `gorm:"column:status" json:"status"`
	OrgId      int64 `gorm:"column:org_id" json:"org_id"`
	StockCount int64 `gorm:"column:stock_count" json:"stock_count" form:"stock_count"`
	IsCheck    int64 `gorm:"column:is_check" json:"is_check" form:"is_check"`
}

func (WarehousingInfoTen) TableName() string {
	return "xt_warehouse_info"
}

type XtWarehouseFlushInfo struct {
	ID                      int64   `gorm:"column:id" json:"id" form:"id"`
	FlushCount              int64   `gorm:"column:flush_count" json:"flush_count" form:"flush_count"`
	UserOrgId               int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	WarehouseOutId          int64   `gorm:"column:warehouse_out_id" json:"warehouse_out_id" form:"warehouse_out_id"`
	Type                    int64   `gorm:"column:type" json:"type" form:"type"`
	SystemTime              int64   `gorm:"column:system_time" json:"system_time" form:"system_time"`
	PatientId               int64   `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Ctime                   int64   `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime                   int64   `gorm:"column:mtime" json:"mtime" form:"mtime"`
	BatchNumberId           int64   `gorm:"column:batch_number_id" json:"batch_number_id" form:"batch_number_id"`
	GoodId                  int64   `gorm:"column:good_id" json:"good_id" form:"good_id"`
	Count                   int64   `gorm:"column:count" json:"count" form:"count"`
	WarehouseOutOrderNumber string  `gorm:"column:warehouse_out_order_number" json:"warehouse_out_order_number" form:"warehouse_out_order_number"`
	Creater                 int64   `gorm:"column:creater" json:"creater" form:"creater"`
	Status                  int64   `gorm:"column:status" json:"status" form:"status"`
	WarehouseOutDetailId    int64   `gorm:"column:warehouse_out_detail_id" json:"warehouse_out_detail_id" form:"warehouse_out_detail_id"`
	PackingPrice            float64 `gorm:"column:packing_price" json:"packing_price" form:"packing_price"`
	BuyPrice                float64 `gorm:"column:buy_price" json:"buy_price" form:"buy_price"`
}

func (XtWarehouseFlushInfo) TableName() string {
	return "xt_warehouse_flush_info"
}

type StartWarehousingInfo struct {
	GoodId           int64   `gorm:"column:good_id" json:"good_id"`
	StockCount       int64   `gorm:"column:stock_count" json:"stock_count" form:"stock_count"`
	Ctime            int64   `gorm:"column:ctime" json:"ctime" form:"ctime"`
	UserOrgId        int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	IsCheck          int64   `gorm:"column:is_check" json:"is_check" form:"is_check"`
	Price            float64 `gorm:"column:price" json:"price" form:"price"`
	WarehousingCount int64   `gorm:"column:warehousing_count" json:"warehousing_count" form:"warehousing_count"`
	WarehousingUnit  string  `gorm:"column:warehousing_unit" json:"warehousing_unit" form:"warehousing_unit"`
	PackingPrice     float64 `gorm:"column:packing_price" json:"packing_price" form:"packing_price"`
}

func (StartWarehousingInfo) TableName() string {
	return "xt_warehouse_info"
}

type StartDrugWarehouseInfo struct {
	ID               int64   `gorm:"column:id" json:"id" form:"id"`
	DrugId           int64   `gorm:"column:drug_id" json:"drug_id" form:"drug_id"`
	Number           string  `gorm:"column:number" json:"number" form:"number"`
	MaxUnit          string  `gorm:"column:max_unit" json:"max_unit" form:"max_unit"`
	MinUnit          string  `gorm:"column:min_unit" json:"min_unit" form:"min_unit"`
	StockMaxNumber   int64   `gorm:"column:stock_max_number" json:"stock_max_number" form:"stock_max_number"`
	StockMinNumber   int64   `gorm:"column:stock_min_number" json:"stock_min_number" form:"stock_min_number"`
	Price            float64 `gorm:"column:price" json:"price" form:"price"`
	RetailPrice      float64 `gorm:"column:retail_price" json:"retail_price" form:"retail_price"`
	IsCheck          int64   `gorm:"column:is_check" json:"is_check" form:"is_check"`
	WarehousingCount int64   `gorm:"column:warehousing_count" json:"warehousing_count" form:"warehousing_count"`
}

func (StartDrugWarehouseInfo) TableName() string {
	return "xt_drug_warehouse_info"
}
