package service

import (
	"bytes"
	//"crypto/md5"
	"crypto/sha256"
	"encoding/hex"
	"encoding/json"
	"fmt"
	"gdyb/models"

	//"strings"
	//"gdyb/utils"
	"github.com/astaxie/beego"
	"github.com/axgle/mahonia"
	"io"
	"io/ioutil"
	"math/rand"
	"mime/multipart"
	"net"
	"net/http"
	"os"
	"os/exec"
	"path/filepath"
	"strconv"
	"syscall"
	"time"
	"unsafe"
)

const (
	SceretKey = "RhaDw4H0RUbWYyTxmRKM1eSeN0qyGLds" //     secretKey 私钥
)

// 机构信息
func Gdyb1201(certNo string, org_name string, doctor string, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string, secret_key string, id_card_type int64, card_sn string) string {
	// 生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, secret_key)
	// 生成输入报文
	inputMessage := SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	inputMessage["infno"] = "1201" // 交易编码
	inputData["fixmedins_type"] = "1"
	inputData["fixmedins_name"] = org_name
	inputData["fixmedins_code"] = fixmedins_code
	input["medinsinfo"] = inputData
	inputMessage["input"] = input //交易输入
	bytesData, err := json.Marshal(inputMessage)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	reader := bytes.NewReader(bytesData)
	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")
	url := gdyb_url + "1201"

	request, err := http.NewRequest("POST", url, reader)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}

	request.Header.Set("Content-Type", "application/json;charset=UTF-8")
	request.Header.Set("x-tif-paasid", gdyb_paasid)
	request.Header.Set("x-tif-signature", signature)
	request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
	request.Header.Set("x-tif-nonce", nonce)

	client := http.Client{}
	resp, err := client.Do(request)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	respBytes, err := ioutil.ReadAll(resp.Body)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	fmt.Println(string(respBytes))
	str2 := string(respBytes)
	return str2
}

// 人员基本信息
func Gdyb1101(certNo string, org_name string, doctor string, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string, secret_key string, id_card_type int64, card_sn string, certificates string, psn_name string) (string, string) {
	//生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, secret_key)
	//生成输入报文
	inputMessage := SetInputMessagenosign(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	inputMessage["infno"] = "1101" // 交易编码

	if certificates == "3" {
		inputData["mdtrt_cert_type"] = "02" // 就诊凭证类型
		inputData["certno"] = certNo        // 证件号码
		inputData["psn_cert_type"] = "06"   // 人员证件类型
		inputData["mdtrt_cert_no"] = certNo // 就诊凭证编号

	} else {
		if id_card_type == 1 {
			inputData["mdtrt_cert_type"] = "03" // 就诊凭证类型
			inputData["card_sn"] = card_sn      // 卡识别码
			inputData["certno"] = certNo        // 证件号码
			inputData["psn_cert_type"] = ""     // 人员证件类型
			inputData["mdtrt_cert_no"] = certNo // 就诊凭证编号

		} else {
			inputData["mdtrt_cert_type"] = "02" // 就诊凭证类型
			inputData["card_sn"] = ""           // 卡识别码
			inputData["certno"] = certNo        // 证件号码
			inputData["psn_cert_type"] = ""     // 人员证件类型
			inputData["mdtrt_cert_no"] = certNo // 就诊凭证编号

		}
	}

	inputData["begntime"] = "" // 开始时间
	inputData["psn_name"] = "" // 人员姓名
	input["data"] = inputData
	inputMessage["input"] = input //交易输入

	var inputLog string
	bytesData, err := json.Marshal(inputMessage)
	inputLog = string(bytesData)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	reader := bytes.NewReader(bytesData)
	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")

	var url string
	if fixmedins_code == "H15049901371" || mdtrtarea_admvs == "450127"  ||  mdtrtarea_admvs == "450721" {
		url = gdyb_url
	} else {
		url = gdyb_url + "1101"
	}

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/1101"
	request, err := http.NewRequest("POST", url, reader)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}

	request.Header.Set("Content-Type", "application/json;charset=UTF-8")
	request.Header.Set("x-tif-paasid", gdyb_paasid)
	request.Header.Set("x-tif-signature", signature)
	request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
	request.Header.Set("x-tif-nonce", nonce)

	client := http.Client{}
	resp, err := client.Do(request)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	respBytes, err := ioutil.ReadAll(resp.Body)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	fmt.Println(string(respBytes))
	str := string(respBytes)
	return str, inputLog

}

func Gdyb1101A(certNo string, org_name string, doctor string, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string, secret_key string, name string) string {
	//生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, secret_key)
	//生成输入报文
	inputMessage := SetInputMessagenosign(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	inputMessage["infno"] = "1101"      // 交易编码
	inputData["mdtrt_cert_type"] = "02" // 就诊凭证类型
	inputData["card_sn"] = ""           // 卡识别码
	inputData["certno"] = certNo        // 证件号码
	inputData["psn_cert_type"] = "01"   // 人员证件类型
	inputData["mdtrt_cert_no"] = certNo // 就诊凭证编号
	inputData["begntime"] = ""          // 开始时间
	inputData["psn_name"] = name        // 人员姓名
	input["data"] = inputData
	inputMessage["input"] = input //交易输入

	bytesData, err := json.Marshal(inputMessage)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	reader := bytes.NewReader(bytesData)
	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")
	var url string
	if fixmedins_code == "H15049901371" || mdtrtarea_admvs == "450127"   ||  mdtrtarea_admvs == "450721"{
		url = gdyb_url
	} else {
		url = gdyb_url + "1101"
	}
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/1101"
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/1101"

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/1101"

	if insuplc_admdvs == "421300" {
		var json2 string
		cmd := exec.Command("java", "-jar", "yh_hb_fat.jar", "1101A", string(bytesData), json2)
		out, err := cmd.Output()
		if err != nil {
			fmt.Println("error:", err.Error())
		}
		fmt.Println(string(out))
		return hex.EncodeToString(out)
	} else {
		request, err := http.NewRequest("POST", url, reader)
		if err != nil {
			fmt.Println(err.Error())
			return err.Error()
		}

		request.Header.Set("Content-Type", "application/json;charset=UTF-8")
		request.Header.Set("x-tif-paasid", gdyb_paasid)
		request.Header.Set("x-tif-signature", signature)
		request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
		request.Header.Set("x-tif-nonce", nonce)

		client := http.Client{}
		resp, err := client.Do(request)
		if err != nil {
			fmt.Println(err.Error())
			return err.Error()
		}
		respBytes, err := ioutil.ReadAll(resp.Body)
		if err != nil {
			fmt.Println(err.Error())
			return err.Error()
		}
		fmt.Println(string(respBytes))
		str := string(respBytes)
		return str
	}
}

// 门诊挂号
func Gdyb2201(psnNo string, insutype string, certNo string, org_name string, opera string, ipt_otp_no string, dept string, fixmedins_code string, dept_code string, doctor_id string, insuplc_admdvs string, mdtrtarea_admvs string, secret_key string, id_card_type int64, doctor_name string) (string, string) {
	fmt.Println(opera)

	// 生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, secret_key)
	tempTime := time.Unix(timestamp, 0)
	timeFormatOne := tempTime.Format("2006-01-02 15:04:05")

	// 生成输入报文
	inputMessage := SetInputMessagenosign(nonce, timestamp, org_name, opera, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	inputMessage["infno"] = "2201"        // 交易编码
	inputData["psn_no"] = psnNo           // 人员编号 （来自1101接口返回）
	inputData["insutype"] = insutype      // 险种类型（来自1101接口返回）
	inputData["begntime"] = timeFormatOne // 开始时间

	if id_card_type == 1 {
		inputData["mdtrt_cert_type"] = "03" // 就诊凭证类型
		inputData["mdtrt_cert_no"] = certNo // 就诊凭证编号
	} else {
		inputData["mdtrt_cert_type"] = "02" // 就诊凭证类型
		inputData["mdtrt_cert_no"] = certNo // 就诊凭证编号
	}

	inputData["ipt_otp_no"] = ipt_otp_no // 住院/门诊号
	inputData["atddr_no"] = doctor_id    // 医师编码
	inputData["dr_name"] = doctor_name   // 医师姓名
	inputData["dept_code"] = dept_code   // 科室编码
	inputData["dept_name"] = dept        // 科室名称
	inputData["caty"] = "A03.06"         // 科别

	input["data"] = inputData
	inputMessage["input"] = input //交易输入

	var requestLog string
	bytesData, err := json.Marshal(inputMessage)
	requestLog = string(bytesData)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	reader := bytes.NewReader(bytesData)
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/2201"
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/2201"

	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")

	var url string
	if fixmedins_code == "H15049901371" || mdtrtarea_admvs == "450127"  ||  mdtrtarea_admvs == "450721" {
		url = gdyb_url
	} else {
		url = gdyb_url + "2201"
	}

	if insuplc_admdvs == "421300" {
		var json2 string
		cmd := exec.Command("java", "-jar", "yh_hb_fat.jar", "2201", string(bytesData), json2)
		out, err := cmd.Output()
		if err != nil {
			fmt.Println("error:", err.Error())
		}
		fmt.Println(string(out))

		return hex.EncodeToString(out), requestLog
	} else {
		request, err := http.NewRequest("POST", url, reader)
		if err != nil {
			fmt.Println(err.Error())
			return err.Error(), ""
		}

		request.Header.Set("Content-Type", "application/json;charset=UTF-8")
		request.Header.Set("x-tif-paasid", gdyb_paasid)
		request.Header.Set("x-tif-signature", signature)
		request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
		request.Header.Set("x-tif-nonce", nonce)

		client := http.Client{}
		resp, err := client.Do(request)
		if err != nil {
			fmt.Println(err.Error())
			return err.Error(), ""
		}
		respBytes, err := ioutil.ReadAll(resp.Body)
		if err != nil {
			fmt.Println(err.Error())
			return err.Error(), ""
		}
		str := string(respBytes)
		fmt.Println(str)
		return str, requestLog

	}
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/2201"

}

func Gdyb2201A(psnNo string, insutype string, certNo string, org_name string, opera string, ipt_otp_no string, dept string, fixmedins_code string, dept_code string, doctor_id string, insuplc_admdvs string, mdtrtarea_admvs string, secret_key string, id_card_type int64, doctor_name string, record_time string, token string,admin_user_id int64) (string, string) {
	fmt.Println(opera)

	// 生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, secret_key)
	//tempTime := time.Unix(timestamp, 0)
	//timeFormatOne := tempTime.Format("2006-01-02 15:04:05")
	inputMessage := make(map[string]interface{})

	//tempTime := time.Unix(timestamp, 0)
	//timeFormatOne := tempTime.Format("2006-01-02 15:04:05")
	// 生成输入报文
	if  mdtrtarea_admvs == "450721"  ||  mdtrtarea_admvs == "450127"{

		inputMessage = SetInputMessage1111(nonce, timestamp, org_name, admin_user_id, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs,opera)
	} else {
		inputMessage = SetInputMessage(nonce, timestamp, org_name, opera, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
	}
	// 生成输入报文
	//inputMessage := SetInputMessagenosign(nonce, timestamp, org_name, opera, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	inputMessage["infno"] = "2201"      // 交易编码
	inputData["psn_no"] = psnNo         // 人员编号 （来自1101接口返回）
	inputData["insutype"] = insutype    // 险种类型（来自1101接口返回）
	inputData["begntime"] = record_time // 开始时间

	if id_card_type == 1 {
		inputData["mdtrt_cert_type"] = "03" // 就诊凭证类型
		inputData["mdtrt_cert_no"] = certNo // 就诊凭证编号
	} else if id_card_type == 4 {

		inputData["mdtrt_cert_type"] = "01" // 就诊凭证类型
		inputData["mdtrt_cert_no"] = token  // 就诊凭证编号
	} else {
		inputData["mdtrt_cert_type"] = "02" // 就诊凭证类型
		inputData["mdtrt_cert_no"] = certNo // 就诊凭证编号
	}

	inputData["ipt_otp_no"] = ipt_otp_no // 住院/门诊号
	inputData["atddr_no"] = doctor_id    // 医师编码
	inputData["dr_name"] = doctor_name   // 医师姓名
	inputData["dept_code"] = dept_code   // 科室编码
	inputData["dept_name"] = dept        // 科室名称
	inputData["caty"] = "A03.06"         // 科别

	input["data"] = inputData
	inputMessage["input"] = input //交易输入

	var requestLog string
	bytesData, err := json.Marshal(inputMessage)
	requestLog = string(bytesData)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	reader := bytes.NewReader(bytesData)
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/2201"
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/2201"

	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")

	var url string
	if fixmedins_code == "H15049901371" || mdtrtarea_admvs == "450127"   ||  mdtrtarea_admvs == "450721"{
		url = gdyb_url
	} else {
		url = gdyb_url + "2201"
	}

	if insuplc_admdvs == "421300" {
		var json2 string
		cmd := exec.Command("java", "-jar", "yh_hb_fat.jar", "2201", string(bytesData), json2)
		out, err := cmd.Output()
		if err != nil {
			fmt.Println("error:", err.Error())
		}
		fmt.Println(string(out))

		return hex.EncodeToString(out), requestLog
	} else {
		request, err := http.NewRequest("POST", url, reader)
		if err != nil {
			fmt.Println(err.Error())
			return err.Error(), ""
		}

		request.Header.Set("Content-Type", "application/json;charset=UTF-8")
		request.Header.Set("x-tif-paasid", gdyb_paasid)
		request.Header.Set("x-tif-signature", signature)
		request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
		request.Header.Set("x-tif-nonce", nonce)

		client := http.Client{}
		resp, err := client.Do(request)
		if err != nil {
			fmt.Println(err.Error())
			return err.Error(), ""
		}
		respBytes, err := ioutil.ReadAll(resp.Body)
		if err != nil {
			fmt.Println(err.Error())
			return err.Error(), ""
		}
		str := string(respBytes)
		fmt.Println(str)
		return str, requestLog

	}
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/2201"

}

// 门诊挂号撤销
func Gdyb2202(psnNo string, mdtrtId string, ipt_otp_no string, org_name string, doctor string, insuplc_admdvs string, mdtrtarea_admvs string, secret_key string, fixmedins_code string,admin_user_id int64) (string, string) {
	// 生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, secret_key)

	// 生成输入报文
	//inputMessage := SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
	inputMessage := make(map[string]interface{})

	//tempTime := time.Unix(timestamp, 0)
	//timeFormatOne := tempTime.Format("2006-01-02 15:04:05")
	// 生成输入报文
	if  mdtrtarea_admvs == "450721"  ||  mdtrtarea_admvs == "450127"{

		inputMessage = SetInputMessage1111(nonce, timestamp, org_name, admin_user_id, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs,doctor)
	} else {
		inputMessage = SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
	}
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	inputMessage["infno"] = "2202"       // 交易编码
	inputData["psn_no"] = psnNo          // 人员编号 （来自1101接口返回）
	inputData["mdtrt_id"] = mdtrtId      // 就诊 ID（来自2201接口返回）
	inputData["ipt_otp_no"] = ipt_otp_no // 住院/门诊号

	input["data"] = inputData
	inputMessage["input"] = input //交易输入

	var requestLog string

	bytesData, err := json.Marshal(inputMessage)
	fmt.Println(string(bytesData))
	requestLog = string(bytesData)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	reader := bytes.NewReader(bytesData)

	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")

	var url string
	if fixmedins_code == "H15049901371" || mdtrtarea_admvs == "450127"  ||  mdtrtarea_admvs == "450721" {
		url = gdyb_url
	} else {
		url = gdyb_url + "2202"
	}

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/2202"
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/2202"

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/2202"
	if insuplc_admdvs == "421300" {
		var json2 string
		cmd := exec.Command("java", "-jar", "yh_hb_fat.jar", "2202", string(bytesData), json2)
		out, err := cmd.Output()
		if err != nil {
			fmt.Println("error:", err.Error())
		}
		fmt.Println(string(out))

		return hex.EncodeToString(out), requestLog
	} else {

		request, err := http.NewRequest("POST", url, reader)
		if err != nil {
			fmt.Println(err.Error())
			return err.Error(), ""
		}

		request.Header.Set("Content-Type", "application/json;charset=UTF-8")
		request.Header.Set("x-tif-paasid", gdyb_paasid)
		request.Header.Set("x-tif-signature", signature)
		request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
		request.Header.Set("x-tif-nonce", nonce)

		client := http.Client{}
		resp, err := client.Do(request)
		if err != nil {
			fmt.Println(err.Error())
			return err.Error(), ""
		}
		respBytes, err := ioutil.ReadAll(resp.Body)
		if err != nil {
			fmt.Println(err.Error())
			return err.Error(), ""
		}
		str := string(respBytes)
		fmt.Println(str)
		return str, requestLog

	}

}

// 门诊就诊信息上传
func Gdyb2203(psnNo string, mdtrtId string, doctor string, department string, org_name string, med_type string, doctor_id string, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string, secret_key string, sick_code string, sick_name string, dept string, config []*models.HisXtDiagnoseConfig, begin_time string,doctor_name string, op_id int64, op_name string) (string, string) {

	// 生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, secret_key)
	inputMessage := make(map[string]interface{})

	//tempTime := time.Unix(timestamp, 0)
	//timeFormatOne := tempTime.Format("2006-01-02 15:04:05")
	// 生成输入报文
	if mdtrtarea_admvs == "450721"  ||  mdtrtarea_admvs == "450127"{

		inputMessage = SetInputMessage1111(nonce, timestamp, org_name, op_id, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs,op_name)
	} else {
		inputMessage = SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
	}
	//inputMessage := SetInputMessage1111(nonce, timestamp, org_name, op_id, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs,op_name)
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	diseinfo := make([]map[string]interface{}, 0)

	if med_type == "1111" || med_type == "1112" {
		med_type = "11"

	}
	if fixmedins_code == "H15049901371" || mdtrtarea_admvs == "450127"  ||  mdtrtarea_admvs == "450721" {

		inputMessage["infno"] = "2203"     // 交易编码

	} else {
		inputMessage["infno"] = "2203"     // 交易编码

	}

	inputData["mdtrt_id"] = mdtrtId    // 就诊 ID（来自2201接口返回）
	inputData["psn_no"] = psnNo        // 人员编号 （来自1101接口返回）
	inputData["med_type"] = med_type   // 医疗类别 16门诊特殊病
	inputData["begntime"] = begin_time // 开始时间
	//inputData["begntime"] =  // 开始时间
	inputData["main_cond_dscr"] = ""   // 主要病情描述
	inputData["dise_codg"] = sick_code // 病种编码
	inputData["dise_name"] = sick_name // 病种名称
	if med_type == "12" {
		inputData["dise_codg"] = "" // 病种编码
		inputData["dise_name"] = "" // 病种名称
	}
	inputData["birctrl_type"] = ""      // 计划生育手术类别
	inputData["birctrl_matn_date"] = "" // 计划生育手术或生育日期

	for index, item := range config {
		diseinfo_sun := make(map[string]interface{})

		diseinfo_sun["diag_type"] = "1"              // 诊断类别
		diseinfo_sun["diag_srt_no"] = index + 1          // 诊断排序号
		diseinfo_sun["diag_code"] = item.CountryCode // 诊断代码
		diseinfo_sun["diag_name"] = item.ClassName   // 诊断名称
		diseinfo_sun["diag_dept"] = department       // 诊断科室
		diseinfo_sun["dise_dor_no"] = doctor_id      // 诊断医生编码
		diseinfo_sun["dise_dor_name"] = doctor_name       // 诊断医生姓名
		diseinfo_sun["diag_time"] = begin_time       // 诊断时间
		diseinfo_sun["vali_flag"] = "1"              // 有效标志
		diseinfo = append(diseinfo, diseinfo_sun)
	}

	input["diseinfo"] = diseinfo
	input["mdtrtinfo"] = inputData
	inputMessage["input"] = input //交易输入
	var requestLog string
	bytesData, err := json.Marshal(inputMessage)
	fmt.Println(string(bytesData))
	requestLog = string(bytesData)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	reader := bytes.NewReader(bytesData)

	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")

	var url string
	if fixmedins_code == "H15049901371" || mdtrtarea_admvs == "450127"  ||  mdtrtarea_admvs == "450721" {
		url = gdyb_url
	} else {
		url = gdyb_url + "2203"
	}

	if insuplc_admdvs == "421300" {
		var json2 string
		cmd := exec.Command("java", "-jar", "yh_hb_fat.jar", "2203", string(bytesData), json2)
		out, err := cmd.Output()
		if err != nil {
			fmt.Println("error:", err.Error())
		}
		fmt.Println(string(out))

		return hex.EncodeToString(out), requestLog
	} else {
		request, err := http.NewRequest("POST", url, reader)
		if err != nil {
			fmt.Println(err.Error())
			return err.Error(), ""
		}

		request.Header.Set("Content-Type", "application/json;charset=UTF-8")
		request.Header.Set("x-tif-paasid", gdyb_paasid)
		request.Header.Set("x-tif-signature", signature)
		request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
		request.Header.Set("x-tif-nonce", nonce)

		client := http.Client{}
		resp, err := client.Do(request)
		if err != nil {
			fmt.Println(err.Error())
			return err.Error(), ""
		}
		respBytes, err := ioutil.ReadAll(resp.Body)
		if err != nil {
			fmt.Println(err.Error())
			return err.Error(), ""
		}
		str := string(respBytes)
		fmt.Println(str)
		return str, requestLog

	}

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/2203"
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/2203"

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/2203"

}

func Gdyb2203c(psnNo string, mdtrtId string, doctor string, department string, org_name string, med_type string, doctor_id string, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string, secret_key string, sick_code string, sick_name string, dept string, config []*models.HisXtDiagnoseConfig, begin_time string,doctor_name string) (string, string) {

	// 生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, secret_key)
	//tempTime := time.Unix(timestamp, 0)
	//timeFormatOne := tempTime.Format("2006-01-02 15:04:05")
	// 生成输入报文
	inputMessage := SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	diseinfo := make([]map[string]interface{}, 0)

	if med_type == "1111" || med_type == "1112" {
		med_type = "11"
	}

	inputMessage["infno"] = "2203"     // 交易编码
	inputData["mdtrt_id"] = mdtrtId    // 就诊 ID（来自2201接口返回）
	inputData["psn_no"] = psnNo        // 人员编号 （来自1101接口返回）
	inputData["med_type"] = med_type   // 医疗类别 16门诊特殊病
	inputData["begntime"] = begin_time // 开始时间
	//inputData["begntime"] =  // 开始时间
	inputData["main_cond_dscr"] = ""   // 主要病情描述
	inputData["dise_codg"] = sick_code // 病种编码
	inputData["dise_name"] = sick_name // 病种名称
	if med_type == "12" {
		inputData["dise_codg"] = "" // 病种编码
		inputData["dise_name"] = "" // 病种名称
	}
	inputData["birctrl_type"] = ""      // 计划生育手术类别
	inputData["birctrl_matn_date"] = "" // 计划生育手术或生育日期

	for index, item := range config {
		diseinfo_sun := make(map[string]interface{})
		diseinfo_sun["diag_type"] = "1"              // 诊断类别
		diseinfo_sun["diag_srt_no"] = index          // 诊断排序号
		diseinfo_sun["diag_code"] = item.CountryCode // 诊断代码
		diseinfo_sun["diag_name"] = item.ClassName   // 诊断名称
		diseinfo_sun["diag_dept"] = department       // 诊断科室
		diseinfo_sun["dise_dor_no"] = doctor_id      // 诊断医生编码
		diseinfo_sun["dise_dor_name"] = doctor_name       // 诊断医生姓名
		diseinfo_sun["diag_time"] = begin_time       // 诊断时间
		diseinfo_sun["vali_flag"] = "1"              // 有效标志
		diseinfo = append(diseinfo, diseinfo_sun)
	}

	input["diseinfo"] = diseinfo
	input["mdtrtinfo"] = inputData
	inputMessage["input"] = input //交易输入
	var requestLog string
	bytesData, err := json.Marshal(inputMessage)
	fmt.Println(string(bytesData))
	requestLog = string(bytesData)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	reader := bytes.NewReader(bytesData)

	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")

	var url string
	if fixmedins_code == "H15049901371" || mdtrtarea_admvs == "450127" ||  mdtrtarea_admvs == "450721" {
		url = gdyb_url
	}else {
		url = gdyb_url + "2203"
	}

	if insuplc_admdvs == "421300" {
		var json2 string
		cmd := exec.Command("java", "-jar", "yh_hb_fat.jar", "2203", string(bytesData), json2)
		out, err := cmd.Output()
		if err != nil {
			fmt.Println("error:", err.Error())
		}
		fmt.Println(string(out))

		return hex.EncodeToString(out), requestLog
	} else {
		request, err := http.NewRequest("POST", url, reader)
		if err != nil {
			fmt.Println(err.Error())
			return err.Error(), ""
		}

		request.Header.Set("Content-Type", "application/json;charset=UTF-8")
		request.Header.Set("x-tif-paasid", gdyb_paasid)
		request.Header.Set("x-tif-signature", signature)
		request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
		request.Header.Set("x-tif-nonce", nonce)

		client := http.Client{}
		resp, err := client.Do(request)
		if err != nil {
			fmt.Println(err.Error())
			return err.Error(), ""
		}
		respBytes, err := ioutil.ReadAll(resp.Body)
		if err != nil {
			fmt.Println(err.Error())
			return err.Error(), ""
		}
		str := string(respBytes)
		fmt.Println(str)
		return str, requestLog

	}

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/2203"
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/2203"

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/2203"

}

// 门诊就诊信息上传
func Gdyb2203A(psnNo string, mdtrtId string, doctor string, department string, org_name string, med_type string, doctor_id string, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string, secret_key string, sick_code string, sick_name string, dept string, config []*models.HisXtDiagnoseConfig, begin_time string) (string, string) {

	// 生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, secret_key)
	tempTime := time.Unix(timestamp, 0)
	timeFormatOne := tempTime.Format("2006-01-02 15:04:05")

	// 生成输入报文
	inputMessage := SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	diseinfo := make([]map[string]interface{}, 0)

	if med_type == "1111" || med_type == "1112" {
		med_type = "11"
	}

	inputMessage["infno"] = "2203A"    // 交易编码
	inputData["mdtrt_id"] = mdtrtId    // 就诊 ID（来自2201接口返回）
	inputData["psn_no"] = psnNo        // 人员编号 （来自1101接口返回）
	inputData["med_type"] = med_type   // 医疗类别 16门诊特殊病
	inputData["begntime"] = begin_time // 开始时间

	inputData["main_cond_dscr"] = ""    // 主要病情描述
	inputData["dise_codg"] = sick_code  // 病种编码
	inputData["dise_name"] = sick_name  // 病种名称
	inputData["birctrl_type"] = ""      // 计划生育手术类别
	inputData["birctrl_matn_date"] = "" // 计划生育手术或生育日期

	inputData["matn_type"] = "" // 生育类别
	inputData["geso_val"] = ""  // 孕周数

	for index, item := range config {
		diseinfo_sun := make(map[string]interface{})
		diseinfo_sun["diag_type"] = "1"              // 诊断类别
		diseinfo_sun["diag_srt_no"] = index          // 诊断排序号
		diseinfo_sun["diag_code"] = item.CountryCode // 诊断代码
		diseinfo_sun["diag_name"] = item.ClassName   // 诊断名称
		diseinfo_sun["diag_dept"] = department       // 诊断科室
		diseinfo_sun["dise_dor_no"] = doctor_id      // 诊断医生编码
		diseinfo_sun["dise_dor_name"] = doctor       // 诊断医生姓名
		diseinfo_sun["diag_time"] = timeFormatOne    // 诊断时间
		diseinfo_sun["vali_flag"] = "1"              // 有效标志
		diseinfo = append(diseinfo, diseinfo_sun)
	}

	input["diseinfo"] = diseinfo
	input["mdtrtinfo"] = inputData
	inputMessage["input"] = input //交易输入
	var requestLog string
	bytesData, err := json.Marshal(inputMessage)
	fmt.Println(string(bytesData))
	requestLog = string(bytesData)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	reader := bytes.NewReader(bytesData)

	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")

	var url string
	if fixmedins_code == "H15049901371" || mdtrtarea_admvs == "450127" ||  mdtrtarea_admvs == "450721" {
		url = gdyb_url
	} else {
		url = gdyb_url + "2203"
	}

	if insuplc_admdvs == "421300" {
		var json2 string
		cmd := exec.Command("java", "-jar", "yh_hb_fat.jar", "2203A", string(bytesData), json2)
		out, err := cmd.Output()
		if err != nil {
			fmt.Println("error:", err.Error())
		}
		fmt.Println(string(out))

		return hex.EncodeToString(out), requestLog
	} else {

		request, err := http.NewRequest("POST", url, reader)
		if err != nil {
			fmt.Println(err.Error())
			return err.Error(), ""
		}

		request.Header.Set("Content-Type", "application/json;charset=UTF-8")
		request.Header.Set("x-tif-paasid", gdyb_paasid)
		request.Header.Set("x-tif-signature", signature)
		request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
		request.Header.Set("x-tif-nonce", nonce)

		client := http.Client{}
		resp, err := client.Do(request)
		if err != nil {
			fmt.Println(err.Error())
			return err.Error(), ""
		}
		respBytes, err := ioutil.ReadAll(resp.Body)
		if err != nil {
			fmt.Println(err.Error())
			return err.Error(), ""
		}
		str := string(respBytes)
		fmt.Println(str)
		return str, requestLog

	}
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/2203A"
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/2203"

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/2203"

}
func Gdyb2203d(psnNo string, mdtrtId string, doctor string, department string, org_name string, med_type string, doctor_id string, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string, secret_key string, sick_code string, sick_name string, dept string, config []*models.HisXtDiagnoseConfig, begin_time string) (string, string) {

	// 生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, secret_key)
	tempTime := time.Unix(timestamp, 0)
	timeFormatOne := tempTime.Format("2006-01-02 15:04:05")

	// 生成输入报文
	inputMessage := SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	diseinfo := make([]map[string]interface{}, 0)


	inputMessage["infno"] = "2203"    // 交易编码
	inputData["mdtrt_id"] = mdtrtId    // 就诊 ID（来自2201接口返回）
	inputData["psn_no"] = psnNo        // 人员编号 （来自1101接口返回）
	inputData["med_type"] = "14"   // 医疗类别 16门诊特殊病
	inputData["begntime"] = begin_time // 开始时间

	inputData["main_cond_dscr"] = ""    // 主要病情描述
	inputData["dise_codg"] = sick_code  // 病种编码
	inputData["dise_name"] = sick_name  // 病种名称
	inputData["birctrl_type"] = ""      // 计划生育手术类别
	inputData["birctrl_matn_date"] = "" // 计划生育手术或生育日期

	inputData["matn_type"] = "" // 生育类别
	inputData["geso_val"] = ""  // 孕周数

	for index, item := range config {
		diseinfo_sun := make(map[string]interface{})
		diseinfo_sun["diag_type"] = "1"              // 诊断类别
		diseinfo_sun["diag_srt_no"] = index          // 诊断排序号
		diseinfo_sun["diag_code"] = item.CountryCode // 诊断代码
		diseinfo_sun["diag_name"] = item.ClassName   // 诊断名称
		diseinfo_sun["diag_dept"] = department       // 诊断科室
		diseinfo_sun["dise_dor_no"] = doctor_id      // 诊断医生编码
		diseinfo_sun["dise_dor_name"] = doctor       // 诊断医生姓名
		diseinfo_sun["diag_time"] = timeFormatOne    // 诊断时间
		diseinfo_sun["vali_flag"] = "1"              // 有效标志
		diseinfo = append(diseinfo, diseinfo_sun)
	}

	input["diseinfo"] = diseinfo
	input["mdtrtinfo"] = inputData
	inputMessage["input"] = input //交易输入
	var requestLog string
	bytesData, err := json.Marshal(inputMessage)
	fmt.Println(string(bytesData))
	requestLog = string(bytesData)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	reader := bytes.NewReader(bytesData)

	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")

	var url string

		url = gdyb_url + "2203"


	if insuplc_admdvs == "421300" {
		var json2 string
		cmd := exec.Command("java", "-jar", "yh_hb_fat.jar", "2203A", string(bytesData), json2)
		out, err := cmd.Output()
		if err != nil {
			fmt.Println("error:", err.Error())
		}
		fmt.Println(string(out))

		return hex.EncodeToString(out), requestLog
	} else {

		request, err := http.NewRequest("POST", url, reader)
		if err != nil {
			fmt.Println(err.Error())
			return err.Error(), ""
		}

		request.Header.Set("Content-Type", "application/json;charset=UTF-8")
		request.Header.Set("x-tif-paasid", gdyb_paasid)
		request.Header.Set("x-tif-signature", signature)
		request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
		request.Header.Set("x-tif-nonce", nonce)

		client := http.Client{}
		resp, err := client.Do(request)
		if err != nil {
			fmt.Println(err.Error())
			return err.Error(), ""
		}
		respBytes, err := ioutil.ReadAll(resp.Body)
		if err != nil {
			fmt.Println(err.Error())
			return err.Error(), ""
		}
		str := string(respBytes)
		fmt.Println(str)
		return str, requestLog

	}
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/2203A"
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/2203"

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/2203"

}

type Custom struct {
	DetItemFeeSumamt        string
	Cut                     string
	FeedetlSn               string
	Price                   string
	MedListCodg             string
	LmtUsedFlag             int64
	HospApprFlag            int64
	DoctorNumber            string
	DoctorName              string
	ProvinceDrugMedListCodg string
	ProvinceGoodMedListCodg string
	IsUser                  int64
	FeeOcurTime             string
	Unit                    string
}

type RequestResult struct {
	Output      Output `json:"output" form:"output"`
	Infcode     int64  `gorm:"column:infcode" json:"infcode" form:"infcode"`
	WarnMsg     string `gorm:"column:warn_msg" json:"warn_msg" form:"warn_msg"`
	Cainfo      string `gorm:"column:cainfo" json:"cainfo" form:"cainfo"`
	ErrMsg      string `gorm:"column:err_msg" json:"err_msg" form:"err_msg"`
	RespondTime string `gorm:"column:respond_time" json:"respond_time" form:"respond_time"`
	InfRefmsgid string `gorm:"column:inf_refmsgid" json:"inf_refmsgid" form:"inf_refmsgid"`
}
type Output struct {
	Result Result `json:"result" form:"result"`
}

type Result struct {
	BasMednFlag      string  `json:"bas_medn_flag" form:"bas_medn_flag"`
	MedChrgitmType   string  `json:"med_chrgitm_type" form:"med_chrgitm_type"`
	DetItemFeeSumamt int64   `json:"det_item_fee_sumamt" form:"det_item_fee_sumamt"`
	HiNegoDrugFlag   string  `json:"hi_nego_drug_flag" form:"hi_nego_drug_flag"`
	FulamtOwnpayAmt  float64 `json:"fulamt_ownpay_amt" form:"fulamt_ownpay_amt"`

	FeedtlSn       int64   `json:"feedtl_sn" form:"feedtl_sn"`
	UploadDate     int64   `json:"upload_date" form:"upload_date"`
	AdviceId       int64   `json:"advice_id" form:"advice_id"`
	Cnt            int64   `json:"cnt" form:"cnt"`
	Pric           float64 `json:"pric" form:"pric"`
	PatientId      int64   `json:"patient_id" form:"patient_id"`
	PricUplmtAmt   float64 `json:"pric_uplmt_amt" form:"pric_uplmt_amt"`
	SelfpayProp    float64 `json:"selfpay_prop" form:"selfpay_prop"`
	OverlmtAmt     float64 `json:"overlmt_amt" form:"overlmt_amt"`
	PreselfpayAmt  float64 `json:"preselfpay_amt" form:"preselfpay_amt"`
	Status         int64   `json:"status" form:"status"`
	Memo           string  `json:"memo" form:"memo"`
	FeedetlSn      string  `json:"feedetl_sn" form:"feedetl_sn"`
	Mtime          int64   `json:"mtime" form:"mtime"`
	InscpScpAmt    float64 `json:"inscp_scp_amt" form:"inscp_scp_amt"`
	DrtReimFlag    string  `json:"drt_reim_flag" form:"drt_reim_flag"`
	Ctime          int64   `json:"ctime" form:"ctime"`
	ListSpItemFlag string  `json:"list_sp_item_flag" form:"list_sp_item_flag"`
	ChldMedcFlag   string  `json:"chld_medc_flag" form:"chld_medc_flag"`
	LmtUsedFlag    string  `json:"lmt_used_flag" form:"lmt_used_flag"`
	ChrgitmLv      string  `json:"chrgitm_lv" form:"chrgitm_lv"`
	UserOrgId      int64   `json:"user_org_id" form:"user_org_id"`
	HisPatientId   int64   `json:"his_patient_id" form:"his_patient_id"`
	OrderId        int64   `json:"order_id" form:"order_id"`
}

// 门诊费用明细信息上传
func Gdyb2204(psnNo string, mdtrtId string, hisPrescription []*models.HisPrescription, chrg_bchno string, org_name string, doctor string, dept string, fixmedins_code string, dept_code string, doctor_id string, insuplc_admdvs string, mdtrtarea_admvs string, secret_key string, balance_accounts_type string, new_doctor_id int64, diag_code string,admin_user_id int64) (string, string) {
	// 生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, secret_key)
	//tempTime := time.Unix(timestamp, 0)
	//timeFormat := tempTime.Format("20060102150405")
	//timeFormatOne := tempTime.Format("2006-01-02 15:04:05")
	//chrgBchno := rand.Intn(100000) + 10000
	var customs []*Custom
	inputMessage := make(map[string]interface{})

	if mdtrtarea_admvs == "450721"  ||  mdtrtarea_admvs == "450127"{

		inputMessage = SetInputMessage1111(nonce, timestamp, org_name, admin_user_id, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs,doctor)
	} else {
		inputMessage = SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
	}

	//inputMessage := SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)


	for _, item := range hisPrescription {
		role, _ := GetAdminUserInfoByID(item.UserOrgId, new_doctor_id)
		tm := time.Unix(item.PreTime, 0)
		if item.Type == 1 { //药品
			for _, subItem := range item.HisDoctorAdviceInfo {
				if len(subItem.BaseDrugLib.MedicalInsuranceNumber) > 0 && subItem.BaseDrugLib.IsUser != 1 {
					//var randNum int
					//randNum = rand.Intn(10000) + 1000
					role, _ := GetAdminUserInfoByID(item.UserOrgId, new_doctor_id)
					cus := &Custom{
						DetItemFeeSumamt: fmt.Sprintf("%.4f", subItem.Price*subItem.PrescribingNumber),
						Cut:              fmt.Sprintf("%.4f", subItem.PrescribingNumber),
						FeedetlSn:        subItem.FeedetlSn,
						Price:            fmt.Sprintf("%.4f", subItem.Price),
						MedListCodg:      subItem.BaseDrugLib.MedicalInsuranceNumber,
						HospApprFlag:     subItem.HospApprFlag,
						DoctorNumber:     role.DoctorNumber,
						DoctorName:       role.UserName,
						FeeOcurTime:      tm.Format("2006-01-02 15:04:05"),
					}

					customs = append(customs, cus)
				}
			}
		}

		if item.Type == 2 { //项目
			for _, subItem := range item.HisPrescriptionProject {
				//var randNum int
				//randNum = rand.Intn(10000) + 1000
				if subItem.Type == 2 {
					if len(subItem.HisProject.MedicalCode) > 0 {
						cnt, _ := strconv.ParseFloat(subItem.Count, 64)
						cus := &Custom{
							DetItemFeeSumamt: fmt.Sprintf("%.4f", subItem.Price*cnt),
							Cut:              fmt.Sprintf("%.4f", cnt),
							FeedetlSn:        subItem.FeedetlSn,
							Price:            fmt.Sprintf("%.4f", float64(subItem.Price)),
							MedListCodg:      subItem.HisProject.MedicalCode,
							DoctorNumber:     role.DoctorNumber,
							DoctorName:       role.UserName,
							HospApprFlag:     -1,
							FeeOcurTime:      tm.Format("2006-01-02 15:04:05"),
						}
						customs = append(customs, cus)
					}

				} else if subItem.Type == 3 {
					if len(subItem.GoodInfo.MedicalInsuranceNumber) > 0 {
						cnt, _ := strconv.ParseFloat(subItem.Count, 64)

						cus := &Custom{
							DetItemFeeSumamt: fmt.Sprintf("%.4f", subItem.Price*cnt),
							Cut:              fmt.Sprintf("%.4f", cnt),
							FeedetlSn:        subItem.FeedetlSn,
							Price:            fmt.Sprintf("%.4f", float64(subItem.Price)),
							MedListCodg:      subItem.GoodInfo.MedicalInsuranceNumber,
							HospApprFlag:     -1,
							DoctorNumber:     role.DoctorNumber,
							DoctorName:       role.UserName,
							FeeOcurTime:      tm.Format("2006-01-02 15:04:05"),
						}
						customs = append(customs, cus)
					}

				}

			}
		}

		for _, subItem := range item.HisAdditionalCharge {
			if len(subItem.XtHisAddtionConfig.Code) > 0 {
				cus := &Custom{
					DetItemFeeSumamt: fmt.Sprintf("%.4f", subItem.Price*float64(subItem.Count)),
					Cut:              fmt.Sprintf("%.4f", float64(subItem.Count)),
					FeedetlSn:        subItem.FeedetlSn,
					Price:            fmt.Sprintf("%.4f", float64(subItem.Price)),
					MedListCodg:      subItem.XtHisAddtionConfig.Code,
					HospApprFlag:     -1,
					DoctorNumber:     role.DoctorNumber,
					DoctorName:       role.UserName,
				}
				customs = append(customs, cus)
			}
		}
	}

	// 生成输入报文
	input := make(map[string]interface{})
	feedetail := make([]map[string]interface{}, 0)
	inputMessage["infno"] = "2204" // 交易编码

	//chrg_bchno := timeFormat + strconv.FormatInt(int64(chrgBchno), 10)

	for _, item := range customs {
		feedetailInfo := make(map[string]interface{})
		feedetailInfo["feedetl_sn"] = item.FeedetlSn
		feedetailInfo["mdtrt_id"] = mdtrtId                          // 就诊 ID（来自2201接口返回）
		feedetailInfo["psn_no"] = psnNo                              // 人员编号 （来自1101接口返回）
		feedetailInfo["chrg_bchno"] = chrg_bchno                     // 收费批次号
		feedetailInfo["dise_codg"] = diag_code                       // 病种编码
		feedetailInfo["rxno"] = ""                                   // 处方号
		feedetailInfo["rx_circ_flag"] = "0"                          // 外购处方标志
		feedetailInfo["fee_ocur_time"] = item.FeeOcurTime            // 费用发生时间
		feedetailInfo["med_list_codg"] = item.MedListCodg            // 医疗目录编码
		feedetailInfo["medins_list_codg"] = item.MedListCodg             // 医药机构目录编码
		feedetailInfo["det_item_fee_sumamt"] = item.DetItemFeeSumamt // 明细项目费用总额
		feedetailInfo["cnt"] = item.Cut                              // 数量
		feedetailInfo["pric"] = item.Price                           // 单价
		feedetailInfo["sin_dos_dscr"] = "1"                           // 单次剂量描述
		feedetailInfo["used_frqu_dscr"] = ""                         // 使用频次描述
		feedetailInfo["prd_days"] = "0"                              // 周期天数
		feedetailInfo["medc_way_dscr"] = ""                          // 用药途径描述
		feedetailInfo["bilg_dept_codg"] = dept_code                  // 开单科室编码
		feedetailInfo["bilg_dept_name"] = dept                       // 开单科室名称
		feedetailInfo["bilg_dr_codg"] = item.DoctorNumber            // 开单医生编码
		feedetailInfo["bilg_dr_name"] = item.DoctorName              // 开单医师姓名
		feedetailInfo["acord_dept_codg"] = ""                        // 受单科室编码
		feedetailInfo["acord_dept_name"] = ""                        // 受单科室名称
		feedetailInfo["orders_dr_code"] = item.DoctorNumber          // 受单医生编码
		feedetailInfo["orders_dr_name"] = item.DoctorName            // 受单医生姓名
		if balance_accounts_type == "8" {
			feedetailInfo["hosp_appr_flag"] = "2" // 医院审批标志
		} else {
			if item.HospApprFlag != -1 {
				if item.HospApprFlag == 1 {
					feedetailInfo["hosp_appr_flag"] = "1" // 医院审批标志
				} else if item.HospApprFlag == 2 {
					feedetailInfo["hosp_appr_flag"] = "2" // 医院审批标志
				} else if item.HospApprFlag == 3 {
					feedetailInfo["hosp_appr_flag"] = "0" // 医院审批标志
				} else {
					feedetailInfo["hosp_appr_flag"] = "1" // 医院审批标志
				}
			} else {
				feedetailInfo["hosp_appr_flag"] = "1" // 医院审批标志
			}

		}

		//feedetailInfo["tcmdrug_used_way"] = "" // 中药使用方式
		feedetailInfo["etip_flag"] = "0"        // 外检标志
		feedetailInfo["etip_hosp_code"] = ""   // 外检医院编码
		feedetailInfo["dscg_tkdrug_flag"] = "" // 出院带药标志
		feedetailInfo["matn_fee_flag"] = ""    // 生育费用标志
		feedetail = append(feedetail, feedetailInfo)
	}
	input["feedetail"] = feedetail
	inputMessage["input"] = input //交易输入
	var requestLog string
	bytesData, err := json.Marshal(inputMessage)
	fmt.Println("----------")
	fmt.Println(string(bytesData))
	fmt.Println("----------")
	requestLog = string(bytesData)
	if err != nil {
		fmt.Println(err.Error())
		return "", ""
	}
	reader := bytes.NewReader(bytesData)

	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/1101"

	var url string
	if fixmedins_code == "H15049901371" || mdtrtarea_admvs == "450127" ||  mdtrtarea_admvs == "450721" {
		url = gdyb_url
	} else {
		url = gdyb_url + "2204"
	}

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/2204"
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/2204"

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/2204"

	if insuplc_admdvs == "421300" {
		var json2 string
		cmd := exec.Command("java", "-jar", "yh_hb_fat.jar", "2204", string(bytesData), json2)
		out, err := cmd.Output()
		if err != nil {
			fmt.Println("error:", err.Error())
		}
		fmt.Println(string(out))

		return hex.EncodeToString(out), requestLog
	} else {

		request, err := http.NewRequest("POST", url, reader)
		if err != nil {
			fmt.Println(err.Error())
			return "", ""
		}

		request.Header.Set("Content-Type", "application/json;charset=UTF-8")
		request.Header.Set("x-tif-paasid", gdyb_paasid)
		request.Header.Set("x-tif-signature", signature)
		request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
		request.Header.Set("x-tif-nonce", nonce)

		client := http.Client{}
		resp, err := client.Do(request)
		if err != nil {
			fmt.Println(err.Error())
			return "", ""
		}
		respBytes, err := ioutil.ReadAll(resp.Body)
		if err != nil {
			fmt.Println(err.Error())
			return "", ""
		}
		return string(respBytes), requestLog

	}

	//var result RequestResult
	//json.Unmarshal(respBytes, &result)
	//return &result
}

func Gdyb2204For441799(psnNo string, mdtrtId string, hisPrescription []*models.HisPrescription, chrg_bchno string, org_name string, doctor string, dept string, fixmedins_code string, dept_code string, new_doctor_name string, insuplc_admdvs string, mdtrtarea_admvs string, secret_key string, balance_accounts_type string, new_doctor_id string, diag_code string) (string, string) {
	// 生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, secret_key)
	//tempTime := time.Unix(timestamp, 0)
	//timeFormat := tempTime.Format("20060102150405")
	//timeFormatOne := tempTime.Format("2006-01-02 15:04:05")
	//chrgBchno := rand.Intn(100000) + 10000
	var customs []*Custom

	for _, item := range hisPrescription {
		tm := time.Unix(item.PreTime, 0)
		if item.Type == 1 { //药品
			for _, subItem := range item.HisDoctorAdviceInfo {
				if len(subItem.BaseDrugLib.MedicalInsuranceNumber) > 0 && subItem.BaseDrugLib.IsUser != 1 {
					//var randNum int
					//randNum = rand.Intn(10000) + 1000
					cus := &Custom{
						DetItemFeeSumamt: fmt.Sprintf("%.4f", subItem.Price*subItem.PrescribingNumber),
						Cut:              fmt.Sprintf("%.4f", subItem.PrescribingNumber),
						FeedetlSn:        subItem.FeedetlSn,
						Price:            fmt.Sprintf("%.4f", subItem.Price),
						MedListCodg:      subItem.BaseDrugLib.MedicalInsuranceNumber,
						HospApprFlag:     subItem.HospApprFlag,
						DoctorNumber:     new_doctor_id,
						DoctorName:       new_doctor_name,
						FeeOcurTime:      tm.Format("2006-01-02 15:04:05"),
					}

					customs = append(customs, cus)
				}
			}
		}

		if item.Type == 2 { //项目
			for _, subItem := range item.HisPrescriptionProject {
				//var randNum int
				//randNum = rand.Intn(10000) + 1000
				if subItem.Type == 2 {
					if len(subItem.HisProject.MedicalCode) > 0 {
						cnt, _ := strconv.ParseFloat(subItem.Count, 64)
						cus := &Custom{
							DetItemFeeSumamt: fmt.Sprintf("%.4f", subItem.Price*cnt),
							Cut:              fmt.Sprintf("%.4f", cnt),
							FeedetlSn:        subItem.FeedetlSn,
							Price:            fmt.Sprintf("%.4f", float64(subItem.Price)),
							MedListCodg:      subItem.HisProject.MedicalCode,
							DoctorNumber:     new_doctor_id,
							DoctorName:       new_doctor_name,
							HospApprFlag:     -1,
							FeeOcurTime:      tm.Format("2006-01-02 15:04:05"),
						}
						customs = append(customs, cus)
					}

				} else if subItem.Type == 3 {
					if len(subItem.GoodInfo.MedicalInsuranceNumber) > 0 {
						cnt, _ := strconv.ParseFloat(subItem.Count, 64)

						cus := &Custom{
							DetItemFeeSumamt: fmt.Sprintf("%.4f", subItem.Price*cnt),
							Cut:              fmt.Sprintf("%.4f", cnt),
							FeedetlSn:        subItem.FeedetlSn,
							Price:            fmt.Sprintf("%.4f", float64(subItem.Price)),
							MedListCodg:      subItem.GoodInfo.MedicalInsuranceNumber,
							HospApprFlag:     -1,
							DoctorNumber:     new_doctor_id,
							DoctorName:       new_doctor_name,
							FeeOcurTime:      tm.Format("2006-01-02 15:04:05"),
						}
						customs = append(customs, cus)
					}

				}

			}
		}

		for _, subItem := range item.HisAdditionalCharge {
			if len(subItem.XtHisAddtionConfig.Code) > 0 {
				cus := &Custom{
					DetItemFeeSumamt: fmt.Sprintf("%.4f", subItem.Price*float64(subItem.Count)),
					Cut:              fmt.Sprintf("%.4f", float64(subItem.Count)),
					FeedetlSn:        subItem.FeedetlSn,
					Price:            fmt.Sprintf("%.4f", float64(subItem.Price)),
					MedListCodg:      subItem.XtHisAddtionConfig.Code,
					HospApprFlag:     -1,
					DoctorNumber:     new_doctor_id,
					DoctorName:       new_doctor_name,
				}
				customs = append(customs, cus)
			}
		}
	}

	// 生成输入报文
	inputMessage := SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
	input := make(map[string]interface{})
	feedetail := make([]map[string]interface{}, 0)
	inputMessage["infno"] = "2204" // 交易编码

	//chrg_bchno := timeFormat + strconv.FormatInt(int64(chrgBchno), 10)

	for _, item := range customs {
		feedetailInfo := make(map[string]interface{})
		feedetailInfo["feedetl_sn"] = item.FeedetlSn
		feedetailInfo["mdtrt_id"] = mdtrtId                          // 就诊 ID（来自2201接口返回）
		feedetailInfo["psn_no"] = psnNo                              // 人员编号 （来自1101接口返回）
		feedetailInfo["chrg_bchno"] = chrg_bchno                     // 收费批次号
		feedetailInfo["dise_codg"] = diag_code                       // 病种编码
		feedetailInfo["rxno"] = ""                                   // 处方号
		feedetailInfo["rx_circ_flag"] = "0"                          // 外购处方标志
		feedetailInfo["fee_ocur_time"] = item.FeeOcurTime            // 费用发生时间
		feedetailInfo["med_list_codg"] = item.MedListCodg            // 医疗目录编码
		feedetailInfo["medins_list_codg"] = fixmedins_code           // 医药机构目录编码
		feedetailInfo["det_item_fee_sumamt"] = item.DetItemFeeSumamt // 明细项目费用总额
		feedetailInfo["cnt"] = item.Cut                              // 数量
		feedetailInfo["pric"] = item.Price                           // 单价
		feedetailInfo["sin_dos_dscr"] = ""                           // 单次剂量描述
		feedetailInfo["used_frqu_dscr"] = ""                         // 使用频次描述
		feedetailInfo["prd_days"] = "0"                              // 周期天数
		feedetailInfo["medc_way_dscr"] = ""                          // 用药途径描述
		feedetailInfo["bilg_dept_codg"] = dept_code                  // 开单科室编码
		feedetailInfo["bilg_dept_name"] = dept                       // 开单科室名称
		feedetailInfo["bilg_dr_codg"] = item.DoctorNumber            // 开单医生编码
		feedetailInfo["bilg_dr_name"] = item.DoctorName              // 开单医师姓名
		feedetailInfo["acord_dept_codg"] = ""                        // 受单科室编码
		feedetailInfo["acord_dept_name"] = ""                        // 受单科室名称
		feedetailInfo["orders_dr_code"] = item.DoctorNumber          // 受单医生编码
		feedetailInfo["orders_dr_name"] = item.DoctorName            // 受单医生姓名
		if balance_accounts_type == "8" {
			feedetailInfo["hosp_appr_flag"] = "2" // 医院审批标志
		} else {
			if item.HospApprFlag != -1 {
				if item.HospApprFlag == 1 {
					feedetailInfo["hosp_appr_flag"] = "1" // 医院审批标志
				} else if item.HospApprFlag == 2 {
					feedetailInfo["hosp_appr_flag"] = "2" // 医院审批标志
				} else if item.HospApprFlag == 3 {
					feedetailInfo["hosp_appr_flag"] = "0" // 医院审批标志
				} else {
					feedetailInfo["hosp_appr_flag"] = "1" // 医院审批标志
				}
			} else {
				feedetailInfo["hosp_appr_flag"] = "1" // 医院审批标志
			}

		}

		//feedetailInfo["tcmdrug_used_way"] = "" // 中药使用方式
		feedetailInfo["etip_flag"] = ""        // 外检标志
		feedetailInfo["etip_hosp_code"] = ""   // 外检医院编码
		feedetailInfo["dscg_tkdrug_flag"] = "" // 出院带药标志
		feedetailInfo["matn_fee_flag"] = ""    // 生育费用标志
		feedetail = append(feedetail, feedetailInfo)
	}
	input["feedetail"] = feedetail
	inputMessage["input"] = input //交易输入
	var requestLog string
	bytesData, err := json.Marshal(inputMessage)
	fmt.Println("----------")
	fmt.Println(string(bytesData))
	fmt.Println("----------")
	requestLog = string(bytesData)
	if err != nil {
		fmt.Println(err.Error())
		return "", ""
	}
	reader := bytes.NewReader(bytesData)

	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/1101"

	var url string
	if fixmedins_code == "H15049901371" || mdtrtarea_admvs == "450127"  ||  mdtrtarea_admvs == "450721"{
		url = gdyb_url
	} else {
		url = gdyb_url + "2204"
	}

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/2204"
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/2204"

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/2204"

	if insuplc_admdvs == "421300" {
		var json2 string
		cmd := exec.Command("java", "-jar", "yh_hb_fat.jar", "2204", string(bytesData), json2)
		out, err := cmd.Output()
		if err != nil {
			fmt.Println("error:", err.Error())
		}
		fmt.Println(string(out))

		return hex.EncodeToString(out), requestLog
	} else {

		request, err := http.NewRequest("POST", url, reader)
		if err != nil {
			fmt.Println(err.Error())
			return "", ""
		}

		request.Header.Set("Content-Type", "application/json;charset=UTF-8")
		request.Header.Set("x-tif-paasid", gdyb_paasid)
		request.Header.Set("x-tif-signature", signature)
		request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
		request.Header.Set("x-tif-nonce", nonce)

		client := http.Client{}
		resp, err := client.Do(request)
		if err != nil {
			fmt.Println(err.Error())
			return "", ""
		}
		respBytes, err := ioutil.ReadAll(resp.Body)
		if err != nil {
			fmt.Println(err.Error())
			return "", ""
		}
		return string(respBytes), requestLog

	}

	//var result RequestResult
	//json.Unmarshal(respBytes, &result)
	//return &result
}

// 门诊费用明细信息撤销
func Gdyb2205(psnNo string, mdtrtId string, chrgBchno string, org_name string, doctor string, insuplc_admdvs string, mdtrtarea_admvs string, secret_key string, fixmedins_code string,admin_user_id int64) (string, string) {
	// 生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, secret_key)
	inputMessage := make(map[string]interface{})

	if  mdtrtarea_admvs == "450721"  ||  mdtrtarea_admvs == "450127"{

		inputMessage = SetInputMessage1111(nonce, timestamp, org_name, admin_user_id, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs,doctor)
	} else {
		inputMessage = SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
	}

	// 生成输入报文
	//inputMessage := SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	inputMessage["infno"] = "2205" // 交易编码

	inputData["mdtrt_id"] = mdtrtId     // 就诊 ID（来自2201接口返回）
	inputData["chrg_bchno"] = "0000" // 收费批次号(来自2204生成的)
	inputData["psn_no"] = psnNo         // 人员编号 （来自1101接口返回）

	input["data"] = inputData
	inputMessage["input"] = input //交易输入

	bytesData, err := json.Marshal(inputMessage)
	fmt.Println(string(bytesData))

	var requestLog string
	requestLog = string(bytesData)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	reader := bytes.NewReader(bytesData)
	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/1101"
	//url := gdyb_url + "2205"
	var url string
	if fixmedins_code == "H15049901371" || mdtrtarea_admvs == "450127"  ||  mdtrtarea_admvs == "450721"{
		url = gdyb_url
	} else {
		url = gdyb_url + "2205"
	}
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/2205"
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/2205"

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/2205"

	if insuplc_admdvs == "421300" {
		var json2 string
		cmd := exec.Command("java", "-jar", "yh_hb_fat.jar", "2205", string(bytesData), json2)
		out, err := cmd.Output()
		if err != nil {
			fmt.Println("error:", err.Error())
		}
		fmt.Println(string(out))

		return hex.EncodeToString(out), requestLog
	} else {
		request, err := http.NewRequest("POST", url, reader)
		fmt.Println(err)

		fmt.Println(request)
		if err != nil {
			fmt.Println(err.Error())
			return err.Error(), ""
		}

		request.Header.Set("Content-Type", "application/json;charset=UTF-8")
		request.Header.Set("x-tif-paasid", gdyb_paasid)
		request.Header.Set("x-tif-signature", signature)
		request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
		request.Header.Set("x-tif-nonce", nonce)

		client := http.Client{}
		resp, err := client.Do(request)
		if err != nil {
			fmt.Println(err.Error())
			return err.Error(), ""
		}
		respBytes, err := ioutil.ReadAll(resp.Body)
		if err != nil {
			fmt.Println(err.Error())
			return err.Error(), ""
		}
		str := string(respBytes)
		fmt.Println(str)
		return str, requestLog

	}

}

//	门诊预结算
//
// func Gdyb2206(psnNo string, mdtrtId string, chrgBchno string, certNo string, insutype string, total string, org_name string, doctor string, secret_key string) string {
func Gdyb2206(psnNo string, mdtrtId string, chrgBchno string, certNo string, insutype string, total string, org_name string, doctor string, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string, secret_key string, med_type string, id_card_type int64, fulamt_ownpay_amt float64, overlmt_selfpay float64, preselfpay_amt float64, inscp_scp_amt float64, certificates int64,admin_user_id int64) (string, string) {

	// 生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, secret_key)

	inputMessage := make(map[string]interface{})

	if  mdtrtarea_admvs == "450721"  ||  mdtrtarea_admvs == "450127"{

		inputMessage = SetInputMessage1111(nonce, timestamp, org_name, admin_user_id, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs,doctor)
	} else {
		inputMessage = SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
	}
	// 生成输入报文
	//inputMessage := SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)

	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	inputMessage["infno"] = "2206" // 交易编码
	inputData["psn_no"] = psnNo    // 人员编号 （来自1101接口返回）
	if certificates == 3 {
		inputData["mdtrt_cert_type"] = "99" // 就诊凭证类型
		inputData["mdtrt_cert_no"] = certNo // 就诊凭证编号
	} else {
		if id_card_type == 1 {
			inputData["mdtrt_cert_type"] = "03" // 就诊凭证类型
			inputData["mdtrt_cert_no"] = certNo // 就诊凭证编号
		} else if id_card_type == 4 {
			inputData["mdtrt_cert_type"] = "01" // 就诊凭证类型
			inputData["mdtrt_cert_no"] = certNo // 就诊凭证编号
		} else {
			inputData["mdtrt_cert_type"] = "02" // 就诊凭证类型
			inputData["mdtrt_cert_no"] = certNo // 就诊凭证编号
		}
	}
	if insuplc_admdvs == "421300" {
		if med_type == "11" || med_type == "1112" || med_type == "1111" {
			inputData["med_type"] = "110104" // 医疗类别 11 普通门诊  12 门诊挂号
		} else if med_type == "14" {
			inputData["med_type"] = "140110" // 医疗类别 11 普通门诊  12 门诊挂号
		}
	} else {
		inputData["med_type"] = med_type // 医疗类别 11 普通门诊  12 门诊挂号
	}

	inputData["medfee_sumamt"] = total  // 医疗费总额
	inputData["psn_setlway"] = "01"     // 个人结算方式 01 按项目结 02 按定额结算
	inputData["mdtrt_id"] = mdtrtId     // 就诊 ID（来自2201接口返回）
	inputData["chrg_bchno"] = chrgBchno // 收费批次号(来自2204生成的)
	inputData["acct_used_flag"] = "0"   // 个人账户使用标志 0否 1是
	inputData["insutype"] = insutype    // 险种类型
	inputData["invono"] = ""            // 发票号

	input["data"] = inputData
	inputMessage["input"] = input //交易输入

	var requestLog string

	bytesData, err := json.Marshal(inputMessage)

	requestLog = string(bytesData)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	reader := bytes.NewReader(bytesData)

	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/1101"
	//url := gdyb_url + "2206"

	var url string
	if fixmedins_code == "H15049901371" || mdtrtarea_admvs == "450127" ||  mdtrtarea_admvs == "450721" {
		url = gdyb_url
	} else {
		url = gdyb_url + "2206"
	}

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/2206"
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/2206"

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/2206"

	if insuplc_admdvs == "421300" {
		var json2 string
		cmd := exec.Command("java", "-jar", "yh_hb_fat.jar", "2206", string(bytesData), json2)
		out, err := cmd.Output()
		if err != nil {
			fmt.Println("error:", err.Error())
		}
		fmt.Println(string(out))

		return hex.EncodeToString(out), requestLog
	} else {
		request, err := http.NewRequest("POST", url, reader)
		if err != nil {
			fmt.Println(err.Error())
			return err.Error(), ""
		}

		request.Header.Set("Content-Type", "application/json;charset=UTF-8")
		request.Header.Set("x-tif-paasid", gdyb_paasid)
		request.Header.Set("x-tif-signature", signature)
		request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
		request.Header.Set("x-tif-nonce", nonce)

		client := http.Client{}
		resp, err := client.Do(request)
		if err != nil {
			fmt.Println(err.Error())
			return err.Error(), ""
		}
		respBytes, err := ioutil.ReadAll(resp.Body)
		if err != nil {
			fmt.Println(err.Error())
			return err.Error(), ""
		}
		str := string(respBytes)
		fmt.Println(str)
		return str, requestLog

	}

}

// 门诊结算
func Gdyb2207(psnNo string, mdtrtId string, chrgBchno string, certNo string, insutype string, total string, org_name string, doctor string, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string, secret_key string, med_type string, id_card_type int64, fulamt_ownpay_amt float64, overlmt_selfpay float64, preselfpay_amt float64, inscp_scp_amt float64, certificates int64, acct_used_flag string, token string,admin_user_id int64) (string, string) {
	// 生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, secret_key)

	// 生成输入报文
	inputMessage := make(map[string]interface{})

	if  mdtrtarea_admvs == "450721"  ||  mdtrtarea_admvs == "450127"{

		inputMessage = SetInputMessage1111(nonce, timestamp, org_name, admin_user_id, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs,doctor)
	} else {
		inputMessage = SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
	}
	//inputMessage := SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	inputMessage["infno"] = "2207" // 交易编码
	inputData["psn_no"] = psnNo    // 人员编号 （来自1101接口返回）
	if certificates == 3 {
		inputData["mdtrt_cert_type"] = "99" // 就诊凭证类型
		inputData["mdtrt_cert_no"] = certNo // 就诊凭证编号
	} else {
		if id_card_type == 1 {
			inputData["mdtrt_cert_type"] = "03" // 就诊凭证类型
			inputData["mdtrt_cert_no"] = certNo // 就诊凭证编号
		} else if id_card_type == 4 {
			inputData["mdtrt_cert_type"] = "01" // 就诊凭证类型
			inputData["mdtrt_cert_no"] = token  // 就诊凭证编号
		} else {
			inputData["mdtrt_cert_type"] = "02" // 就诊凭证类型
			inputData["mdtrt_cert_no"] = certNo // 就诊凭证编号

		}
	}
	if med_type == "1111" || med_type == "1112" {
		med_type = "11"
	}
	if insuplc_admdvs == "421300" {
		if med_type == "11" {
			inputData["med_type"] = "110104" // 医疗类别 11 普通门诊  12 门诊挂号
		} else if med_type == "14" {
			inputData["med_type"] = "140101" // 医疗类别 11 普通门诊  12 门诊挂号
		}
	} else {
		inputData["med_type"] = med_type // 医疗类别 11 普通门诊  12 门诊挂号
	}
	inputData["medfee_sumamt"] = total           // 医疗费总额
	inputData["psn_setlway"] = "01"              // 个人结算方式 01 按项目结 02 按定额结算
	inputData["mdtrt_id"] = mdtrtId              // 就诊 ID（来自2201接口返回）
	inputData["chrg_bchno"] = chrgBchno          // 收费批次号(来自2204生成的)
	inputData["acct_used_flag"] = acct_used_flag // 个人账户使用标志 0否 1是
	inputData["insutype"] = insutype             // 险种类型
	inputData["invono"] = ""                     // 发票号

	inputData["fulamt_ownpay_amt"] = fulamt_ownpay_amt //
	inputData["overlmt_selfpay"] = overlmt_selfpay     //
	inputData["preselfpay_amt"] = preselfpay_amt       //
	inputData["inscp_scp_amt"] = inscp_scp_amt         //

	input["data"] = inputData
	inputMessage["input"] = input //交易输入

	bytesData, err := json.Marshal(inputMessage)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	reader := bytes.NewReader(bytesData)
	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/1101"
	//url := gdyb_url + "2207"

	var url string
	if fixmedins_code == "H15049901371" || mdtrtarea_admvs == "450127" ||  mdtrtarea_admvs == "450721" {
		url = gdyb_url
	} else {
		url = gdyb_url + "2207"
	}

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/2207"
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/2207"

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/2207"

	if insuplc_admdvs == "421300" {
		var json2 string
		cmd := exec.Command("java", "-jar", "yh_hb_fat.jar", "2207", string(bytesData), json2)
		out, err := cmd.Output()
		if err != nil {
			fmt.Println("error:", err.Error())
		}
		mjson, _ := json.Marshal(inputMessage)
		str2 := string(mjson)
		fmt.Println(string(out))

		return hex.EncodeToString(out), str2
	} else {

		request, err := http.NewRequest("POST", url, reader)
		if err != nil {
			fmt.Println(err.Error())
			return err.Error(), ""
		}

		request.Header.Set("Content-Type", "application/json;charset=UTF-8")
		request.Header.Set("x-tif-paasid", gdyb_paasid)
		request.Header.Set("x-tif-signature", signature)
		request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
		request.Header.Set("x-tif-nonce", nonce)

		client := http.Client{}
		resp, err := client.Do(request)
		if err != nil {
			fmt.Println(err.Error())
			return err.Error(), ""
		}
		respBytes, err := ioutil.ReadAll(resp.Body)
		if err != nil {
			fmt.Println(err.Error())
			return err.Error(), ""
		}
		str := string(respBytes)
		fmt.Println(str)
		mjson, _ := json.Marshal(inputMessage)
		str2 := string(mjson)

		return str, str2

	}

}

func Gdyb2207A(psnNo string, mdtrtId string, chrgBchno string, certNo string, insutype string, total string, org_name string, doctor string, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string, secret_key string, med_type string, id_card_type int64, fulamt_ownpay_amt float64, overlmt_selfpay float64, preselfpay_amt float64, inscp_scp_amt float64, certificates int64, acct_used_flag string) (string, string) {
	// 生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, secret_key)

	// 生成输入报文
	inputMessage := SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	inputMessage["infno"] = "2207A" // 交易编码
	inputData["psn_no"] = psnNo     // 人员编号 （来自1101接口返回）
	if certificates == 3 {
		inputData["mdtrt_cert_type"] = "99" // 就诊凭证类型
		inputData["mdtrt_cert_no"] = certNo // 就诊凭证编号
	} else {
		if id_card_type == 1 {
			inputData["mdtrt_cert_type"] = "03" // 就诊凭证类型
			inputData["mdtrt_cert_no"] = certNo // 就诊凭证编号
		} else {
			inputData["mdtrt_cert_type"] = "02" // 就诊凭证类型
			inputData["mdtrt_cert_no"] = certNo // 就诊凭证编号
		}
	}
	if med_type == "1111" || med_type == "1112" {
		med_type = "11"
	}
	if insuplc_admdvs == "421300" {
		if med_type == "11" {
			inputData["med_type"] = "110104" // 医疗类别 11 普通门诊  12 门诊挂号
		} else if med_type == "14" {
			inputData["med_type"] = "140101" // 医疗类别 11 普通门诊  12 门诊挂号
		}
	} else {
		inputData["med_type"] = med_type // 医疗类别 11 普通门诊  12 门诊挂号
	}
	inputData["medfee_sumamt"] = total           // 医疗费总额
	inputData["psn_setlway"] = "01"              // 个人结算方式 01 按项目结 02 按定额结算
	inputData["mdtrt_id"] = mdtrtId              // 就诊 ID（来自2201接口返回）
	inputData["chrg_bchno"] = chrgBchno          // 收费批次号(来自2204生成的)
	inputData["acct_used_flag"] = acct_used_flag // 个人账户使用标志 0否 1是
	inputData["insutype"] = insutype             // 险种类型
	inputData["invono"] = ""                     // 发票号

	inputData["fulamt_ownpay_amt"] = fulamt_ownpay_amt //
	inputData["overlmt_selfpay"] = overlmt_selfpay     //
	inputData["preselfpay_amt"] = preselfpay_amt       //
	inputData["inscp_scp_amt"] = inscp_scp_amt         //

	input["data"] = inputData
	inputMessage["input"] = input //交易输入

	bytesData, err := json.Marshal(inputMessage)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	reader := bytes.NewReader(bytesData)
	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/1101"
	//url := gdyb_url + "2207"

	var url string
	if fixmedins_code == "H15049901371" || mdtrtarea_admvs == "450127" ||  mdtrtarea_admvs == "450721" {
		url = gdyb_url
	} else {
		url = gdyb_url + "2207"
	}

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/2207"
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/2207"

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/2207"

	if insuplc_admdvs == "421300" {
		var json2 string
		cmd := exec.Command("java", "-jar", "yh_hb_fat.jar", "2207", string(bytesData), json2)
		out, err := cmd.Output()
		if err != nil {
			fmt.Println("error:", err.Error())
		}
		mjson, _ := json.Marshal(inputMessage)
		str2 := string(mjson)
		fmt.Println(string(out))

		return hex.EncodeToString(out), str2
	} else {

		request, err := http.NewRequest("POST", url, reader)
		if err != nil {
			fmt.Println(err.Error())
			return err.Error(), ""
		}

		request.Header.Set("Content-Type", "application/json;charset=UTF-8")
		request.Header.Set("x-tif-paasid", gdyb_paasid)
		request.Header.Set("x-tif-signature", signature)
		request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
		request.Header.Set("x-tif-nonce", nonce)

		client := http.Client{}
		resp, err := client.Do(request)
		if err != nil {
			fmt.Println(err.Error())
			return err.Error(), ""
		}
		respBytes, err := ioutil.ReadAll(resp.Body)
		if err != nil {
			fmt.Println(err.Error())
			return err.Error(), ""
		}
		str := string(respBytes)
		fmt.Println(str)
		mjson, _ := json.Marshal(inputMessage)
		str2 := string(mjson)

		return str, str2

	}

}

// 门诊结算撤销
func Gdyb2208(psnNo string, mdtrtId string, setlId string, org_name string, doctor string, secret_key string, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string,admin_user_id int64) (string, string) {
	// 生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, secret_key)

	inputMessage := make(map[string]interface{})

	if  mdtrtarea_admvs == "450721"  ||  mdtrtarea_admvs == "450127"{

		inputMessage = SetInputMessage1111(nonce, timestamp, org_name, admin_user_id, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs,doctor)
	} else {
		inputMessage = SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
	}
	// 生成输入报文
	//inputMessage := SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	inputMessage["infno"] = "2208" // 交易编码

	inputData["psn_no"] = psnNo     // 人员编号 （来自1101接口返回）
	inputData["mdtrt_id"] = mdtrtId // 就诊 ID（来自2201接口返回）
	inputData["setl_id"] = setlId   // 结算 ID

	input["data"] = inputData
	inputMessage["input"] = input //交易输入

	bytesData, err := json.Marshal(inputMessage)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	reader := bytes.NewReader(bytesData)
	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/1101"
	//url := gdyb_url + "2208"

	var url string
	if fixmedins_code == "H15049901371" || mdtrtarea_admvs == "450127" ||  mdtrtarea_admvs == "450721" {
		url = gdyb_url
	} else {
		url = gdyb_url + "2208"
	}

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/2208"
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/2208"

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/2208"

	if insuplc_admdvs == "421300" {
		var json2 string
		cmd := exec.Command("java", "-jar", "yh_hb_fat.jar", "2208", string(bytesData), json2)
		out, err := cmd.Output()
		if err != nil {
			fmt.Println("error:", err.Error())
		}
		mjson, _ := json.Marshal(inputMessage)
		str2 := string(mjson)
		fmt.Println(string(out))

		return hex.EncodeToString(out), str2
	} else {
		request, err := http.NewRequest("POST", url, reader)
		if err != nil {
			fmt.Println(err.Error())
			return err.Error(), ""
		}

		request.Header.Set("Content-Type", "application/json;charset=UTF-8")
		request.Header.Set("x-tif-paasid", gdyb_paasid)
		request.Header.Set("x-tif-signature", signature)
		request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
		request.Header.Set("x-tif-nonce", nonce)

		client := http.Client{}
		resp, err := client.Do(request)
		if err != nil {
			fmt.Println(err.Error())
			return err.Error(), ""
		}
		respBytes, err := ioutil.ReadAll(resp.Body)
		if err != nil {
			fmt.Println(err.Error())
			return err.Error(), ""
		}
		str := string(respBytes)
		fmt.Println(str)
		mjson, _ := json.Marshal(inputMessage)
		str2 := string(mjson)
		return str, str2

	}

}

// 确认订单
func Gdyb6201(org_name string, doctor string, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string, secret_key string, order models.HisOrder) string {
	// 生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, secret_key)

	// 生成输入报文
	inputMessage := SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	inputMessage["infno"] = "6201" // 交易编码

	inputData["mdtrt_id"] = order.MdtrtId
	inputData["chrg_bchno"] = order.Number
	inputData["psn_no"] = order.PsnNo
	inputData["psn_name"] = order.PsnName
	inputData["psn_cert_type"] = order.PsnCertType
	inputData["certno"] = order.Certno
	inputData["insutype"] = order.Insutype
	inputData["med_type"] = order.MedType
	inputData["medfee_sumamt"] = order.MedfeeSumamt
	inputData["fulamt_ownpay_amt"] = order.FulamtOwnpayAmt
	inputData["overlmt_selfpay"] = order.OverlmtSelfPay
	inputData["preselfpay_amt"] = order.PreselfpayAmt
	inputData["inscp_scp_amt"] = order.InscpScpAmt
	inputData["act_pay_dedc"] = order.ActPayDedc
	inputData["hifp_pay"] = order.HifpPay
	inputData["pool_prop_selfpay"] = order.PoolPropSelfpay
	inputData["cvlserv_pay"] = order.CvlservPay
	inputData["hifes_pay"] = order.HifesPay
	inputData["hifmi_pay"] = order.HifmiPay
	inputData["hifob_pay"] = order.HifobPay
	inputData["maf_pay"] = order.MafPay
	inputData["oth_pay"] = order.OthPay
	inputData["fund_pay_sumamt"] = order.FundPaySumamt
	inputData["psn_part_amt"] = order.PsnPartAmt
	inputData["acct_pay"] = order.AcctPay
	inputData["psn_cash_pay"] = order.PsnCashPay
	inputData["hosp_part_amt"] = order.HospPartAmt
	inputData["acct_mulaid_pay"] = order.AcctMulaidPay

	input["data"] = inputData
	inputMessage["input"] = input //交易输入

	bytesData, err := json.Marshal(inputMessage)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	reader := bytes.NewReader(bytesData)
	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/1101"
	url := gdyb_url + "6201"
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/6201"
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/6201"

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/2207"
	request, err := http.NewRequest("POST", url, reader)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}

	request.Header.Set("Content-Type", "application/json;charset=UTF-8")
	request.Header.Set("x-tif-paasid", gdyb_paasid)
	request.Header.Set("x-tif-signature", signature)
	request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
	request.Header.Set("x-tif-nonce", nonce)

	client := http.Client{}
	resp, err := client.Do(request)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	respBytes, err := ioutil.ReadAll(resp.Body)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	str := string(respBytes)
	fmt.Println(str)
	return str
}

// 医药机构费用结算对总账 func Gdyb3201( org_name string, doctor string, secret_key string, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string) string {
func Gdyb3201(baseParams models.BaseParams, businessParams models.BusinessParams, admin_user_id int64) string {
	fmt.Println("11222333-----")

	fmt.Println(baseParams)
	fmt.Println(businessParams)
	// 生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, baseParams.SecretKey)
	inputMessage := make(map[string]interface{})

	if  baseParams.MdtrtareaAdmvs == "450721"  ||  baseParams.MdtrtareaAdmvs == "450127"{

		inputMessage = SetInputMessage1111(nonce, timestamp, baseParams.OrgName, admin_user_id, baseParams.FixmedinsCode, baseParams.InsuplcAdmdvs, baseParams.MdtrtareaAdmvs,baseParams.Doctor)
	} else {
		inputMessage = SetInputMessage(nonce, timestamp, baseParams.OrgName, baseParams.Doctor, baseParams.FixmedinsCode, baseParams.InsuplcAdmdvs, baseParams.MdtrtareaAdmvs)

		//inputMessage = SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
	}
	// 生成输入报文
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	inputMessage["infno"] = "3201"                  // 交易编码
	inputData["insutype"] = businessParams.Insutype // 险种
	if  baseParams.MdtrtareaAdmvs == "450721"{
		if businessParams.Insutype == "390"{
			inputData["clr_type"] = "99971"  // 就诊 ID（来自2201接口返回）
		}else{
			inputData["clr_type"] = "99970"  // 就诊 ID（来自2201接口返回）
		}
	}else{
		inputData["clr_type"] = businessParams.ClrType  // 就诊 ID（来自2201接口返回）
	}
	inputData["setl_optins"] = businessParams.SetlOptins              // 结算经办机构
	inputData["stmt_begndate"] = businessParams.StmtBegndate          // 对帐开始时间
	inputData["stmt_enddate"] = businessParams.StmtEnddate            //对帐结束时间
	inputData["medfee_sumamt"] = businessParams.MedfeeSumamt          //医疗费总额
	inputData["fund_pay_sumamt"] = businessParams.FundPaySumamt       //基金支付总额
	inputData["acct_pay"] = businessParams.AcctPay                    //个人账户支付金额
	inputData["fixmedins_setl_cnt"] = businessParams.FixmedinsSetlCnt //定点医药机构结算笔数
	inputData["refd_setl_flag"] = 0                                   // 就诊 ID（来自2201接口返回）

	input["data"] = inputData
	inputMessage["input"] = input //交易输入

	bytesData, err := json.Marshal(inputMessage)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	reader := bytes.NewReader(bytesData)
	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")
	var url string
	if baseParams.MdtrtareaAdmvs == "150499" ||  baseParams.MdtrtareaAdmvs == "450721"{
		url = gdyb_url
	} else {
		url = gdyb_url + "3201"
	}
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/1101"
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/3201"
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/3201"

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/3201"
	request, err := http.NewRequest("POST", url, reader)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}

	request.Header.Set("Content-Type", "application/json;charset=UTF-8")
	request.Header.Set("x-tif-paasid", gdyb_paasid)
	request.Header.Set("x-tif-signature", signature)
	request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
	request.Header.Set("x-tif-nonce", nonce)

	client := http.Client{}
	resp, err := client.Do(request)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	respBytes, err := ioutil.ReadAll(resp.Body)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	str := string(respBytes)
	fmt.Println(str)
	return str
}

type Params struct {
	FileName      string `json:"file_name"`      //产品ID
	In            []byte `json:"in"`             //
	FixmedinsCode string `json:"fixmedins_code"` //调用环境生产为1 沙盒2
}

// 文件上传
func Gdyb9101(baseParams models.BaseParams, file_name string, file_byte []byte) string {

	// 生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, baseParams.SecretKey)

	//buf := new(bytes.Buffer)
	//buf.ReadFrom(strings.NewReader(string(file_byte)))

	inputMessage := SetInputMessage(nonce, timestamp, baseParams.OrgName, baseParams.Doctor, baseParams.FixmedinsCode, baseParams.InsuplcAdmdvs, baseParams.MdtrtareaAdmvs)
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})

	inputMessage["infno"] = "9101"                         // 交易编码
	inputData["file_name"] = file_name                     //文件名
	inputData["in"] = file_byte                            //文件数据
	inputData["fixmedins_code"] = baseParams.FixmedinsCode //编码

	input["fsUploadIn"] = inputData
	inputMessage["input"] = input //交易输入

	bytesData, err := json.Marshal(inputMessage)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	reader := bytes.NewReader(bytesData)
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/9101"
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/9101"

	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/1101"
	url := gdyb_url + "9101"
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/9101"
	request, err := http.NewRequest("POST", url, reader)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}

	request.Header.Set("Content-Type", "application/json;charset=UTF-8")
	request.Header.Set("x-tif-paasid", gdyb_paasid)
	request.Header.Set("x-tif-signature", signature)
	request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
	request.Header.Set("x-tif-nonce", nonce)

	client := http.Client{}
	resp, err := client.Do(request)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	respBytes, err := ioutil.ReadAll(resp.Body)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	str := string(respBytes)
	fmt.Println(str)
	return str
}

func Gdyb9102(baseParams models.BaseParams, file_name string, file_qury_no string) string {

	// 生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, baseParams.SecretKey)
	inputMessage := SetInputMessage(nonce, timestamp, baseParams.OrgName, baseParams.Doctor, baseParams.FixmedinsCode, baseParams.InsuplcAdmdvs, baseParams.MdtrtareaAdmvs)
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	inputMessage["infno"] = "9102"           // 交易编码
	inputData["file_name"] = file_name       //文件名
	inputData["file_qury_no"] = file_qury_no //文件数据

	inputData["fixmedins_code"] = baseParams.FixmedinsCode //编码
	input["fsDownloadIn"] = inputData
	inputMessage["input"] = input //交易输入

	bytesData, err := json.Marshal(inputMessage)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	reader := bytes.NewReader(bytesData)
	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/1101"
	url := gdyb_url + "9102"
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/9102"

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/9102"

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/9102"
	request, err := http.NewRequest("POST", url, reader)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}

	request.Header.Set("Content-Type", "application/json;charset=UTF-8")
	request.Header.Set("x-tif-paasid", gdyb_paasid)
	request.Header.Set("x-tif-signature", signature)
	request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
	request.Header.Set("x-tif-nonce", nonce)

	client := http.Client{}
	resp, err := client.Do(request)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	respBytes, err := ioutil.ReadAll(resp.Body)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	str := string(respBytes)

	enc := mahonia.NewEncoder("gbk")
	//output, err_msg := GetFjBusinessHandleInfo([]byte(enc.ConvertString(string(bytesData))))

	fmt.Println(enc.ConvertString(str))
	return str
}

func Gdyb3202(baseParams models.BaseParams, businessParams models.BusinessParams) string {
	// 生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, baseParams.SecretKey)

	// 生成输入报文
	inputMessage := SetInputMessage(nonce, timestamp, baseParams.OrgName, baseParams.Doctor, baseParams.FixmedinsCode, baseParams.InsuplcAdmdvs, baseParams.MdtrtareaAdmvs)
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	inputMessage["infno"] = "3202"                                    // 交易编码
	inputData["file_qury_no"] = businessParams.FileQuryNo             // 险种
	inputData["setl_optins"] = baseParams.InsuplcAdmdvs               // 结算经办机构
	inputData["stmt_begndate"] = businessParams.StmtBegndate          // 对帐开始时间
	inputData["stmt_enddate"] = businessParams.StmtEnddate            //对帐结束时间
	inputData["medfee_sumamt"] = businessParams.MedfeeSumamt          //医疗费总额
	inputData["fund_pay_sumamt"] = businessParams.FundPaySumamt       //基金支付总额
	inputData["cash_payamt"] = businessParams.CashPayamt              //现金支付金额
	inputData["fixmedins_setl_cnt"] = businessParams.FixmedinsSetlCnt //定点医药机构结算笔数
	inputData["clr_type"] = "11"                                      // 就诊 ID（来自2201接口返回）
	inputData["refd_setl_flag"] = 1                                   // 就诊 ID（来自2201接口返回）

	input["data"] = inputData
	inputMessage["input"] = input //交易输入
	bytesData, err := json.Marshal(inputMessage)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	reader := bytes.NewReader(bytesData)
	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/1101"
	url := gdyb_url + "3202"
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/3202"
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/3202"

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/3202"
	request, err := http.NewRequest("POST", url, reader)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	request.Header.Set("Content-Type", "application/json;charset=UTF-8")
	request.Header.Set("x-tif-paasid", gdyb_paasid)
	request.Header.Set("x-tif-signature", signature)
	request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
	request.Header.Set("x-tif-nonce", nonce)
	client := http.Client{}
	resp, err := client.Do(request)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	respBytes, err := ioutil.ReadAll(resp.Body)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	str := string(respBytes)
	fmt.Println(str)
	return str
}

func Gdyb5203(baseParams models.BaseParams, businessParams models.BusinessParams) string {
	fmt.Println("~~~~~~1")
	fmt.Println(baseParams)
	fmt.Println(businessParams)

	// 生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, baseParams.SecretKey)
	fmt.Println("~~~~~~2")

	// 生成输入报文
	inputMessage := SetInputMessage(nonce, timestamp, baseParams.OrgName, baseParams.Doctor, baseParams.FixmedinsCode, baseParams.InsuplcAdmdvs, baseParams.MdtrtareaAdmvs)
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	inputMessage["infno"] = "5203" // 交易编码
	inputData["psn_no"] = businessParams.PsnNo
	inputData["setl_id"] = businessParams.SetlId
	inputData["mdtrt_id"] = businessParams.MdtrtId
	input["data"] = inputData
	inputMessage["input"] = input //交易输入
	bytesData, err := json.Marshal(inputMessage)
	fmt.Println(string(bytesData))
	fmt.Println("~~~~~~")
	fmt.Println("~~~~~~")
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	reader := bytes.NewReader(bytesData)
	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/1101"
	//url := gdyb_url + "5203"
	var url string
	if baseParams.FixmedinsCode == "H15049901371" ||  baseParams.MdtrtareaAdmvs == "450127" || baseParams.MdtrtareaAdmvs == "450721"  {
		url = gdyb_url
	}else {
		url = gdyb_url + "5203"
	}

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/5203"
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/5203"

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/5203"
	request, err := http.NewRequest("POST", url, reader)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	request.Header.Set("Content-Type", "application/json;charset=UTF-8")
	request.Header.Set("x-tif-paasid", gdyb_paasid)
	request.Header.Set("x-tif-signature", signature)
	request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
	request.Header.Set("x-tif-nonce", nonce)
	client := http.Client{}
	resp, err := client.Do(request)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	respBytes, err := ioutil.ReadAll(resp.Body)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	str := string(respBytes)
	fmt.Println(str)
	return str
}

func Gdyb5204(baseParams models.BaseParams, businessParams models.BusinessParams) string {
	// 生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, baseParams.SecretKey)

	// 生成输入报文
	inputMessage := SetInputMessage(nonce, timestamp, baseParams.OrgName, baseParams.Doctor, baseParams.FixmedinsCode, baseParams.InsuplcAdmdvs, baseParams.MdtrtareaAdmvs)
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	inputMessage["infno"] = "5204" // 交易编码
	inputData["psn_no"] = businessParams.PsnNo
	inputData["setl_id"] = businessParams.SetlId
	inputData["mdtrt_id"] = businessParams.MdtrtId
	input["data"] = inputData
	inputMessage["input"] = input //交易输入
	bytesData, err := json.Marshal(inputMessage)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	reader := bytes.NewReader(bytesData)
	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/1101"
	//url := gdyb_url + "5203"
	var url string
	if baseParams.FixmedinsCode == "H15049901371" ||  baseParams.MdtrtareaAdmvs == "450127" ||  baseParams.MdtrtareaAdmvs == "450721"  {
		url = gdyb_url
	} else {
		url = gdyb_url + "5204"
	}
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/5203"
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/5203"

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/5203"
	request, err := http.NewRequest("POST", url, reader)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	request.Header.Set("Content-Type", "application/json;charset=UTF-8")
	request.Header.Set("x-tif-paasid", gdyb_paasid)
	request.Header.Set("x-tif-signature", signature)
	request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
	request.Header.Set("x-tif-nonce", nonce)
	client := http.Client{}
	resp, err := client.Do(request)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	respBytes, err := ioutil.ReadAll(resp.Body)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	str := string(respBytes)
	fmt.Println(str)
	return str
}

func Gdyb2001(baseParams models.BaseParams, psn_no string, insutype string, med_type string) string {
	if med_type == "1111" || med_type == "1112" {
		med_type = "11"
	}

	// 生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, baseParams.SecretKey)

	// 生成输入报文
	inputMessage := SetInputMessage(nonce, timestamp, baseParams.OrgName, baseParams.Doctor, baseParams.FixmedinsCode, baseParams.InsuplcAdmdvs, baseParams.MdtrtareaAdmvs)
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	inputMessage["infno"] = "2001" // 交易编码
	inputData["psn_no"] = psn_no
	inputData["insutype"] = insutype
	inputData["fixmedins_code"] = baseParams.FixmedinsCode
	inputData["med_type"] = med_type
	inputData["begntime"] = "2021-01-01 00:00:00"
	input["data"] = inputData
	inputMessage["input"] = input //交易输入
	bytesData, err := json.Marshal(inputMessage)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	reader := bytes.NewReader(bytesData)
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/3301"

	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/1101"
	url := gdyb_url
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/3301"
	request, err := http.NewRequest("POST", url, reader)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	request.Header.Set("Content-Type", "application/json;charset=UTF-8")
	request.Header.Set("x-tif-paasid", gdyb_paasid)
	request.Header.Set("x-tif-signature", signature)
	request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
	request.Header.Set("x-tif-nonce", nonce)
	client := http.Client{}
	resp, err := client.Do(request)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	respBytes, err := ioutil.ReadAll(resp.Body)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	str := string(respBytes)
	fmt.Println(str)
	return str
}

func Gdyb3301(baseParams models.BaseParams, name string, codg string, list_type_code string, start_time string, ent_time string, list_type string,admin_user_id int64) string {
	// 生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, baseParams.SecretKey)
	inputMessage := make(map[string]interface{})

	if baseParams.MdtrtareaAdmvs == "450721" {
		inputMessage = SetInputMessage1111(nonce, timestamp, baseParams.OrgName, admin_user_id, baseParams.FixmedinsCode, baseParams.InsuplcAdmdvs, baseParams.MdtrtareaAdmvs,baseParams.Doctor)
		//inputMessage = SetInputMessage1111(nonce, timestamp, org_name, admin_user_id, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs,doctor)
	} else {
		inputMessage = SetInputMessage(nonce, timestamp, baseParams.OrgName, baseParams.Doctor, baseParams.FixmedinsCode, baseParams.InsuplcAdmdvs, baseParams.MdtrtareaAdmvs)

		//inputMessage = SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
	}
	// 生成输入报文
	input := make(map[string]interface{})
	//input2 := make([]map[string]interface{})
	feedetail := make([]map[string]interface{}, 0)

	inputData := make(map[string]interface{})
	inputMessage["infno"] = "3301A" // 交易编码
	inputData["fixmedins_hilist_id"] = codg
	inputData["fixmedins_hilist_name"] = name
	inputData["list_type"] = list_type
	inputData["med_list_codg"] = codg
	inputData["begndate"] = start_time
	inputData["enddate"] = ent_time

	inputData["aprvno"] = ""
	inputData["dosform"] = ""
	inputData["exct_cont"] = ""
	inputData["item_cont"] = ""
	inputData["prcunt"] = ""
	inputData["spec"] = ""
	inputData["pacspec"] = ""
	inputData["memo"] = ""

	feedetail = append(feedetail,inputData)

	input["data"] = feedetail
	inputMessage["input"] = input //交易输入
	bytesData, err := json.Marshal(inputMessage)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	reader := bytes.NewReader(bytesData)
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/3301"
	//
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/3301"
	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")

	url := ""
	if baseParams.MdtrtareaAdmvs == "450721" {
		url = gdyb_url
	}else{

		url = gdyb_url + "3301"
	}

	request, err := http.NewRequest("POST", url, reader)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	request.Header.Set("Content-Type", "application/json;charset=UTF-8")
	request.Header.Set("x-tif-paasid", gdyb_paasid)
	request.Header.Set("x-tif-signature", signature)
	request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
	request.Header.Set("x-tif-nonce", nonce)
	client := http.Client{}
	resp, err := client.Do(request)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	respBytes, err := ioutil.ReadAll(resp.Body)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	str := string(respBytes)
	fmt.Println(str)
	return str
}
func Gdyb3302(baseParams *models.BaseParams, name string, codg string, list_type_code string) string {
	// 生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, baseParams.SecretKey)

	// 生成输入报文
	inputMessage := SetInputMessage(nonce, timestamp, baseParams.OrgName, baseParams.Doctor, baseParams.FixmedinsCode, baseParams.InsuplcAdmdvs, baseParams.MdtrtareaAdmvs)
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	inputMessage["infno"] = "3302" // 交易编码
	inputData["fixmedins_code"] = baseParams.FixmedinsCode
	inputData["fixmedins_hilist_id"] = codg
	inputData["list_type"] = list_type_code
	inputData["med_list_codg"] = codg

	input["data"] = inputData
	inputMessage["input"] = input //交易输入
	bytesData, err := json.Marshal(inputMessage)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	reader := bytes.NewReader(bytesData)
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/3302"

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/3302"
	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/1101"
	url := gdyb_url + "3302"
	request, err := http.NewRequest("POST", url, reader)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	request.Header.Set("Content-Type", "application/json;charset=UTF-8")
	request.Header.Set("x-tif-paasid", gdyb_paasid)
	request.Header.Set("x-tif-signature", signature)
	request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
	request.Header.Set("x-tif-nonce", nonce)
	client := http.Client{}
	resp, err := client.Do(request)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	respBytes, err := ioutil.ReadAll(resp.Body)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	str := string(respBytes)
	fmt.Println(str)
	return str
}
func Gdyb2505(psnNo string, doctor string, org_name string, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string, secret_key string, start_time string, end_time string,admin_user_id int64) string {
	// 生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, secret_key)
	inputMessage := make(map[string]interface{})

	//tempTime := time.Unix(timestamp, 0)
	//timeFormatOne := tempTime.Format("2006-01-02 15:04:05")
	// 生成输入报文
	if mdtrtarea_admvs == "450721"  ||  mdtrtarea_admvs == "450127"{

		inputMessage = SetInputMessage1111(nonce, timestamp, org_name, admin_user_id, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs,doctor)
	} else {
		inputMessage = SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
	}
	// 生成输入报文
	//inputMessage := SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	inputMessage["infno"] = "2505"
	inputData["psn_no"] = psnNo
	inputData["biz_appy_type"] = "01"
	inputData["begndate"] = start_time
	inputData["enddate"] = end_time
	inputData["fixmedins_code"] = fixmedins_code
	inputData["fixmedins_name"] = org_name
	inputData["tel"] = ""
	inputData["addr"] = ""
	inputData["agnter_name"] = ""
	inputData["agnter_cert_type"] = ""
	inputData["agnter_certno"] = ""
	inputData["agnter_tel"] = ""
	inputData["agnter_addr"] = ""
	inputData["agnter_rlts"] = ""
	inputData["fix_srt_no"] = "1"
	inputData["memo"] = ""
	input["data"] = inputData
	inputMessage["input"] = input //交易输入
	bytesData, err := json.Marshal(inputMessage)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	reader := bytes.NewReader(bytesData)
	//fmt.Println(String(bytesData))
	fmt.Println(string(bytesData))

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/2505"
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/2505"
	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")
	url := ""
	if mdtrtarea_admvs == "450721"  ||  mdtrtarea_admvs == "450127"{
		url = gdyb_url

	}else{

		url = gdyb_url+ "2505"

	}


	request, err := http.NewRequest("POST", url, reader)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	request.Header.Set("Content-Type", "application/json;charset=UTF-8")
	request.Header.Set("x-tif-paasid", gdyb_paasid)
	request.Header.Set("x-tif-signature", signature)
	request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
	request.Header.Set("x-tif-nonce", nonce)
	client := http.Client{}
	resp, err := client.Do(request)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	respBytes, err := ioutil.ReadAll(resp.Body)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	str := string(respBytes)
	fmt.Println(str)
	return str
}
func Gdyb2506(psnNo string, doctor string, org_name string, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string, secret_key string, trt_dcla_detl_sn string) string {
	// 生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, secret_key)
	// 生成输入报文
	inputMessage := SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	inputMessage["infno"] = "2506"
	inputData["psn_no"] = psnNo
	inputData["trt_dcla_detl_sn"] = trt_dcla_detl_sn
	inputData["memo"] = ""
	input["data"] = inputData
	inputMessage["input"] = input //交易输入
	bytesData, err := json.Marshal(inputMessage)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	reader := bytes.NewReader(bytesData)

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/2506"
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/2506"

	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/1101"
	url := gdyb_url + "2506"

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/2203"
	request, err := http.NewRequest("POST", url, reader)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}

	request.Header.Set("Content-Type", "application/json;charset=UTF-8")
	request.Header.Set("x-tif-paasid", gdyb_paasid)
	request.Header.Set("x-tif-signature", signature)
	request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
	request.Header.Set("x-tif-nonce", nonce)

	client := http.Client{}
	resp, err := client.Do(request)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	respBytes, err := ioutil.ReadAll(resp.Body)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	str := string(respBytes)
	fmt.Println(str)
	return str
}
func Gdyb2503(psnNo string, insutype string, org_name string, doctor string, fixmedins_code string, doctor_id string, insuplc_admdvs string, mdtrtarea_admvs string, secret_key string, sick_name string, sick_code string, start_time string, end_time string, check_time string, hospital_code string, hospital_name string) string {
	// 生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, secret_key)
	//tempTime := time.Unix(timestamp, 0)
	//timeFormatOne := tempTime.Format("2006-01-02 15:04:05")

	//timeFormatTwo := tempTime.Format("2006-01-02")

	//t := time.Now()
	//last := time.Date(t.Year(), time.December, 31, 0, 0, 0, 0, time.UTC)
	//tm := time.Unix(last.Unix(), 0)

	// 生成输入报文
	inputMessage := SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	inputMessage["infno"] = "2503"                  // 交易编码
	inputData["psn_no"] = psnNo                     // 人员编号 （来自1101接口返回）
	inputData["insutype"] = insutype                // 险种类型（来自1101接口返回）
	inputData["opsp_dise_code"] = sick_code         // 险种类型（来自1101接口返回）
	inputData["opsp_dise_name"] = sick_name         // 险种类型（来自1101接口返回）
	inputData["insu_optins"] = insuplc_admdvs       // 险种类型（来自1101接口返回）
	inputData["ide_fixmedins_no"] = hospital_code   // 险种类型（来自1101接口返回）
	inputData["ide_fixmedins_name"] = hospital_name // 险种类型（来自1101接口返回）
	inputData["hosp_ide_date"] = check_time         // 险种类型（来自1101接口返回）
	inputData["diag_dr_codg"] = doctor_id           // 开始时间
	inputData["diag_dr_name"] = doctor              // 开始时间
	inputData["begndate"] = start_time              // 医师编码
	inputData["tel"] = ""                           // 医师编码
	inputData["addr"] = ""                          // 医师编码
	inputData["enddate"] = end_time                 // 医师编码

	input["data"] = inputData
	inputMessage["input"] = input //交易输入
	bytesData, err := json.Marshal(inputMessage)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	reader := bytes.NewReader(bytesData)
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/2503"
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/2503"
	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/1101"
	//url := gdyb_url + "2503"

	var url string
	if fixmedins_code == "H15049901371" || mdtrtarea_admvs == "450127"  ||  mdtrtarea_admvs == "450721" {
		url = gdyb_url
	} else {
		url = gdyb_url + "2503"
	}

	request, err := http.NewRequest("POST", url, reader)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}

	request.Header.Set("Content-Type", "application/json;charset=UTF-8")
	request.Header.Set("x-tif-paasid", gdyb_paasid)
	request.Header.Set("x-tif-signature", signature)
	request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
	request.Header.Set("x-tif-nonce", nonce)

	client := http.Client{}
	resp, err := client.Do(request)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	respBytes, err := ioutil.ReadAll(resp.Body)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	str := string(respBytes)
	fmt.Println(str)
	return str
}
func Gdyb2504(psnNo string, org_name string, doctor string, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string, secret_key string, trt_dcla_detl_sn string) string {
	// 生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, secret_key)

	// 生成输入报文
	inputMessage := SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	inputMessage["infno"] = "2504"                   // 交易编码
	inputData["psn_no"] = psnNo                      // 人员编号 （来自1101接口返回）
	inputData["trt_dcla_detl_sn"] = trt_dcla_detl_sn // 人员编号 （来自1101接口返回）
	inputData["memo"] = "撤销备案"                       // 人员编号 （来自1101接口返回）

	input["data"] = inputData
	inputMessage["input"] = input //交易输入
	bytesData, err := json.Marshal(inputMessage)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	reader := bytes.NewReader(bytesData)
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/2504"
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/2504"
	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/1101"
	url := gdyb_url + "2504"
	request, err := http.NewRequest("POST", url, reader)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	request.Header.Set("Content-Type", "application/json;charset=UTF-8")
	request.Header.Set("x-tif-paasid", gdyb_paasid)
	request.Header.Set("x-tif-signature", signature)
	request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
	request.Header.Set("x-tif-nonce", nonce)

	client := http.Client{}
	resp, err := client.Do(request)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	respBytes, err := ioutil.ReadAll(resp.Body)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	str := string(respBytes)
	fmt.Println(str)
	return str
}

//func Gdyb2503(psnNo string, doctor string, department string, diag string, org_name string, med_type string, doctor_id int64, fixmedins_code string, diag_code string, insuplc_admdvs string, mdtrtarea_admvs string, secret_key string, sick_code string, sick_name string) string {
//	// 生成签名
//	nonce := GetRandomString(32)
//	timestamp := time.Now().Unix()
//	signature := setSignature(timestamp, nonce, secret_key)
//	tempTime := time.Unix(timestamp, 0)
//	timeFormatOne := tempTime.Format("2006-01-02 15:04:05")
//
//	// 生成输入报文
//	inputMessage := SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
//	input := make(map[string]interface{})
//	inputData := make(map[string]interface{})
//	diseinfo := make([]map[string]interface{}, 0)
//
//	inputMessage["infno"] = "2203"        // 交易编码
//	inputData["mdtrt_id"] = mdtrtId       // 就诊 ID（来自2201接口返回）
//	inputData["psn_no"] = psnNo           // 人员编号 （来自1101接口返回）
//	inputData["med_type"] = med_type      // 医疗类别 16门诊特殊病
//	inputData["begntime"] = timeFormatOne // 开始时间
//	inputData["main_cond_dscr"] = ""      // 主要病情描述
//	inputData["dise_codg"] = sick_code    // 病种编码
//	inputData["dise_name"] = sick_name    // 病种名称
//	inputData["birctrl_type"] = ""        // 计划生育手术类别
//	inputData["birctrl_matn_date"] = ""   // 计划生育手术或生育日期
//
//	diseinfo_sun := make(map[string]interface{})
//	diseinfo_sun["diag_type"] = "1"           // 诊断类别
//	diseinfo_sun["diag_srt_no"] = "1"         // 诊断排序号
//	diseinfo_sun["diag_code"] = diag_code     // 诊断代码
//	diseinfo_sun["diag_name"] = diag          // 诊断名称
//	diseinfo_sun["diag_dept"] = department    // 诊断科室
//	diseinfo_sun["dise_dor_no"] = doctor_id   // 诊断医生编码
//	diseinfo_sun["dise_dor_name"] = doctor    // 诊断医生姓名
//	diseinfo_sun["diag_time"] = timeFormatOne // 诊断时间
//	diseinfo_sun["vali_flag"] = "1"           // 有效标志
//
//	diseinfo = append(diseinfo, diseinfo_sun)
//	input["diseinfo"] = diseinfo
//	input["mdtrtinfo"] = inputData
//	inputMessage["input"] = input //交易输入
//
//	bytesData, err := json.Marshal(inputMessage)
//	fmt.Println(string(bytesData))
//	if err != nil {
//		fmt.Println(err.Error())
//		return err.Error()
//	}
//	reader := bytes.NewReader(bytesData)
//
//	url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/2203"
//
//	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/2203"
//	request, err := http.NewRequest("POST", url, reader)
//	if err != nil {
//		fmt.Println(err.Error())
//		return err.Error()
//	}
//
//	request.Header.Set("Content-Type", "application/json;charset=UTF-8")
//	request.Header.Set("x-tif-paasid", "sg03_prd")
//	request.Header.Set("x-tif-signature", signature)
//	request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
//	request.Header.Set("x-tif-nonce", nonce)
//
//	client := http.Client{}
//	resp, err := client.Do(request)
//	if err != nil {
//		fmt.Println(err.Error())
//		return err.Error()
//	}
//	respBytes, err := ioutil.ReadAll(resp.Body)
//	if err != nil {
//		fmt.Println(err.Error())
//		return err.Error()
//	}
//	str := string(respBytes)
//	fmt.Println(str)
//	return str
//}

func Gdyb5301(psnNo string, org_name string, doctor string, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string, secret_key string,admin_user_id int64) string {
	// 生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	//timestamp := time.Now().UnixNano() / 1e6

	signature := setSignature(timestamp, nonce, secret_key)
	//tempTime := time.Unix(timestamp, 0)
	//timeFormatOne := tempTime.Format("2006-01-02 15:04:05")

	//timeFormatTwo := tempTime.Format("2006-01-02")
	inputMessage := make(map[string]interface{})

	//tempTime := time.Unix(timestamp, 0)
	//timeFormatOne := tempTime.Format("2006-01-02 15:04:05")
	// 生成输入报文
	if mdtrtarea_admvs == "450721"  ||  mdtrtarea_admvs == "450127"{

		inputMessage = SetInputMessage1111(nonce, timestamp, org_name, admin_user_id, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs,doctor)
	} else {
		inputMessage = SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
	}
	// 生成输入报文
	//inputMessage := SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	inputMessage["infno"] = "5301" // 交易编码
	inputData["psn_no"] = psnNo    // 人员编号 （来自1101接口返回）
	input["data"] = inputData
	inputMessage["input"] = input //交易输入
	bytesData, err := json.Marshal(inputMessage)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	reader := bytes.NewReader(bytesData)
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/5301"
	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/1101"
	var url string
	if mdtrtarea_admvs == "450721" ||  mdtrtarea_admvs == "450127"{
		url = gdyb_url


	}else{
		url = gdyb_url + "5301"

	}

	request, err := http.NewRequest("POST", url, reader)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}

	request.Header.Set("Content-Type", "application/json;charset=UTF-8")
	request.Header.Set("x-tif-paasid", gdyb_paasid)
	request.Header.Set("x-tif-signature", signature)
	request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
	request.Header.Set("x-tif-nonce", nonce)

	client := http.Client{}
	resp, err := client.Do(request)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	respBytes, err := ioutil.ReadAll(resp.Body)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	str := string(respBytes)
	fmt.Println(str)
	return str
}

func Gdyb5301Two(psnNo string, org_name string, doctor string, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string, secret_key string) string {
	// 生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, secret_key)
	//tempTime := time.Unix(timestamp, 0)
	//timeFormatOne := tempTime.Format("2006-01-02 15:04:05")

	//timeFormatTwo := tempTime.Format("2006-01-02")

	// 生成输入报文
	inputMessage := SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	inputMessage["infno"] = "5301" // 交易编码
	inputData["psn_no"] = psnNo    // 人员编号 （来自1101接口返回）
	input["data"] = inputData
	inputMessage["input"] = input //交易输入
	bytesData, err := json.Marshal(inputMessage)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	reader := bytes.NewReader(bytesData)
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/5301"
	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/1101"
	url := gdyb_url
	request, err := http.NewRequest("POST", url, reader)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}

	request.Header.Set("Content-Type", "application/json;charset=UTF-8")
	request.Header.Set("x-tif-paasid", gdyb_paasid)
	request.Header.Set("x-tif-signature", signature)
	request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
	request.Header.Set("x-tif-nonce", nonce)

	client := http.Client{}
	resp, err := client.Do(request)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	respBytes, err := ioutil.ReadAll(resp.Body)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	str := string(respBytes)
	fmt.Println(str)
	return str
}

type CustomStruct struct {
	FundPayType string
	FundPayamt  float64
}

type OpspdiseinfoStruct struct {
	DiagName     string
	DiagCode     string
	OprnOprtName string
	OprnOprtCode string
}

type DiaginfoStructTwo struct {
	DiagType     string
	DiagCode     string
	DiagName     string
	MaindiagFlag string
}

type IteminfoStruct struct {
	MedChrgitm      string
	Amt             float64
	ClaaSumfee      float64
	ClabAmt         float64
	FulamtOwnpayAmt float64
	OthAmt          float64
}

type Struct4101 struct {
	PsnNo              string
	MdtrtId            string
	SetlId             string
	HiSetlLv           string
	PsnName            string
	Gend               string
	Brdy               string
	Ntly               string
	Naty               string
	PatnCertType       string
	Certno             string
	Prfs               string
	ConerName          string
	PatnRlts           string
	ConerAddr          string
	ConerTel           string
	HiType             string
	Insuplc            string
	AdmCaty            string
	DscgCaty           string
	MaindiagFlag       string
	BillCode           string
	BillNo             string
	BizSn              string
	SetlBegnDate       string
	SetlEndDate        string
	PsnSelfPay         float64
	PsnOwnPay          float64
	AcctPay            float64
	PsnCashpay         float64
	HiPaymtd           string
	Hsorg              string
	HsorgOpter         string
	MedinsFillDept     string
	MedinsFillPsn      string
	IptMedType         string
	Age                int64
	CustomStruct       []CustomStruct
	OpspdiseinfoStruct []OpspdiseinfoStruct
	Diseinfo           []DiaginfoStructTwo

	IteminfoStruct []IteminfoStruct
	AdmTime        string
	AdmEndTime     string
	HisNo          string
	DoctorName     string
	DoctorCode     string

	CurAddr string

}

func Gdyb4101(struct4101 Struct4101, secret_key string, org_name string, doctor string, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string, org_id int64,admin_user_id int64) (string, string) {
	// 生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, secret_key)
	inputMessage := make(map[string]interface{})

	//tempTime := time.Unix(timestamp, 0)
	//timeFormatOne := tempTime.Format("2006-01-02 15:04:05")
	// 生成输入报文
	if mdtrtarea_admvs == "450721"  ||  mdtrtarea_admvs == "450127"{

		inputMessage = SetInputMessage1111(nonce, timestamp, org_name, admin_user_id, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs,doctor)
	} else {
		inputMessage = SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
	}
	// 生成输入报文
	//inputMessage := SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	if org_id == 10106 || org_id == 10215 || org_id == 10138 || org_id == 9504 {
		inputMessage["infno"] = "4101A" // 交易编码

	} else {
		inputMessage["infno"] = "4101A" // 交易编码

	}
	year := time.Now().Format("2006")
	month := time.Now().Format("01")
	day := time.Now().Format("02")

	inputData["mdtrt_id"] = struct4101.MdtrtId // 就诊 ID  必填（来自2201接口返回）
	inputData["setl_id"] = struct4101.SetlId   // 结算 ID  必填
	inputData["psn_no"] = struct4101.PsnNo     // 结算 ID  必填

	inputData["fixmedins_name"] = org_name                  // 定点医药机构名称  必填
	inputData["fixmedins_code"] = fixmedins_code            // 定点医药机构编码  必填
	inputData["hi_setl_lv"] = ""                            // 医保结算等级
	inputData["hi_no"] = struct4101.PsnNo                   // 医保编号
	inputData["medcasno"] = struct4101.PsnNo                // 病案号  必填
	inputData["dcla_time"] = year + "-" + month + "-" + day // 申报时间  必填
	inputData["psn_name"] = struct4101.PsnName              // 人员姓名  必填
	inputData["gend"] = struct4101.Gend                     // 性别  必填
	inputData["brdy"] = struct4101.Brdy                     // 出生日期  必填
	inputData["age"] = struct4101.Age                       // 年龄  必填
	inputData["ntly"] = struct4101.Ntly                     // 国籍  必填
	inputData["nwb_age"] = ""                               // 年龄  必填
	inputData["naty"] = struct4101.Naty                     // 民族  必填

	inputData["dscg_way"] = "9" // 民族  必填

	//inputData["resp_nurs_code"] = "N441623001432" // 民族  必填

	inputData["patn_cert_type"] = struct4101.PatnCertType     // 患者证件类别  必填
	inputData["certno"] = struct4101.Certno                   // 证件号码  必填
	inputData["prfs"] = struct4101.Prfs                       // 职业  必填
	inputData["curr_addr"] = ""                               // 现住址  必填
	inputData["emp_name"] = ""                                // 单位名称  必填
	inputData["emp_addr"] = ""                                // 单位地址  必填
	inputData["emp_tel"] = ""                                 // 单位电话  必填
	inputData["poscode"] = ""                                 // 邮编  必填
	inputData["coner_name"] = struct4101.ConerName            // 联系人姓名  必填
	inputData["patn_rlts"] = struct4101.PatnRlts              // 与患者关系  必填
	inputData["coner_addr"] = struct4101.ConerAddr            // 联系人地址  必填
	inputData["coner_tel"] = struct4101.ConerTel              // 联系人电话  必填
	inputData["hi_type"] = struct4101.HiType                  // 医保类型  必填
	inputData["insuplc"] = struct4101.Insuplc                 // 参保地  必填
	inputData["sp_psn_type"] = ""                             // 特殊人员类型  必填
	inputData["nwb_adm_type"] = ""                            // 新生儿入院类型  必填
	inputData["nwb_bir_wt"] = ""                              // 新生儿出生体重  必填
	inputData["nwb_adm_wt"] = ""                              // 新生儿入院体重  必填
	inputData["opsp_diag_caty"] = ""                          // 门诊慢特病诊断  必填
	inputData["opsp_mdtrt_date"] = ""                         // 门诊慢特病就诊日期  必填
	inputData["ipt_med_type"] = ""                            // 住院医疗类型  必填
	inputData["adm_way"] = ""                                 // 入院途径  必填
	inputData["trt_type"] = "10"                              // 治疗类别  必填
	inputData["adm_time"] = ""                                // 入院时间  必填
	inputData["adm_caty"] = "A03.06"                          // 入院科别  必填
	inputData["refldept_dept"] = ""                           // 转科科别  必填
	inputData["dscg_time"] = ""                               // 出院时间  必填
	inputData["dscg_caty"] = "A03.06"                         // 出院科别  必填
	inputData["caty"] = "A03.06"                              // 出院科别  必填
	inputData["act_ipt_days"] = ""                            // 实际住院天数  必填
	inputData["otp_wm_dise"] = ""                             // 门（急） 诊西医诊断  必填
	inputData["wm_dise_code"] = ""                            // 门（急） 诊中医诊断  必填
	inputData["otp_tcm_dise"] = ""                            // 西医诊断疾病代码  必填
	inputData["tcm_dise_code"] = ""                           // 中医诊断代码  必填
	inputData["oprn_oprt_code_cnt"] = ""                      // 手术操作代码计数  必填
	inputData["vent_used_dura"] = ""                          // 呼吸机使用时长  必填
	inputData["pwcry_bfadm_coma_dura"] = ""                   // 颅脑损伤患者入院前昏迷时长  必填
	inputData["pwcry_afadm_coma_dura"] = ""                   // 颅脑损伤患者入院后昏迷时长  必填
	inputData["bld_cat"] = ""                                 // 输血品种  必填
	inputData["bld_amt"] = ""                                 // 输血量  必填
	inputData["bld_unt"] = ""                                 // 输血计量单位  必填
	inputData["spga_nurscare_days"] = ""                      // 特级护理天数  必填
	inputData["lv1_nurscare_days"] = ""                       // 一级护理天数  必填
	inputData["scd_nurscare_days"] = ""                       // 二级护理天数  必填
	inputData["lv3_nurscare_days"] = ""                       // 三级护理天数  必填
	inputData["acp_medins_name"] = ""                         // 拟接收机构名称  必填
	inputData["acp_optins_code"] = ""                         // 拟接收机构代码  必填
	inputData["bill_code"] = struct4101.BillCode              // 票据代码  必填
	inputData["bill_no"] = struct4101.BillNo                  // 票据号码  必填
	inputData["biz_sn"] = struct4101.BizSn                    // 业务流水号  必填
	inputData["days_rinp_flag_31"] = ""                       // 出院 31 天内再住院计划标志  必填
	inputData["days_rinp_pup_31"] = ""                        // 出院 31 天内再住院目的  必填
	inputData["chfpdr_name"] = struct4101.DoctorName          // 主诊医师姓名  必填
	inputData["chfpdr_code"] = struct4101.DoctorCode          // 主诊医师代码  必填
	inputData["setl_begn_date"] = struct4101.SetlBegnDate     // 结算开始日期  必填
	inputData["setl_end_date"] = struct4101.SetlEndDate       // 结算结束日期  必填
	inputData["psn_selfpay"] = struct4101.PsnSelfPay          // 个人自付  必填
	inputData["psn_ownpay"] = struct4101.PsnOwnPay            // 个人自费  必填
	inputData["acct_pay"] = struct4101.AcctPay                // 个人账户支出  必填
	inputData["hi_paymtd"] = struct4101.HiPaymtd              // 医保支付方式  必填
	inputData["hsorg"] = struct4101.Hsorg                     // 医保机构  必填
	inputData["hsorg_opter"] = struct4101.HsorgOpter          // 医保机构经办人  必填
	inputData["medins_fill_dept"] = struct4101.MedinsFillDept // 医疗机构填报部门  必填
	inputData["medins_fill_psn"] = struct4101.MedinsFillPsn   // 医疗机构填报人  必填
	inputData["psn_cashpay"] = struct4101.PsnCashpay          // 医疗机构填报人  必填

	payinfo := make([]map[string]interface{}, 0) // 基金支付信息
	for _, item := range struct4101.CustomStruct {
		payinfotemp := make(map[string]interface{})
		if item.FundPayType == "310100" || item.FundPayType == "310200" || item.FundPayType == "320100" || item.FundPayType == "330100" || item.FundPayType == "340100" || item.FundPayType == "350100" || item.FundPayType == "370100" || item.FundPayType == "390100" || item.FundPayType == "610100" || item.FundPayType == "640100" || item.FundPayType == "620100" {
			payinfotemp["fund_pay_type"] = item.FundPayType // 基金支付类型  必填
			payinfotemp["fund_payamt"] = item.FundPayamt    // 基金支付金额
			payinfo = append(payinfo, payinfotemp)
		}
	}
	opspdiseinfo := make([]map[string]interface{}, 0) // 门诊慢特病诊断信息

	opspdiseinfotemp := make(map[string]interface{})
	opspdiseinfotemp["diag_name"] = "慢性肾功能不全（血透治疗）" // 诊断名称  必填
	opspdiseinfotemp["diag_code"] = "N18.904"       // 诊断代码 必填
	opspdiseinfotemp["oprn_oprt_name"] = "血液透析"     // 手术操作名称 必填
	opspdiseinfotemp["oprn_oprt_code"] = "39.9500"  // 手术操作代码 必填
	opspdiseinfo = append(opspdiseinfo, opspdiseinfotemp)

	diseinfo := make([]map[string]interface{}, 0) // 住院诊断信息
	for _, item := range struct4101.Diseinfo {
		diseinfotemp := make(map[string]interface{})
		diseinfotemp["maindiag_flag"] = item.MaindiagFlag // 手术操作代码 必填
		diseinfotemp["diag_type"] = item.DiagType         // 诊断类别  必填
		diseinfotemp["diag_code"] = item.DiagCode         // 诊断代码 必填
		diseinfotemp["diag_name"] = item.DiagName         // 诊断名称 必填
		diseinfotemp["adm_cond_type"] = "3"               // 入院病情类型 必填
		diseinfo = append(diseinfo, diseinfotemp)
	}



	oprninfo := make([]map[string]interface{}, 0) // 手术操作信息
	oprninfotemp := make(map[string]interface{})
	oprninfotemp["oprn_oprt_type"] = "" // 手术操作类别  必填
	oprninfotemp["oprn_oprt_name"] = "" // 手术操作名称 必填
	oprninfotemp["oprn_oprt_code"] = "" // 手术操作代码 必填
	oprninfotemp["oprn_oprt_date"] = "" // 手术操作日期 必填
	oprninfotemp["anst_way"] = ""       // 麻醉方式 必填
	oprninfotemp["oper_dr_name"] = ""   // 术者医师姓名 必填
	oprninfotemp["oper_dr_code"] = ""   // 术者医师代码 必填
	oprninfotemp["anst_dr_name"] = ""   // 麻醉医师姓名 必填
	oprninfotemp["anst_dr_code"] = ""   // 麻醉医师代码 必填
	oprninfo = append(oprninfo, oprninfotemp)

	icuinfo := make([]map[string]interface{}, 0) // 重症监护信息
	icuinfotemp := make(map[string]interface{})
	icuinfotemp["scs_cutd_ward_type"] = ""   // 重症监护病房类型  必填
	icuinfotemp["scs_cutd_inpool_time"] = "" // 重症监护进入时间 必填
	icuinfotemp["scs_cutd_exit_time"] = ""   // 重症监护退出时间 必填
	icuinfotemp["scs_cutd_sum_dura"] = ""    // 重症监护合计时长 必填
	icuinfo = append(icuinfo, icuinfotemp)

	input["setlinfo"] = inputData
	input["payinfo"] = payinfo
	input["opspdiseinfo"] = opspdiseinfo
	input["diseinfo"] = diseinfo
	inputMessage["input"] = input //交易输入

	bytesData, err := json.Marshal(inputMessage)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	reader := bytes.NewReader(bytesData)

	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")
	//url := gdyb_url + "4101"

	var url string
	if mdtrtarea_admvs == "450721"  ||  mdtrtarea_admvs == "450127"{
		url = gdyb_url

		//inputMessage = SetInputMessage1111(nonce, timestamp, org_name, admin_user_id, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs,doctor)
	} else {
		//inputMessage = SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
		url = gdyb_url + "4101A"

	}


	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/4101"
	request, err := http.NewRequest("POST", url, reader)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}

	request.Header.Set("Content-Type", "application/json;charset=UTF-8")
	request.Header.Set("x-tif-paasid", gdyb_paasid)
	request.Header.Set("x-tif-signature", signature)
	request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
	request.Header.Set("x-tif-nonce", nonce)

	client := http.Client{}
	resp, err := client.Do(request)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	respBytes, err := ioutil.ReadAll(resp.Body)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	str := string(respBytes)
	fmt.Println(str)
	return str, string(bytesData)
}


func Gdyb4101fornm(struct4101 Struct4101, secret_key string, org_name string, doctor string, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string, org_id int64,admin_user_id int64) (string, string) {
	// 生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, secret_key)
	inputMessage := make(map[string]interface{})

	//tempTime := time.Unix(timestamp, 0)
	//timeFormatOne := tempTime.Format("2006-01-02 15:04:05")
	// 生成输入报文
	if mdtrtarea_admvs == "450721"  ||  mdtrtarea_admvs == "450127"{

		inputMessage = SetInputMessage1111(nonce, timestamp, org_name, admin_user_id, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs,doctor)
	} else {
		inputMessage = SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
	}
	// 生成输入报文
	//inputMessage := SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	if org_id == 10106 || org_id == 10215 || org_id == 10138 || org_id == 9504 {
		inputMessage["infno"] = "4101A" // 交易编码

	} else {
		inputMessage["infno"] = "4101A" // 交易编码

	}
	year := time.Now().Format("2006")
	month := time.Now().Format("01")
	day := time.Now().Format("02")

	inputData["mdtrt_id"] = struct4101.MdtrtId // 就诊 ID  必填（来自2201接口返回）
	inputData["setl_id"] = struct4101.SetlId   // 结算 ID  必填
	inputData["psn_no"] = struct4101.PsnNo     // 结算 ID  必填

	inputData["fixmedins_name"] = org_name                  // 定点医药机构名称  必填
	inputData["fixmedins_code"] = fixmedins_code            // 定点医药机构编码  必填
	inputData["hi_setl_lv"] = ""                            // 医保结算等级
	inputData["hi_no"] = struct4101.PsnNo                   // 医保编号
	inputData["medcasno"] = struct4101.PsnNo                // 病案号  必填
	inputData["dcla_time"] = year + "-" + month + "-" + day // 申报时间  必填
	inputData["psn_name"] = struct4101.PsnName              // 人员姓名  必填
	inputData["gend"] = struct4101.Gend                     // 性别  必填
	inputData["brdy"] = struct4101.Brdy                     // 出生日期  必填
	inputData["age"] = struct4101.Age                       // 年龄  必填
	inputData["ntly"] = struct4101.Ntly                     // 国籍  必填
	inputData["nwb_age"] = ""                               // 年龄  必填
	inputData["naty"] = struct4101.Naty                     // 民族  必填

	//inputData["dscg_way"] = "9" // 民族  必填

	//inputData["resp_nurs_code"] = "N441623001432" // 民族  必填

	inputData["patn_cert_type"] = struct4101.PatnCertType     // 患者证件类别  必填
	inputData["certno"] = struct4101.Certno                   // 证件号码  必填
	inputData["prfs"] = struct4101.Prfs                       // 职业  必填
	inputData["curr_addr"] = ""                               // 现住址  必填
	inputData["emp_name"] = ""                                // 单位名称  必填
	inputData["emp_addr"] = ""                                // 单位地址  必填
	inputData["emp_tel"] = ""                                 // 单位电话  必填
	inputData["poscode"] = ""                                 // 邮编  必填
	inputData["coner_name"] = struct4101.ConerName            // 联系人姓名  必填
	inputData["patn_rlts"] = struct4101.PatnRlts              // 与患者关系  必填
	inputData["coner_addr"] = struct4101.ConerAddr            // 联系人地址  必填
	inputData["coner_tel"] = struct4101.ConerTel              // 联系人电话  必填
	inputData["hi_type"] = struct4101.HiType                  // 医保类型  必填
	inputData["insuplc"] = struct4101.Insuplc                 // 参保地  必填
	inputData["sp_psn_type"] = ""                             // 特殊人员类型  必填
	inputData["nwb_adm_type"] = ""                            // 新生儿入院类型  必填
	inputData["nwb_bir_wt"] = ""                              // 新生儿出生体重  必填
	inputData["nwb_adm_wt"] = ""                              // 新生儿入院体重  必填
	inputData["opsp_diag_caty"] = ""                          // 门诊慢特病诊断  必填
	inputData["opsp_mdtrt_date"] = ""                         // 门诊慢特病就诊日期  必填
	inputData["ipt_med_type"] = ""                            // 住院医疗类型  必填
	inputData["adm_way"] = ""                                 // 入院途径  必填
	inputData["trt_type"] = "10"                              // 治疗类别  必填
	inputData["adm_time"] = ""                                // 入院时间  必填
	inputData["adm_caty"] = "A03.06"                          // 入院科别  必填
	inputData["refldept_dept"] = ""                           // 转科科别  必填
	inputData["dscg_time"] = ""                               // 出院时间  必填
	inputData["dscg_caty"] = "A03.06"                         // 出院科别  必填
	inputData["caty"] = "A03.06"                              // 出院科别  必填
	inputData["act_ipt_days"] = ""                            // 实际住院天数  必填
	inputData["otp_wm_dise"] = ""                             // 门（急） 诊西医诊断  必填
	inputData["wm_dise_code"] = ""                            // 门（急） 诊中医诊断  必填
	inputData["otp_tcm_dise"] = ""                            // 西医诊断疾病代码  必填
	inputData["tcm_dise_code"] = ""                           // 中医诊断代码  必填
	inputData["oprn_oprt_code_cnt"] = ""                      // 手术操作代码计数  必填
	inputData["vent_used_dura"] = ""                          // 呼吸机使用时长  必填
	inputData["pwcry_bfadm_coma_dura"] = ""                   // 颅脑损伤患者入院前昏迷时长  必填
	inputData["pwcry_afadm_coma_dura"] = ""                   // 颅脑损伤患者入院后昏迷时长  必填
	inputData["bld_cat"] = ""                                 // 输血品种  必填
	inputData["bld_amt"] = ""                                 // 输血量  必填
	inputData["bld_unt"] = ""                                 // 输血计量单位  必填
	inputData["spga_nurscare_days"] = ""                      // 特级护理天数  必填
	inputData["lv1_nurscare_days"] = ""                       // 一级护理天数  必填
	inputData["scd_nurscare_days"] = ""                       // 二级护理天数  必填
	inputData["lv3_nurscare_days"] = ""                       // 三级护理天数  必填
	inputData["acp_medins_name"] = ""                         // 拟接收机构名称  必填
	inputData["acp_optins_code"] = ""                         // 拟接收机构代码  必填
	inputData["bill_code"] = struct4101.BillCode              // 票据代码  必填
	inputData["bill_no"] = struct4101.BillNo                  // 票据号码  必填
	inputData["biz_sn"] = struct4101.BizSn                    // 业务流水号  必填
	inputData["days_rinp_flag_31"] = ""                       // 出院 31 天内再住院计划标志  必填
	inputData["days_rinp_pup_31"] = ""                        // 出院 31 天内再住院目的  必填
	inputData["chfpdr_name"] = struct4101.DoctorName          // 主诊医师姓名  必填
	inputData["chfpdr_code"] = struct4101.DoctorCode          // 主诊医师代码  必填
	inputData["setl_begn_date"] = struct4101.SetlBegnDate     // 结算开始日期  必填
	inputData["setl_end_date"] = struct4101.SetlEndDate       // 结算结束日期  必填
	inputData["psn_selfpay"] = struct4101.PsnSelfPay          // 个人自付  必填
	inputData["psn_ownpay"] = struct4101.PsnOwnPay            // 个人自费  必填
	inputData["acct_pay"] = struct4101.AcctPay                // 个人账户支出  必填
	inputData["hi_paymtd"] = struct4101.HiPaymtd              // 医保支付方式  必填
	inputData["hsorg"] = struct4101.Hsorg                     // 医保机构  必填
	inputData["hsorg_opter"] = struct4101.HsorgOpter          // 医保机构经办人  必填
	inputData["medins_fill_dept"] = struct4101.MedinsFillDept // 医疗机构填报部门  必填
	inputData["medins_fill_psn"] = struct4101.MedinsFillPsn   // 医疗机构填报人  必填
	inputData["psn_cashpay"] = struct4101.PsnCashpay          // 医疗机构填报人  必填
	inputData["dscg_way"] ="1"    // 医疗机构填报人  必填


	payinfo := make([]map[string]interface{}, 0) // 基金支付信息
	for _, item := range struct4101.CustomStruct {
		payinfotemp := make(map[string]interface{})
		if item.FundPayType == "310100" || item.FundPayType == "310200" || item.FundPayType == "320100" || item.FundPayType == "330100" || item.FundPayType == "340100" || item.FundPayType == "350100" || item.FundPayType == "370100" || item.FundPayType == "390100" || item.FundPayType == "610100" || item.FundPayType == "640100" || item.FundPayType == "620100" {
			payinfotemp["fund_pay_type"] = item.FundPayType // 基金支付类型  必填
			payinfotemp["fund_payamt"] = item.FundPayamt    // 基金支付金额
			payinfo = append(payinfo, payinfotemp)
		}
	}
	opspdiseinfo := make([]map[string]interface{}, 0) // 门诊慢特病诊断信息

	opspdiseinfotemp := make(map[string]interface{})
	opspdiseinfotemp["diag_name"] = "慢性肾功能不全（血透治疗）" // 诊断名称  必填
	opspdiseinfotemp["diag_code"] = "N18.904"       // 诊断代码 必填
	opspdiseinfotemp["oprn_oprt_name"] = "血液透析"     // 手术操作名称 必填
	opspdiseinfotemp["oprn_oprt_code"] = "39.9500"  // 手术操作代码 必填
	opspdiseinfo = append(opspdiseinfo, opspdiseinfotemp)

	diseinfo := make([]map[string]interface{}, 0) // 住院诊断信息
	for _, item := range struct4101.Diseinfo {
		diseinfotemp := make(map[string]interface{})
		diseinfotemp["maindiag_flag"] = item.MaindiagFlag // 手术操作代码 必填
		diseinfotemp["diag_type"] = item.DiagType         // 诊断类别  必填
		diseinfotemp["diag_code"] = item.DiagCode         // 诊断代码 必填
		diseinfotemp["diag_name"] = item.DiagName         // 诊断名称 必填
		diseinfotemp["adm_cond_type"] = "3"               // 入院病情类型 必填
		diseinfo = append(diseinfo, diseinfotemp)
	}



	oprninfo := make([]map[string]interface{}, 0) // 手术操作信息
	oprninfotemp := make(map[string]interface{})
	oprninfotemp["oprn_oprt_type"] = "" // 手术操作类别  必填
	oprninfotemp["oprn_oprt_name"] = "" // 手术操作名称 必填
	oprninfotemp["oprn_oprt_code"] = "" // 手术操作代码 必填
	oprninfotemp["oprn_oprt_date"] = "" // 手术操作日期 必填
	oprninfotemp["anst_way"] = ""       // 麻醉方式 必填
	oprninfotemp["oper_dr_name"] = ""   // 术者医师姓名 必填
	oprninfotemp["oper_dr_code"] = ""   // 术者医师代码 必填
	oprninfotemp["anst_dr_name"] = ""   // 麻醉医师姓名 必填
	oprninfotemp["anst_dr_code"] = ""   // 麻醉医师代码 必填
	oprninfo = append(oprninfo, oprninfotemp)

	icuinfo := make([]map[string]interface{}, 0) // 重症监护信息
	icuinfotemp := make(map[string]interface{})
	icuinfotemp["scs_cutd_ward_type"] = ""   // 重症监护病房类型  必填
	icuinfotemp["scs_cutd_inpool_time"] = "" // 重症监护进入时间 必填
	icuinfotemp["scs_cutd_exit_time"] = ""   // 重症监护退出时间 必填
	icuinfotemp["scs_cutd_sum_dura"] = ""    // 重症监护合计时长 必填
	icuinfo = append(icuinfo, icuinfotemp)

	input["setlinfo"] = inputData
	input["payinfo"] = payinfo
	input["opspdiseinfo"] = opspdiseinfo
	input["diseinfo"] = diseinfo
	inputMessage["input"] = input //交易输入

	bytesData, err := json.Marshal(inputMessage)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	reader := bytes.NewReader(bytesData)

	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")
	//url := gdyb_url + "4101"

	var url string
	if mdtrtarea_admvs == "450721"  ||  mdtrtarea_admvs == "450127"{
		url = gdyb_url

		//inputMessage = SetInputMessage1111(nonce, timestamp, org_name, admin_user_id, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs,doctor)
	} else {
		//inputMessage = SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
		url = gdyb_url

	}


	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/4101"
	request, err := http.NewRequest("POST", url, reader)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}

	request.Header.Set("Content-Type", "application/json;charset=UTF-8")
	request.Header.Set("x-tif-paasid", gdyb_paasid)
	request.Header.Set("x-tif-signature", signature)
	request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
	request.Header.Set("x-tif-nonce", nonce)

	client := http.Client{}
	resp, err := client.Do(request)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	respBytes, err := ioutil.ReadAll(resp.Body)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	str := string(respBytes)
	fmt.Println(str)
	return str, string(bytesData)
}

func Gdyb4101For10106(struct4101 Struct4101, secret_key string, org_name string, doctor string, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string, org_id int64) (string, string) {
	// 生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, secret_key)

	// 生成输入报文
	inputMessage := SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	inputMessage["infno"] = "4101A" // 交易编码

	year := time.Now().Format("2006")
	month := time.Now().Format("01")
	day := time.Now().Format("02")

	inputData["mdtrt_id"] = struct4101.MdtrtId // 就诊 ID  必填（来自2201接口返回）
	inputData["setl_id"] = struct4101.SetlId   // 结算 ID  必填
	inputData["psn_no"] = struct4101.PsnNo     // 结算 ID  必填

	inputData["fixmedins_name"] = org_name                    // 定点医药机构名称  必填
	inputData["fixmedins_code"] = fixmedins_code              // 定点医药机构编码  必填
	inputData["hi_setl_lv"] = ""                              // 医保结算等级
	inputData["hi_no"] = struct4101.PsnNo                     // 医保编号
	inputData["medcasno"] = struct4101.PsnNo                  // 病案号  必填
	inputData["dcla_time"] = year + "-" + month + "-" + day   // 申报时间  必填
	inputData["psn_name"] = struct4101.PsnName                // 人员姓名  必填
	inputData["gend"] = struct4101.Gend                       // 性别  必填
	inputData["brdy"] = struct4101.Brdy                       // 出生日期  必填
	inputData["age"] = struct4101.Age                         // 年龄  必填
	inputData["ntly"] = struct4101.Ntly                       // 国籍  必填
	inputData["nwb_age"] = ""                                 // 年龄  必填
	inputData["naty"] = struct4101.Naty                       // 民族  必填
	inputData["patn_cert_type"] = struct4101.PatnCertType     // 患者证件类别  必填
	inputData["certno"] = struct4101.Certno                   // 证件号码  必填
	inputData["prfs"] = struct4101.Prfs                       // 职业  必填
	inputData["curr_addr"] = ""                               // 现住址  必填
	inputData["emp_name"] = ""                                // 单位名称  必填
	inputData["emp_addr"] = ""                                // 单位地址  必填
	inputData["emp_tel"] = ""                                 // 单位电话  必填
	inputData["poscode"] = ""                                 // 邮编  必填
	inputData["coner_name"] = struct4101.ConerName            // 联系人姓名  必填
	inputData["patn_rlts"] = struct4101.PatnRlts              // 与患者关系  必填
	inputData["coner_addr"] = struct4101.ConerAddr            // 联系人地址  必填
	inputData["coner_tel"] = struct4101.ConerTel              // 联系人电话  必填
	inputData["hi_type"] = struct4101.HiType                  // 医保类型  必填
	inputData["insuplc"] = struct4101.Insuplc                 // 参保地  必填
	inputData["sp_psn_type"] = ""                             // 特殊人员类型  必填
	inputData["nwb_adm_type"] = ""                            // 新生儿入院类型  必填
	inputData["nwb_bir_wt"] = ""                              // 新生儿出生体重  必填
	inputData["nwb_adm_wt"] = ""                              // 新生儿入院体重  必填
	inputData["opsp_diag_caty"] = ""                          // 门诊慢特病诊断  必填
	inputData["opsp_mdtrt_date"] = ""                         // 门诊慢特病就诊日期  必填
	inputData["ipt_med_type"] = ""                            // 住院医疗类型  必填
	inputData["adm_way"] = ""                                 // 入院途径  必填
	inputData["trt_type"] = "10"                              // 治疗类别  必填
	inputData["adm_time"] = struct4101.AdmTime                // 入院时间  必填
	inputData["adm_caty"] = struct4101.AdmCaty                // 入院科别  必填
	inputData["refldept_dept"] = ""                           // 转科科别  必填
	inputData["dscg_time"] = struct4101.AdmEndTime            // 出院时间  必填
	inputData["dscg_caty"] = struct4101.DscgCaty              // 出院科别  必填
	inputData["act_ipt_days"] = ""                            // 实际住院天数  必填
	inputData["otp_wm_dise"] = ""                             // 门（急） 诊西医诊断  必填
	inputData["wm_dise_code"] = ""                            // 门（急） 诊中医诊断  必填
	inputData["otp_tcm_dise"] = ""                            // 西医诊断疾病代码  必填
	inputData["tcm_dise_code"] = ""                           // 中医诊断代码  必填
	inputData["oprn_oprt_code_cnt"] = ""                      // 手术操作代码计数  必填
	inputData["vent_used_dura"] = ""                          // 呼吸机使用时长  必填
	inputData["pwcry_bfadm_coma_dura"] = ""                   // 颅脑损伤患者入院前昏迷时长  必填
	inputData["pwcry_afadm_coma_dura"] = ""                   // 颅脑损伤患者入院后昏迷时长  必填
	inputData["bld_cat"] = ""                                 // 输血品种  必填
	inputData["bld_amt"] = ""                                 // 输血量  必填
	inputData["bld_unt"] = ""                                 // 输血计量单位  必填
	inputData["spga_nurscare_days"] = ""                      // 特级护理天数  必填
	inputData["lv1_nurscare_days"] = ""                       // 一级护理天数  必填
	inputData["scd_nurscare_days"] = ""                       // 二级护理天数  必填
	inputData["lv3_nurscare_days"] = ""                       // 三级护理天数  必填
	inputData["acp_medins_name"] = ""                         // 拟接收机构名称  必填
	inputData["acp_optins_code"] = ""                         // 拟接收机构代码  必填
	inputData["bill_code"] = struct4101.BillCode              // 票据代码  必填
	inputData["bill_no"] = struct4101.BillNo                  // 票据号码  必填
	inputData["biz_sn"] = struct4101.BizSn                    // 业务流水号  必填
	inputData["days_rinp_flag_31"] = ""                       // 出院 31 天内再住院计划标志  必填
	inputData["days_rinp_pup_31"] = ""                        // 出院 31 天内再住院目的  必填
	inputData["chfpdr_name"] = struct4101.DoctorName          // 主诊医师姓名  必填
	inputData["chfpdr_code"] = struct4101.DoctorCode          // 主诊医师代码  必填
	inputData["setl_begn_date"] = struct4101.SetlBegnDate     // 结算开始日期  必填
	inputData["setl_end_date"] = struct4101.SetlEndDate       // 结算结束日期  必填
	inputData["psn_selfpay"] = struct4101.PsnSelfPay          // 个人自付  必填
	inputData["psn_ownpay"] = struct4101.PsnOwnPay            // 个人自费  必填
	inputData["acct_pay"] = struct4101.AcctPay                // 个人账户支出  必填
	inputData["hi_paymtd"] = struct4101.HiPaymtd              // 医保支付方式  必填
	inputData["hsorg"] = struct4101.Hsorg                     // 医保机构  必填
	inputData["hsorg_opter"] = struct4101.HsorgOpter          // 医保机构经办人  必填
	inputData["medins_fill_dept"] = struct4101.MedinsFillDept // 医疗机构填报部门  必填
	inputData["medins_fill_psn"] = struct4101.MedinsFillPsn   // 医疗机构填报人  必填
	inputData["psn_cashpay"] = struct4101.PsnCashpay          // 医疗机构填报人  必填

	payinfo := make([]map[string]interface{}, 0) // 基金支付信息
	for _, item := range struct4101.CustomStruct {
		payinfotemp := make(map[string]interface{})
		if item.FundPayType == "310100" || item.FundPayType == "310200" || item.FundPayType == "320100" || item.FundPayType == "330100" || item.FundPayType == "340100" || item.FundPayType == "350100" || item.FundPayType == "370100" || item.FundPayType == "390100" || item.FundPayType == "610100" || item.FundPayType == "640100" || item.FundPayType == "620100" {
			payinfotemp["fund_pay_type"] = item.FundPayType // 基金支付类型  必填
			payinfotemp["fund_payamt"] = item.FundPayamt    // 基金支付金额
			payinfo = append(payinfo, payinfotemp)
		}
	}
	opspdiseinfo := make([]map[string]interface{}, 0) // 门诊慢特病诊断信息

	opspdiseinfotemp := make(map[string]interface{})
	opspdiseinfotemp["diag_name"] = struct4101.Diseinfo[len(struct4101.Diseinfo)-1].DiagName // 诊断名称  必填
	opspdiseinfotemp["diag_code"] = struct4101.Diseinfo[len(struct4101.Diseinfo)-1].DiagCode // 诊断代码 必填
	opspdiseinfotemp["oprn_oprt_name"] = "血液透析"                                              // 手术操作名称 必填
	opspdiseinfotemp["oprn_oprt_code"] = "39.9500"                                           // 手术操作代码 必填
	opspdiseinfo = append(opspdiseinfo, opspdiseinfotemp)

	diseinfo := make([]map[string]interface{}, 0) // 住院诊断信息
	for _, item := range struct4101.Diseinfo {
		diseinfotemp := make(map[string]interface{})
		diseinfotemp["maindiag_flag"] = item.MaindiagFlag // 手术操作代码 必填
		diseinfotemp["diag_type"] = item.DiagType         // 诊断类别  必填
		diseinfotemp["diag_code"] = item.DiagCode         // 诊断代码 必填
		diseinfotemp["diag_name"] = item.DiagName         // 诊断名称 必填
		diseinfotemp["adm_cond_type"] = "3"               // 入院病情类型 必填
		diseinfo = append(diseinfo, diseinfotemp)
	}

	iteminfo := make([]map[string]interface{}, 0)
	for _, item := range struct4101.IteminfoStruct {
		iteminfotemp := make(map[string]interface{})
		iteminfotemp["med_chrgitm"] = item.MedChrgitm            // 医疗收费项目  必填
		iteminfotemp["amt"] = item.Amt                           // 金额 必填
		iteminfotemp["claa_sumfee"] = item.ClaaSumfee            // 甲类费用合计 必填
		iteminfotemp["clab_amt"] = item.ClabAmt                  // 乙类金额 必填
		iteminfotemp["fulamt_ownpay_amt"] = item.FulamtOwnpayAmt // 全自费金额 必填
		iteminfotemp["oth_amt"] = item.OthAmt                    // 其他金额 必填
		iteminfo = append(iteminfo, iteminfotemp)
	}

	oprninfo := make([]map[string]interface{}, 0) // 手术操作信息
	oprninfotemp := make(map[string]interface{})
	oprninfotemp["oprn_oprt_type"] = "" // 手术操作类别  必填
	oprninfotemp["oprn_oprt_name"] = "" // 手术操作名称 必填
	oprninfotemp["oprn_oprt_code"] = "" // 手术操作代码 必填
	oprninfotemp["oprn_oprt_date"] = "" // 手术操作日期 必填
	oprninfotemp["anst_way"] = ""       // 麻醉方式 必填
	oprninfotemp["oper_dr_name"] = ""   // 术者医师姓名 必填
	oprninfotemp["oper_dr_code"] = ""   // 术者医师代码 必填
	oprninfotemp["anst_dr_name"] = ""   // 麻醉医师姓名 必填
	oprninfotemp["anst_dr_code"] = ""   // 麻醉医师代码 必填
	oprninfo = append(oprninfo, oprninfotemp)

	icuinfo := make([]map[string]interface{}, 0) // 重症监护信息
	icuinfotemp := make(map[string]interface{})
	icuinfotemp["scs_cutd_ward_type"] = ""   // 重症监护病房类型  必填
	icuinfotemp["scs_cutd_inpool_time"] = "" // 重症监护进入时间 必填
	icuinfotemp["scs_cutd_exit_time"] = ""   // 重症监护退出时间 必填
	icuinfotemp["scs_cutd_sum_dura"] = ""    // 重症监护合计时长 必填
	icuinfo = append(icuinfo, icuinfotemp)

	input["setlinfo"] = inputData
	input["payinfo"] = payinfo
	input["opspdiseinfo"] = opspdiseinfo
	input["diseinfo"] = diseinfo
	input["iteminfo"] = iteminfo
	inputMessage["input"] = input //交易输入

	bytesData, err := json.Marshal(inputMessage)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	reader := bytes.NewReader(bytesData)

	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")
	//url := gdyb_url + "4101"

	var url string
	if fixmedins_code == "H15049901371" || mdtrtarea_admvs == "450721" ||  mdtrtarea_admvs == "450127"  {
		url = gdyb_url
	} else {

		url = gdyb_url + "4101A"

	}

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/4101"
	request, err := http.NewRequest("POST", url, reader)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}

	request.Header.Set("Content-Type", "application/json;charset=UTF-8")
	request.Header.Set("x-tif-paasid", gdyb_paasid)
	request.Header.Set("x-tif-signature", signature)
	request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
	request.Header.Set("x-tif-nonce", nonce)

	client := http.Client{}
	resp, err := client.Do(request)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	respBytes, err := ioutil.ReadAll(resp.Body)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	str := string(respBytes)
	fmt.Println(str)
	return str, string(bytesData)
}

func Gdyb4101For10138(struct4101 Struct4101, secret_key string, org_name string, doctor string, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string, org_id int64) (string, string) {
	// 生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, secret_key)

	// 生成输入报文
	inputMessage := SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	inputMessage["infno"] = "4101A" // 交易编码

	year := time.Now().Format("2006")
	month := time.Now().Format("01")
	day := time.Now().Format("02")
	inputData["psn_no"] = struct4101.PsnNo                  // 结算 ID  必填
	inputData["mdtrt_id"] = struct4101.MdtrtId              // 就诊 ID  必填（来自2201接口返回）
	inputData["setl_id"] = struct4101.SetlId                // 结算 ID  必填
	inputData["hi_no"] = struct4101.PsnNo                   // 医保编号
	inputData["medcasno"] = struct4101.PsnNo                // 病案号  必填
	inputData["dcla_time"] = year + "-" + month + "-" + day // 申报时间  必填
	inputData["ntly"] = struct4101.Ntly                     // 国籍  必填
	inputData["prfs"] = struct4101.Prfs                     // 职业  必填
	inputData["curr_addr"] = struct4101.CurAddr                            // 现住址  必填
	inputData["emp_name"] = ""                              // 单位名称  必填
	inputData["emp_addr"] = ""                              // 单位地址  必填
	inputData["emp_tel"] = ""
	inputData["poscode"] = ""    // 邮编  必填
	inputData["coner_name"] = "" // 联系人姓名  必填
	inputData["patn_rlts"] = ""  // 与患者关系  必填
	inputData["coner_addr"] = "" // 联系人地址  必填
	inputData["coner_tel"] = ""

	inputData["nwb_adm_type"] = "" // 新生儿入院类型  必填
	inputData["nwb_bir_wt"] = ""   // 新生儿出生体重  必填
	inputData["nwb_adm_wt"] = ""   // 新生儿入院体重  必填

	inputData["mul_nwb_bir_wt"] = "" // 新生儿入院体重  必填
	inputData["mul_nwb_adm_wt"] = "" // 新生儿入院体重  必填

	inputData["opsp_diag_caty"] = ""  // 门诊慢特病诊断  必填
	inputData["opsp_mdtrt_date"] = "" // 门诊慢特病就诊日期  必填

	inputData["adm_way"] = ""  // 入院途径  必填
	inputData["trt_type"] = "" // 治疗类别  必填
	inputData["adm_time"] = "" // 入院时间  必填

	inputData["refldept_dept"] = "" // 转科科别  必填
	inputData["dscg_time"] = ""     // 出院时间  必填
	inputData["dscg_caty"] = ""     // 出院科别  必填

	inputData["otp_wm_dise"] = ""   // 门（急） 诊西医诊断  必填
	inputData["wm_dise_code"] = ""  // 门（急） 诊中医诊断  必填
	inputData["otp_tcm_dise"] = ""  // 西医诊断疾病代码  必填
	inputData["tcm_dise_code"] = "" // 中医诊断代码  必填

	inputData["vent_used_dura"] = ""        // 呼吸机使用时长  必填
	inputData["pwcry_bfadm_coma_dura"] = "" // 颅脑损伤患者入院前昏迷时长  必填
	inputData["pwcry_afadm_coma_dura"] = "" // 颅脑损伤患者入院后昏迷时长  必填

	inputData["spga_nurscare_days"] = "" // 特级护理天数  必填

	inputData["lv1_nurscare_days"] = ""          // 一级护理天数  必填
	inputData["scd_nurscare_days"] = ""          // 二级护理天数  必填
	inputData["lv3_nurscare_days"] = ""          // 三级护理天数  必填
	inputData["acp_medins_name"] = ""            // 拟接收机构名称  必填
	inputData["acp_optins_code"] = ""            // 拟接收机构代码  必填
	inputData["bill_code"] = struct4101.BillCode // 票据代码  必填
	inputData["bill_no"] = struct4101.BillNo     // 票据号码  必填
	inputData["biz_sn"] = struct4101.BizSn       // 业务流水号  必填
	inputData["hi_paymtd"] = "1"                 // 业务流水号  必填

	inputData["days_rinp_flag_31"] = "" // 出院 31 天内再住院计划标志  必填
	inputData["days_rinp_pup_31"] = ""  // 出院 31 天内再住院目的  必填
	//inputData["chfpdr_name"] = struct4101.DoctorName          // 主诊医师姓名  必填
	//inputData["chfpdr_code"] = struct4101.DoctorCode          // 主诊医师代码  必填
	inputData["setl_begn_date"] = struct4101.SetlBegnDate     // 结算开始日期  必填
	inputData["setl_end_date"] = struct4101.SetlEndDate       // 结算结束日期  必填
	inputData["medins_fill_dept"] = struct4101.MedinsFillDept // 医疗机构填报部门  必填
	inputData["medins_fill_psn"] = struct4101.MedinsFillPsn   // 医疗机构填报人  必填

	//payinfo := make([]map[string]interface{}, 0) // 基金支付信息
	//for _, item := range struct4101.CustomStruct {
	//	payinfotemp := make(map[string]interface{})
	//	if item.FundPayType == "310100" || item.FundPayType == "310200" || item.FundPayType == "320100" || item.FundPayType == "330100" || item.FundPayType == "340100" || item.FundPayType == "350100" || item.FundPayType == "370100" || item.FundPayType == "390100" || item.FundPayType == "610100" || item.FundPayType == "640100" || item.FundPayType == "620100" {
	//		payinfotemp["fund_pay_type"] = item.FundPayType // 基金支付类型  必填
	//		payinfotemp["fund_payamt"] = item.FundPayamt    // 基金支付金额
	//		payinfo = append(payinfo, payinfotemp)
	//	}
	//}
	opspdiseinfo := make([]map[string]interface{}, 0) // 门诊慢特病诊断信息

	opspdiseinfotemp := make(map[string]interface{})
	opspdiseinfotemp["diag_name"] = "慢性肾脏病5期" // 诊断名称  必填
	opspdiseinfotemp["diag_code"] = "N18.500"       // 诊断代码 必填
	opspdiseinfotemp["oprn_oprt_name"] = "血液透析"                                              // 手术操作名称 必填
	opspdiseinfotemp["oprn_oprt_code"] = "39.9500"                                           // 手术操作代码 必填
	opspdiseinfo = append(opspdiseinfo, opspdiseinfotemp)

	diseinfo := make([]map[string]interface{}, 0) // 住院诊断信息
	for _, item := range struct4101.Diseinfo {
		diseinfotemp := make(map[string]interface{})
		diseinfotemp["maindiag_flag"] = item.MaindiagFlag // 手术操作代码 必填
		diseinfotemp["diag_type"] = item.DiagType         // 诊断类别  必填
		diseinfotemp["diag_code"] = item.DiagCode         // 诊断代码 必填
		diseinfotemp["diag_name"] = item.DiagName         // 诊断名称 必填
		diseinfotemp["adm_cond_type"] = "3"               // 入院病情类型 必填
		diseinfo = append(diseinfo, diseinfotemp)
	}

	//iteminfo := make([]map[string]interface{}, 0)
	//for _, item := range struct4101.IteminfoStruct {
	//	iteminfotemp := make(map[string]interface{})
	//	iteminfotemp["med_chrgitm"] = item.MedChrgitm            // 医疗收费项目  必填
	//	iteminfotemp["amt"] = item.Amt                           // 金额 必填
	//	iteminfotemp["claa_sumfee"] = item.ClaaSumfee            // 甲类费用合计 必填
	//	iteminfotemp["clab_amt"] = item.ClabAmt                  // 乙类金额 必填
	//	iteminfotemp["fulamt_ownpay_amt"] = item.FulamtOwnpayAmt // 全自费金额 必填
	//	iteminfotemp["oth_amt"] = item.OthAmt                    // 其他金额 必填
	//	iteminfo = append(iteminfo, iteminfotemp)
	//}

	oprninfo := make([]map[string]interface{}, 0) // 手术操作信息
	oprninfotemp := make(map[string]interface{})
	oprninfotemp["oprn_oprt_type"] = "" // 手术操作类别  必填
	oprninfotemp["oprn_oprt_name"] = "" // 手术操作名称 必填
	oprninfotemp["oprn_oprt_code"] = "" // 手术操作代码 必填
	oprninfotemp["oprn_oprt_date"] = "" // 手术操作日期 必填
	oprninfotemp["anst_way"] = ""       // 麻醉方式 必填
	oprninfotemp["oper_dr_name"] = ""   // 术者医师姓名 必填
	oprninfotemp["oper_dr_code"] = ""   // 术者医师代码 必填
	oprninfotemp["anst_dr_name"] = ""   // 麻醉医师姓名 必填
	oprninfotemp["anst_dr_code"] = ""   // 麻醉医师代码 必填
	oprninfo = append(oprninfo, oprninfotemp)

	icuinfo := make([]map[string]interface{}, 0) // 重症监护信息
	icuinfotemp := make(map[string]interface{})
	icuinfotemp["scs_cutd_ward_type"] = ""   // 重症监护病房类型  必填
	icuinfotemp["scs_cutd_inpool_time"] = "" // 重症监护进入时间 必填
	icuinfotemp["scs_cutd_exit_time"] = ""   // 重症监护退出时间 必填
	icuinfotemp["scs_cutd_sum_dura"] = ""    // 重症监护合计时长 必填
	icuinfo = append(icuinfo, icuinfotemp)

	input["setlinfo"] = inputData
	input["opspdiseinfo"] = opspdiseinfo
	//input["diseinfo"] = diseinfo
	//input["oprninfo"] = payinfo
	//input["icuinfo"] = payinfo
	//input["bldinfo"] = payinfo
	inputMessage["input"] = input //交易输入

	bytesData, err := json.Marshal(inputMessage)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	reader := bytes.NewReader(bytesData)

	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")
	//url := gdyb_url + "4101"

	var url string
	if fixmedins_code == "H15049901371" || mdtrtarea_admvs == "450721" ||  mdtrtarea_admvs == "450127" {
		url = gdyb_url
	} else {

		url = gdyb_url + "4101A"

	}

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/4101"
	request, err := http.NewRequest("POST", url, reader)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}

	request.Header.Set("Content-Type", "application/json;charset=UTF-8")
	request.Header.Set("x-tif-paasid", gdyb_paasid)
	request.Header.Set("x-tif-signature", signature)
	request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
	request.Header.Set("x-tif-nonce", nonce)

	client := http.Client{}
	resp, err := client.Do(request)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	respBytes, err := ioutil.ReadAll(resp.Body)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	str := string(respBytes)
	fmt.Println(str)
	return str, string(bytesData)
}

//func Gdyb7101(psnNo string, insutype string, org_name string, doctor string, fixmedins_code string, doctor_id string, insuplc_admdvs string, mdtrtarea_admvs string, secret_key string, sick_name string, sick_code string) string {
//	// 生成签名
//	nonce := GetRandomString(32)
//	timestamp := time.Now().Unix()
//	signature := setSignature(timestamp, nonce, secret_key)
//	tempTime := time.Unix(timestamp, 0)
//	//timeFormatOne := tempTime.Format("2006-01-02 15:04:05")
//
//	timeFormatTwo := tempTime.Format("2006-01-02")
//
//	t := time.Now()
//	last := time.Date(t.Year(), time.December, 31, 0, 0, 0, 0, time.UTC)
//	tm := time.Unix(last.Unix(), 0)
//
//	// 生成输入报文
//	inputMessage := SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
//	input := make(map[string]interface{})
//	inputData := make(map[string]interface{})
//
//	inputData2 := make(map[string]interface{})
//
//	inputMessage["infno"] = "7101"                 // 交易编码
//	inputData["hosp_rxno"] = psnNo                    // 人员编号 （来自1101接口返回）
//	inputData["init_rxno"] = insutype               // 险种类型（来自1101接口返回）
//	inputData["rx_type_code"] = sick_code        // 险种类型（来自1101接口返回）
//	inputData["prsc_time"] = sick_name        // 险种类型（来自1101接口返回）
//	inputData["rx_drug_nums"] = insuplc_admdvs      // 险种类型（来自1101接口返回）
//	inputData["rx_way_codg"] = fixmedins_code // 险种类型（来自1101接口返回）
//	inputData["rx_way_name"] = org_name     // 险种类型（来自1101接口返回）
//	inputData["rx_freq_codg"] = timeFormatTwo     // 险种类型（来自1101接口返回）
//	inputData["rx_freq_name"] = doctor_id          // 开始时间
//	inputData["rx_dosunt"] = doctor             // 开始时间
//	inputData["rx_doscnt"] = timeFormatTwo          // 医师编码
//	inputData["rx_drord_dscr"] = ""                          // 医师编码
//	inputData["valid_days"] = ""                         // 医师编码
//	inputData["valid_end_time"] = tm.Format("2006-01-02") // 医师编码
//	inputData["rept_flag"] = tm.Format("2006-01-02") // 医师编码
//	inputData["max_rept_cnt"] = tm.Format("2006-01-02") // 医师编码
//	inputData["reptd_cnt"] = tm.Format("2006-01-02") // 医师编码
//	inputData["min_inrv_days"] = tm.Format("2006-01-02") // 医师编码
//	inputData["dr_sign_info"] = tm.Format("2006-01-02") // 医师编码
//	inputData["phar_sign_info"] = tm.Format("2006-01-02") // 医师编码
//	inputData["fixmedins_sign_info"] = tm.Format("2006-01-02") // 医师编码
//	inputData["rx_cotn_flag"] = tm.Format("2006-01-02") // 医师编码
//	inputData["rx_file"] = tm.Format("2006-01-02") // 医师编码
//	input["data"] = inputData
//
//
//	inputData2["med_list_codg"] = psnNo                    // 人员编号 （来自1101接口返回）
//	inputData2["fixmedins_hilist_id"] = insutype               // 险种类型（来自1101接口返回）
//	inputData["hosp_prep_flag"] = sick_code        // 险种类型（来自1101接口返回）
//	inputData["rx_item_type_code"] = sick_name        // 险种类型（来自1101接口返回）
//	inputData["rx_item_type_name"] = insuplc_admdvs      // 险种类型（来自1101接口返回）
//	inputData["tcmdrug_type_name"] = fixmedins_code // 险种类型（来自1101接口返回）
//	inputData["tcmdrug_type_code"] = org_name     // 险种类型（来自1101接口返回）
//	inputData["tcmherb_foote"] = timeFormatTwo     // 险种类型（来自1101接口返回）
//	inputData["medn_type_code"] = doctor_id          // 开始时间
//	inputData["medn_type_name"] = doctor             // 开始时间
//	inputData["main_medc_flag"] = timeFormatTwo          // 医师编码
//	inputData["urgt_flag"] = ""                          // 医师编码
//	inputData["bas_medn_flag"] = ""                         // 医师编码
//	inputData["imp_drug_flag"] = tm.Format("2006-01-02") // 医师编码
//	inputData["prod_barc"] = tm.Format("2006-01-02") // 医师编码
//	inputData["drug_prodname"] = tm.Format("2006-01-02") // 医师编码
//
//	inputData["genname_codg"] = tm.Format("2006-01-02") // 医师编码
//	inputData["drug_genname"] = tm.Format("2006-01-02") // 医师编码
//	inputData["chemname"] = tm.Format("2006-01-02") // 医师编码
//
//	inputData["drugstdcode"] = tm.Format("2006-01-02") // 医师编码
//	inputData["drug_dosform"] = tm.Format("2006-01-02") // 医师编码
//
//
//	inputData["drug_spec"] = tm.Format("2006-01-02") // 医师编码
//	inputData["prdr_name"] = tm.Format("2006-01-02") // 医师编码
//
//
//	inputData["drug_pric"] = tm.Format("2006-01-02") // 医师编码
//	inputData["drug_cnt"] = tm.Format("2006-01-02") // 医师编码
//	inputData["drug_cnt_unit"] = tm.Format("2006-01-02") // 医师编码
//	inputData["drug_sumamt"] = tm.Format("2006-01-02") // 医师编码
//	inputData["medc_way_codg"] = tm.Format("2006-01-02") // 医师编码
//	inputData["medc_way_dscr"] = tm.Format("2006-01-02") // 医师编码
//	inputData["medc_starttime"] = tm.Format("2006-01-02") // 医师编码
//
//	inputData["medc_endtime"] = tm.Format("2006-01-02") // 医师编码
//
//
//	inputData["medc_days"] = tm.Format("2006-01-02") // 医师编码
//	inputData["drug_dosunt"] = tm.Format("2006-01-02") // 医师编码
//	inputData["sin_doscnt"] = tm.Format("2006-01-02") // 医师编码
//	inputData["sin_dosunt"] = tm.Format("2006-01-02") // 医师编码
//	inputData["used_frqu_codg"] = tm.Format("2006-01-02") // 医师编码
//
//
//	inputData["used_frqu_name"] = tm.Format("2006-01-02") // 医师编码
//	inputData["drug_totlnt"] = tm.Format("2006-01-02") // 医师编码
//
//	inputData["drug_totlnt_emp"] = tm.Format("2006-01-02") // 医师编码
//	inputData["dise_codg"] = tm.Format("2006-01-02") // 医师编码
//	inputData["drug_res"] = tm.Format("2006-01-02") // 医师编码
//	inputData["drug_limit"] = tm.Format("2006-01-02") // 医师编码
//
//
//
//
//
//
//
//
//
//	input["rxdrugdetail"] = inputData2
//
//
//
//
//	inputMessage["input"] = input //交易输入
//	bytesData, err := json.Marshal(inputMessage)
//	fmt.Println(string(bytesData))
//	if err != nil {
//		fmt.Println(err.Error())
//		return err.Error()
//	}
//	reader := bytes.NewReader(bytesData)
//	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/2503"
//	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/2503"
//	gdyb_url := beego.AppConfig.String("gdyb_url")
//	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")
//	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/1101"
//	url := gdyb_url + "2503"
//
//	request, err := http.NewRequest("POST", url, reader)
//	if err != nil {
//		fmt.Println(err.Error())
//		return err.Error()
//	}
//
//	request.Header.Set("Content-Type", "application/json;charset=UTF-8")
//	request.Header.Set("x-tif-paasid", gdyb_paasid)
//	request.Header.Set("x-tif-signature", signature)
//	request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
//	request.Header.Set("x-tif-nonce", nonce)
//
//	client := http.Client{}
//	resp, err := client.Do(request)
//	if err != nil {
//		fmt.Println(err.Error())
//		return err.Error()
//	}
//	respBytes, err := ioutil.ReadAll(resp.Body)
//	if err != nil {
//		fmt.Println(err.Error())
//		return err.Error()
//	}
//	str := string(respBytes)
//	fmt.Println(str)
//	return str
//}

// 生成签名
func setSignature(timestamp int64, nonce string, secret_key string) string {
	fmt.Println(timestamp)
	fmt.Println(nonce)
	fmt.Println(secret_key)
	fmt.Println(strconv.FormatInt(timestamp, 10))
	fmt.Println(time.Now().UnixNano() / 1e6)

	str := strconv.FormatInt(timestamp, 10) + secret_key + nonce + strconv.FormatInt(timestamp, 10)
	hash := sha256.New()
	//输入数据
	hash.Write([]byte(str))
	//计算哈希值
	bytes := hash.Sum(nil)
	//将字符串编码为16进制格式,返回字符串
	hashCode := hex.EncodeToString(bytes)
	//返回哈希值
	return hashCode
}

const charset = "abcdefghijklmnopqrstuvwxyz" +
	"ABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789"

var seededRand *rand.Rand = rand.New(
	rand.NewSource(time.Now().UnixNano()))

// 生成随机字符串
func GetRandomString(l int) string {

	//str := "0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ"
	//bytes := []byte(str)
	//result := []byte{}
	//r := rand.New(rand.NewSource(time.Now().UnixNano()))
	//for i := 0; i < l; i++ {
	//	result = append(result, bytes[r.Intn(len(bytes))])
	//}
	return String(32)
}
func StringWithCharset(length int, charset string) string {
	b := make([]byte, length)
	for i := range b {
		b[i] = charset[seededRand.Intn(len(charset))]
	}
	return string(b)
}

func String(length int) string {
	return StringWithCharset(length, charset)
}

// 生成基础报文
func SetInputMessage1111(nonce string, timestamp int64, org_name string, doctor int64, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string,op_name string) map[string]interface{} {
	// 生成签名
	tempTime := time.Unix(timestamp, 0)
	//timeFormat := tempTime.Format("20060102150405")
	timeFormatOne := tempTime.Format("2006-01-02 15:04:05")
	//randNum := rand.New(rand.NewSource(time.Now().UnixNano())).Int31n(10000)

	month := time.Unix(1557042972, 0).Format("1")
	year := time.Now().Format("2006")
	month = time.Now().Format("01")
	day := time.Now().Format("02")

	hour := time.Now().Format("15")
	min := time.Now().Format("04")
	sec := time.Now().Format("05")

	msec := time.Now().Format("000")

	// 生成输入报文

	inputMessage := make(map[string]interface{})
	inputMessage["msgid"] = fixmedins_code + year + month + day + hour + min + sec + msec + "0" // 发送方报文 ID
	inputMessage["mdtrtarea_admvs"] = mdtrtarea_admvs                                           // 就医地医保区划
	inputMessage["insuplc_admdvs"] = insuplc_admdvs                                             // 参保地医保区划
	inputMessage["recer_sys_code"] = "1"                                                        // 接收方系统代码
	inputMessage["dev_no"] = ""                                                                 // 设备编号
	inputMessage["dev_safe_info"] = ""                                                          // 设备安全信息
	inputMessage["cainfo"] = ""                                                                 // 数字签名信息
	inputMessage["signtype"] = "MOCK"                                                           // 签名类型
	inputMessage["infver"] = "V1.0"                                                             // 接收方系统代码
	inputMessage["opter_type"] = "1"                                                            // 经办人类别
	inputMessage["opter"] = doctor                                                              // 经办人
	inputMessage["opter_name"] = op_name                                                         // 经办人姓名
	inputMessage["inf_time"] = timeFormatOne                                                    // 交易时间
	inputMessage["fixmedins_code"] = fixmedins_code                                             // 定点医药机构编号
	inputMessage["fixmedins_name"] = org_name                                                   //定点医药机构名称
	if mdtrtarea_admvs == "440100" {
		inputMessage["sign_no"] = GetSignInInfo(fixmedins_code) //交易签到流水号
	} else {
		inputMessage["sign_no"] = GetSignInInfo(fixmedins_code) //交易签到流水号 //交易签到流水号
	}
	return inputMessage
}

func SetInputMessage(nonce string, timestamp int64, org_name string, doctor string, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string) map[string]interface{} {
	// 生成签名
	tempTime := time.Unix(timestamp, 0)
	//timeFormat := tempTime.Format("20060102150405")
	timeFormatOne := tempTime.Format("2006-01-02 15:04:05")
	//randNum := rand.New(rand.NewSource(time.Now().UnixNano())).Int31n(10000)

	month := time.Unix(1557042972, 0).Format("1")
	year := time.Now().Format("2006")
	month = time.Now().Format("01")
	day := time.Now().Format("02")

	hour := time.Now().Format("15")
	min := time.Now().Format("04")
	sec := time.Now().Format("05")

	msec := time.Now().Format("000")

	// 生成输入报文

	inputMessage := make(map[string]interface{})
	inputMessage["msgid"] = fixmedins_code + year + month + day + hour + min + sec + msec + "0" // 发送方报文 ID
	inputMessage["mdtrtarea_admvs"] = mdtrtarea_admvs                                           // 就医地医保区划
	inputMessage["insuplc_admdvs"] = insuplc_admdvs                                             // 参保地医保区划
	inputMessage["recer_sys_code"] = "1"                                                        // 接收方系统代码
	inputMessage["dev_no"] = ""                                                                 // 设备编号
	inputMessage["dev_safe_info"] = ""                                                          // 设备安全信息
	inputMessage["cainfo"] = ""                                                                 // 数字签名信息
	inputMessage["signtype"] = "MOCK"                                                           // 签名类型
	inputMessage["infver"] = "V1.0"                                                             // 接收方系统代码
	inputMessage["opter_type"] = "1"                                                            // 经办人类别
	inputMessage["opter"] = doctor                                                              // 经办人
	inputMessage["opter_name"] = doctor                                                         // 经办人姓名
	inputMessage["inf_time"] = timeFormatOne                                                    // 交易时间
	inputMessage["fixmedins_code"] = fixmedins_code                                             // 定点医药机构编号
	inputMessage["fixmedins_name"] = org_name
		inputMessage["sign_no"] = "" //交易签到流水号

	//定点医药机构名称
	//if mdtrtarea_admvs == "440100" {
	//	inputMessage["sign_no"] = GetSignInInfo(fixmedins_code) //交易签到流水号
	//} else {
	//	inputMessage["sign_no"] = GetSignInInfo(fixmedins_code) //交易签到流水号 //交易签到流水号
	//}
	return inputMessage
}

func SetInputMessagenosign(nonce string, timestamp int64, org_name string, doctor string, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string) map[string]interface{} {
	// 生成签名
	tempTime := time.Unix(timestamp, 0)
	//timeFormat := tempTime.Format("20060102150405")
	timeFormatOne := tempTime.Format("2006-01-02 15:04:05")
	//randNum := rand.New(rand.NewSource(time.Now().UnixNano())).Int31n(10000)

	month := time.Unix(1557042972, 0).Format("1")
	year := time.Now().Format("2006")
	month = time.Now().Format("01")
	day := time.Now().Format("02")

	hour := time.Now().Format("15")
	min := time.Now().Format("04")
	sec := time.Now().Format("05")

	msec := time.Now().Format("000")

	// 生成输入报文

	inputMessage := make(map[string]interface{})
	inputMessage["msgid"] = fixmedins_code + year + month + day + hour + min + sec + msec + "0" // 发送方报文 ID
	inputMessage["mdtrtarea_admvs"] = mdtrtarea_admvs                                           // 就医地医保区划
	inputMessage["insuplc_admdvs"] = insuplc_admdvs                                             // 参保地医保区划
	inputMessage["recer_sys_code"] = "1"                                                        // 接收方系统代码
	inputMessage["dev_no"] = ""                                                                 // 设备编号
	inputMessage["dev_safe_info"] = ""                                                          // 设备安全信息
	inputMessage["cainfo"] = ""                                                                 // 数字签名信息
	inputMessage["signtype"] = "MOCK"                                                           // 签名类型
	inputMessage["infver"] = "V1.0"                                                             // 接收方系统代码
	inputMessage["opter_type"] = "1"                                                            // 经办人类别
	inputMessage["opter"] = doctor                                                              // 经办人
	inputMessage["opter_name"] = doctor                                                         // 经办人姓名
	inputMessage["inf_time"] = timeFormatOne                                                    // 交易时间
	inputMessage["fixmedins_code"] = fixmedins_code                                             // 定点医药机构编号
	inputMessage["fixmedins_name"] = org_name                                                   //定点医药机构名称
	if mdtrtarea_admvs == "440100" {
		inputMessage["sign_no"] = GetSignInInfo(fixmedins_code) //交易签到流水号
	} else {
		inputMessage["sign_no"] =  ""
	}
	return inputMessage
}

//func GetSignInInfo(code string) string {
//	var sign models.HisSignIn
//	err = readDb.Model(&models.HisSignIn{}).Where("fixmedins_code = ? AND status = 1", code).Last(&sign).Error
//	return sign.SignNo
//}


func SetInputMessageThree(nonce string, timestamp int64, org_name string, doctor string, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string, msg_id string) map[string]interface{} {
	// 生成签名
	tempTime := time.Unix(timestamp, 0)
	//timeFormat := tempTime.Format("20060102150405")
	timeFormatOne := tempTime.Format("2006-01-02 15:04:05")
	//randNum := rand.New(rand.NewSource(time.Now().UnixNano())).Int31n(10000)

	// 生成输入报文
	inputMessage := make(map[string]interface{})
	inputMessage["msgid"] = msg_id                    // 发送方报文 ID
	inputMessage["mdtrtarea_admvs"] = mdtrtarea_admvs // 就医地医保区划
	inputMessage["insuplc_admdvs"] = insuplc_admdvs   // 参保地医保区划
	inputMessage["recer_sys_code"] = "1"              // 接收方系统代码
	inputMessage["dev_no"] = ""                       // 设备编号
	inputMessage["dev_safe_info"] = ""                // 设备安全信息
	inputMessage["cainfo"] = ""                       // 数字签名信息
	inputMessage["signtype"] = "SM3"                  // 签名类型
	inputMessage["infver"] = "V1.0"                   // 接收方系统代码
	inputMessage["opter_type"] = "1"                  // 经办人类别
	inputMessage["opter"] = doctor                    // 经办人
	inputMessage["opter_name"] = doctor               // 经办人姓名
	inputMessage["inf_time"] = timeFormatOne          // 交易时间
	inputMessage["fixmedins_code"] = fixmedins_code   // 定点医药机构编号
	inputMessage["fixmedins_name"] = org_name         //定点医药机构名称
	if mdtrtarea_admvs == "440100" {
		inputMessage["sign_no"] = GetSignInInfo(fixmedins_code) //交易签到流水号
	} else {
		inputMessage["sign_no"] = "" //交易签到流水号
	}
	return inputMessage
}

func SetInputMessageTwo(nonce string, timestamp int64, org_name string, doctor string, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string, sign_no string) map[string]interface{} {
	// 生成签名
	tempTime := time.Unix(timestamp, 0)
	//timeFormat := tempTime.Format("20060102150405")
	timeFormatOne := tempTime.Format("2006-01-02 15:04:05")
	//randNum := rand.New(rand.NewSource(time.Now().UnixNano())).Int31n(10000)

	month := time.Unix(1557042972, 0).Format("1")
	year := time.Now().Format("2006")
	month = time.Now().Format("01")
	day := time.Now().Format("02")

	hour := time.Now().Format("15")
	min := time.Now().Format("04")
	sec := time.Now().Format("05")

	msec := time.Now().Format("000")

	// 生成输入报文
	inputMessage := make(map[string]interface{})
	inputMessage["msgid"] = fixmedins_code + year + month + day + hour + min + sec + msec + "0" // 发送方报文 ID
	inputMessage["mdtrtarea_admvs"] = mdtrtarea_admvs                                           // 就医地医保区划
	inputMessage["insuplc_admdvs"] = insuplc_admdvs                                             // 参保地医保区划
	inputMessage["recer_sys_code"] = "1"                                                        // 接收方系统代码
	inputMessage["dev_no"] = ""                                                                 // 设备编号
	inputMessage["dev_safe_info"] = ""                                                          // 设备安全信息
	inputMessage["cainfo"] = ""                                                                 // 数字签名信息
	inputMessage["signtype"] = "SM3"                                                            // 签名类型
	inputMessage["infver"] = "V1.0"                                                             // 接收方系统代码
	inputMessage["opter_type"] = "1"                                                            // 经办人类别
	inputMessage["opter"] = doctor                                                              // 经办人
	inputMessage["opter_name"] = doctor                                                         // 经办人姓名
	inputMessage["inf_time"] = timeFormatOne                                                    // 交易时间
	inputMessage["fixmedins_code"] = fixmedins_code                                             // 定点医药机构编号
	inputMessage["fixmedins_name"] = org_name                                                   //定点医药机构名称
	if mdtrtarea_admvs == "440100" {
		inputMessage["sign_no"] = GetSignInInfo(fixmedins_code) //交易签到流水号
	} else {
		inputMessage["sign_no"] = sign_no //交易签到流水号
	}
	return inputMessage
}

func postFile(filename string, target_url string) (*http.Response, error) {
	body_buf := bytes.NewBufferString("")
	body_writer := multipart.NewWriter(body_buf)

	// use the body_writer to write the Part headers to the buffer
	_, err := body_writer.CreateFormFile("userfile", filename)
	if err != nil {
		fmt.Println("error writing to buffer")
		return nil, err
	}

	// the file data will be the second part of the body
	fh, err := os.Open(filename)
	if err != nil {
		fmt.Println("error opening file")
		return nil, err
	}
	// need to know the boundary to properly close the part myself.
	boundary := body_writer.Boundary()
	//close_string := fmt.Sprintf("\r\n--%s--\r\n", boundary)
	close_buf := bytes.NewBufferString(fmt.Sprintf("\r\n--%s--\r\n", boundary))

	// use multi-reader to defer the reading of the file data until
	// writing to the socket buffer.
	request_reader := io.MultiReader(body_buf, fh, close_buf)
	fi, err := fh.Stat()
	if err != nil {
		fmt.Printf("Error Stating file: %s", filename)
		return nil, err
	}
	req, err := http.NewRequest("POST", target_url, request_reader)
	if err != nil {
		return nil, err
	}

	// Set headers for multipart, and Content Length
	req.Header.Add("Content-Type", "multipart/form-data; boundary="+boundary)
	req.ContentLength = fi.Size() + int64(body_buf.Len()) + int64(close_buf.Len())

	return http.DefaultClient.Do(req)
}

//func Gdyb1201(psnNo string, org_name string, doctor string) string {
//	// 生成签名
//	nonce := GetRandomString(32)
//	timestamp := time.Now().Unix()
//	signature := setSignature(timestamp, nonce)
//
//	// 生成输入报文
//	inputMessage := SetInputMessage(nonce, timestamp, org_name, doctor, "")
//	input := make(map[string]interface{})
//	inputData := make(map[string]interface{})
//	inputMessage["infno"] = "1201"         // 交易编码
//	inputData["fixmedins_type"] = psnNo    // 人员编号 （来自1101接口返回）
//	inputData["fixmedins_name"] = org_name // 人员编号 （来自1101接口返回）
//	inputData["fixmedins_code"] = ""       // 人员编号 （来自1101接口返回）
//
//	input["medinsinfo"] = inputData
//	inputMessage["input"] = input //交易输入
//
//	bytesData, err := json.Marshal(inputMessage)
//	fmt.Println(string(bytesData))
//	if err != nil {
//		fmt.Println(err.Error())
//		return err.Error()
//	}
//	reader := bytes.NewReader(bytesData)
//
//	url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/1201"
//	request, err := http.NewRequest("POST", url, reader)
//	if err != nil {
//		fmt.Println(err.Error())
//		return err.Error()
//	}
//
//	request.Header.Set("Content-Type", "application/json;charset=UTF-8")
//	request.Header.Set("x-tif-paasid", "test_hosp")
//	request.Header.Set("x-tif-signature", signature)
//	request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
//	request.Header.Set("x-tif-nonce", nonce)
//
//	client := http.Client{}
//	resp, err := client.Do(request)
//	if err != nil {
//		fmt.Println(err.Error())
//		return err.Error()
//	}
//	respBytes, err := ioutil.ReadAll(resp.Body)
//	if err != nil {
//		fmt.Println(err.Error())
//		return err.Error()
//	}
//	str := string(respBytes)
//	fmt.Println(str)
//	return str
//}

func newfileUploadRequest(uri string, params map[string]string, paramName, path string) (*http.Request, error) {
	file, err := os.Open(path)
	if err != nil {
		return nil, err
	}
	defer file.Close()

	body := &bytes.Buffer{}
	writer := multipart.NewWriter(body)
	part, err := writer.CreateFormFile(paramName, filepath.Base(path))
	if err != nil {
		return nil, err
	}
	_, err = io.Copy(part, file)

	for key, val := range params {
		_ = writer.WriteField(key, val)
	}
	err = writer.Close()
	if err != nil {
		return nil, err
	}

	req, err := http.NewRequest("POST", uri, body)
	req.Header.Set("Content-Type", writer.FormDataContentType())
	return req, err
}

func CreateMedicalInsuranceCostCompareRecord(record *models.MedicalInsuranceCostCompare) error {
	err := writeDb.Save(&record).Error
	return err
}

//func Gdyb5203(certNo string, org_name string, doctor string, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string, secret_key string) string {
//	// 生成签名
//	nonce := GetRandomString(32)
//	timestamp := time.Now().Unix()
//	signature := setSignature(timestamp, nonce, secret_key)
//
//	// 生成输入报文
//	inputMessage := SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
//	input := make(map[string]interface{})
//	inputData := make(map[string]interface{})
//	inputMessage["infno"] = "5203" // 交易编码
//
//	inputData["fixmedins_type"] = "1"
//	inputData["fixmedins_name"] = org_name
//	inputData["fixmedins_code"] = fixmedins_code
//	input["medinsinfo"] = inputData
//	inputMessage["input"] = input //交易输入
//
//	bytesData, err := json.Marshal(inputMessage)
//	fmt.Println(string(bytesData))
//	if err != nil {
//		fmt.Println(err.Error())
//		return err.Error()
//	}
//	reader := bytes.NewReader(bytesData)
//	url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/1201"
//	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/1201"
//	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/1101"
//	request, err := http.NewRequest("POST", url, reader)
//	if err != nil {
//		fmt.Println(err.Error())
//		return err.Error()
//	}
//
//	request.Header.Set("Content-Type", "application/json;charset=UTF-8")
//	request.Header.Set("x-tif-paasid", "sg03_prd")
//	request.Header.Set("x-tif-signature", signature)
//	request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
//	request.Header.Set("x-tif-nonce", nonce)
//
//	client := http.Client{}
//	resp, err := client.Do(request)
//	if err != nil {
//		fmt.Println(err.Error())
//		return err.Error()
//	}
//	respBytes, err := ioutil.ReadAll(resp.Body)
//	if err != nil {
//		fmt.Println(err.Error())
//		return err.Error()
//	}
//	fmt.Println(string(respBytes))
//	str := string(respBytes)
//	return str
//}

func CreatePsnRecord(record *models.GdybPsnRecord) {
	writeDb.Save(&record)
	return
}

func GetPsnRecordById(id int64) (record models.GdybPsnRecord, err error) {
	err = readDb.Model(&models.GdybPsnRecord{}).Where("id = ?").First(&record).Error
	return
}

func CreatePsnNCDSRecord(record *models.GdybPsnNcdsRecord) {
	writeDb.Save(&record)
	return
}

func GetPsnNCDSRecordById(id int64) (record models.GdybPsnNcdsRecord, err error) {
	err = readDb.Model(&models.GdybPsnNcdsRecord{}).Where("id = ?", id).First(&record).Error
	return
}

func GetPatientsByIds(ids []string, current_org_id int64) (patients []*models.Patients, err error) {
	err = readDb.Model(&models.Patients{}).Where("id IN (?) AND user_org_id = ?", ids, current_org_id).Find(&patients).Error
	return
}

func Gdyb2601(psnNo string, omsgid string, oinfno string, org_name string, doctor string, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string, secret_key string) string {
	// 生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, secret_key)

	// 生成输入报文
	inputMessage := SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	inputMessage["infno"] = "2601" // 交易编码
	inputData["psn_no"] = psnNo
	inputData["omsgid"] = omsgid
	inputData["oinfno"] = oinfno

	input["data"] = inputData
	inputMessage["input"] = input //交易输入
	bytesData, err := json.Marshal(inputMessage)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	reader := bytes.NewReader(bytesData)
	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")
	url := gdyb_url + "2601"
	request, err := http.NewRequest("POST", url, reader)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	request.Header.Set("Content-Type", "application/json;charset=UTF-8")
	request.Header.Set("x-tif-paasid", gdyb_paasid)
	request.Header.Set("x-tif-signature", signature)
	request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
	request.Header.Set("x-tif-nonce", nonce)

	client := http.Client{}
	resp, err := client.Do(request)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	respBytes, err := ioutil.ReadAll(resp.Body)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	str := string(respBytes)
	fmt.Println(str)
	return str
}

// 人员信息版本3
func Gdyb1101B(certNo string, org_name string, doctor string, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string, secret_key string, id_card_type int64, card_sn string, certificates int64, name string, cardNumber string,admin_user_id int64) string {
	//生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, secret_key)
	//生成输入报文
	//inputMessage := SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
	inputMessage := make(map[string]interface{})

	//生成输入报文
	if mdtrtarea_admvs == "450721"  ||  mdtrtarea_admvs == "450127"{

		inputMessage = SetInputMessage1111(nonce, timestamp, org_name, admin_user_id, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs,doctor)

	} else {
		inputMessage = SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)


	}
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	inputMessage["infno"] = "1101" // 交易编码

	if certificates == 3 {
		inputData["mdtrt_cert_type"] = "99"     // 就诊凭证类型
		inputData["certno"] = "01836483"        // 证件号码
		inputData["psn_cert_type"] = "01"       // 人员证件类型
		inputData["mdtrt_cert_no"] = "01836483" // 就诊凭证编号

	} else {
		if certificates == 1 {
			if id_card_type == 1 {
				inputData["mdtrt_cert_type"] = "03"     // 就诊凭证类型
				inputData["card_sn"] = card_sn          // 卡识别码
				inputData["certno"] = certNo            // 证件号码
				inputData["psn_cert_type"] = "01"       // 人员证件类型
				inputData["mdtrt_cert_no"] = cardNumber // 就诊凭证编号

			} else {
				inputData["mdtrt_cert_type"] = "02" // 就诊凭证类型
				inputData["card_sn"] = ""           // 卡识别码
				inputData["certno"] = certNo        // 证件号码
				inputData["psn_cert_type"] = "01"   // 人员证件类型
				inputData["mdtrt_cert_no"] = certNo // 就诊凭证编号

			}

		} else if certificates == 6 {
			inputData["mdtrt_cert_type"] = "03" // 就诊凭证类型
			inputData["card_sn"] = ""           // 卡识别码
			inputData["certno"] = certNo        // 证件号码
			inputData["psn_cert_type"] = "17"   // 人员证件类型
			inputData["mdtrt_cert_no"] = certNo // 就诊凭证编号

		}

	}

	inputData["begntime"] = ""   // 开始时间
	inputData["psn_name"] = name // 人员姓名
	input["data"] = inputData
	inputMessage["input"] = input //交易输入

	bytesData, err := json.Marshal(inputMessage)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	reader := bytes.NewReader(bytesData)
	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/1101"
	//url := gdyb_url + "1101"
	var url string
	if fixmedins_code == "H15049901371" || mdtrtarea_admvs == "450721"  ||  mdtrtarea_admvs == "450127" {
		url = gdyb_url
	} else {
		url = gdyb_url + "1101"
	}

	fmt.Println(url)
	fmt.Println(gdyb_paasid)
	fmt.Println(secret_key)
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/1101"
	request, err := http.NewRequest("POST", url, reader)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}

	request.Header.Set("Content-Type", "application/json;charset=UTF-8")
	request.Header.Set("x-tif-paasid", gdyb_paasid)
	request.Header.Set("x-tif-signature", signature)
	request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
	request.Header.Set("x-tif-nonce", nonce)

	client := http.Client{}
	resp, err := client.Do(request)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	respBytes, err := ioutil.ReadAll(resp.Body)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	fmt.Println(string(respBytes))
	str := string(respBytes)
	return str
}

func Gdyb1101d(certNo string, org_name string, doctor string, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string, secret_key string, id_card_type int64, card_sn string, certificates int64, name string, token string,admin_user_id int64) string {
	//生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, secret_key)
	inputMessage := make(map[string]interface{})

	//生成输入报文
	if mdtrtarea_admvs == "450721"  ||  mdtrtarea_admvs == "450127"{

		inputMessage = SetInputMessage1111(nonce, timestamp, org_name, admin_user_id, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs,doctor)

	} else {
		inputMessage = SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)


	}
	//inputMessage := SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	inputMessage["infno"] = "1101" // 交易编码

	if certificates == 3 {
		inputData["mdtrt_cert_type"] = "99"     // 就诊凭证类型
		inputData["certno"] = "01836483"        // 证件号码
		inputData["psn_cert_type"] = "01"       // 人员证件类型
		inputData["mdtrt_cert_no"] = "01836483" // 就诊凭证编号

	} else {
		if certificates == 1 {
			if id_card_type == 4 {
				inputData["mdtrt_cert_type"] = "01"     // 就诊凭证类型
				inputData["card_sn"] = card_sn          // 卡识别码
				inputData["certno"] = certNo            // 证件号码
				inputData["psn_cert_type"] = "01"       // 人员证件类型
				inputData["mdtrt_cert_no"] = token // 就诊凭证编号

			}

		} else if certificates == 6 {
			inputData["mdtrt_cert_type"] = "03" // 就诊凭证类型
			inputData["card_sn"] = ""           // 卡识别码
			inputData["certno"] = certNo        // 证件号码
			inputData["psn_cert_type"] = "17"   // 人员证件类型
			inputData["mdtrt_cert_no"] = certNo // 就诊凭证编号

		}

	}

	inputData["begntime"] = ""   // 开始时间
	inputData["psn_name"] = name // 人员姓名
	input["data"] = inputData
	inputMessage["input"] = input //交易输入

	bytesData, err := json.Marshal(inputMessage)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	reader := bytes.NewReader(bytesData)
	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/1101"
	//url := gdyb_url + "1101"
	var url string
	if fixmedins_code == "H15049901371" || mdtrtarea_admvs == "450721"  ||  mdtrtarea_admvs == "450127" {
		url = gdyb_url
	} else {
		url = gdyb_url + "1101"
	}

	fmt.Println(url)
	fmt.Println(gdyb_paasid)
	fmt.Println(secret_key)
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/1101"
	request, err := http.NewRequest("POST", url, reader)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}

	request.Header.Set("Content-Type", "application/json;charset=UTF-8")
	request.Header.Set("x-tif-paasid", gdyb_paasid)
	request.Header.Set("x-tif-signature", signature)
	request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
	request.Header.Set("x-tif-nonce", nonce)

	client := http.Client{}
	resp, err := client.Do(request)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	respBytes, err := ioutil.ReadAll(resp.Body)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	fmt.Println(string(respBytes))
	str := string(respBytes)
	return str
}

func Gdyb1101f(certNo string, org_name string, doctor string, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string, secret_key string, id_card_type int64, card_sn string, certificates int64, name string, cardNumber string) string {
	//生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, secret_key)
	//生成输入报文
	inputMessage := SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	inputMessage["infno"] = "1101" // 交易编码

	if certificates == 3 {
		inputData["mdtrt_cert_type"] = "99"     // 就诊凭证类型
		inputData["certno"] = "01836483"        // 证件号码
		inputData["psn_cert_type"] = "01"       // 人员证件类型
		inputData["mdtrt_cert_no"] = "01836483" // 就诊凭证编号

	} else {
		if certificates == 1 {
			if id_card_type == 1 {
				inputData["mdtrt_cert_type"] = "03" // 就诊凭证类型
				inputData["card_sn"] = ""           // 卡识别码
				inputData["certno"] = certNo        // 证件号码
				inputData["psn_cert_type"] = "01"   // 人员证件类型
				inputData["mdtrt_cert_no"] = certNo // 就诊凭证编号

			} else {
				inputData["mdtrt_cert_type"] = "02" // 就诊凭证类型
				inputData["card_sn"] = ""           // 卡识别码
				inputData["certno"] = certNo        // 证件号码
				inputData["psn_cert_type"] = ""     // 人员证件类型
				inputData["mdtrt_cert_no"] = certNo // 就诊凭证编号

			}

		} else if certificates == 6 {
			inputData["mdtrt_cert_type"] = "99" // 就诊凭证类型
			inputData["card_sn"] = ""           // 卡识别码
			inputData["certno"] = certNo        // 证件号码
			inputData["psn_cert_type"] = ""     // 人员证件类型
			inputData["mdtrt_cert_no"] = certNo // 就诊凭证编号

		}

	}

	inputData["begntime"] = "" // 开始时间
	inputData["psn_name"] = "" // 人员姓名
	input["data"] = inputData
	inputMessage["input"] = input //交易输入

	bytesData, err := json.Marshal(inputMessage)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	reader := bytes.NewReader(bytesData)
	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/1101"
	//url := gdyb_url + "1101"
	var url string
	if fixmedins_code == "H15049901371" || mdtrtarea_admvs == "450721"   ||  mdtrtarea_admvs == "450127" {
		url = gdyb_url
	}else {
		url = gdyb_url + "1101"
	}

	fmt.Println(url)
	fmt.Println(gdyb_paasid)
	fmt.Println(secret_key)
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/1101"
	request, err := http.NewRequest("POST", url, reader)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}

	request.Header.Set("Content-Type", "application/json;charset=UTF-8")
	request.Header.Set("x-tif-paasid", gdyb_paasid)
	request.Header.Set("x-tif-signature", signature)
	request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
	request.Header.Set("x-tif-nonce", nonce)

	client := http.Client{}
	resp, err := client.Do(request)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	respBytes, err := ioutil.ReadAll(resp.Body)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	fmt.Println(string(respBytes))
	str := string(respBytes)
	return str
}

func Gdyb1101G(certNo string, org_name string, doctor string, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string, secret_key string, id_card_type int64, card_sn string, certificates int64, name string, cardNumber string) string {
	//生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, secret_key)
	//生成输入报文
	inputMessage := SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	inputMessage["infno"] = "1101" // 交易编码

	inputData["mdtrt_cert_type"] = "03"     // 就诊凭证类型
	inputData["card_sn"] = card_sn          // 卡识别码
	inputData["certno"] = certNo            // 证件号码
	inputData["psn_cert_type"] = "01"       // 人员证件类型
	inputData["mdtrt_cert_no"] = cardNumber // 就诊凭证编号
	inputData["begntime"] = ""              // 开始时间
	inputData["psn_name"] = name            // 人员姓名
	input["data"] = inputData
	inputMessage["input"] = input //交易输入

	bytesData, err := json.Marshal(inputMessage)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	reader := bytes.NewReader(bytesData)
	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/1101"
	//url := gdyb_url + "1101"
	var url string
	if fixmedins_code == "H15049901371" || mdtrtarea_admvs == "450721"  ||  mdtrtarea_admvs == "450127"  {
		url = gdyb_url
	}else {
		url = gdyb_url + "1101"
	}

	fmt.Println(url)
	fmt.Println(gdyb_paasid)
	fmt.Println(secret_key)
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/1101"
	request, err := http.NewRequest("POST", url, reader)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}

	request.Header.Set("Content-Type", "application/json;charset=UTF-8")
	request.Header.Set("x-tif-paasid", gdyb_paasid)
	request.Header.Set("x-tif-signature", signature)
	request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
	request.Header.Set("x-tif-nonce", nonce)

	client := http.Client{}
	resp, err := client.Do(request)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	respBytes, err := ioutil.ReadAll(resp.Body)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	fmt.Println(string(respBytes))
	str := string(respBytes)
	return str
}

func Gdyb1101ForEleCert1111(org_name string, doctor string, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string, secret_key string, token string, user_name string, idNo string,certificates int64) (string, string) {
	//生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, secret_key)
	//生成输入报文
	inputMessage := SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	inputMessage["infno"] = "1101" // 交易编码

	if certificates == 6 {
		inputData["mdtrt_cert_type"] = "99" // 就诊凭证类型
		inputData["psn_cert_type"] = ""   // 人员证件类型
	}else{
		inputData["mdtrt_cert_type"] = "01" // 就诊凭证类型
		inputData["psn_cert_type"] = "01"   // 人员证件类型
	}

	inputData["card_sn"] = ""           // 卡识别码
	inputData["certno"] = idNo          // 证件号码

	inputData["mdtrt_cert_no"] = token // 就诊凭证编号
	inputData["begntime"] = ""         // 开始时间
	inputData["psn_name"] = user_name  // 人员姓名
	input["data"] = inputData
	inputMessage["input"] = input //交易输入

	bytesData, err := json.Marshal(inputMessage)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	reader := bytes.NewReader(bytesData)
	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/1101"
	//url := gdyb_url + "1101"
	var url string
	if fixmedins_code == "H15049901371" || mdtrtarea_admvs == "450721"  ||  mdtrtarea_admvs == "450127"  {
		url = gdyb_url
	} else {
		url = gdyb_url + "1101"
	}

	fmt.Println(url)
	fmt.Println(gdyb_paasid)
	fmt.Println(secret_key)
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/1101"
	request, err := http.NewRequest("POST", url, reader)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}

	request.Header.Set("Content-Type", "application/json;charset=UTF-8")
	request.Header.Set("x-tif-paasid", gdyb_paasid)
	request.Header.Set("x-tif-signature", signature)
	request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
	request.Header.Set("x-tif-nonce", nonce)

	client := http.Client{}
	resp, err := client.Do(request)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	respBytes, err := ioutil.ReadAll(resp.Body)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	fmt.Println(string(respBytes))
	str := string(respBytes)
	return str, string(bytesData)

}

func Gdyb1101ForEleCert(org_name string, doctor string, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string, secret_key string, token string, user_name string, idNo string) (string, string) {
	//生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, secret_key)
	//生成输入报文
	inputMessage := SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	inputMessage["infno"] = "1101" // 交易编码


	inputData["mdtrt_cert_type"] = "01" // 就诊凭证类型
	inputData["psn_cert_type"] = "01"   // 人员证件类型



	inputData["card_sn"] = ""           // 卡识别码
	inputData["certno"] = idNo          // 证件号码

	inputData["mdtrt_cert_no"] = token // 就诊凭证编号
	inputData["begntime"] = ""         // 开始时间
	inputData["psn_name"] = user_name  // 人员姓名
	input["data"] = inputData
	inputMessage["input"] = input //交易输入

	bytesData, err := json.Marshal(inputMessage)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	reader := bytes.NewReader(bytesData)
	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/1101"
	//url := gdyb_url + "1101"
	var url string
	if fixmedins_code == "H15049901371" || mdtrtarea_admvs == "450721"  ||  mdtrtarea_admvs == "450127"  {
		url = gdyb_url
	} else {
		url = gdyb_url + "1101"
	}

	fmt.Println(url)
	fmt.Println(gdyb_paasid)
	fmt.Println(secret_key)
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/1101"
	request, err := http.NewRequest("POST", url, reader)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}

	request.Header.Set("Content-Type", "application/json;charset=UTF-8")
	request.Header.Set("x-tif-paasid", gdyb_paasid)
	request.Header.Set("x-tif-signature", signature)
	request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
	request.Header.Set("x-tif-nonce", nonce)

	client := http.Client{}
	resp, err := client.Do(request)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	respBytes, err := ioutil.ReadAll(resp.Body)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	fmt.Println(string(respBytes))
	str := string(respBytes)
	return str, string(bytesData)

}

func Gdyb1101ForEleCerttwo(org_name string, doctor string, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string, secret_key string, token string, user_name string, idNo string) (string, string) {
	//生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, secret_key)
	//生成输入报文
	inputMessage := SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	inputMessage["infno"] = "1101" // 交易编码

	inputData["mdtrt_cert_type"] = "01" // 就诊凭证类型
	inputData["card_sn"] = ""           // 卡识别码
	inputData["certno"] = idNo          // 证件号码
	inputData["psn_cert_type"] = "01"   // 人员证件类型

	inputData["mdtrt_cert_no"] = token // 就诊凭证编号
	inputData["begntime"] = ""         // 开始时间
	inputData["psn_name"] = user_name  // 人员姓名
	input["data"] = inputData
	inputMessage["input"] = input //交易输入

	bytesData, err := json.Marshal(inputMessage)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	reader := bytes.NewReader(bytesData)
	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/1101"
	//url := gdyb_url + "1101"
	var url string
	if fixmedins_code == "H15049901371" || mdtrtarea_admvs == "450721"  ||  mdtrtarea_admvs == "450127"  {
		url = gdyb_url
	} else {
		url = gdyb_url + "1101"
	}

	fmt.Println(url)
	fmt.Println(gdyb_paasid)
	fmt.Println(secret_key)
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/1101"
	request, err := http.NewRequest("POST", url, reader)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}

	request.Header.Set("Content-Type", "application/json;charset=UTF-8")
	request.Header.Set("x-tif-paasid", gdyb_paasid)
	request.Header.Set("x-tif-signature", signature)
	request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
	request.Header.Set("x-tif-nonce", nonce)

	client := http.Client{}
	resp, err := client.Do(request)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	respBytes, err := ioutil.ReadAll(resp.Body)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	fmt.Println(string(respBytes))
	str := string(respBytes)
	return str, string(bytesData)

}

func Gdyb6101(org_name string, doctor string, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string, secret_key string) (string, string) {
	//生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, secret_key)
	//生成输入报文
	inputMessage := SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	inputMessage["infno"] = "6101" // 交易编码

	inputData["orgId"] = fixmedins_code  // 就诊凭证类型
	inputData["businessType"] = "01101"  // 卡识别码
	inputData["businessInfo"] = ""       // 证件号码
	inputData["operateorId"] = "01"      // 人员证件类型
	inputData["operateornName"] = doctor // 就诊凭证编号
	inputData["officeId"] = "01"         // 开始时间
	inputData["officeName"] = "血透"       // 人员姓名
	inputData["deviceType"] = ""         // 人员姓名
	input["InData"] = inputData
	inputMessage["input"] = input //交易输入

	bytesData, err := json.Marshal(inputMessage)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	reader := bytes.NewReader(bytesData)
	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/1101"
	//url := gdyb_url + "1101"
	var url string
	if fixmedins_code == "H15049901371" || mdtrtarea_admvs == "450127"   ||  mdtrtarea_admvs == "450127" {
		url = gdyb_url
	} else {
		url = gdyb_url + "1101"
	}

	fmt.Println(url)
	fmt.Println(gdyb_paasid)
	fmt.Println(secret_key)
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/1101"
	request, err := http.NewRequest("POST", url, reader)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}

	request.Header.Set("Content-Type", "application/json;charset=UTF-8")
	request.Header.Set("x-tif-paasid", gdyb_paasid)
	request.Header.Set("x-tif-signature", signature)
	request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
	request.Header.Set("x-tif-nonce", nonce)

	client := http.Client{}
	resp, err := client.Do(request)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	respBytes, err := ioutil.ReadAll(resp.Body)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	fmt.Println(string(respBytes))
	str := string(respBytes)
	return str, string(bytesData)

}

// 人员信息版本4
func Gdyb1101C(certNo string, org_name string, doctor string, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string, secret_key string, id_card_type int64, card_sn string, certificates int64) (string, string) {
	//生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	//signature := setSignature(timestamp, nonce, secret_key)
	//生成输入报文
	inputMessage := SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	inputMessage["infno"] = "1101" // 交易编码

	if certificates == 3 {
		inputData["mdtrt_cert_type"] = "99" // 就诊凭证类型
		inputData["certno"] = certNo        // 证件号码
		inputData["psn_cert_type"] = "99"   // 人员证件类型

	} else {
		if id_card_type == 1 {
			inputData["mdtrt_cert_type"] = "03" // 就诊凭证类型
			inputData["card_sn"] = ""           // 卡识别码
			inputData["certno"] = ""            // 证件号码
			inputData["psn_cert_type"] = ""     // 人员证件类型

		} else {
			inputData["mdtrt_cert_type"] = "02" // 就诊凭证类型
			inputData["card_sn"] = ""           // 卡识别码
			inputData["certno"] = certNo        // 证件号码
			inputData["psn_cert_type"] = "1"    // 人员证件类型
		}
	}

	inputData["mdtrt_cert_no"] = "" // 就诊凭证编号
	inputData["begntime"] = ""      // 开始时间
	inputData["psn_name"] = ""      // 人员姓名
	input["data"] = inputData
	inputMessage["input"] = input //交易输入
	bytesData, err := json.Marshal(inputMessage)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	var json2 string
	cmd := exec.Command("java", "-jar", "yh_hb_fat.jar", "1101", string(bytesData), json2)
	out, err := cmd.Output()
	if err != nil {
		fmt.Println("error:", err.Error())
	}
	fmt.Println(string(out))
	return string(out), string(bytesData)
}

func StrPtr(s string) uintptr {
	return uintptr(unsafe.Pointer(syscall.StringBytePtr(s)))
}

func Gdyb90991(psn_no string, org_name string, doctor string, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string, secret_key string, pwd string, card_number string) string {
	//生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, secret_key)
	//生成输入报文
	inputMessage := SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	inputMessage["infno"] = "90991" // 交易编码

	inputData["fixmedins_code"] = fixmedins_code // 就诊凭证编号
	inputData["psn_no"] = psn_no                 // 开始时间
	inputData["card_pwd"] = pwd                  // 人员姓名
	inputData["sscno"] = card_number             // 人员姓名

	input["data"] = inputData
	inputMessage["input"] = input //交易输入

	bytesData, err := json.Marshal(inputMessage)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	reader := bytes.NewReader(bytesData)
	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")

	url := gdyb_url + "90991"
	request, err := http.NewRequest("POST", url, reader)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}

	request.Header.Set("Content-Type", "application/json;charset=UTF-8")
	request.Header.Set("x-tif-paasid", gdyb_paasid)
	request.Header.Set("x-tif-signature", signature)
	request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
	request.Header.Set("x-tif-nonce", nonce)

	client := http.Client{}
	resp, err := client.Do(request)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	respBytes, err := ioutil.ReadAll(resp.Body)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	fmt.Println(string(respBytes))
	str := string(respBytes)
	return str
}
func Gdyb90100(psn_no string, org_name string, doctor string, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string, secret_key string) string {
	//生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, secret_key)
	//生成输入报文
	inputMessage := SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	inputMessage["infno"] = "90100" // 交易编码
	inputData["psn_no"] = psn_no    // 开始时间
	input["data"] = inputData
	inputMessage["input"] = input //交易输入

	bytesData, err := json.Marshal(inputMessage)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}

	reader := bytes.NewReader(bytesData)
	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")

	url := gdyb_url + "90100"
	request, err := http.NewRequest("POST", url, reader)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}

	request.Header.Set("Content-Type", "application/json;charset=UTF-8")
	request.Header.Set("x-tif-paasid", gdyb_paasid)
	request.Header.Set("x-tif-signature", signature)
	request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
	request.Header.Set("x-tif-nonce", nonce)

	client := http.Client{}
	resp, err := client.Do(request)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	respBytes, err := ioutil.ReadAll(resp.Body)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	fmt.Println(string(respBytes))
	str := string(respBytes)
	return str
}

func Gdyb3260(org_name string, doctor string, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string, secret_key string, year string, month string, sign string, count int) (string, string) {
	//生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, secret_key)
	//生成输入报文
	inputMessage := SetInputMessageTwo(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs, sign)
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	inputMessage["infno"] = "3260" // 交易编码
	inputData["sign"] = sign       // 就诊凭证编号
	inputData["trt_year"] = year   // 就诊凭证编号
	inputData["trt_month"] = month // 开始时间
	inputData["startrow"] = count  // 人员姓名
	input["data"] = inputData
	inputMessage["input"] = input //交易输入
	var inputLog string
	bytesData, err := json.Marshal(inputMessage)
	inputLog = string(bytesData)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	reader := bytes.NewReader(bytesData)
	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")

	var url string
	if fixmedins_code == "H15049901371" || mdtrtarea_admvs == "450721"   ||  mdtrtarea_admvs == "450127" {
		url = gdyb_url
	} else {
		url = gdyb_url + "3260"
	}

	if insuplc_admdvs == "421300" {
		var json2 string
		cmd := exec.Command("java", "-jar", "yh_hb_fat.jar", "1101", string(bytesData), json2)
		out, err := cmd.Output()
		if err != nil {
			fmt.Println("error:", err.Error())
		}
		fmt.Println(string(out))
		return hex.EncodeToString(out), inputLog
	} else {

		//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/1101"
		request, err := http.NewRequest("POST", url, reader)
		if err != nil {
			fmt.Println(err.Error())
			return err.Error(), ""
		}

		request.Header.Set("Content-Type", "application/json;charset=UTF-8")
		request.Header.Set("x-tif-paasid", gdyb_paasid)
		request.Header.Set("x-tif-signature", signature)
		request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
		request.Header.Set("x-tif-nonce", nonce)

		client := http.Client{}
		resp, err := client.Do(request)
		if err != nil {
			fmt.Println(err.Error())
			return err.Error(), ""
		}
		respBytes, err := ioutil.ReadAll(resp.Body)
		if err != nil {
			fmt.Println(err.Error())
			return err.Error(), ""
		}
		fmt.Println(string(respBytes))
		str := string(respBytes)
		return str, inputLog

	}

}
func Gdyb3261(org_name string, doctor string, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string, secret_key string, year string, month string, result3260 []models.Result3260, sign_no string) {

	//msg_month := time.Unix(1557042972, 0).Format("1")
	//msg_year := time.Now().Format("2006")
	//msg_month = time.Now().Format("01")
	//day := time.Now().Format("02")
	//
	//hour := time.Now().Format("15")
	//min := time.Now().Format("04")
	//sec := time.Now().Format("05")
	//
	//msec := time.Now().Format("000")

	//msg_id := fixmedins_code + msg_year + msg_month + day + hour + min + sec + msec + "0"

	feedetail := make([]map[string]interface{}, 0)

	for _, subitem := range result3260 {
		for _, item := range subitem.Output.Data {
			if item.MdtrtId != "out20230406681871" && item.MdtrtId != "out20230406681868" && item.MdtrtId != "out202404174009254" &&  item.MdtrtId != "out202405154379275"   {
				feedetailInfo := make(map[string]interface{})
				feedetailInfo["certno"] = item.Certno
				feedetailInfo["mdtrt_id"] = item.MdtrtId                  // 就诊 ID（来自2201接口返回）
				feedetailInfo["mdtrt_setl_time"] = item.MdtrtSetlTime     // 人员编号 （来自1101接口返回）
				feedetailInfo["setl_sn"] = item.SetlSn                    // 收费批次号
				feedetailInfo["medfee_sumamt"] = item.MedfeeSumamt        // 病种编码
				feedetailInfo["optins_pay_sumamt"] = item.OptinsPaySumamt // 处方号
				feedetailInfo["cnfm_flag"] = "1"                          // 处方号
				feedetail = append(feedetail, feedetailInfo)
			}
		}
	}
	for _, subitem := range result3260 {
		for _, item := range subitem.Output.Data {

			if item.MdtrtId == "out20230406681871" {
				feedetailInfo := make(map[string]interface{})
				feedetailInfo["certno"] = item.Certno
				feedetailInfo["mdtrt_id"] = item.MdtrtId                  // 就诊 ID（来自2201接口返回）
				feedetailInfo["mdtrt_setl_time"] = item.MdtrtSetlTime     // 人员编号 （来自1101接口返回）
				feedetailInfo["setl_sn"] = item.SetlSn                    // 收费批次号
				feedetailInfo["medfee_sumamt"] = item.MedfeeSumamt        // 病种编码
				feedetailInfo["optins_pay_sumamt"] = item.OptinsPaySumamt // 处方号
				feedetailInfo["cnfm_flag"] = "0"                          // 处方号
				feedetail = append(feedetail, feedetailInfo)
			}
		}
	}
	for _, subitem := range result3260 {
		for _, item := range subitem.Output.Data {

			if item.MdtrtId == "out20230406681868" {
				feedetailInfo := make(map[string]interface{})
				feedetailInfo["certno"] = item.Certno
				feedetailInfo["mdtrt_id"] = item.MdtrtId                  // 就诊 ID（来自2201接口返回）
				feedetailInfo["mdtrt_setl_time"] = item.MdtrtSetlTime     // 人员编号 （来自1101接口返回）
				feedetailInfo["setl_sn"] = item.SetlSn                    // 收费批次号
				feedetailInfo["medfee_sumamt"] = item.MedfeeSumamt        // 病种编码
				feedetailInfo["optins_pay_sumamt"] = item.OptinsPaySumamt // 处方号
				feedetailInfo["cnfm_flag"] = "0"                          // 处方号
				feedetail = append(feedetail, feedetailInfo)
			}
		}
	}




	// 分页操作
	pageSize := 100
	pages := paginate(feedetail, pageSize)
	//aa := 0
	// 输出每一页的数据
	for _, page := range pages {

		nonce := GetRandomString(32)
		timestamp := time.Now().Unix()
		signature := setSignature(timestamp, nonce, secret_key)
		//生成输入报文
		//aa = aa + len(page)
		//nonce := GetRandomString(32)
		//timestamp := time.Now().Unix()
		inputMessage := SetInputMessageTwo(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs, sign_no)
		input := make(map[string]interface{})
		inputData := make(map[string]interface{})
		inputMessage["infno"] = "3261" // 交易编码
		inputData["trt_year"] = year   // 就诊凭证编号
		inputData["trt_month"] = month // 开始时间

		inputData["totalrow"] =len(feedetail)// 人员姓名
		input["data"] = inputData
		input["detail"] = page
		inputMessage["input"] = input //交易输入
		//var inputLog string
		bytesData, err := json.Marshal(inputMessage)
		//inputLog = string(bytesData)
		fmt.Println(string(bytesData))
		if err != nil {
			fmt.Println(err.Error())
			return
		}
		reader := bytes.NewReader(bytesData)
		gdyb_url := beego.AppConfig.String("gdyb_url")
		gdyb_paasid := beego.AppConfig.String("gdyb_paasid")

		var url string
		if fixmedins_code == "H15049901371" || mdtrtarea_admvs == "450721"   ||  mdtrtarea_admvs == "450127" {
			url = gdyb_url
		} else {
			url = gdyb_url + "3261"
		}

		//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/1101"
		request, err := http.NewRequest("POST", url, reader)
		if err != nil {
			fmt.Println(err.Error())
			return
		}

		request.Header.Set("Content-Type", "application/json;charset=UTF-8")
		request.Header.Set("x-tif-paasid", gdyb_paasid)
		request.Header.Set("x-tif-signature", signature)
		request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
		request.Header.Set("x-tif-nonce", nonce)

		client := http.Client{}
		resp, err := client.Do(request)
		if err != nil {
			fmt.Println(err.Error())
			return
		}
		respBytes, err := ioutil.ReadAll(resp.Body)
		if err != nil {
			fmt.Println(err.Error())
			return
		}
		fmt.Println(string(respBytes))
		str := string(respBytes)
		fmt.Println(str)
	}



	//for _, item := range result3260.Output.Data[start-1 : stop] {
	//	if item.MdtrtId != "out20230406681871" && item.MdtrtId != "out20230406681868" {
	//		feedetailInfo := make(map[string]interface{})
	//		feedetailInfo["certno"] = item.Certno
	//		feedetailInfo["mdtrt_id"] = item.MdtrtId                  // 就诊 ID（来自2201接口返回）
	//		feedetailInfo["mdtrt_setl_time"] = item.MdtrtSetlTime     // 人员编号 （来自1101接口返回）
	//		feedetailInfo["setl_sn"] = item.SetlSn                    // 收费批次号
	//		feedetailInfo["medfee_sumamt"] = item.MedfeeSumamt        // 病种编码
	//		feedetailInfo["optins_pay_sumamt"] = item.OptinsPaySumamt // 处方号
	//		feedetailInfo["cnfm_flag"] = "1"                          // 处方号
	//		feedetail = append(feedetail, feedetailInfo)
	//	}
	//}
	//for _, item := range result3260.Output.Data[start-1 : stop] {
	//	if item.MdtrtId == "out20230406681871" {
	//		feedetailInfo := make(map[string]interface{})
	//		feedetailInfo["certno"] = item.Certno
	//		feedetailInfo["mdtrt_id"] = item.MdtrtId                  // 就诊 ID（来自2201接口返回）
	//		feedetailInfo["mdtrt_setl_time"] = item.MdtrtSetlTime     // 人员编号 （来自1101接口返回）
	//		feedetailInfo["setl_sn"] = item.SetlSn                    // 收费批次号
	//		feedetailInfo["medfee_sumamt"] = item.MedfeeSumamt        // 病种编码
	//		feedetailInfo["optins_pay_sumamt"] = item.OptinsPaySumamt // 处方号
	//		feedetailInfo["cnfm_flag"] = "0"                          // 处方号
	//		feedetail = append(feedetail, feedetailInfo)
	//	}
	//
	//}
	//for _, item := range result3260.Output.Data[start-1 : stop] {
	//	if item.MdtrtId == "out20230406681868" {
	//		feedetailInfo := make(map[string]interface{})
	//		feedetailInfo["certno"] = item.Certno
	//		feedetailInfo["mdtrt_id"] = item.MdtrtId                  // 就诊 ID（来自2201接口返回）
	//		feedetailInfo["mdtrt_setl_time"] = item.MdtrtSetlTime     // 人员编号 （来自1101接口返回）
	//		feedetailInfo["setl_sn"] = item.SetlSn                    // 收费批次号
	//		feedetailInfo["medfee_sumamt"] = item.MedfeeSumamt        // 病种编码
	//		feedetailInfo["optins_pay_sumamt"] = item.OptinsPaySumamt // 处方号
	//		feedetailInfo["cnfm_flag"] = "0"                          // 处方号
	//		feedetail = append(feedetail, feedetailInfo)
	//	}
	//
	//}


	return
}

func Gdyb3263(org_name string, doctor string, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string, secret_key string, year string, month string, result3260 []models.Result3260, sign_no string) {

	//msg_month := time.Unix(1557042972, 0).Format("1")
	//msg_year := time.Now().Format("2006")
	//msg_month = time.Now().Format("01")
	//day := time.Now().Format("02")
	//
	//hour := time.Now().Format("15")
	//min := time.Now().Format("04")
	//sec := time.Now().Format("05")
	//
	//msec := time.Now().Format("000")

	//msg_id := fixmedins_code + msg_year + msg_month + day + hour + min + sec + msec + "0"

	feedetail := make([]map[string]interface{}, 0)

	for _, subitem := range result3260 {
		for _, item := range subitem.Output.Data {
			if item.MdtrtId != "out20230406681871" && item.MdtrtId != "out20230406681868" && item.MdtrtId != "out202404174009254" {
				feedetailInfo := make(map[string]interface{})
				feedetailInfo["certno"] = item.Certno
				feedetailInfo["mdtrt_id"] = item.MdtrtId                  // 就诊 ID（来自2201接口返回）
				feedetailInfo["mdtrt_setl_time"] = item.MdtrtSetlTime     // 人员编号 （来自1101接口返回）
				feedetailInfo["setl_sn"] = item.SetlSn                    // 收费批次号
				feedetailInfo["medfee_sumamt"] = item.MedfeeSumamt        // 病种编码
				feedetailInfo["optins_pay_sumamt"] = item.OptinsPaySumamt // 处方号
				feedetailInfo["cnfm_flag"] = "1"                          // 处方号
				feedetail = append(feedetail, feedetailInfo)
			}
		}
	}
	for _, subitem := range result3260 {
		for _, item := range subitem.Output.Data {

			if item.MdtrtId == "out20230406681871" {
				feedetailInfo := make(map[string]interface{})
				feedetailInfo["certno"] = item.Certno
				feedetailInfo["mdtrt_id"] = item.MdtrtId                  // 就诊 ID（来自2201接口返回）
				feedetailInfo["mdtrt_setl_time"] = item.MdtrtSetlTime     // 人员编号 （来自1101接口返回）
				feedetailInfo["setl_sn"] = item.SetlSn                    // 收费批次号
				feedetailInfo["medfee_sumamt"] = item.MedfeeSumamt        // 病种编码
				feedetailInfo["optins_pay_sumamt"] = item.OptinsPaySumamt // 处方号
				feedetailInfo["cnfm_flag"] = "0"                          // 处方号
				feedetail = append(feedetail, feedetailInfo)
			}
		}
	}
	for _, subitem := range result3260 {
		for _, item := range subitem.Output.Data {

			if item.MdtrtId == "out20230406681868" {
				feedetailInfo := make(map[string]interface{})
				feedetailInfo["certno"] = item.Certno
				feedetailInfo["mdtrt_id"] = item.MdtrtId                  // 就诊 ID（来自2201接口返回）
				feedetailInfo["mdtrt_setl_time"] = item.MdtrtSetlTime     // 人员编号 （来自1101接口返回）
				feedetailInfo["setl_sn"] = item.SetlSn                    // 收费批次号
				feedetailInfo["medfee_sumamt"] = item.MedfeeSumamt        // 病种编码
				feedetailInfo["optins_pay_sumamt"] = item.OptinsPaySumamt // 处方号
				feedetailInfo["cnfm_flag"] = "0"                          // 处方号
				feedetail = append(feedetail, feedetailInfo)
			}
		}
	}


	var firstSlice, secondSlice []map[string]interface{}
	if len(feedetail) > 500 {
		firstSlice = feedetail[:500]
		secondSlice = feedetail[500:]
	} else {
		firstSlice = feedetail
		secondSlice = []map[string]interface{}{}
	}
	fmt.Println(firstSlice)


	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, secret_key)
	//生成输入报文
	total := 0
	for _, item := range  result3260{
		total =total + len(item.Output.Data)

	}

	//nonce := GetRandomString(32)
	//timestamp := time.Now().Unix()
	inputMessage := SetInputMessageTwo(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs, sign_no)
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	inputMessage["infno"] = "3261" // 交易编码
	inputData["trt_year"] = year   // 就诊凭证编号
	inputData["trt_month"] = month // 开始时间

	inputData["totalrow"] =len(secondSlice)// 人员姓名
	input["data"] = inputData
	input["detail"] = secondSlice
	inputMessage["input"] = input //交易输入
	//var inputLog string
	bytesData, err := json.Marshal(inputMessage)
	//inputLog = string(bytesData)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return
	}
	reader := bytes.NewReader(bytesData)
	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")

	var url string
	if fixmedins_code == "H15049901371" || mdtrtarea_admvs == "450721"   ||  mdtrtarea_admvs == "450127" {
		url = gdyb_url
	} else {
		url = gdyb_url + "3261"
	}

	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/1101"
	request, err := http.NewRequest("POST", url, reader)
	if err != nil {
		fmt.Println(err.Error())
		return
	}

	request.Header.Set("Content-Type", "application/json;charset=UTF-8")
	request.Header.Set("x-tif-paasid", gdyb_paasid)
	request.Header.Set("x-tif-signature", signature)
	request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
	request.Header.Set("x-tif-nonce", nonce)

	client := http.Client{}
	resp, err := client.Do(request)
	if err != nil {
		fmt.Println(err.Error())
		return
	}
	respBytes, err := ioutil.ReadAll(resp.Body)
	if err != nil {
		fmt.Println(err.Error())
		return
	}
	fmt.Println(string(respBytes))
	str := string(respBytes)
	fmt.Println(str)

	//for _, item := range result3260.Output.Data[start-1 : stop] {
	//	if item.MdtrtId != "out20230406681871" && item.MdtrtId != "out20230406681868" {
	//		feedetailInfo := make(map[string]interface{})
	//		feedetailInfo["certno"] = item.Certno
	//		feedetailInfo["mdtrt_id"] = item.MdtrtId                  // 就诊 ID（来自2201接口返回）
	//		feedetailInfo["mdtrt_setl_time"] = item.MdtrtSetlTime     // 人员编号 （来自1101接口返回）
	//		feedetailInfo["setl_sn"] = item.SetlSn                    // 收费批次号
	//		feedetailInfo["medfee_sumamt"] = item.MedfeeSumamt        // 病种编码
	//		feedetailInfo["optins_pay_sumamt"] = item.OptinsPaySumamt // 处方号
	//		feedetailInfo["cnfm_flag"] = "1"                          // 处方号
	//		feedetail = append(feedetail, feedetailInfo)
	//	}
	//}
	//for _, item := range result3260.Output.Data[start-1 : stop] {
	//	if item.MdtrtId == "out20230406681871" {
	//		feedetailInfo := make(map[string]interface{})
	//		feedetailInfo["certno"] = item.Certno
	//		feedetailInfo["mdtrt_id"] = item.MdtrtId                  // 就诊 ID（来自2201接口返回）
	//		feedetailInfo["mdtrt_setl_time"] = item.MdtrtSetlTime     // 人员编号 （来自1101接口返回）
	//		feedetailInfo["setl_sn"] = item.SetlSn                    // 收费批次号
	//		feedetailInfo["medfee_sumamt"] = item.MedfeeSumamt        // 病种编码
	//		feedetailInfo["optins_pay_sumamt"] = item.OptinsPaySumamt // 处方号
	//		feedetailInfo["cnfm_flag"] = "0"                          // 处方号
	//		feedetail = append(feedetail, feedetailInfo)
	//	}
	//
	//}
	//for _, item := range result3260.Output.Data[start-1 : stop] {
	//	if item.MdtrtId == "out20230406681868" {
	//		feedetailInfo := make(map[string]interface{})
	//		feedetailInfo["certno"] = item.Certno
	//		feedetailInfo["mdtrt_id"] = item.MdtrtId                  // 就诊 ID（来自2201接口返回）
	//		feedetailInfo["mdtrt_setl_time"] = item.MdtrtSetlTime     // 人员编号 （来自1101接口返回）
	//		feedetailInfo["setl_sn"] = item.SetlSn                    // 收费批次号
	//		feedetailInfo["medfee_sumamt"] = item.MedfeeSumamt        // 病种编码
	//		feedetailInfo["optins_pay_sumamt"] = item.OptinsPaySumamt // 处方号
	//		feedetailInfo["cnfm_flag"] = "0"                          // 处方号
	//		feedetail = append(feedetail, feedetailInfo)
	//	}
	//
	//}


	return
}


func Gdyb3262(org_name string, doctor string, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string, secret_key string, year string, month string, otransid string, sign_no string) (string, string) {
	//生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, secret_key)
	//生成输入报文
	inputMessage := SetInputMessageTwo(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs, sign_no)
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	inputMessage["infno"] = "3262" // 交易编码

	inputData["trt_year"] = year   // 就诊凭证编号
	inputData["trt_month"] = month // 开始时间
	inputData["otransid"] = "0"    // 开始时间

	input["data"] = inputData
	inputMessage["input"] = input //交易输入
	var inputLog string
	bytesData, err := json.Marshal(inputMessage)
	inputLog = string(bytesData)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	reader := bytes.NewReader(bytesData)
	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")

	var url string
	if fixmedins_code == "H15049901371" || mdtrtarea_admvs == "450721"  ||  mdtrtarea_admvs == "450127"  {
		url = gdyb_url
	} else {
		url = gdyb_url + "3262"
	}

	if insuplc_admdvs == "421300" {
		var json2 string
		cmd := exec.Command("java", "-jar", "yh_hb_fat.jar", "1101", string(bytesData), json2)
		out, err := cmd.Output()
		if err != nil {
			fmt.Println("error:", err.Error())
		}
		fmt.Println(string(out))
		return hex.EncodeToString(out), inputLog
	} else {

		//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/1101"
		request, err := http.NewRequest("POST", url, reader)
		if err != nil {
			fmt.Println(err.Error())
			return err.Error(), ""
		}

		request.Header.Set("Content-Type", "application/json;charset=UTF-8")
		request.Header.Set("x-tif-paasid", gdyb_paasid)
		request.Header.Set("x-tif-signature", signature)
		request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
		request.Header.Set("x-tif-nonce", nonce)

		client := http.Client{}
		resp, err := client.Do(request)
		if err != nil {
			fmt.Println(err.Error())
			return err.Error(), ""
		}
		respBytes, err := ioutil.ReadAll(resp.Body)
		if err != nil {
			fmt.Println(err.Error())
			return err.Error(), ""
		}
		fmt.Println(string(respBytes))
		str := string(respBytes)
		return str, inputLog

	}

}
func Gdyb9001(org_name string, doctor string, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string, secret_key string, admin_user_id int64) (string, string) {
	//生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, "d6Ad0P1B3z6Dsdst0gYAFPlz8YlIvFDx")
	inputMessage := make(map[string]interface{})

	//生成输入报文
	if mdtrtarea_admvs == "450721"  ||  mdtrtarea_admvs == "450127"{

		inputMessage = SetInputMessage1111(nonce, timestamp, org_name, admin_user_id, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs,doctor)

	} else {
		inputMessage = SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)


	}
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	inputMessage["infno"] = "9001"        // 交易编码
	inputData["opter_no"] = admin_user_id // 就诊凭证编号
	inputData["mac"] = "11-11-11-11-11"   // 开始时间
	inputData["ip"] = "11.11.11.11"
	//inputData["userid"] = "H44010400081"

	//month := time.Unix(1557042972, 0).Format("1")
	//year := time.Now().Format("2006")
	//month = time.Now().Format("01")
	//day := time.Now().Format("02")
	//hour := time.Now().Format("15")
	//min := time.Now().Format("04")
	//sec := time.Now().Format("05")
	//custom_time := year + month + day + hour + min + sec
	//inputData["currenttime"] = custom_time
	//var psd string
	//psd = custom_time + "Gzyb$867"
	//h := md5.New()
	//h.Write([]byte(psd))
	//inputData["password"] = strings.ToUpper(hex.EncodeToString(h.Sum(nil)))
	input["data"] = inputData
	inputMessage["input"] = input //交易输入
	var inputLog string
	bytesData, err := json.Marshal(inputMessage)
	inputLog = string(bytesData)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	reader := bytes.NewReader(bytesData)
	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")

	var url string
	if fixmedins_code == "H15049901371" || mdtrtarea_admvs == "450721"  ||  mdtrtarea_admvs == "450127"{
		url = gdyb_url
	} else {
		url = gdyb_url + "9001"
	}

	if insuplc_admdvs == "421300" {
		var json2 string
		cmd := exec.Command("java", "-jar", "yh_hb_fat.jar", "1101", string(bytesData), json2)
		out, err := cmd.Output()
		if err != nil {
			fmt.Println("error:", err.Error())
		}
		fmt.Println(string(out))
		return hex.EncodeToString(out), inputLog
	} else {

		//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/1101"

		request, err := http.NewRequest("POST", url, reader)
		if err != nil {
			fmt.Println(err.Error())
			return err.Error(), ""
		}

		request.Header.Set("Content-Type", "application/json;charset=UTF-8")
		request.Header.Set("x-tif-paasid", gdyb_paasid)
		request.Header.Set("x-tif-signature", signature)
		request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
		request.Header.Set("x-tif-nonce", nonce)

		fmt.Println(string(bytesData))
		fmt.Println(gdyb_url)
		fmt.Println(gdyb_paasid)
		fmt.Println(request.Header)

		client := http.Client{}
		resp, err := client.Do(request)
		if err != nil {
			fmt.Println(err.Error())
			return err.Error(), ""
		}
		respBytes, err := ioutil.ReadAll(resp.Body)
		if err != nil {
			fmt.Println(err.Error())
			return err.Error(), ""
		}
		fmt.Println(string(respBytes))
		str := string(respBytes)
		return str, inputLog

	}

}

func Gdyb9001Two(org_name string, doctor string, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string, secret_key string, admin_user_id int64) (string, string) {
	//生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, secret_key)
	inputMessage := make(map[string]interface{})

	//生成输入报文
	//生成输入报文
	if  mdtrtarea_admvs == "450721"  ||  mdtrtarea_admvs == "450127"{

		inputMessage = SetInputMessage1111(nonce, timestamp, org_name, admin_user_id, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs,doctor)

	} else {
		inputMessage = SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)


	}
	//inputMessage := SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	inputMessage["infno"] = "9001"        // 交易编码
	inputData["opter_no"] = admin_user_id // 就诊凭证编号
	inputData["mac"] = GetMac()           // 开始时间
	inputData["ip"] = GetLocalIp()
	input["signIn"] = inputData
	inputMessage["input"] = input //交易输入
	var inputLog string
	bytesData, err := json.Marshal(inputMessage)
	inputLog = string(bytesData)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	reader := bytes.NewReader(bytesData)
	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")

	var url string
	if fixmedins_code == "H15049901371" || mdtrtarea_admvs == "450721"  ||  mdtrtarea_admvs == "450127"  {
		url = gdyb_url
	} else {
		url = gdyb_url + "9001"
	}

	if insuplc_admdvs == "421300" {
		var json2 string
		cmd := exec.Command("java", "-jar", "yh_hb_fat.jar", "1101", string(bytesData), json2)
		out, err := cmd.Output()
		if err != nil {
			fmt.Println("error:", err.Error())
		}
		fmt.Println(string(out))
		return hex.EncodeToString(out), inputLog
	} else {

		//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/1101"

		request, err := http.NewRequest("POST", url, reader)
		if err != nil {
			fmt.Println(err.Error())
			return err.Error(), ""
		}

		request.Header.Set("Content-Type", "application/json;charset=UTF-8")
		request.Header.Set("x-tif-paasid", gdyb_paasid)
		request.Header.Set("x-tif-signature", signature)
		request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
		request.Header.Set("x-tif-nonce", nonce)

		fmt.Println(string(bytesData))
		fmt.Println(gdyb_url)
		fmt.Println(gdyb_paasid)
		fmt.Println(request.Header)

		client := http.Client{}
		resp, err := client.Do(request)
		if err != nil {
			fmt.Println(err.Error())
			return err.Error(), ""
		}
		respBytes, err := ioutil.ReadAll(resp.Body)
		if err != nil {
			fmt.Println(err.Error())
			return err.Error(), ""
		}
		fmt.Println(string(respBytes))
		str := string(respBytes)
		return str, inputLog

	}

}

// 获取本机ip
func GetLocalIp() string {
	addrs, err := net.InterfaceAddrs()
	if err != nil {
		fmt.Println("get local ip failed")
	}
	for _, address := range addrs {
		if ipnet, ok := address.(*net.IPNet); ok && !ipnet.IP.IsLoopback() {
			if ipnet.IP.To4() != nil {
				return ipnet.IP.String()
			}
		}
	}
	return ""
}

// 获取本机Mac
func GetMac() string {
	interfaces, err := net.Interfaces()
	if err != nil {
		fmt.Println("Get loacl Mac failed")
	}
	for _, inter := range interfaces {
		mac := inter.HardwareAddr
		fmt.Println("+======" + mac.String())
		if mac.String() != "" {
			return mac.String()
		}

	}
	return ""
}

// 人员基本信息
func Gdyb1101D(certNo string, org_name string, doctor string, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string, secret_key string, id_card_type int64, card_sn string, certificates string, psn_name string, record_date string,admin_user_id int64) (string, string) {
	//生成签名
	fmt.Println("DDDDD")
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, secret_key)
	//生成输入报文
	inputMessage := make(map[string]interface{})

	//tempTime := time.Unix(timestamp, 0)
	//timeFormatOne := tempTime.Format("2006-01-02 15:04:05")
	// 生成输入报文
	if  mdtrtarea_admvs == "450721"  ||  mdtrtarea_admvs == "450127"{

		inputMessage = SetInputMessage1111(nonce, timestamp, org_name, admin_user_id, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs,doctor)
	} else {
		inputMessage = SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
	}
	//inputMessage := SetInputMessagenosign(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	inputMessage["infno"] = "1101" // 交易编码

	if certificates == "3" {
		inputData["mdtrt_cert_type"] = "02" // 就诊凭证类型
		inputData["certno"] = certNo        // 证件号码
		inputData["psn_cert_type"] = "99"   // 人员证件类型

	} else {
		if certificates == "1" {
			if id_card_type == 1 {
				inputData["mdtrt_cert_type"] = "03" // 就诊凭证类型
				inputData["card_sn"] = ""           // 卡识别码
				inputData["certno"] = certNo        // 证件号码
				inputData["psn_cert_type"] = "01"   // 人员证件类型

			} else if id_card_type == 4 {
				inputData["mdtrt_cert_type"] = "01" // 就诊凭证类型
				inputData["certno"] = certNo        // 证件号码
				inputData["psn_cert_type"] = "01"   // 人员证件类型

			} else {
				inputData["mdtrt_cert_type"] = "02" // 就诊凭证类型
				inputData["card_sn"] = ""           // 卡识别码
				inputData["certno"] = certNo        // 证件号码
				inputData["psn_cert_type"] = "01"   // 人员证件类型
			}
		} else if certificates == "6" {
			inputData["mdtrt_cert_type"] = "03" // 就诊凭证类型
			inputData["card_sn"] = ""           // 卡识别码
			inputData["certno"] = certNo        // 证件号码
			inputData["psn_cert_type"] = "17"   // 人员证件类型

		}

	}

	inputData["mdtrt_cert_no"] = certNo // 就诊凭证编号
	inputData["begntime"] = ""          // 开始时间
	inputData["psn_name"] = ""          // 人员姓名
	input["data"] = inputData
	inputMessage["input"] = input //交易输入

	var inputLog string
	bytesData, err := json.Marshal(inputMessage)
	inputLog = string(bytesData)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	reader := bytes.NewReader(bytesData)
	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")

	//DllDef := syscall.MustLoadDLL("yh_hb_sctrl.dll")
	//Iinit := DllDef.MustFindProc("yh_hb_call")
	//var str3 string
	//ret, _, _ := Iinit.Call(StrPtr("1101"), StrPtr(string(bytesData)), StrPtr(str3))
	//fmt.Println(ret)
	//fmt.Println(str3)
	//
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/1101"
	var url string
	if fixmedins_code == "H15049901371" || mdtrtarea_admvs == "450721"  ||  mdtrtarea_admvs == "450127" {
		url = gdyb_url
	} else {
		url = gdyb_url + "1101"
	}

	if insuplc_admdvs == "421300" {
		var json2 string
		cmd := exec.Command("java", "-jar", "yh_hb_fat.jar", "1101", string(bytesData), json2)
		out, err := cmd.Output()
		if err != nil {
			fmt.Println("error:", err.Error())
		}
		fmt.Println(string(out))
		return hex.EncodeToString(out), inputLog
	} else {

		//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_inf/poc/hsa/hgs/1101"
		request, err := http.NewRequest("POST", url, reader)
		if err != nil {
			fmt.Println(err.Error())
			return err.Error(), ""
		}

		request.Header.Set("Content-Type", "application/json;charset=UTF-8")
		request.Header.Set("x-tif-paasid", gdyb_paasid)
		request.Header.Set("x-tif-signature", signature)
		request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
		request.Header.Set("x-tif-nonce", nonce)

		client := http.Client{}
		resp, err := client.Do(request)
		if err != nil {
			fmt.Println(err.Error())
			return err.Error(), ""
		}
		respBytes, err := ioutil.ReadAll(resp.Body)
		if err != nil {
			fmt.Println(err.Error())
			return err.Error(), ""
		}
		fmt.Println(string(respBytes))
		str := string(respBytes)
		return str, inputLog

	}

}

//func SetInputMessageFour(nonce string, timestamp int64, org_name string, doctor string, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string) map[string]interface{} {
//	// 生成签名
//	//tempTime := time.Unix(timestamp, 0)
//	//timeFormat := tempTime.Format("20060102150405")
//	//timeFormatOne := tempTime.Format("2006-01-02 15:04:05")
//	//randNum := rand.New(rand.NewSource(time.Now().UnixNano())).Int31n(10000)
//
//	msec := time.Now().Format("000")
//	fmt.Println(utils.GetNetTime())
//	// 生成输入报文
//	inputMessage := make(map[string]interface{})
//	inputMessage["msgid"] = fixmedins_code + utils.GetNetTime() + msec + "0" // 发送方报文 ID
//	inputMessage["mdtrtarea_admvs"] = mdtrtarea_admvs                        // 就医地医保区划
//	inputMessage["insuplc_admdvs"] = insuplc_admdvs                          // 参保地医保区划
//	inputMessage["recer_sys_code"] = "1"                                     // 接收方系统代码
//	inputMessage["dev_no"] = ""                                              // 设备编号
//	inputMessage["dev_safe_info"] = ""                                       // 设备安全信息
//	inputMessage["cainfo"] = ""                                              // 数字签名信息
//	inputMessage["signtype"] = "SM3"                                         // 签名类型
//	inputMessage["infver"] = "V1.0"                                          // 接收方系统代码
//	inputMessage["opter_type"] = "1"                                         // 经办人类别
//	inputMessage["opter"] = doctor                                           // 经办人
//	inputMessage["opter_name"] = doctor                                      // 经办人姓名
//	inputMessage["inf_time"] = utils.GetNetTime()                            // 交易时间
//	inputMessage["fixmedins_code"] = fixmedins_code                          // 定点医药机构编号
//	inputMessage["fixmedins_name"] = org_name                                //定点医药机构名称
//	inputMessage["sign_no"] = ""                                             //交易签到流水号
//	return inputMessage
//}

func Gdyb5302(psnNo string, org_name string, doctor string, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string, secret_key string) string {
	// 生成签名
	nonce := GetRandomString(32)
	//timestamp := time.Now().Unix()
	timestamp := time.Now().UnixNano() / 1e6

	signature := setSignature(timestamp, nonce, secret_key)

	// 生成输入报文
	inputMessage := SetInputMessage(nonce, timestamp, org_name, doctor, fixmedins_code, insuplc_admdvs, mdtrtarea_admvs)
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	inputMessage["infno"] = "5302"    // 交易编码
	inputData["psn_no"] = psnNo       // 人员编号 （来自1101接口返回）
	inputData["biz_appy_type"] = "03" // 人员编号 （来自1101接口返回）

	input["data"] = inputData
	inputMessage["input"] = input //交易输入
	bytesData, err := json.Marshal(inputMessage)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	reader := bytes.NewReader(bytesData)
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/5301"
	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/1101"
	url := gdyb_url + "5302"
	request, err := http.NewRequest("POST", url, reader)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}

	request.Header.Set("Content-Type", "application/json;charset=UTF-8")
	request.Header.Set("x-tif-paasid", gdyb_paasid)
	request.Header.Set("x-tif-signature", signature)
	request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
	request.Header.Set("x-tif-nonce", nonce)

	client := http.Client{}
	resp, err := client.Do(request)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	respBytes, err := ioutil.ReadAll(resp.Body)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	str := string(respBytes)
	fmt.Println(str)
	return str
}

func CreateSignIn(record *models.HisSignIn) (err error) {
	err = writeDb.Save(&record).Error
	return
}

func GetSignInInfo(code string) string {
	var sign models.HisSignIn
	err = readDb.Model(&models.HisSignIn{}).Where("fixmedins_code = ? AND status = 1", code).Last(&sign).Error
	return sign.SignNo
}

func Gdyb3501(struct3501 models.Struct3501, secret_key string) string {
	// 生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, secret_key)

	// 生成输入报文
	inputMessage := SetGdInputMessage(timestamp, struct3501.OrgName, struct3501.Opter, struct3501.FixmedinsHilistId, struct3501.InsuplcAdmdvs, struct3501.MdtrtareaAdmvs, struct3501.Cainfo)
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	inputMessage["infno"] = "3501"                                  // 交易编码
	inputData["med_list_codg"] = struct3501.MedListCodg             // 定点医药机构目录编号
	inputData["fixmedins_hilist_id"] = struct3501.FixmedinsHilistId // 定点医药机构目录编号
	inputData["fixmedins_hilist_name"] = struct3501.OrgName         // 定点医药机构目录名称
	inputData["rx_flag"] = struct3501.RxFlag                        //
	inputData["invdate"] = struct3501.Invdate                       // 人员编号 （来自1101接口返回）
	inputData["inv_cnt"] = struct3501.InvCnt                        // 人员编号 （来自1101接口返回）
	inputData["manu_lotnum"] = struct3501.ManuLotnum                // 人员编号 （来自1101接口返回）
	inputData["fixmedins_bchno"] = struct3501.FixmedinsBchno        // 人员编号 （来自1101接口返回）
	inputData["manu_date"] = struct3501.ManuDate                    // 人员编号 （来自1101接口返回）
	inputData["expy_end"] = struct3501.ExpyEnd                      // 人员编号 （来自1101接口返回）
	inputData["memo"] = ""                                          // 人员编号 （来自1101接口返回）
	input["invinfo"] = inputData
	inputMessage["input"] = input //交易输入

	bytesData, err := json.Marshal(inputMessage)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	reader := bytes.NewReader(bytesData)
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/5301"
	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/1101"
	url := gdyb_url + "3501"
	request, err := http.NewRequest("POST", url, reader)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}

	request.Header.Set("Content-Type", "application/json;charset=UTF-8")
	request.Header.Set("x-tif-paasid", gdyb_paasid)
	request.Header.Set("x-tif-signature", signature)
	request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
	request.Header.Set("x-tif-nonce", nonce)

	client := http.Client{}
	resp, err := client.Do(request)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	respBytes, err := ioutil.ReadAll(resp.Body)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	str := string(respBytes)
	fmt.Println(str)
	return str
}
func Gdyb3502(struct3502 models.Struct3502, secret_key string) string {
	// 生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, secret_key)

	// 生成输入报文
	inputMessage := SetGdInputMessage(timestamp, struct3502.OrgName, struct3502.Opter, struct3502.FixmedinsCode, struct3502.InsuplcAdmdvs, struct3502.MdtrtareaAdmvs, struct3502.Cainfo)
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	inputMessage["infno"] = "3502"                      // 交易编码
	inputData["med_list_codg"] = struct3502.MedListCodg // 定点医药机构目录编号
	inputData["inv_chg_type"] = struct3502.InvChgType   // 定点医药机构目录编号

	inputData["fixmedins_hilist_id"] = struct3502.FixmedinsCode // 定点医药机构目录编号
	inputData["fixmedins_hilist_name"] = struct3502.OrgName     // 定点医药机构目录名称
	inputData["fixmedins_bchno"] = struct3502.FixmedinsBchno    // 人员编号 （来自1101接口返回）
	inputData["pric"] = struct3502.Pric                         // 人员编号 （来自1101接口返回）
	inputData["cnt"] = struct3502.Cnt                           // 人员编号 （来自1101接口返回）
	inputData["rx_flag"] = struct3502.RxFlag                    //

	inputData["inv_chg_time"] = struct3502.InvChgTime // 人员编号 （来自1101接口返回）
	inputData["inv_chg_opter_name"] = ""              // 人员编号 （来自1101接口返回）
	inputData["memo"] = struct3502.Memo               // 人员编号 （来自1101接口返回）
	inputData["trdn_flag"] = ""                       // 人员编号 （来自1101接口返回）

	input["invinfo"] = inputData
	inputMessage["input"] = input //交易输入

	bytesData, err := json.Marshal(inputMessage)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	reader := bytes.NewReader(bytesData)
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/5301"
	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/1101"
	url := gdyb_url + "3502"
	request, err := http.NewRequest("POST", url, reader)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}

	request.Header.Set("Content-Type", "application/json;charset=UTF-8")
	request.Header.Set("x-tif-paasid", gdyb_paasid)
	request.Header.Set("x-tif-signature", signature)
	request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
	request.Header.Set("x-tif-nonce", nonce)

	client := http.Client{}
	resp, err := client.Do(request)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	respBytes, err := ioutil.ReadAll(resp.Body)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	str := string(respBytes)
	fmt.Println(str)
	return str
}
func Gdyb3503(struct3503 models.Struct3503, secret_key string) string {
	// 生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, secret_key)

	// 生成输入报文
	inputMessage := SetGdInputMessage(timestamp, struct3503.OrgName, struct3503.Opter, struct3503.FixmedinsHilistId, struct3503.InsuplcAdmdvs, struct3503.MdtrtareaAdmvs, struct3503.Cainfo)

	input := make(map[string]interface{})

	inputMessage["infno"] = "3503"

	item := struct3503
	feedetailInfo := make(map[string]interface{})
	feedetailInfo["med_list_codg"] = item.MedListCodg
	feedetailInfo["fixmedins_hilist_id"] = item.FixmedinsHilistId
	feedetailInfo["fixmedins_hilist_name"] = item.FixmedinsHilistName
	feedetailInfo["dynt_no"] = ""
	feedetailInfo["fixmedins_bchno"] = item.FixmedinsBchno         // 人员编号 （来自1101接口返回）
	feedetailInfo["spler_name"] = item.SplerName                   // 人员编号 （来自1101接口返回）
	feedetailInfo["spler_pmtno"] = ""                              // 人员编号 （来自1101接口返回）
	feedetailInfo["manu_lotnum"] = item.ManuLotnum                 // 人员编号 （来自1101接口返回）
	feedetailInfo["prodentp_name"] = item.ProdentpName             // 人员编号 （来自1101接口返回）
	feedetailInfo["aprvno"] = item.Aprvno                          // 人员编号 （来自1101接口返回）
	feedetailInfo["manu_date"] = item.ManuDate                     // 人员编号 （来自1101接口返回）
	feedetailInfo["expy_end"] = item.ExpyEnd                       // 人员编号 （来自1101接口返回）
	feedetailInfo["finl_trns_pric"] = item.FinlTrnsPric            // 人员编号 （来自1101接口返回）
	feedetailInfo["purc_retn_cnt"] = item.PurcRetnCnt              // 人员编号 （来自1101接口返回）
	feedetailInfo["purc_invo_codg"] = item.PurcInvoCodg            // 人员编号 （来自1101接口返回）
	feedetailInfo["purc_invo_no"] = item.PurcInvoNo                // 人员编号 （来自1101接口返回）
	feedetailInfo["rx_flag"] = item.RxFlag                         // 人员编号 （来自1101接口返回）
	feedetailInfo["purc_retn_stoin_time"] = item.PurcRetnStoinTime // 人员编号 （来自1101接口返回）
	feedetailInfo["purc_retn_opter_name"] = item.PurcRetnOpterName // 人员编号 （来自1101接口返回）
	feedetailInfo["prod_geay_flag"] = ""                           // 人员编号 （来自1101接口返回）
	feedetailInfo["memo"] = ""                                     // 人员编号 （来自1101接口返回）
	input["purcinfo"] = feedetailInfo
	inputMessage["input"] = input //交易输入

	bytesData, err := json.Marshal(inputMessage)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	reader := bytes.NewReader(bytesData)
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/5301"
	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/1101"
	url := gdyb_url + "3503"
	request, err := http.NewRequest("POST", url, reader)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}

	request.Header.Set("Content-Type", "application/json;charset=UTF-8")
	request.Header.Set("x-tif-paasid", gdyb_paasid)
	request.Header.Set("x-tif-signature", signature)
	request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
	request.Header.Set("x-tif-nonce", nonce)

	client := http.Client{}
	resp, err := client.Do(request)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	respBytes, err := ioutil.ReadAll(resp.Body)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	str := string(respBytes)
	fmt.Println(str)
	return str
}
func Gdyb3504(struct3504 models.Struct3504, secret_key string) string {
	// 生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, secret_key)

	// 生成输入报文
	inputMessage := SetGdInputMessage(timestamp, struct3504.OrgName, struct3504.Opter, struct3504.FixmedinsCode, struct3504.InsuplcAdmdvs, struct3504.MdtrtareaAdmvs, struct3504.Cainfo)
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	inputMessage["infno"] = "3504"                                      // 交易编码
	inputData["med_list_codg"] = struct3504.MedListCodg                 // 定点医药机构目录编号
	inputData["fixmedins_hilist_id"] = struct3504.FixmedinsHilistId     // 定点医药机构目录编号
	inputData["fixmedins_hilist_name"] = struct3504.FixmedinsHilistName // 定点医药机构目录名称
	inputData["fixmedins_bchno"] = struct3504.FixmedinsBchno            // 人员编号 （来自1101接口返回）
	inputData["spler_name"] = struct3504.SplerName                      // 人员编号 （来自1101接口返回）
	inputData["spler_pmtno"] = ""                                       // 人员编号 （来自1101接口返回）

	inputData["manu_date"] = struct3504.ManuDate          // 人员编号 （来自1101接口返回）
	inputData["expy_end"] = struct3504.ExpyEnd            // 人员编号 （来自1101接口返回）
	inputData["finl_trns_pric"] = struct3504.FinlTrnsPric // 人员编号 （来自1101接口返回）
	inputData["purc_retn_cnt"] = struct3504.PurcRetnCnt   // 人员编号 （来自1101接口返回）
	inputData["purc_invo_codg"] = struct3504.PurcInvoCodg // 人员编号 （来自1101接口返回）
	inputData["purc_invo_no"] = struct3504.PurcInvoNo     // 人员编号 （来自1101接口返回）
	inputData["rx_flag"] = struct3504.RxFlag
	inputData["purc_retn_stoin_time"] = struct3504.PurcRetnStoin
	inputData["purc_retn_opter_name"] = struct3504.PurcRetnStoin
	inputData["memo"] = ""                // 人员编号 （来自1101接口返回）
	inputData["medins_prod_purc_no"] = "" // 人员编号 （来自1101接口返回）
	input["purcinfo"] = inputData
	inputMessage["input"] = input //交易输入

	bytesData, err := json.Marshal(inputMessage)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	reader := bytes.NewReader(bytesData)
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/5301"
	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/1101"
	url := gdyb_url + "3504"
	request, err := http.NewRequest("POST", url, reader)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}

	request.Header.Set("Content-Type", "application/json;charset=UTF-8")
	request.Header.Set("x-tif-paasid", gdyb_paasid)
	request.Header.Set("x-tif-signature", signature)
	request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
	request.Header.Set("x-tif-nonce", nonce)

	client := http.Client{}
	resp, err := client.Do(request)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	respBytes, err := ioutil.ReadAll(resp.Body)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	str := string(respBytes)
	fmt.Println(str)
	return str
}
func Gdyb3505(struct3505 models.Struct3505, secret_key string) string {
	// 生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, secret_key)

	// 生成输入报文
	inputMessage := SetGdInputMessage(timestamp, struct3505.OrgName, struct3505.Opter, struct3505.FixmedinsHilistId, struct3505.InsuplcAdmdvs, struct3505.MdtrtareaAdmvs, struct3505.Cainfo)
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	inputMessage["infno"] = "3505"                                  // 交易编码
	inputData["med_list_codg"] = struct3505.MedListCodg             // 定点医药机构目录编号
	inputData["fixmedins_hilist_id"] = struct3505.FixmedinsHilistId // 定点医药机构目录编号
	inputData["fixmedins_hilist_name"] = struct3505.OrgName         // 定点医药机构目录名称
	inputData["fixmedins_bchno"] = struct3505.FixmedinsBchno        // 人员编号 （来自1101接口返回）

	inputData["prsc_dr_cert_type"] = struct3505.PrscDrCertType // 人员编号 （来自1101接口返回）
	inputData["prsc_dr_certno"] = struct3505.PrscDrCertno      // 人员编号 （来自1101接口返回）
	inputData["prsc_dr_name"] = struct3505.PrscDrName          // 人员编号 （来自1101接口返回）
	inputData["phar_cert_type"] = struct3505.PharCertType      // 人员编号 （来自1101接口返回）
	inputData["phar_certno"] = struct3505.PharCertno           // 人员编号 （来自1101接口返回）

	inputData["phar_name"] = struct3505.PharName               // 人员编号 （来自1101接口返回）
	inputData["phar_prac_cert_no"] = struct3505.PharPracCertNo // 人员编号 （来自1101接口返回）
	inputData["hi_feesetl_type"] = struct3505.HiFeesetlType    // 人员编号 （来自1101接口返回）
	inputData["setl_id"] = struct3505.SetlId                   // 人员编号 （来自1101接口返回）
	inputData["mdtrt_sn"] = struct3505.MdtrtSn                 // 人员编号 （来自1101接口返回）
	inputData["psn_no"] = struct3505.PsnNo                     // 人员编号 （来自1101接口返回）
	inputData["psn_cert_type"] = struct3505.PsnCertType        // 人员编号 （来自1101接口返回）
	inputData["certno"] = struct3505.CertNo                    // 人员编号 （来自1101接口返回）
	inputData["psn_name"] = struct3505.PsnName                 // 人员编号 （来自1101接口返回）
	inputData["manu_lotnum"] = struct3505.ManuLotnum           // 人员编号 （来自1101接口返回）
	inputData["manu_date"] = struct3505.ManuDate               // 人员编号 （来自1101接口返回）
	inputData["expy_end"] = struct3505.ExpyEnd                 // 人员编号 （来自1101接口返回）

	inputData["rx_flag"] = struct3505.RxFlag     // 人员编号 （来自1101接口返回）
	inputData["trdn_flag"] = struct3505.TrdnFlag // 人员编号 （来自1101接口返回）

	inputData["finl_trns_pric"] = struct3505.FinlTrnsPric // 人员编号 （来自1101接口返回）
	inputData["rxno"] = struct3505.Rxno                   // 人员编号 （来自1101接口返回）
	inputData["rx_circ_flag"] = struct3505.RxCircFlag     // 人员编号 （来自1101接口返回）

	inputData["rtal_docno"] = struct3505.RtalDocno // 人员编号 （来自1101接口返回）
	inputData["stoout_no"] = struct3505.StooutNo   // 人员编号 （来自1101接口返回）

	inputData["bchno"] = struct3505.Bchno                          // 人员编号 （来自1101接口返回）
	inputData["drug_trac_codg"] = struct3505.DrugTracCodg          // 人员编号 （来自1101接口返回）
	inputData["drug_prod_barc"] = struct3505.DrugProdBarc          // 人员编号 （来自1101接口返回）
	inputData["shelf_posi"] = struct3505.ShelfPosi                 // 人员编号 （来自1101接口返回）
	inputData["sel_retn_cnt"] = struct3505.SelRetnCnt              // 人员编号 （来自1101接口返回）
	inputData["sel_retn_time"] = struct3505.SelRetnTime            // 人员编号 （来自1101接口返回）
	inputData["sel_retn_opter_name"] = struct3505.SelRetnOpterName // 人员编号 （来自1101接口返回）
	inputData["memo"] = struct3505.Memo                            // 人员编号 （来自1101接口返回）
	input["selinfo"] = inputData
	inputMessage["input"] = input //交易输入

	bytesData, err := json.Marshal(inputMessage)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	reader := bytes.NewReader(bytesData)
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/5301"
	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/1101"
	url := gdyb_url + "3505"
	request, err := http.NewRequest("POST", url, reader)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}

	request.Header.Set("Content-Type", "application/json;charset=UTF-8")
	request.Header.Set("x-tif-paasid", gdyb_paasid)
	request.Header.Set("x-tif-signature", signature)
	request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
	request.Header.Set("x-tif-nonce", nonce)

	client := http.Client{}
	resp, err := client.Do(request)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	respBytes, err := ioutil.ReadAll(resp.Body)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	str := string(respBytes)
	fmt.Println(str)
	return str
}
func Gdyb3506(struct3506 models.Struct3506, secret_key string) string {
	// 生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, secret_key)

	// 生成输入报文
	inputMessage := SetGdInputMessage(timestamp, struct3506.OrgName, struct3506.Opter, struct3506.FixmedinsCode, struct3506.InsuplcAdmdvs, struct3506.MdtrtareaAdmvs, struct3506.Cainfo)
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	inputMessage["infno"] = "3506"                                  // 交易编码
	inputData["med_list_codg"] = struct3506.MedListCodg             // 定点医药机构目录编号
	inputData["fixmedins_hilist_id"] = struct3506.FixmedinsHilistId // 定点医药机构目录编号
	inputData["fixmedins_hilist_name"] = struct3506.OrgName         // 定点医药机构目录名称
	inputData["fixmedins_bchno"] = struct3506.FixmedinsBchno        // 人员编号 （来自1101接口返回）

	inputData["setl_id"] = struct3506.SetlId                       // 人员编号 （来自1101接口返回）
	inputData["psn_no"] = struct3506.PsnNo                         // 人员编号 （来自1101接口返回）
	inputData["psn_cert_type"] = struct3506.PsnCertType            // 人员编号 （来自1101接口返回）
	inputData["certno"] = struct3506.Certno                        // 人员编号 （来自1101接口返回）
	inputData["psn_name"] = struct3506.PsnName                     // 人员编号 （来自1101接口返回）
	inputData["manu_lotnum"] = struct3506.ManuLotnum               // 人员编号 （来自1101接口返回）
	inputData["manu_date"] = struct3506.ManuDate                   // 人员编号 （来自1101接口返回）
	inputData["expy_end"] = struct3506.ExpyEnd                     // 人员编号 （来自1101接口返回）
	inputData["rx_flag"] = struct3506.RxFlag                       // 人员编号 （来自1101接口返回）
	inputData["trdn_flag"] = struct3506.TrdnFlag                   // 人员编号 （来自1101接口返回）
	inputData["finl_trns_pric"] = struct3506.FinlTrnsPric          // 人员编号 （来自1101接口返回）
	inputData["sel_retn_cnt"] = struct3506.SelRetnCnt              // 人员编号 （来自1101接口返回）
	inputData["sel_retn_time"] = struct3506.SelRetnTime            // 人员编号 （来自1101接口返回）
	inputData["sel_retn_opter_name"] = struct3506.SelRetnOpterName // 人员编号 （来自1101接口返回）
	inputData["memo"] = ""                                         // 人员编号 （来自1101接口返回）
	inputData["medins_prod_sel_no"] = ""                           // 人员编号 （来自1101接口返回）

	input["selinfo"] = inputData
	inputMessage["input"] = input //交易输入

	bytesData, err := json.Marshal(inputMessage)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	reader := bytes.NewReader(bytesData)
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/5301"
	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/1101"
	url := gdyb_url + "3506"
	request, err := http.NewRequest("POST", url, reader)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}

	request.Header.Set("Content-Type", "application/json;charset=UTF-8")
	request.Header.Set("x-tif-paasid", gdyb_paasid)
	request.Header.Set("x-tif-signature", signature)
	request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
	request.Header.Set("x-tif-nonce", nonce)

	client := http.Client{}
	resp, err := client.Do(request)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	respBytes, err := ioutil.ReadAll(resp.Body)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	str := string(respBytes)
	fmt.Println(str)
	return str
}
func Gdyb3507(struct3507 models.Struct3507, secret_key string) string {
	// 生成签名
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, secret_key)

	// 生成输入报文
	inputMessage := SetGdInputMessage(timestamp, struct3507.OrgName, struct3507.Opter, struct3507.FixmedinsCode, struct3507.InsuplcAdmdvs, struct3507.MdtrtareaAdmvs, struct3507.Cainfo)
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	inputMessage["infno"] = "3507"                          // 交易编码
	inputData["fixmedins_bchno"] = struct3507.FixmedinsCode // 人员编号 （来自1101接口返回）
	inputData["inv_data_type"] = struct3507.InvDataType     // 人员编号 （来自1101接口返回）

	input["data"] = inputData
	inputMessage["input"] = input //交易输入

	bytesData, err := json.Marshal(inputMessage)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	reader := bytes.NewReader(bytesData)
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/5301"
	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/1101"
	url := gdyb_url + "3507"
	request, err := http.NewRequest("POST", url, reader)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}

	request.Header.Set("Content-Type", "application/json;charset=UTF-8")
	request.Header.Set("x-tif-paasid", gdyb_paasid)
	request.Header.Set("x-tif-signature", signature)
	request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
	request.Header.Set("x-tif-nonce", nonce)

	client := http.Client{}
	resp, err := client.Do(request)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	respBytes, err := ioutil.ReadAll(resp.Body)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error()
	}
	str := string(respBytes)
	fmt.Println(str)
	return str
}

// 生成基础报文
func SetGdInputMessage(timestamp int64, org_name string, doctor string, fixmedins_code string, insuplc_admdvs string, mdtrtarea_admvs string, cainfo string) map[string]interface{} {
	// 生成签名
	tempTime := time.Unix(timestamp, 0)
	//timeFormat := tempTime.Format("20060102150405")
	timeFormatOne := tempTime.Format("2006-01-02 15:04:05")
	//randNum := rand.New(rand.NewSource(time.Now().UnixNano())).Int31n(10000)

	month := time.Unix(1557042972, 0).Format("1")
	year := time.Now().Format("2006")
	month = time.Now().Format("01")
	day := time.Now().Format("02")

	hour := time.Now().Format("15")
	min := time.Now().Format("04")
	sec := time.Now().Format("05")

	msec := time.Now().Format("000")

	// 生成输入报文
	inputMessage := make(map[string]interface{})
	inputMessage["msgid"] = fixmedins_code + year + month + day + hour + min + sec + msec + "0" // 发送方报文 ID
	inputMessage["mdtrtarea_admvs"] = mdtrtarea_admvs                                           // 就医地医保区划
	inputMessage["insuplc_admdvs"] = insuplc_admdvs                                             // 参保地医保区划
	inputMessage["recer_sys_code"] = "MBS_LOCAL"                                                // 接收方系统代码
	inputMessage["dev_no"] = "1"                                                                // 设备编号
	inputMessage["dev_safe_info"] = "1"                                                         // 设备安全信息
	inputMessage["cainfo"] = cainfo                                                             // 数字签名信息
	inputMessage["signtype"] = "SM3"                                                            // 签名类型
	inputMessage["infver"] = "1.0.0"                                                            // 接收方系统代码
	inputMessage["opter_type"] = "1"                                                            // 经办人类别

	inputMessage["opter"] = doctor      // 经办人
	inputMessage["opter_name"] = doctor // 经办人姓名

	inputMessage["inf_time"] = timeFormatOne        // 交易时间
	inputMessage["fixmedins_code"] = fixmedins_code // 定点医药机构编号
	inputMessage["fixmedins_name"] = org_name
	inputMessage["fixmedins_soft_fcty"] = "深圳市领透科技有限公司" //定点医药机构名称
	//定点医药机构名称
	inputMessage["sign_no"] = "" //交易签到流水号
	return inputMessage
}

func Gdyb3101(pd models.PatientDtos, fed models.FsiEncounterDtos, fdds []*models.FsiDiagnoseDtos, fods []*models.FsiOrderDtos, fopds []*models.FsiOperationDtosData, params models.PublicParams, trig_scen string) (string, string) {

	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, params.SecretKey)

	// 生成输入报文
	inputMessage := SetGdInputMessage(timestamp, params.FixmedinsName, params.OpterName, params.FixmedinsCode, params.InsuplcAdmdvs, params.MdtrtareaAdmvs, params.Cainfo)

	//inputMessage := SetJSInputMessage(timestamp, params.FixmedinsName, params.OpterName, params.FixmedinsCode, params.InsuplcAdmdvs, params.MdtrtareaAdmvs, params.Cainfo)
	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	patientDtosinputData := make(map[string]interface{})
	fisEncounterDtosData := make(map[string]interface{})
	fsiDiagnoseDtosDatas := make([]map[string]interface{}, 0)

	fsiOrderDtosDatas := make([]map[string]interface{}, 0)

	fsiOperationDtosData := make(map[string]interface{})
	fsiOperationDtosDatas := make([]map[string]interface{}, 0)

	//就诊信息
	fisEncounterDtosData["mdtrt_id"] = fed.MdtrtID
	fisEncounterDtosData["medins_id"] = fed.MedinsID
	fisEncounterDtosData["medins_name"] = fed.MedinsName
	fisEncounterDtosData["medins_admdvs"] = fed.MedinsAdmdvs
	fisEncounterDtosData["medins_type"] = fed.MedinsType
	fisEncounterDtosData["medins_lv"] = fed.MedinsLv
	fisEncounterDtosData["wardarea_codg"] = fed.WardareaCodg
	fisEncounterDtosData["wardno"] = fed.Wardno
	fisEncounterDtosData["bedno"] = fed.Bedno
	fisEncounterDtosData["adm_date"] = fed.AdmDate
	fisEncounterDtosData["dscg_date"] = fed.DscgDate
	fisEncounterDtosData["dscg_main_dise_codg"] = fed.DscgMainDiseCodg
	fisEncounterDtosData["dscg_main_dise_name"] = fed.DscgMainDiseName

	for _, fdd := range fdds {
		fsiDiagnoseDtosData := make(map[string]interface{})
		//诊断集合
		fsiDiagnoseDtosData["dise_id"] = fdd.DiseID
		fsiDiagnoseDtosData["inout_dise_type"] = fdd.InoutDiseType
		fsiDiagnoseDtosData["maindise_flag"] = fdd.MaindiseFlag
		fsiDiagnoseDtosData["dias_srt_no"] = fdd.DiasSrtNo
		fsiDiagnoseDtosData["dise_codg"] = fdd.DiseCodg
		fsiDiagnoseDtosData["dise_name"] = fdd.DiseName
		fsiDiagnoseDtosData["dise_date"] = fdd.DiseDate
		fsiDiagnoseDtosDatas = append(fsiDiagnoseDtosDatas, fsiDiagnoseDtosData)
	}

	fisEncounterDtosData["fsi_diagnose_dtos"] = fsiDiagnoseDtosDatas

	fisEncounterDtosData["dr_codg"] = fed.DrCodg
	fisEncounterDtosData["adm_dept_codg"] = fed.AdmDeptCodg
	fisEncounterDtosData["adm_dept_name"] = fed.AdmDeptName
	fisEncounterDtosData["dscg_dept_codg"] = fed.DscgDeptCodg
	fisEncounterDtosData["dscg_dept_name"] = fed.DscgDeptName
	fisEncounterDtosData["med_mdtrt_type"] = fed.MedMdtrtType
	fisEncounterDtosData["med_type"] = fed.MedType

	for _, fod := range fods {
		fsiOrderDtosData := make(map[string]interface{})
		//医嘱集合
		fsiOrderDtosData["rx_id"] = fod.RxID
		fsiOrderDtosData["rxno"] = fod.Rxno
		fsiOrderDtosData["grpno"] = fod.Grpno
		fsiOrderDtosData["long_drord_flag"] = fod.LongDrordFlag
		fsiOrderDtosData["hilist_type"] = fod.HilistType
		fsiOrderDtosData["chrg_type"] = fod.ChrgType
		fsiOrderDtosData["drord_bhvr"] = fod.DrordBhvr
		fsiOrderDtosData["hilist_code"] = fod.HilistCode
		fsiOrderDtosData["hilist_name"] = fod.HosplistName
		fsiOrderDtosData["hilist_dosform"] = fod.HilistDosform
		fsiOrderDtosData["hilist_lv"] = fod.HilistLv
		fsiOrderDtosData["hilist_pric"] = fod.HilistPric
		fsiOrderDtosData["lv1_hosp_item_pric"] = fod.Lv1HospItemPric
		fsiOrderDtosData["lv2_hosp_item_pric"] = fod.Lv2HospItemPric
		fsiOrderDtosData["lv3_hosp_item_pric"] = fod.Lv3HospItemPric
		fsiOrderDtosData["hilist_memo"] = fod.HilistMemo
		fsiOrderDtosData["hosplist_code"] = fod.HosplistCode
		fsiOrderDtosData["hosplist_name"] = fod.HosplistName
		fsiOrderDtosData["hosplist_dosform"] = fod.HosplistDosform
		fsiOrderDtosData["cnt"] = fod.Cnt
		fsiOrderDtosData["pric"] = fod.Pric
		fsiOrderDtosData["sumamt"] = fod.Sumamt
		fsiOrderDtosData["ownpay_amt"] = fod.OwnpayAmt
		fsiOrderDtosData["selfpay_amt"] = fod.SelfpayAmt
		fsiOrderDtosData["spec"] = fod.Spec
		fsiOrderDtosData["spec_unt"] = fod.SpecUnt
		fsiOrderDtosData["drord_begn_date"] = fod.DrordBegnDate
		fsiOrderDtosData["drord_stop_date"] = fod.DrordStopDate
		fsiOrderDtosData["drord_dept_codg"] = fod.DrordDeptCodg
		fsiOrderDtosData["drord_dept_name"] = fod.DrordDeptName
		fsiOrderDtosData["drord_dr_codg"] = fod.DrordDrCodg
		fsiOrderDtosData["drord_dr_name"] = fod.DrordDrName
		fsiOrderDtosData["drord_dr_profttl"] = fod.DrordDrProfttl
		fsiOrderDtosData["curr_drord_flag"] = fod.CurrDrordFlag
		fsiOrderDtosDatas = append(fsiOrderDtosDatas, fsiOrderDtosData)
	}
	fisEncounterDtosData["fsi_order_dtos"] = fsiOrderDtosDatas

	fisEncounterDtosData["matn_stas"] = fed.MatnStas
	fisEncounterDtosData["medfee_sumamt"] = fed.MedfeeSumamt
	fisEncounterDtosData["ownpay_amt"] = fed.OwnpayAmt
	fisEncounterDtosData["selfpay_amt"] = fed.SelfpayAmt
	fisEncounterDtosData["acct_payamt"] = fed.AcctPayamt
	fisEncounterDtosData["ma_amt"] = fed.MaAmt
	fisEncounterDtosData["hifp_payamt"] = fed.HifpPayamt
	fisEncounterDtosData["setl_totlnum"] = fed.SetlTotlnum
	fisEncounterDtosData["insutype"] = fed.Insutype
	fisEncounterDtosData["reim_flag"] = fed.ReimFlag
	fisEncounterDtosData["out_setl_flag"] = fed.OutSetlFlag

	//手术操作
	for _, fopd := range fopds {
		fsiOperationDtosData["setl_list_oprn_id"] = fopd.Setl_list_oprn_id
		fsiOperationDtosData["oprn_code"] = fopd.Oprn_code
		fsiOperationDtosData["oprn_name"] = fopd.Oprn_name
		fsiOperationDtosData["main_oprn_flag"] = fopd.Main_oprn_flag
		fsiOperationDtosData["oprn_date"] = fopd.Oprn_date
		fsiOperationDtosData["anst_way"] = fopd.Anst_way
		fsiOperationDtosData["oper_dr_name"] = fopd.Oper_dr_name
		fsiOperationDtosData["oper_dr_code"] = fopd.Oper_dr_code
		fsiOperationDtosData["anst_dr_name"] = fopd.Anst_dr_name
		fsiOperationDtosData["anst_dr_code"] = fopd.Anst_dr_code
		fsiOperationDtosDatas = append(fsiOperationDtosDatas, fsiOperationDtosData)
	}
	fisEncounterDtosData["fsi_operation_dtos"] = fsiOperationDtosDatas

	patientDtosinputData["patn_id"] = pd.PatnID
	patientDtosinputData["patn_name"] = pd.PatnName
	patientDtosinputData["gend"] = pd.Gend
	patientDtosinputData["brdy"] = pd.Brdy
	patientDtosinputData["poolarea"] = pd.Poolarea
	patientDtosinputData["curr_mdtrt_id"] = pd.CurrMdtrtID
	patientDtosinputData["fsi_his_data_dto"] = ""
	patientDtosinputData["fsi_encounter_dtos"] = fisEncounterDtosData
	inputData["syscode"] = "LinkDialysis"
	inputData["trig_scen"] = trig_scen
	inputData["rule_ids"] = ""
	inputData["task_id"] = ""

	inputData["patient_dtos"] = patientDtosinputData
	input["data"] = inputData
	inputMessage["infno"] = "3101"
	inputMessage["input"] = input //交易输入
	bytesData, err := json.Marshal(inputMessage)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	reader := bytes.NewReader(bytesData)
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/5301"
	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/1101"
	url := gdyb_url + "3101"
	request, err := http.NewRequest("POST", url, reader)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}

	request.Header.Set("Content-Type", "application/json;charset=UTF-8")
	request.Header.Set("x-tif-paasid", gdyb_paasid)
	request.Header.Set("x-tif-signature", signature)
	request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
	request.Header.Set("x-tif-nonce", nonce)

	client := http.Client{}
	resp, err := client.Do(request)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	respBytes, err := ioutil.ReadAll(resp.Body)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	str := string(respBytes)
	fmt.Println(str)
	return str, string(bytesData)
}
func Gdyb3102(pd models.PatientDtos, fed models.FsiEncounterDtos, fdds []*models.FsiDiagnoseDtos, fods []*models.FsiOrderDtos, fopds []*models.FsiOperationDtosData, params models.PublicParams, trig_scen string) (string, string) {
	nonce := GetRandomString(32)
	timestamp := time.Now().Unix()
	signature := setSignature(timestamp, nonce, params.SecretKey)

	// 生成输入报文
	inputMessage := SetGdInputMessage(timestamp, params.FixmedinsName, params.OpterName, params.FixmedinsCode, params.InsuplcAdmdvs, params.MdtrtareaAdmvs, params.Cainfo)

	input := make(map[string]interface{})
	inputData := make(map[string]interface{})
	patientDtosinputData := make(map[string]interface{})
	fisEncounterDtosData := make(map[string]interface{})
	fsiDiagnoseDtosDatas := make([]map[string]interface{}, 0)

	fsiOrderDtosDatas := make([]map[string]interface{}, 0)

	fsiOperationDtosData := make(map[string]interface{})
	fsiOperationDtosDatas := make([]map[string]interface{}, 0)

	//就诊信息
	fisEncounterDtosData["mdtrt_id"] = fed.MdtrtID
	fisEncounterDtosData["medins_id"] = fed.MedinsID
	fisEncounterDtosData["medins_name"] = fed.MedinsName
	fisEncounterDtosData["medins_admdvs"] = fed.MedinsAdmdvs
	fisEncounterDtosData["medins_type"] = fed.MedinsType
	fisEncounterDtosData["medins_lv"] = fed.MedinsLv
	fisEncounterDtosData["wardarea_codg"] = fed.WardareaCodg
	fisEncounterDtosData["wardno"] = fed.Wardno
	fisEncounterDtosData["bedno"] = fed.Bedno
	fisEncounterDtosData["adm_date"] = fed.AdmDate
	fisEncounterDtosData["dscg_date"] = fed.DscgDate
	fisEncounterDtosData["dscg_main_dise_codg"] = fed.DscgMainDiseCodg
	fisEncounterDtosData["dscg_main_dise_name"] = fed.DscgMainDiseName

	for _, fdd := range fdds {
		fsiDiagnoseDtosData := make(map[string]interface{})
		//诊断集合
		fsiDiagnoseDtosData["dise_id"] = fdd.DiseID
		fsiDiagnoseDtosData["inout_dise_type"] = fdd.InoutDiseType
		fsiDiagnoseDtosData["maindise_flag"] = fdd.MaindiseFlag
		fsiDiagnoseDtosData["dias_srt_no"] = fdd.DiasSrtNo
		fsiDiagnoseDtosData["dise_codg"] = fdd.DiseCodg
		fsiDiagnoseDtosData["dise_name"] = fdd.DiseName
		fsiDiagnoseDtosData["dise_date"] = fdd.DiseDate
		fsiDiagnoseDtosDatas = append(fsiDiagnoseDtosDatas, fsiDiagnoseDtosData)
	}

	fisEncounterDtosData["fsi_diagnose_dtos"] = fsiDiagnoseDtosDatas

	fisEncounterDtosData["dr_codg"] = fed.DrCodg
	fisEncounterDtosData["adm_dept_codg"] = fed.AdmDeptCodg
	fisEncounterDtosData["adm_dept_name"] = fed.AdmDeptName
	fisEncounterDtosData["dscg_dept_codg"] = fed.DscgDeptCodg
	fisEncounterDtosData["dscg_dept_name"] = fed.DscgDeptName
	fisEncounterDtosData["med_mdtrt_type"] = fed.MedMdtrtType
	fisEncounterDtosData["med_type"] = fed.MedType

	for _, fod := range fods {
		fsiOrderDtosData := make(map[string]interface{})
		//医嘱集合
		fsiOrderDtosData["rx_id"] = fod.RxID
		fsiOrderDtosData["rxno"] = fod.Rxno
		fsiOrderDtosData["grpno"] = fod.Grpno
		fsiOrderDtosData["long_drord_flag"] = fod.LongDrordFlag
		fsiOrderDtosData["hilist_type"] = fod.HilistType
		fsiOrderDtosData["chrg_type"] = fod.ChrgType
		fsiOrderDtosData["drord_bhvr"] = fod.DrordBhvr
		fsiOrderDtosData["hilist_code"] = fod.HosplistCode
		fsiOrderDtosData["hilist_name"] = fod.HosplistName
		fsiOrderDtosData["hilist_dosform"] = fod.HilistDosform
		fsiOrderDtosData["hilist_lv"] = fod.HilistLv
		fsiOrderDtosData["hilist_pric"] = fod.HilistPric
		fsiOrderDtosData["lv1_hosp_item_pric"] = fod.Lv1HospItemPric
		fsiOrderDtosData["lv2_hosp_item_pric"] = fod.Lv2HospItemPric
		fsiOrderDtosData["lv3_hosp_item_pric"] = fod.Lv3HospItemPric
		fsiOrderDtosData["hilist_memo"] = fod.HilistMemo
		fsiOrderDtosData["hosplist_code"] = fod.HosplistCode
		fsiOrderDtosData["hosplist_name"] = fod.HosplistName
		fsiOrderDtosData["hosplist_dosform"] = fod.HosplistDosform
		fsiOrderDtosData["cnt"] = fod.Cnt
		fsiOrderDtosData["pric"] = fod.Pric
		fsiOrderDtosData["sumamt"] = fod.Sumamt
		fsiOrderDtosData["ownpay_amt"] = fod.OwnpayAmt
		fsiOrderDtosData["selfpay_amt"] = fod.SelfpayAmt
		fsiOrderDtosData["spec"] = fod.Spec
		fsiOrderDtosData["spec_unt"] = fod.SpecUnt
		fsiOrderDtosData["drord_begn_date"] = fod.DrordBegnDate
		fsiOrderDtosData["drord_stop_date"] = fod.DrordStopDate
		fsiOrderDtosData["drord_dept_codg"] = fod.DrordDeptCodg
		fsiOrderDtosData["drord_dept_name"] = fod.DrordDeptName
		fsiOrderDtosData["drord_dr_codg"] = fod.DrordDrCodg
		fsiOrderDtosData["drord_dr_name"] = fod.DrordDrName
		fsiOrderDtosData["drord_dr_profttl"] = fod.DrordDrProfttl
		fsiOrderDtosData["curr_drord_flag"] = fod.CurrDrordFlag
		fsiOrderDtosDatas = append(fsiOrderDtosDatas, fsiOrderDtosData)
	}

	fisEncounterDtosData["fsi_order_dtos"] = fsiOrderDtosDatas

	fisEncounterDtosData["matn_stas"] = fed.MatnStas
	fisEncounterDtosData["medfee_sumamt"] = fed.MedfeeSumamt
	fisEncounterDtosData["ownpay_amt"] = fed.OwnpayAmt
	fisEncounterDtosData["selfpay_amt"] = fed.SelfpayAmt
	fisEncounterDtosData["acct_payamt"] = fed.AcctPayamt
	fisEncounterDtosData["ma_amt"] = fed.MaAmt
	fisEncounterDtosData["hifp_payamt"] = fed.HifpPayamt
	fisEncounterDtosData["setl_totlnum"] = fed.SetlTotlnum
	fisEncounterDtosData["insutype"] = fed.Insutype
	fisEncounterDtosData["reim_flag"] = fed.ReimFlag
	fisEncounterDtosData["out_setl_flag"] = fed.OutSetlFlag

	//手术操作
	for _, fopd := range fopds {
		fsiOperationDtosData["setl_list_oprn_id"] = fopd.Setl_list_oprn_id
		fsiOperationDtosData["oprn_code"] = fopd.Oprn_code
		fsiOperationDtosData["oprn_name"] = fopd.Oprn_name
		fsiOperationDtosData["main_oprn_flag"] = fopd.Main_oprn_flag
		fsiOperationDtosData["oprn_date"] = fopd.Oprn_date
		fsiOperationDtosData["anst_way"] = fopd.Anst_way
		fsiOperationDtosData["oper_dr_name"] = fopd.Oper_dr_name
		fsiOperationDtosData["oper_dr_code"] = fopd.Oper_dr_code
		fsiOperationDtosData["anst_dr_name"] = fopd.Anst_dr_name
		fsiOperationDtosData["anst_dr_code"] = fopd.Anst_dr_code
		fsiOperationDtosDatas = append(fsiOperationDtosDatas, fsiOperationDtosData)
	}
	fisEncounterDtosData["fsi_operation_dtos"] = fsiOperationDtosDatas

	patientDtosinputData["patn_id"] = pd.PatnID
	patientDtosinputData["patn_name"] = pd.PatnName
	patientDtosinputData["gend"] = pd.Gend
	patientDtosinputData["brdy"] = pd.Brdy
	patientDtosinputData["poolarea"] = pd.Poolarea
	patientDtosinputData["curr_mdtrt_id"] = pd.CurrMdtrtID
	patientDtosinputData["fsi_his_data_dto"] = ""
	patientDtosinputData["fsi_encounter_dtos"] = fisEncounterDtosData
	inputData["syscode"] = "LinkDialysis"
	inputData["trig_scen"] = trig_scen
	inputData["rule_ids"] = ""
	inputData["task_id"] = ""
	inputData["patient_dtos"] = patientDtosinputData
	input["data"] = inputData
	inputMessage["infno"] = "3102"
	inputMessage["input"] = input //交易输入
	bytesData, err := json.Marshal(inputMessage)
	fmt.Println(string(bytesData))
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	reader := bytes.NewReader(bytesData)
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/5301"
	gdyb_url := beego.AppConfig.String("gdyb_url")
	gdyb_paasid := beego.AppConfig.String("gdyb_paasid")
	//url := "http://igb.hsa.gdgov.cn/ebus/gdyb_api/prd/hsa/hgs/1101"
	url := gdyb_url + "3102"
	request, err := http.NewRequest("POST", url, reader)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}

	request.Header.Set("Content-Type", "application/json;charset=UTF-8")
	request.Header.Set("x-tif-paasid", gdyb_paasid)
	request.Header.Set("x-tif-signature", signature)
	request.Header.Set("x-tif-timestamp", strconv.FormatInt(timestamp, 10))
	request.Header.Set("x-tif-nonce", nonce)

	client := http.Client{}
	resp, err := client.Do(request)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	respBytes, err := ioutil.ReadAll(resp.Body)
	if err != nil {
		fmt.Println(err.Error())
		return err.Error(), ""
	}
	str := string(respBytes)
	fmt.Println(str)
	return str, string(bytesData)
}


// 分页函数
func paginate(data []map[string]interface{}, pageSize int) [][]map[string]interface{} {
	var pages [][]map[string]interface{}
	totalItems := len(data)
	for i := 0; i < totalItems; i += pageSize {
		end := i + pageSize
		if end > totalItems {
			end = totalItems
		}
		pages = append(pages, data[i:end])
	}
	return pages
}
